"use strict";

var _tslib = require("tslib");

var _react = _interopRequireDefault(require("react"));

var _testing = require("testing");

var _index = _interopRequireDefault(require("../index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const demoSrc = 'https://images.unsplash.com/photo-1567945716310-4745a6b7844b?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=300&q=60';
describe('image', () => {
  test('a11y', () => (0, _tslib.__awaiter)(void 0, void 0, void 0, function* () {
    yield (0, _testing.testA11y)(_react.default.createElement(_index.default, {
      src: demoSrc
    }));
  }));
  test('onContainerClick can work', () => {
    const onContainerClick = jest.fn();
    const {
      getByTestId
    } = (0, _testing.render)(_react.default.createElement(_index.default, {
      src: demoSrc,
      onContainerClick: onContainerClick,
      "data-testid": 'img'
    }));

    _testing.fireEvent.click(getByTestId('img'));

    expect(onContainerClick).toBeCalledTimes(1);
  });
});