"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
var tslib = require("tslib");
var React$1 = require("react");
var classNames = require("classnames");
var ahooks = require("ahooks");
var web = require("@react-spring/web");
var antdMobileIcons = require("antd-mobile-icons");
var dayjs = require("dayjs");
var reactIs = require("react-is");
var react = require("@use-gesture/react");
var stagedComponents = require("staged-components");
var RcForm = require("rc-field-form");
var dom = require("@floating-ui/dom");
var Big = require("big.js");
function _interopDefaultLegacy(e2) {
  return e2 && typeof e2 === "object" && "default" in e2 ? e2 : { "default": e2 };
}
function _mergeNamespaces(n2, m2) {
  m2.forEach(function(e2) {
    e2 && typeof e2 !== "string" && !Array.isArray(e2) && Object.keys(e2).forEach(function(k2) {
      if (k2 !== "default" && !(k2 in n2)) {
        var d = Object.getOwnPropertyDescriptor(e2, k2);
        Object.defineProperty(n2, k2, d.get ? d : {
          enumerable: true,
          get: function() {
            return e2[k2];
          }
        });
      }
    });
  });
  return Object.freeze(Object.defineProperty(n2, Symbol.toStringTag, { value: "Module" }));
}
var React__default = /* @__PURE__ */ _interopDefaultLegacy(React$1);
var classNames__default = /* @__PURE__ */ _interopDefaultLegacy(classNames);
var dayjs__default = /* @__PURE__ */ _interopDefaultLegacy(dayjs);
var RcForm__default = /* @__PURE__ */ _interopDefaultLegacy(RcForm);
var Big__default = /* @__PURE__ */ _interopDefaultLegacy(Big);
var global$1 = /* @__PURE__ */ (() => ":root {\n  --adm-radius-s: 4px;\n  --adm-radius-m: 8px;\n  --adm-radius-l: 12px;\n  --adm-font-size-1: 9px;\n  --adm-font-size-2: 10px;\n  --adm-font-size-3: 11px;\n  --adm-font-size-4: 12px;\n  --adm-font-size-5: 13px;\n  --adm-font-size-6: 14px;\n  --adm-font-size-7: 15px;\n  --adm-font-size-8: 16px;\n  --adm-font-size-9: 17px;\n  --adm-font-size-10: 18px;\n  --adm-color-primary: #1677ff;\n  --adm-color-success: #00b578;\n  --adm-color-warning: #ff8f1f;\n  --adm-color-danger: #ff3141;\n  --adm-color-white: #ffffff;\n  --adm-color-text: #333333;\n  --adm-color-text-secondary: #666666;\n  --adm-color-weak: #999999;\n  --adm-color-light: #cccccc;\n  --adm-color-border: #eeeeee;\n  --adm-color-box: #f5f5f5;\n  --adm-color-background: #ffffff;\n  --adm-font-size-main: var(--adm-font-size-5);\n  --adm-font-family: -apple-system, blinkmacsystemfont, 'Helvetica Neue',\n    helvetica, segoe ui, arial, roboto, 'PingFang SC', 'miui',\n    'Hiragino Sans GB', 'Microsoft Yahei', sans-serif;\n  --adm-border-color: var(--adm-color-border);\n}\nhtml[data-prefers-color-scheme='dark'] {\n  --adm-color-primary: #3086ff;\n  --adm-color-success: #34b368;\n  --adm-color-warning: #ffa930;\n  --adm-color-danger: #ff4a58;\n  --adm-color-text: #e6e6e6;\n  --adm-color-text-secondary: #b3b3b3;\n  --adm-color-weak: #808080;\n  --adm-color-light: #4d4d4d;\n  --adm-color-border: #2b2b2b;\n  --adm-color-box: #0a0a0a;\n  --adm-color-background: #1a1a1a;\n  --adm-border-color: var(--adm-color-border);\n}\n:root {\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\nbody {\n  color: var(--adm-color-text);\n  font-size: var(--adm-font-size-main);\n  font-family: var(--adm-font-family);\n}\na,\nbutton {\n  cursor: pointer;\n}\na {\n  color: var(--adm-color-primary);\n  transition: opacity ease-in-out 0.2s;\n}\na:active {\n  opacity: 0.8;\n}\n.adm-plain-anchor {\n  color: unset;\n  transition: none;\n}\n.adm-plain-anchor:active {\n  opacity: unset;\n}\nbody.adm-overflow-hidden {\n  overflow: hidden !important;\n}\ndiv.adm-px-tester {\n  --size: 1;\n  height: calc(var(--size) / 2 * 2px);\n  width: 0;\n  position: fixed;\n  right: -100vw;\n  bottom: -100vh;\n  -webkit-user-select: none;\n          user-select: none;\n  pointer-events: none;\n}\n")();
const canUseDom = !!(typeof window !== "undefined" && typeof document !== "undefined" && window.document && window.document.createElement);
if (canUseDom) {
  document.addEventListener("touchstart", () => {
  }, true);
}
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function listCacheClear$1() {
  this.__data__ = [];
  this.size = 0;
}
var _listCacheClear = listCacheClear$1;
function eq$5(value, other) {
  return value === other || value !== value && other !== other;
}
var eq_1 = eq$5;
var eq$4 = eq_1;
function assocIndexOf$4(array, key) {
  var length = array.length;
  while (length--) {
    if (eq$4(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var _assocIndexOf = assocIndexOf$4;
var assocIndexOf$3 = _assocIndexOf;
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete$1(key) {
  var data = this.__data__, index2 = assocIndexOf$3(data, key);
  if (index2 < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index2 == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index2, 1);
  }
  --this.size;
  return true;
}
var _listCacheDelete = listCacheDelete$1;
var assocIndexOf$2 = _assocIndexOf;
function listCacheGet$1(key) {
  var data = this.__data__, index2 = assocIndexOf$2(data, key);
  return index2 < 0 ? void 0 : data[index2][1];
}
var _listCacheGet = listCacheGet$1;
var assocIndexOf$1 = _assocIndexOf;
function listCacheHas$1(key) {
  return assocIndexOf$1(this.__data__, key) > -1;
}
var _listCacheHas = listCacheHas$1;
var assocIndexOf = _assocIndexOf;
function listCacheSet$1(key, value) {
  var data = this.__data__, index2 = assocIndexOf(data, key);
  if (index2 < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index2][1] = value;
  }
  return this;
}
var _listCacheSet = listCacheSet$1;
var listCacheClear = _listCacheClear, listCacheDelete = _listCacheDelete, listCacheGet = _listCacheGet, listCacheHas = _listCacheHas, listCacheSet = _listCacheSet;
function ListCache$4(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
ListCache$4.prototype.clear = listCacheClear;
ListCache$4.prototype["delete"] = listCacheDelete;
ListCache$4.prototype.get = listCacheGet;
ListCache$4.prototype.has = listCacheHas;
ListCache$4.prototype.set = listCacheSet;
var _ListCache = ListCache$4;
var ListCache$3 = _ListCache;
function stackClear$1() {
  this.__data__ = new ListCache$3();
  this.size = 0;
}
var _stackClear = stackClear$1;
function stackDelete$1(key) {
  var data = this.__data__, result2 = data["delete"](key);
  this.size = data.size;
  return result2;
}
var _stackDelete = stackDelete$1;
function stackGet$1(key) {
  return this.__data__.get(key);
}
var _stackGet = stackGet$1;
function stackHas$1(key) {
  return this.__data__.has(key);
}
var _stackHas = stackHas$1;
var freeGlobal$1 = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
var _freeGlobal = freeGlobal$1;
var freeGlobal = _freeGlobal;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root$8 = freeGlobal || freeSelf || Function("return this")();
var _root = root$8;
var root$7 = _root;
var Symbol$5 = root$7.Symbol;
var _Symbol = Symbol$5;
var Symbol$4 = _Symbol;
var objectProto$g = Object.prototype;
var hasOwnProperty$d = objectProto$g.hasOwnProperty;
var nativeObjectToString$1 = objectProto$g.toString;
var symToStringTag$1 = Symbol$4 ? Symbol$4.toStringTag : void 0;
function getRawTag$1(value) {
  var isOwn = hasOwnProperty$d.call(value, symToStringTag$1), tag2 = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e2) {
  }
  var result2 = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag2;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result2;
}
var _getRawTag = getRawTag$1;
var objectProto$f = Object.prototype;
var nativeObjectToString = objectProto$f.toString;
function objectToString$1(value) {
  return nativeObjectToString.call(value);
}
var _objectToString = objectToString$1;
var Symbol$3 = _Symbol, getRawTag = _getRawTag, objectToString = _objectToString;
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$3 ? Symbol$3.toStringTag : void 0;
function baseGetTag$5(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
var _baseGetTag = baseGetTag$5;
function isObject$8(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var isObject_1 = isObject$8;
var baseGetTag$4 = _baseGetTag, isObject$7 = isObject_1;
var asyncTag = "[object AsyncFunction]", funcTag$2 = "[object Function]", genTag$1 = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction$3(value) {
  if (!isObject$7(value)) {
    return false;
  }
  var tag2 = baseGetTag$4(value);
  return tag2 == funcTag$2 || tag2 == genTag$1 || tag2 == asyncTag || tag2 == proxyTag;
}
var isFunction_1 = isFunction$3;
var root$6 = _root;
var coreJsData$1 = root$6["__core-js_shared__"];
var _coreJsData = coreJsData$1;
var coreJsData = _coreJsData;
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked$1(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var _isMasked = isMasked$1;
var funcProto$2 = Function.prototype;
var funcToString$2 = funcProto$2.toString;
function toSource$2(func) {
  if (func != null) {
    try {
      return funcToString$2.call(func);
    } catch (e2) {
    }
    try {
      return func + "";
    } catch (e2) {
    }
  }
  return "";
}
var _toSource = toSource$2;
var isFunction$2 = isFunction_1, isMasked = _isMasked, isObject$6 = isObject_1, toSource$1 = _toSource;
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto$1 = Function.prototype, objectProto$e = Object.prototype;
var funcToString$1 = funcProto$1.toString;
var hasOwnProperty$c = objectProto$e.hasOwnProperty;
var reIsNative = RegExp("^" + funcToString$1.call(hasOwnProperty$c).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
function baseIsNative$1(value) {
  if (!isObject$6(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction$2(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource$1(value));
}
var _baseIsNative = baseIsNative$1;
function getValue$1(object, key) {
  return object == null ? void 0 : object[key];
}
var _getValue = getValue$1;
var baseIsNative = _baseIsNative, getValue = _getValue;
function getNative$7(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : void 0;
}
var _getNative = getNative$7;
var getNative$6 = _getNative, root$5 = _root;
var Map$4 = getNative$6(root$5, "Map");
var _Map = Map$4;
var getNative$5 = _getNative;
var nativeCreate$4 = getNative$5(Object, "create");
var _nativeCreate = nativeCreate$4;
var nativeCreate$3 = _nativeCreate;
function hashClear$1() {
  this.__data__ = nativeCreate$3 ? nativeCreate$3(null) : {};
  this.size = 0;
}
var _hashClear = hashClear$1;
function hashDelete$1(key) {
  var result2 = this.has(key) && delete this.__data__[key];
  this.size -= result2 ? 1 : 0;
  return result2;
}
var _hashDelete = hashDelete$1;
var nativeCreate$2 = _nativeCreate;
var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
var objectProto$d = Object.prototype;
var hasOwnProperty$b = objectProto$d.hasOwnProperty;
function hashGet$1(key) {
  var data = this.__data__;
  if (nativeCreate$2) {
    var result2 = data[key];
    return result2 === HASH_UNDEFINED$2 ? void 0 : result2;
  }
  return hasOwnProperty$b.call(data, key) ? data[key] : void 0;
}
var _hashGet = hashGet$1;
var nativeCreate$1 = _nativeCreate;
var objectProto$c = Object.prototype;
var hasOwnProperty$a = objectProto$c.hasOwnProperty;
function hashHas$1(key) {
  var data = this.__data__;
  return nativeCreate$1 ? data[key] !== void 0 : hasOwnProperty$a.call(data, key);
}
var _hashHas = hashHas$1;
var nativeCreate = _nativeCreate;
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
function hashSet$1(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED$1 : value;
  return this;
}
var _hashSet = hashSet$1;
var hashClear = _hashClear, hashDelete = _hashDelete, hashGet = _hashGet, hashHas = _hashHas, hashSet = _hashSet;
function Hash$1(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
Hash$1.prototype.clear = hashClear;
Hash$1.prototype["delete"] = hashDelete;
Hash$1.prototype.get = hashGet;
Hash$1.prototype.has = hashHas;
Hash$1.prototype.set = hashSet;
var _Hash = Hash$1;
var Hash = _Hash, ListCache$2 = _ListCache, Map$3 = _Map;
function mapCacheClear$1() {
  this.size = 0;
  this.__data__ = {
    "hash": new Hash(),
    "map": new (Map$3 || ListCache$2)(),
    "string": new Hash()
  };
}
var _mapCacheClear = mapCacheClear$1;
function isKeyable$1(value) {
  var type = typeof value;
  return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
}
var _isKeyable = isKeyable$1;
var isKeyable = _isKeyable;
function getMapData$4(map, key) {
  var data = map.__data__;
  return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
}
var _getMapData = getMapData$4;
var getMapData$3 = _getMapData;
function mapCacheDelete$1(key) {
  var result2 = getMapData$3(this, key)["delete"](key);
  this.size -= result2 ? 1 : 0;
  return result2;
}
var _mapCacheDelete = mapCacheDelete$1;
var getMapData$2 = _getMapData;
function mapCacheGet$1(key) {
  return getMapData$2(this, key).get(key);
}
var _mapCacheGet = mapCacheGet$1;
var getMapData$1 = _getMapData;
function mapCacheHas$1(key) {
  return getMapData$1(this, key).has(key);
}
var _mapCacheHas = mapCacheHas$1;
var getMapData = _getMapData;
function mapCacheSet$1(key, value) {
  var data = getMapData(this, key), size = data.size;
  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}
var _mapCacheSet = mapCacheSet$1;
var mapCacheClear = _mapCacheClear, mapCacheDelete = _mapCacheDelete, mapCacheGet = _mapCacheGet, mapCacheHas = _mapCacheHas, mapCacheSet = _mapCacheSet;
function MapCache$3(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
MapCache$3.prototype.clear = mapCacheClear;
MapCache$3.prototype["delete"] = mapCacheDelete;
MapCache$3.prototype.get = mapCacheGet;
MapCache$3.prototype.has = mapCacheHas;
MapCache$3.prototype.set = mapCacheSet;
var _MapCache = MapCache$3;
var ListCache$1 = _ListCache, Map$2 = _Map, MapCache$2 = _MapCache;
var LARGE_ARRAY_SIZE = 200;
function stackSet$1(key, value) {
  var data = this.__data__;
  if (data instanceof ListCache$1) {
    var pairs = data.__data__;
    if (!Map$2 || pairs.length < LARGE_ARRAY_SIZE - 1) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new MapCache$2(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}
var _stackSet = stackSet$1;
var ListCache = _ListCache, stackClear = _stackClear, stackDelete = _stackDelete, stackGet = _stackGet, stackHas = _stackHas, stackSet = _stackSet;
function Stack$3(entries) {
  var data = this.__data__ = new ListCache(entries);
  this.size = data.size;
}
Stack$3.prototype.clear = stackClear;
Stack$3.prototype["delete"] = stackDelete;
Stack$3.prototype.get = stackGet;
Stack$3.prototype.has = stackHas;
Stack$3.prototype.set = stackSet;
var _Stack = Stack$3;
function arrayEach$1(array, iteratee) {
  var index2 = -1, length = array == null ? 0 : array.length;
  while (++index2 < length) {
    if (iteratee(array[index2], index2, array) === false) {
      break;
    }
  }
  return array;
}
var _arrayEach = arrayEach$1;
var getNative$4 = _getNative;
var defineProperty$2 = function() {
  try {
    var func = getNative$4(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e2) {
  }
}();
var _defineProperty = defineProperty$2;
var defineProperty$1 = _defineProperty;
function baseAssignValue$3(object, key, value) {
  if (key == "__proto__" && defineProperty$1) {
    defineProperty$1(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
var _baseAssignValue = baseAssignValue$3;
var baseAssignValue$2 = _baseAssignValue, eq$3 = eq_1;
var objectProto$b = Object.prototype;
var hasOwnProperty$9 = objectProto$b.hasOwnProperty;
function assignValue$3(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$9.call(object, key) && eq$3(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue$2(object, key, value);
  }
}
var _assignValue = assignValue$3;
var assignValue$2 = _assignValue, baseAssignValue$1 = _baseAssignValue;
function copyObject$7(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});
  var index2 = -1, length = props.length;
  while (++index2 < length) {
    var key = props[index2];
    var newValue = customizer ? customizer(object[key], source[key], key, object, source) : void 0;
    if (newValue === void 0) {
      newValue = source[key];
    }
    if (isNew) {
      baseAssignValue$1(object, key, newValue);
    } else {
      assignValue$2(object, key, newValue);
    }
  }
  return object;
}
var _copyObject = copyObject$7;
function baseTimes$1(n2, iteratee) {
  var index2 = -1, result2 = Array(n2);
  while (++index2 < n2) {
    result2[index2] = iteratee(index2);
  }
  return result2;
}
var _baseTimes = baseTimes$1;
function isObjectLike$8(value) {
  return value != null && typeof value == "object";
}
var isObjectLike_1 = isObjectLike$8;
var baseGetTag$3 = _baseGetTag, isObjectLike$7 = isObjectLike_1;
var argsTag$3 = "[object Arguments]";
function baseIsArguments$1(value) {
  return isObjectLike$7(value) && baseGetTag$3(value) == argsTag$3;
}
var _baseIsArguments = baseIsArguments$1;
var baseIsArguments = _baseIsArguments, isObjectLike$6 = isObjectLike_1;
var objectProto$a = Object.prototype;
var hasOwnProperty$8 = objectProto$a.hasOwnProperty;
var propertyIsEnumerable$1 = objectProto$a.propertyIsEnumerable;
var isArguments$2 = baseIsArguments(function() {
  return arguments;
}()) ? baseIsArguments : function(value) {
  return isObjectLike$6(value) && hasOwnProperty$8.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
};
var isArguments_1 = isArguments$2;
var isArray$5 = Array.isArray;
var isArray_1 = isArray$5;
var isBuffer$4 = { exports: {} };
function stubFalse() {
  return false;
}
var stubFalse_1 = stubFalse;
(function(module, exports2) {
  var root2 = _root, stubFalse2 = stubFalse_1;
  var freeExports = exports2 && !exports2.nodeType && exports2;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0;
  var nativeIsBuffer = Buffer ? Buffer.isBuffer : void 0;
  var isBuffer2 = nativeIsBuffer || stubFalse2;
  module.exports = isBuffer2;
})(isBuffer$4, isBuffer$4.exports);
var MAX_SAFE_INTEGER$1 = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex$2(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER$1 : length;
  return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
var _isIndex = isIndex$2;
var MAX_SAFE_INTEGER = 9007199254740991;
function isLength$2(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}
var isLength_1 = isLength$2;
var baseGetTag$2 = _baseGetTag, isLength$1 = isLength_1, isObjectLike$5 = isObjectLike_1;
var argsTag$2 = "[object Arguments]", arrayTag$2 = "[object Array]", boolTag$3 = "[object Boolean]", dateTag$3 = "[object Date]", errorTag$2 = "[object Error]", funcTag$1 = "[object Function]", mapTag$5 = "[object Map]", numberTag$3 = "[object Number]", objectTag$4 = "[object Object]", regexpTag$3 = "[object RegExp]", setTag$5 = "[object Set]", stringTag$3 = "[object String]", weakMapTag$2 = "[object WeakMap]";
var arrayBufferTag$3 = "[object ArrayBuffer]", dataViewTag$4 = "[object DataView]", float32Tag$2 = "[object Float32Array]", float64Tag$2 = "[object Float64Array]", int8Tag$2 = "[object Int8Array]", int16Tag$2 = "[object Int16Array]", int32Tag$2 = "[object Int32Array]", uint8Tag$2 = "[object Uint8Array]", uint8ClampedTag$2 = "[object Uint8ClampedArray]", uint16Tag$2 = "[object Uint16Array]", uint32Tag$2 = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag$2] = typedArrayTags[float64Tag$2] = typedArrayTags[int8Tag$2] = typedArrayTags[int16Tag$2] = typedArrayTags[int32Tag$2] = typedArrayTags[uint8Tag$2] = typedArrayTags[uint8ClampedTag$2] = typedArrayTags[uint16Tag$2] = typedArrayTags[uint32Tag$2] = true;
typedArrayTags[argsTag$2] = typedArrayTags[arrayTag$2] = typedArrayTags[arrayBufferTag$3] = typedArrayTags[boolTag$3] = typedArrayTags[dataViewTag$4] = typedArrayTags[dateTag$3] = typedArrayTags[errorTag$2] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$5] = typedArrayTags[numberTag$3] = typedArrayTags[objectTag$4] = typedArrayTags[regexpTag$3] = typedArrayTags[setTag$5] = typedArrayTags[stringTag$3] = typedArrayTags[weakMapTag$2] = false;
function baseIsTypedArray$1(value) {
  return isObjectLike$5(value) && isLength$1(value.length) && !!typedArrayTags[baseGetTag$2(value)];
}
var _baseIsTypedArray = baseIsTypedArray$1;
function baseUnary$3(func) {
  return function(value) {
    return func(value);
  };
}
var _baseUnary = baseUnary$3;
var _nodeUtil = { exports: {} };
(function(module, exports2) {
  var freeGlobal2 = _freeGlobal;
  var freeExports = exports2 && !exports2.nodeType && exports2;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && freeGlobal2.process;
  var nodeUtil2 = function() {
    try {
      var types = freeModule && freeModule.require && freeModule.require("util").types;
      if (types) {
        return types;
      }
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e2) {
    }
  }();
  module.exports = nodeUtil2;
})(_nodeUtil, _nodeUtil.exports);
var baseIsTypedArray = _baseIsTypedArray, baseUnary$2 = _baseUnary, nodeUtil$2 = _nodeUtil.exports;
var nodeIsTypedArray = nodeUtil$2 && nodeUtil$2.isTypedArray;
var isTypedArray$3 = nodeIsTypedArray ? baseUnary$2(nodeIsTypedArray) : baseIsTypedArray;
var isTypedArray_1 = isTypedArray$3;
var baseTimes = _baseTimes, isArguments$1 = isArguments_1, isArray$4 = isArray_1, isBuffer$3 = isBuffer$4.exports, isIndex$1 = _isIndex, isTypedArray$2 = isTypedArray_1;
var objectProto$9 = Object.prototype;
var hasOwnProperty$7 = objectProto$9.hasOwnProperty;
function arrayLikeKeys$2(value, inherited) {
  var isArr = isArray$4(value), isArg = !isArr && isArguments$1(value), isBuff = !isArr && !isArg && isBuffer$3(value), isType = !isArr && !isArg && !isBuff && isTypedArray$2(value), skipIndexes = isArr || isArg || isBuff || isType, result2 = skipIndexes ? baseTimes(value.length, String) : [], length = result2.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$7.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex$1(key, length)))) {
      result2.push(key);
    }
  }
  return result2;
}
var _arrayLikeKeys = arrayLikeKeys$2;
var objectProto$8 = Object.prototype;
function isPrototype$4(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$8;
  return value === proto;
}
var _isPrototype = isPrototype$4;
function overArg$2(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}
var _overArg = overArg$2;
var overArg$1 = _overArg;
var nativeKeys$1 = overArg$1(Object.keys, Object);
var _nativeKeys = nativeKeys$1;
var isPrototype$3 = _isPrototype, nativeKeys = _nativeKeys;
var objectProto$7 = Object.prototype;
var hasOwnProperty$6 = objectProto$7.hasOwnProperty;
function baseKeys$1(object) {
  if (!isPrototype$3(object)) {
    return nativeKeys(object);
  }
  var result2 = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$6.call(object, key) && key != "constructor") {
      result2.push(key);
    }
  }
  return result2;
}
var _baseKeys = baseKeys$1;
var isFunction$1 = isFunction_1, isLength = isLength_1;
function isArrayLike$5(value) {
  return value != null && isLength(value.length) && !isFunction$1(value);
}
var isArrayLike_1 = isArrayLike$5;
var arrayLikeKeys$1 = _arrayLikeKeys, baseKeys = _baseKeys, isArrayLike$4 = isArrayLike_1;
function keys$5(object) {
  return isArrayLike$4(object) ? arrayLikeKeys$1(object) : baseKeys(object);
}
var keys_1 = keys$5;
var copyObject$6 = _copyObject, keys$4 = keys_1;
function baseAssign$1(object, source) {
  return object && copyObject$6(source, keys$4(source), object);
}
var _baseAssign = baseAssign$1;
function nativeKeysIn$1(object) {
  var result2 = [];
  if (object != null) {
    for (var key in Object(object)) {
      result2.push(key);
    }
  }
  return result2;
}
var _nativeKeysIn = nativeKeysIn$1;
var isObject$5 = isObject_1, isPrototype$2 = _isPrototype, nativeKeysIn = _nativeKeysIn;
var objectProto$6 = Object.prototype;
var hasOwnProperty$5 = objectProto$6.hasOwnProperty;
function baseKeysIn$1(object) {
  if (!isObject$5(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype$2(object), result2 = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty$5.call(object, key)))) {
      result2.push(key);
    }
  }
  return result2;
}
var _baseKeysIn = baseKeysIn$1;
var arrayLikeKeys = _arrayLikeKeys, baseKeysIn = _baseKeysIn, isArrayLike$3 = isArrayLike_1;
function keysIn$5(object) {
  return isArrayLike$3(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
}
var keysIn_1 = keysIn$5;
var copyObject$5 = _copyObject, keysIn$4 = keysIn_1;
function baseAssignIn$1(object, source) {
  return object && copyObject$5(source, keysIn$4(source), object);
}
var _baseAssignIn = baseAssignIn$1;
var _cloneBuffer = { exports: {} };
(function(module, exports2) {
  var root2 = _root;
  var freeExports = exports2 && !exports2.nodeType && exports2;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0, allocUnsafe = Buffer ? Buffer.allocUnsafe : void 0;
  function cloneBuffer2(buffer, isDeep) {
    if (isDeep) {
      return buffer.slice();
    }
    var length = buffer.length, result2 = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
    buffer.copy(result2);
    return result2;
  }
  module.exports = cloneBuffer2;
})(_cloneBuffer, _cloneBuffer.exports);
function copyArray$2(source, array) {
  var index2 = -1, length = source.length;
  array || (array = Array(length));
  while (++index2 < length) {
    array[index2] = source[index2];
  }
  return array;
}
var _copyArray = copyArray$2;
function arrayFilter$1(array, predicate) {
  var index2 = -1, length = array == null ? 0 : array.length, resIndex = 0, result2 = [];
  while (++index2 < length) {
    var value = array[index2];
    if (predicate(value, index2, array)) {
      result2[resIndex++] = value;
    }
  }
  return result2;
}
var _arrayFilter = arrayFilter$1;
function stubArray$2() {
  return [];
}
var stubArray_1 = stubArray$2;
var arrayFilter = _arrayFilter, stubArray$1 = stubArray_1;
var objectProto$5 = Object.prototype;
var propertyIsEnumerable = objectProto$5.propertyIsEnumerable;
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;
var getSymbols$3 = !nativeGetSymbols$1 ? stubArray$1 : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols$1(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
var _getSymbols = getSymbols$3;
var copyObject$4 = _copyObject, getSymbols$2 = _getSymbols;
function copySymbols$1(source, object) {
  return copyObject$4(source, getSymbols$2(source), object);
}
var _copySymbols = copySymbols$1;
function arrayPush$2(array, values) {
  var index2 = -1, length = values.length, offset = array.length;
  while (++index2 < length) {
    array[offset + index2] = values[index2];
  }
  return array;
}
var _arrayPush = arrayPush$2;
var overArg = _overArg;
var getPrototype$3 = overArg(Object.getPrototypeOf, Object);
var _getPrototype = getPrototype$3;
var arrayPush$1 = _arrayPush, getPrototype$2 = _getPrototype, getSymbols$1 = _getSymbols, stubArray = stubArray_1;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbolsIn$2 = !nativeGetSymbols ? stubArray : function(object) {
  var result2 = [];
  while (object) {
    arrayPush$1(result2, getSymbols$1(object));
    object = getPrototype$2(object);
  }
  return result2;
};
var _getSymbolsIn = getSymbolsIn$2;
var copyObject$3 = _copyObject, getSymbolsIn$1 = _getSymbolsIn;
function copySymbolsIn$1(source, object) {
  return copyObject$3(source, getSymbolsIn$1(source), object);
}
var _copySymbolsIn = copySymbolsIn$1;
var arrayPush = _arrayPush, isArray$3 = isArray_1;
function baseGetAllKeys$2(object, keysFunc, symbolsFunc) {
  var result2 = keysFunc(object);
  return isArray$3(object) ? result2 : arrayPush(result2, symbolsFunc(object));
}
var _baseGetAllKeys = baseGetAllKeys$2;
var baseGetAllKeys$1 = _baseGetAllKeys, getSymbols = _getSymbols, keys$3 = keys_1;
function getAllKeys$2(object) {
  return baseGetAllKeys$1(object, keys$3, getSymbols);
}
var _getAllKeys = getAllKeys$2;
var baseGetAllKeys = _baseGetAllKeys, getSymbolsIn = _getSymbolsIn, keysIn$3 = keysIn_1;
function getAllKeysIn$1(object) {
  return baseGetAllKeys(object, keysIn$3, getSymbolsIn);
}
var _getAllKeysIn = getAllKeysIn$1;
var getNative$3 = _getNative, root$4 = _root;
var DataView$1 = getNative$3(root$4, "DataView");
var _DataView = DataView$1;
var getNative$2 = _getNative, root$3 = _root;
var Promise$2 = getNative$2(root$3, "Promise");
var _Promise = Promise$2;
var getNative$1 = _getNative, root$2 = _root;
var Set$2 = getNative$1(root$2, "Set");
var _Set = Set$2;
var getNative = _getNative, root$1 = _root;
var WeakMap$2 = getNative(root$1, "WeakMap");
var _WeakMap = WeakMap$2;
var DataView = _DataView, Map$1 = _Map, Promise$1 = _Promise, Set$1 = _Set, WeakMap$1 = _WeakMap, baseGetTag$1 = _baseGetTag, toSource = _toSource;
var mapTag$4 = "[object Map]", objectTag$3 = "[object Object]", promiseTag = "[object Promise]", setTag$4 = "[object Set]", weakMapTag$1 = "[object WeakMap]";
var dataViewTag$3 = "[object DataView]";
var dataViewCtorString = toSource(DataView), mapCtorString = toSource(Map$1), promiseCtorString = toSource(Promise$1), setCtorString = toSource(Set$1), weakMapCtorString = toSource(WeakMap$1);
var getTag$4 = baseGetTag$1;
if (DataView && getTag$4(new DataView(new ArrayBuffer(1))) != dataViewTag$3 || Map$1 && getTag$4(new Map$1()) != mapTag$4 || Promise$1 && getTag$4(Promise$1.resolve()) != promiseTag || Set$1 && getTag$4(new Set$1()) != setTag$4 || WeakMap$1 && getTag$4(new WeakMap$1()) != weakMapTag$1) {
  getTag$4 = function(value) {
    var result2 = baseGetTag$1(value), Ctor = result2 == objectTag$3 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag$3;
        case mapCtorString:
          return mapTag$4;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$4;
        case weakMapCtorString:
          return weakMapTag$1;
      }
    }
    return result2;
  };
}
var _getTag = getTag$4;
var objectProto$4 = Object.prototype;
var hasOwnProperty$4 = objectProto$4.hasOwnProperty;
function initCloneArray$1(array) {
  var length = array.length, result2 = new array.constructor(length);
  if (length && typeof array[0] == "string" && hasOwnProperty$4.call(array, "index")) {
    result2.index = array.index;
    result2.input = array.input;
  }
  return result2;
}
var _initCloneArray = initCloneArray$1;
var root = _root;
var Uint8Array$2 = root.Uint8Array;
var _Uint8Array = Uint8Array$2;
var Uint8Array$1 = _Uint8Array;
function cloneArrayBuffer$3(arrayBuffer) {
  var result2 = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array$1(result2).set(new Uint8Array$1(arrayBuffer));
  return result2;
}
var _cloneArrayBuffer = cloneArrayBuffer$3;
var cloneArrayBuffer$2 = _cloneArrayBuffer;
function cloneDataView$1(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$2(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
var _cloneDataView = cloneDataView$1;
var reFlags = /\w*$/;
function cloneRegExp$1(regexp) {
  var result2 = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result2.lastIndex = regexp.lastIndex;
  return result2;
}
var _cloneRegExp = cloneRegExp$1;
var Symbol$2 = _Symbol;
var symbolProto$1 = Symbol$2 ? Symbol$2.prototype : void 0, symbolValueOf$1 = symbolProto$1 ? symbolProto$1.valueOf : void 0;
function cloneSymbol$1(symbol) {
  return symbolValueOf$1 ? Object(symbolValueOf$1.call(symbol)) : {};
}
var _cloneSymbol = cloneSymbol$1;
var cloneArrayBuffer$1 = _cloneArrayBuffer;
function cloneTypedArray$2(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$1(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var _cloneTypedArray = cloneTypedArray$2;
var cloneArrayBuffer = _cloneArrayBuffer, cloneDataView = _cloneDataView, cloneRegExp = _cloneRegExp, cloneSymbol = _cloneSymbol, cloneTypedArray$1 = _cloneTypedArray;
var boolTag$2 = "[object Boolean]", dateTag$2 = "[object Date]", mapTag$3 = "[object Map]", numberTag$2 = "[object Number]", regexpTag$2 = "[object RegExp]", setTag$3 = "[object Set]", stringTag$2 = "[object String]", symbolTag$2 = "[object Symbol]";
var arrayBufferTag$2 = "[object ArrayBuffer]", dataViewTag$2 = "[object DataView]", float32Tag$1 = "[object Float32Array]", float64Tag$1 = "[object Float64Array]", int8Tag$1 = "[object Int8Array]", int16Tag$1 = "[object Int16Array]", int32Tag$1 = "[object Int32Array]", uint8Tag$1 = "[object Uint8Array]", uint8ClampedTag$1 = "[object Uint8ClampedArray]", uint16Tag$1 = "[object Uint16Array]", uint32Tag$1 = "[object Uint32Array]";
function initCloneByTag$1(object, tag2, isDeep) {
  var Ctor = object.constructor;
  switch (tag2) {
    case arrayBufferTag$2:
      return cloneArrayBuffer(object);
    case boolTag$2:
    case dateTag$2:
      return new Ctor(+object);
    case dataViewTag$2:
      return cloneDataView(object, isDeep);
    case float32Tag$1:
    case float64Tag$1:
    case int8Tag$1:
    case int16Tag$1:
    case int32Tag$1:
    case uint8Tag$1:
    case uint8ClampedTag$1:
    case uint16Tag$1:
    case uint32Tag$1:
      return cloneTypedArray$1(object, isDeep);
    case mapTag$3:
      return new Ctor();
    case numberTag$2:
    case stringTag$2:
      return new Ctor(object);
    case regexpTag$2:
      return cloneRegExp(object);
    case setTag$3:
      return new Ctor();
    case symbolTag$2:
      return cloneSymbol(object);
  }
}
var _initCloneByTag = initCloneByTag$1;
var isObject$4 = isObject_1;
var objectCreate = Object.create;
var baseCreate$1 = function() {
  function object() {
  }
  return function(proto) {
    if (!isObject$4(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result2 = new object();
    object.prototype = void 0;
    return result2;
  };
}();
var _baseCreate = baseCreate$1;
var baseCreate = _baseCreate, getPrototype$1 = _getPrototype, isPrototype$1 = _isPrototype;
function initCloneObject$2(object) {
  return typeof object.constructor == "function" && !isPrototype$1(object) ? baseCreate(getPrototype$1(object)) : {};
}
var _initCloneObject = initCloneObject$2;
var getTag$3 = _getTag, isObjectLike$4 = isObjectLike_1;
var mapTag$2 = "[object Map]";
function baseIsMap$1(value) {
  return isObjectLike$4(value) && getTag$3(value) == mapTag$2;
}
var _baseIsMap = baseIsMap$1;
var baseIsMap = _baseIsMap, baseUnary$1 = _baseUnary, nodeUtil$1 = _nodeUtil.exports;
var nodeIsMap = nodeUtil$1 && nodeUtil$1.isMap;
var isMap$1 = nodeIsMap ? baseUnary$1(nodeIsMap) : baseIsMap;
var isMap_1 = isMap$1;
var getTag$2 = _getTag, isObjectLike$3 = isObjectLike_1;
var setTag$2 = "[object Set]";
function baseIsSet$1(value) {
  return isObjectLike$3(value) && getTag$2(value) == setTag$2;
}
var _baseIsSet = baseIsSet$1;
var baseIsSet = _baseIsSet, baseUnary = _baseUnary, nodeUtil = _nodeUtil.exports;
var nodeIsSet = nodeUtil && nodeUtil.isSet;
var isSet$1 = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;
var isSet_1 = isSet$1;
var Stack$2 = _Stack, arrayEach = _arrayEach, assignValue$1 = _assignValue, baseAssign = _baseAssign, baseAssignIn = _baseAssignIn, cloneBuffer$1 = _cloneBuffer.exports, copyArray$1 = _copyArray, copySymbols = _copySymbols, copySymbolsIn = _copySymbolsIn, getAllKeys$1 = _getAllKeys, getAllKeysIn = _getAllKeysIn, getTag$1 = _getTag, initCloneArray = _initCloneArray, initCloneByTag = _initCloneByTag, initCloneObject$1 = _initCloneObject, isArray$2 = isArray_1, isBuffer$2 = isBuffer$4.exports, isMap = isMap_1, isObject$3 = isObject_1, isSet = isSet_1, keys$2 = keys_1, keysIn$2 = keysIn_1;
var CLONE_DEEP_FLAG$1 = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG$1 = 4;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", errorTag$1 = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag$1 = "[object Map]", numberTag$1 = "[object Number]", objectTag$2 = "[object Object]", regexpTag$1 = "[object RegExp]", setTag$1 = "[object Set]", stringTag$1 = "[object String]", symbolTag$1 = "[object Symbol]", weakMapTag = "[object WeakMap]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var cloneableTags = {};
cloneableTags[argsTag$1] = cloneableTags[arrayTag$1] = cloneableTags[arrayBufferTag$1] = cloneableTags[dataViewTag$1] = cloneableTags[boolTag$1] = cloneableTags[dateTag$1] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag$1] = cloneableTags[numberTag$1] = cloneableTags[objectTag$2] = cloneableTags[regexpTag$1] = cloneableTags[setTag$1] = cloneableTags[stringTag$1] = cloneableTags[symbolTag$1] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
cloneableTags[errorTag$1] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
function baseClone$1(value, bitmask, customizer, key, object, stack) {
  var result2, isDeep = bitmask & CLONE_DEEP_FLAG$1, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG$1;
  if (customizer) {
    result2 = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result2 !== void 0) {
    return result2;
  }
  if (!isObject$3(value)) {
    return value;
  }
  var isArr = isArray$2(value);
  if (isArr) {
    result2 = initCloneArray(value);
    if (!isDeep) {
      return copyArray$1(value, result2);
    }
  } else {
    var tag2 = getTag$1(value), isFunc = tag2 == funcTag || tag2 == genTag;
    if (isBuffer$2(value)) {
      return cloneBuffer$1(value, isDeep);
    }
    if (tag2 == objectTag$2 || tag2 == argsTag$1 || isFunc && !object) {
      result2 = isFlat || isFunc ? {} : initCloneObject$1(value);
      if (!isDeep) {
        return isFlat ? copySymbolsIn(value, baseAssignIn(result2, value)) : copySymbols(value, baseAssign(result2, value));
      }
    } else {
      if (!cloneableTags[tag2]) {
        return object ? value : {};
      }
      result2 = initCloneByTag(value, tag2, isDeep);
    }
  }
  stack || (stack = new Stack$2());
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result2);
  if (isSet(value)) {
    value.forEach(function(subValue) {
      result2.add(baseClone$1(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap(value)) {
    value.forEach(function(subValue, key2) {
      result2.set(key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
    });
  }
  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys$1 : isFlat ? keysIn$2 : keys$2;
  var props = isArr ? void 0 : keysFunc(value);
  arrayEach(props || value, function(subValue, key2) {
    if (props) {
      key2 = subValue;
      subValue = value[key2];
    }
    assignValue$1(result2, key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
  });
  return result2;
}
var _baseClone = baseClone$1;
var baseClone = _baseClone;
var CLONE_DEEP_FLAG = 1, CLONE_SYMBOLS_FLAG = 4;
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
}
var cloneDeep_1 = cloneDeep;
var baseAssignValue = _baseAssignValue, eq$2 = eq_1;
function assignMergeValue$2(object, key, value) {
  if (value !== void 0 && !eq$2(object[key], value) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
var _assignMergeValue = assignMergeValue$2;
function createBaseFor$1(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index2 = -1, iterable = Object(object), props = keysFunc(object), length = props.length;
    while (length--) {
      var key = props[fromRight ? length : ++index2];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}
var _createBaseFor = createBaseFor$1;
var createBaseFor = _createBaseFor;
var baseFor$1 = createBaseFor();
var _baseFor = baseFor$1;
var isArrayLike$2 = isArrayLike_1, isObjectLike$2 = isObjectLike_1;
function isArrayLikeObject$1(value) {
  return isObjectLike$2(value) && isArrayLike$2(value);
}
var isArrayLikeObject_1 = isArrayLikeObject$1;
var baseGetTag = _baseGetTag, getPrototype = _getPrototype, isObjectLike$1 = isObjectLike_1;
var objectTag$1 = "[object Object]";
var funcProto = Function.prototype, objectProto$3 = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$3 = objectProto$3.hasOwnProperty;
var objectCtorString = funcToString.call(Object);
function isPlainObject$1(value) {
  if (!isObjectLike$1(value) || baseGetTag(value) != objectTag$1) {
    return false;
  }
  var proto = getPrototype(value);
  if (proto === null) {
    return true;
  }
  var Ctor = hasOwnProperty$3.call(proto, "constructor") && proto.constructor;
  return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
}
var isPlainObject_1 = isPlainObject$1;
function safeGet$2(object, key) {
  if (key === "constructor" && typeof object[key] === "function") {
    return;
  }
  if (key == "__proto__") {
    return;
  }
  return object[key];
}
var _safeGet = safeGet$2;
var copyObject$2 = _copyObject, keysIn$1 = keysIn_1;
function toPlainObject$1(value) {
  return copyObject$2(value, keysIn$1(value));
}
var toPlainObject_1 = toPlainObject$1;
var assignMergeValue$1 = _assignMergeValue, cloneBuffer = _cloneBuffer.exports, cloneTypedArray = _cloneTypedArray, copyArray = _copyArray, initCloneObject = _initCloneObject, isArguments = isArguments_1, isArray$1 = isArray_1, isArrayLikeObject = isArrayLikeObject_1, isBuffer$1 = isBuffer$4.exports, isFunction = isFunction_1, isObject$2 = isObject_1, isPlainObject = isPlainObject_1, isTypedArray$1 = isTypedArray_1, safeGet$1 = _safeGet, toPlainObject = toPlainObject_1;
function baseMergeDeep$1(object, source, key, srcIndex, mergeFunc, customizer, stack) {
  var objValue = safeGet$1(object, key), srcValue = safeGet$1(source, key), stacked = stack.get(srcValue);
  if (stacked) {
    assignMergeValue$1(object, key, stacked);
    return;
  }
  var newValue = customizer ? customizer(objValue, srcValue, key + "", object, source, stack) : void 0;
  var isCommon = newValue === void 0;
  if (isCommon) {
    var isArr = isArray$1(srcValue), isBuff = !isArr && isBuffer$1(srcValue), isTyped = !isArr && !isBuff && isTypedArray$1(srcValue);
    newValue = srcValue;
    if (isArr || isBuff || isTyped) {
      if (isArray$1(objValue)) {
        newValue = objValue;
      } else if (isArrayLikeObject(objValue)) {
        newValue = copyArray(objValue);
      } else if (isBuff) {
        isCommon = false;
        newValue = cloneBuffer(srcValue, true);
      } else if (isTyped) {
        isCommon = false;
        newValue = cloneTypedArray(srcValue, true);
      } else {
        newValue = [];
      }
    } else if (isPlainObject(srcValue) || isArguments(srcValue)) {
      newValue = objValue;
      if (isArguments(objValue)) {
        newValue = toPlainObject(objValue);
      } else if (!isObject$2(objValue) || isFunction(objValue)) {
        newValue = initCloneObject(srcValue);
      }
    } else {
      isCommon = false;
    }
  }
  if (isCommon) {
    stack.set(srcValue, newValue);
    mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
    stack["delete"](srcValue);
  }
  assignMergeValue$1(object, key, newValue);
}
var _baseMergeDeep = baseMergeDeep$1;
var Stack$1 = _Stack, assignMergeValue = _assignMergeValue, baseFor = _baseFor, baseMergeDeep = _baseMergeDeep, isObject$1 = isObject_1, keysIn = keysIn_1, safeGet = _safeGet;
function baseMerge$1(object, source, srcIndex, customizer, stack) {
  if (object === source) {
    return;
  }
  baseFor(source, function(srcValue, key) {
    stack || (stack = new Stack$1());
    if (isObject$1(srcValue)) {
      baseMergeDeep(object, source, key, srcIndex, baseMerge$1, customizer, stack);
    } else {
      var newValue = customizer ? customizer(safeGet(object, key), srcValue, key + "", object, source, stack) : void 0;
      if (newValue === void 0) {
        newValue = srcValue;
      }
      assignMergeValue(object, key, newValue);
    }
  }, keysIn);
}
var _baseMerge = baseMerge$1;
function identity$2(value) {
  return value;
}
var identity_1 = identity$2;
function apply$1(func, thisArg, args) {
  switch (args.length) {
    case 0:
      return func.call(thisArg);
    case 1:
      return func.call(thisArg, args[0]);
    case 2:
      return func.call(thisArg, args[0], args[1]);
    case 3:
      return func.call(thisArg, args[0], args[1], args[2]);
  }
  return func.apply(thisArg, args);
}
var _apply = apply$1;
var apply = _apply;
var nativeMax = Math.max;
function overRest$1(func, start, transform) {
  start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
  return function() {
    var args = arguments, index2 = -1, length = nativeMax(args.length - start, 0), array = Array(length);
    while (++index2 < length) {
      array[index2] = args[start + index2];
    }
    index2 = -1;
    var otherArgs = Array(start + 1);
    while (++index2 < start) {
      otherArgs[index2] = args[index2];
    }
    otherArgs[start] = transform(array);
    return apply(func, this, otherArgs);
  };
}
var _overRest = overRest$1;
function constant$1(value) {
  return function() {
    return value;
  };
}
var constant_1 = constant$1;
var constant = constant_1, defineProperty = _defineProperty, identity$1 = identity_1;
var baseSetToString$1 = !defineProperty ? identity$1 : function(func, string) {
  return defineProperty(func, "toString", {
    "configurable": true,
    "enumerable": false,
    "value": constant(string),
    "writable": true
  });
};
var _baseSetToString = baseSetToString$1;
var HOT_COUNT = 800, HOT_SPAN = 16;
var nativeNow = Date.now;
function shortOut$1(func) {
  var count = 0, lastCalled = 0;
  return function() {
    var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
    lastCalled = stamp;
    if (remaining > 0) {
      if (++count >= HOT_COUNT) {
        return arguments[0];
      }
    } else {
      count = 0;
    }
    return func.apply(void 0, arguments);
  };
}
var _shortOut = shortOut$1;
var baseSetToString = _baseSetToString, shortOut = _shortOut;
var setToString$1 = shortOut(baseSetToString);
var _setToString = setToString$1;
var identity = identity_1, overRest = _overRest, setToString = _setToString;
function baseRest$1(func, start) {
  return setToString(overRest(func, start, identity), func + "");
}
var _baseRest = baseRest$1;
var eq$1 = eq_1, isArrayLike$1 = isArrayLike_1, isIndex = _isIndex, isObject = isObject_1;
function isIterateeCall$1(value, index2, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index2;
  if (type == "number" ? isArrayLike$1(object) && isIndex(index2, object.length) : type == "string" && index2 in object) {
    return eq$1(object[index2], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall$1;
var baseRest = _baseRest, isIterateeCall = _isIterateeCall;
function createAssigner$3(assigner) {
  return baseRest(function(object, sources) {
    var index2 = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : void 0, guard = length > 2 ? sources[2] : void 0;
    customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : void 0;
    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
      customizer = length < 3 ? void 0 : customizer;
      length = 1;
    }
    object = Object(object);
    while (++index2 < length) {
      var source = sources[index2];
      if (source) {
        assigner(object, source, index2, customizer);
      }
    }
    return object;
  });
}
var _createAssigner = createAssigner$3;
var baseMerge = _baseMerge, createAssigner$2 = _createAssigner;
var merge = createAssigner$2(function(object, source, srcIndex) {
  baseMerge(object, source, srcIndex);
});
var merge_1 = merge;
function mergeLocale(base2, patch) {
  return merge_1(cloneDeep_1(base2), patch);
}
const typeTemplate$1 = "${label} is not a valid ${type}";
const base = {
  locale: "en",
  common: {
    confirm: "Confirm",
    cancel: "Cancel",
    loading: "Loading"
  },
  Calendar: {
    markItems: ["Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun"],
    renderYearAndMonth: (year, month) => `${year}/${month}`
  },
  Cascader: {
    placeholder: "Selecting"
  },
  Dialog: {
    ok: "OK"
  },
  ErrorBlock: {
    default: {
      title: "Oops, something went wrong",
      description: "Please wait a minute and try again"
    },
    busy: {
      title: "Oops, not loading",
      description: "Try to refresh the page"
    },
    disconnected: {
      title: "Network is busy",
      description: "Try to refresh the page"
    },
    empty: {
      title: "Hmm, couldn't find that...",
      description: "Want to try a new search?"
    }
  },
  Form: {
    required: "Required",
    optional: "Optional",
    defaultValidateMessages: {
      default: "Field validation error for ${label}",
      required: "Please enter ${label}",
      enum: "${label} must be one of [${enum}]",
      whitespace: "${label} cannot be a blank character",
      date: {
        format: "${label} date format is invalid",
        parse: "${label} cannot be converted to a date",
        invalid: "${label} is an invalid date"
      },
      types: {
        string: typeTemplate$1,
        method: typeTemplate$1,
        array: typeTemplate$1,
        object: typeTemplate$1,
        number: typeTemplate$1,
        date: typeTemplate$1,
        boolean: typeTemplate$1,
        integer: typeTemplate$1,
        float: typeTemplate$1,
        regexp: typeTemplate$1,
        email: typeTemplate$1,
        url: typeTemplate$1,
        hex: typeTemplate$1
      },
      string: {
        len: "${label} must be ${len} characters",
        min: "${label} must be at least ${min} characters",
        max: "${label} must be up to ${max} characters",
        range: "${label} must be between ${min}-${max} characters"
      },
      number: {
        len: "${label} must be equal to ${len}",
        min: "${label} must be minimum ${min}",
        max: "${label} must be maximum ${max}",
        range: "${label} must be between ${min}-${max}"
      },
      array: {
        len: "Must be ${len} ${label}",
        min: "At least ${min} ${label}",
        max: "At most ${max} ${label}",
        range: "The amount of ${label} must be between ${min}-${max}"
      },
      pattern: {
        mismatch: "${label} does not match the pattern ${pattern}"
      }
    }
  },
  ImageUploader: {
    uploading: "Uploading...",
    upload: "Upload"
  },
  InfiniteScroll: {
    noMore: "No more",
    failedToLoad: "Failed to load",
    retry: "Retry"
  },
  Mask: {
    name: "Mask"
  },
  Modal: {
    ok: "OK"
  },
  PullToRefresh: {
    pulling: "Scroll down to refresh",
    canRelease: "Release to refresh immediately",
    complete: "Refresh successful"
  },
  Slider: {
    name: "Slider"
  },
  Stepper: {
    decrease: "decrease",
    increase: "increase"
  },
  Switch: {
    name: "Switch"
  }
};
const typeTemplate = "${label}\u4E0D\u662F\u4E00\u4E2A\u6709\u6548\u7684${type}";
const zhCN = mergeLocale(base, {
  locale: "zh-CH",
  common: {
    confirm: "\u786E\u5B9A",
    cancel: "\u53D6\u6D88",
    loading: "\u52A0\u8F7D\u4E2D"
  },
  Calendar: {
    markItems: ["\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D", "\u65E5"],
    renderYearAndMonth: (year, month) => `${year}\u5E74${month}\u6708`
  },
  Cascader: {
    placeholder: "\u8BF7\u9009\u62E9"
  },
  Dialog: {
    ok: "\u6211\u77E5\u9053\u4E86"
  },
  ErrorBlock: {
    default: {
      title: "\u9875\u9762\u9047\u5230\u4E00\u4E9B\u5C0F\u95EE\u9898",
      description: "\u5F85\u4F1A\u6765\u8BD5\u8BD5"
    },
    busy: {
      title: "\u524D\u65B9\u62E5\u5835",
      description: "\u5237\u65B0\u8BD5\u8BD5"
    },
    disconnected: {
      title: "\u7F51\u7EDC\u6709\u70B9\u5FD9",
      description: "\u52A8\u52A8\u624B\u6307\u5E2E\u5FD9\u4FEE\u590D"
    },
    empty: {
      title: "\u6CA1\u6709\u627E\u5230\u4F60\u9700\u8981\u7684\u4E1C\u897F",
      description: "\u627E\u627E\u5176\u4ED6\u7684\u5427"
    }
  },
  Form: {
    required: "\u5FC5\u586B",
    optional: "\u9009\u586B",
    defaultValidateMessages: {
      default: "\u5B57\u6BB5\u9A8C\u8BC1\u9519\u8BEF${label}",
      required: "\u8BF7\u8F93\u5165${label}",
      enum: "${label}\u5FC5\u987B\u662F\u5176\u4E2D\u4E00\u4E2A[${enum}]",
      whitespace: "${label}\u4E0D\u80FD\u4E3A\u7A7A\u5B57\u7B26",
      date: {
        format: "${label}\u65E5\u671F\u683C\u5F0F\u65E0\u6548",
        parse: "${label}\u4E0D\u80FD\u8F6C\u6362\u4E3A\u65E5\u671F",
        invalid: "${label}\u662F\u4E00\u4E2A\u65E0\u6548\u65E5\u671F"
      },
      types: {
        string: typeTemplate,
        method: typeTemplate,
        array: typeTemplate,
        object: typeTemplate,
        number: typeTemplate,
        date: typeTemplate,
        boolean: typeTemplate,
        integer: typeTemplate,
        float: typeTemplate,
        regexp: typeTemplate,
        email: typeTemplate,
        url: typeTemplate,
        hex: typeTemplate
      },
      string: {
        len: "${label}\u987B\u4E3A${len}\u4E2A\u5B57\u7B26",
        min: "${label}\u6700\u5C11${min}\u4E2A\u5B57\u7B26",
        max: "${label}\u6700\u591A${max}\u4E2A\u5B57\u7B26",
        range: "${label}\u987B\u5728${min}-${max}\u5B57\u7B26\u4E4B\u95F4"
      },
      number: {
        len: "${label}\u5FC5\u987B\u7B49\u4E8E${len}",
        min: "${label}\u6700\u5C0F\u503C\u4E3A${min}",
        max: "${label}\u6700\u5927\u503C\u4E3A${max}",
        range: "${label}\u987B\u5728${min}-${max}\u4E4B\u95F4"
      },
      array: {
        len: "\u987B\u4E3A${len}\u4E2A${label}",
        min: "\u6700\u5C11${min}\u4E2A${label}",
        max: "\u6700\u591A${max}\u4E2A${label}",
        range: "${label}\u6570\u91CF\u987B\u5728${min}-${max}\u4E4B\u95F4"
      },
      pattern: {
        mismatch: "${label}\u4E0E\u6A21\u5F0F\u4E0D\u5339\u914D${pattern}"
      }
    }
  },
  ImageUploader: {
    uploading: "\u4E0A\u4F20\u4E2D...",
    upload: "\u4E0A\u4F20"
  },
  InfiniteScroll: {
    noMore: "\u6CA1\u6709\u66F4\u591A\u4E86",
    failedToLoad: "\u52A0\u8F7D\u5931\u8D25",
    retry: "\u91CD\u65B0\u52A0\u8F7D"
  },
  Mask: {
    name: "\u906E\u7F69\u5C42"
  },
  Modal: {
    ok: "\u6211\u77E5\u9053\u4E86"
  },
  PullToRefresh: {
    pulling: "\u4E0B\u62C9\u5237\u65B0",
    canRelease: "\u91CA\u653E\u7ACB\u5373\u5237\u65B0",
    complete: "\u5237\u65B0\u6210\u529F"
  },
  Slider: {
    name: "\u6ED1\u52A8\u8F93\u5165\u6761"
  },
  Stepper: {
    decrease: "\u51CF\u5C11",
    increase: "\u589E\u52A0"
  },
  Switch: {
    name: "\u5F00\u5173"
  }
});
const defaultConfigRef = {
  current: {
    locale: zhCN
  }
};
function setDefaultConfig(config2) {
  defaultConfigRef.current = config2;
}
function getDefaultConfig() {
  return defaultConfigRef.current;
}
const ConfigContext = React__default["default"].createContext(null);
const ConfigProvider = (props) => {
  const {
    children
  } = props, config2 = tslib.__rest(props, ["children"]);
  const parentConfig = useConfig();
  return React__default["default"].createElement(ConfigContext.Provider, {
    value: Object.assign(Object.assign({}, parentConfig), config2)
  }, children);
};
function useConfig() {
  var _a;
  return (_a = React$1.useContext(ConfigContext)) !== null && _a !== void 0 ? _a : getDefaultConfig();
}
var actionSheet = /* @__PURE__ */ (() => ".adm-action-sheet-popup > .adm-popup-body {\n  border-top-left-radius: 8px;\n  border-top-right-radius: 8px;\n  overflow: hidden;\n}\n.adm-action-sheet-extra {\n  display: flex;\n  justify-content: center;\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-7);\n  padding: 18px 12px;\n  border-bottom: 1px solid var(--adm-color-border);\n}\n.adm-action-sheet-button-list {\n  border-bottom: 1px solid var(--adm-color-border);\n}\n.adm-action-sheet-button-item-wrapper {\n  border-bottom: 1px solid var(--adm-color-border);\n}\n.adm-action-sheet-button-item-wrapper:last-child {\n  border-bottom: none;\n}\n.adm-action-sheet-button-item {\n  text-align: center;\n  display: block;\n  background-color: var(--adm-color-background);\n  padding: 16px;\n}\n.adm-action-sheet-button-item:active {\n  background-color: #eeeeee;\n}\n.adm-action-sheet-button-item-disabled {\n  cursor: not-allowed;\n  pointer-events: none;\n  opacity: 0.4;\n}\n.adm-action-sheet-button-item-name {\n  color: var(--adm-color-text);\n  font-size: var(--adm-font-size-10);\n}\n.adm-action-sheet-button-item-description {\n  font-size: var(--adm-font-size-4);\n  color: var(--adm-color-weak);\n  padding-top: 2px;\n}\n.adm-action-sheet-button-item-danger .adm-action-sheet-button-item-name {\n  color: var(--adm-color-danger);\n}\n.adm-action-sheet-cancel {\n  background-color: var(--adm-color-box);\n  padding-top: 8px;\n}\n")();
function attachPropertiesToComponent(component, properties) {
  const ret = component;
  for (const key in properties) {
    if (properties.hasOwnProperty(key)) {
      ret[key] = properties[key];
    }
  }
  return ret;
}
function withNativeProps(props, element) {
  const p2 = Object.assign({}, element.props);
  if (props.className) {
    p2.className = classNames__default["default"](element.props.className, props.className);
  }
  if (props.style) {
    p2.style = Object.assign(Object.assign({}, p2.style), props.style);
  }
  if (props.tabIndex !== void 0) {
    p2.tabIndex = props.tabIndex;
  }
  for (const key in props) {
    if (!props.hasOwnProperty(key))
      continue;
    if (key.startsWith("data-") || key.startsWith("aria-")) {
      p2[key] = props[key];
    }
  }
  return React__default["default"].cloneElement(element, p2);
}
var assignValue = _assignValue, copyObject$1 = _copyObject, createAssigner$1 = _createAssigner, isArrayLike = isArrayLike_1, isPrototype = _isPrototype, keys$1 = keys_1;
var objectProto$2 = Object.prototype;
var hasOwnProperty$2 = objectProto$2.hasOwnProperty;
var assign = createAssigner$1(function(object, source) {
  if (isPrototype(source) || isArrayLike(source)) {
    copyObject$1(source, keys$1(source), object);
    return;
  }
  for (var key in source) {
    if (hasOwnProperty$2.call(source, key)) {
      assignValue(object, key, source[key]);
    }
  }
});
var assign_1 = assign;
var copyObject = _copyObject, createAssigner = _createAssigner, keys = keys_1;
var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
  copyObject(source, keys(source), object, customizer);
});
var assignWith_1 = assignWith;
function isUndefined(value) {
  return value === void 0;
}
var isUndefined_1 = isUndefined;
function mergeProps(...items) {
  function customizer(objValue, srcValue) {
    return isUndefined_1(srcValue) ? objValue : srcValue;
  }
  let ret = assign_1({}, items[0]);
  for (let i = 1; i < items.length; i++) {
    ret = assignWith_1(ret, items[i], customizer);
  }
  return ret;
}
var popup = /* @__PURE__ */ (() => ".adm-popup {\n  --z-index: var(--adm-popup-z-index, 1000);\n  position: fixed;\n  z-index: var(--z-index);\n}\n.adm-popup-body {\n  position: fixed;\n  background-color: var(--adm-color-background);\n  z-index: calc(var(--z-index) + 10);\n}\n.adm-popup-body .adm-popup-close-icon {\n  position: absolute;\n  z-index: 100;\n}\n.adm-popup-body-position-bottom {\n  width: 100%;\n  bottom: 0;\n  left: 0;\n}\n.adm-popup-body-position-bottom .adm-popup-close-icon {\n  right: 8px;\n  top: 8px;\n}\n.adm-popup-body-position-top {\n  width: 100%;\n  top: 0;\n  left: 0;\n}\n.adm-popup-body-position-top .adm-popup-close-icon {\n  right: 8px;\n  bottom: 8px;\n}\n.adm-popup-body-position-left {\n  height: 100%;\n  top: 0;\n  left: 0;\n}\n.adm-popup-body-position-left .adm-popup-close-icon {\n  right: 8px;\n  top: 8px;\n}\n.adm-popup-body-position-right {\n  height: 100%;\n  top: 0;\n  right: 0;\n}\n.adm-popup-body-position-right .adm-popup-close-icon {\n  left: 8px;\n  top: 8px;\n}\n.adm-popup-close-icon {\n  cursor: pointer;\n  padding: 4px;\n  font-size: 18px;\n  color: var(--adm-color-weak);\n}\n")();
var mask = /* @__PURE__ */ (() => ".adm-mask {\n  --z-index: var(--adm-mask-z-index, 1000);\n  position: fixed;\n  top: 0;\n  left: 0;\n  z-index: var(--z-index);\n  display: block;\n  width: 100%;\n  height: 100%;\n}\n.adm-mask-aria-button {\n  position: absolute;\n  top: 0;\n  left: 0;\n  z-index: 0;\n  width: 100%;\n  height: 100%;\n  pointer-events: none;\n}\n.adm-mask-content {\n  z-index: 1;\n}\n")();
const MIN_DISTANCE = 10;
function getDirection(x, y) {
  if (x > y && x > MIN_DISTANCE) {
    return "horizontal";
  }
  if (y > x && y > MIN_DISTANCE) {
    return "vertical";
  }
  return "";
}
function useTouch() {
  const startX = React$1.useRef(0);
  const startY = React$1.useRef(0);
  const deltaX = React$1.useRef(0);
  const deltaY = React$1.useRef(0);
  const offsetX = React$1.useRef(0);
  const offsetY = React$1.useRef(0);
  const direction = React$1.useRef("");
  const isVertical = () => direction.current === "vertical";
  const isHorizontal = () => direction.current === "horizontal";
  const reset = () => {
    deltaX.current = 0;
    deltaY.current = 0;
    offsetX.current = 0;
    offsetY.current = 0;
    direction.current = "";
  };
  const start = (event) => {
    reset();
    startX.current = event.touches[0].clientX;
    startY.current = event.touches[0].clientY;
  };
  const move = (event) => {
    const touch = event.touches[0];
    deltaX.current = touch.clientX < 0 ? 0 : touch.clientX - startX.current;
    deltaY.current = touch.clientY - startY.current;
    offsetX.current = Math.abs(deltaX.current);
    offsetY.current = Math.abs(deltaY.current);
    if (!direction.current) {
      direction.current = getDirection(offsetX.current, offsetY.current);
    }
  };
  return {
    move,
    start,
    reset,
    startX,
    startY,
    deltaX,
    deltaY,
    offsetX,
    offsetY,
    direction,
    isVertical,
    isHorizontal
  };
}
const defaultRoot = canUseDom ? window : void 0;
const overflowStylePatterns = ["scroll", "auto", "overlay"];
function isElement(node) {
  const ELEMENT_NODE_TYPE = 1;
  return node.nodeType === ELEMENT_NODE_TYPE;
}
function getScrollParent(el2, root2 = defaultRoot) {
  let node = el2;
  while (node && node !== root2 && isElement(node)) {
    if (node === document.body) {
      return root2;
    }
    const {
      overflowY
    } = window.getComputedStyle(node);
    if (overflowStylePatterns.includes(overflowY) && node.scrollHeight > node.clientHeight) {
      return node;
    }
    node = node.parentNode;
  }
  return root2;
}
let supportsPassive = false;
if (canUseDom) {
  try {
    const opts = {};
    Object.defineProperty(opts, "passive", {
      get() {
        supportsPassive = true;
      }
    });
    window.addEventListener("test-passive", null, opts);
  } catch (e2) {
  }
}
let totalLockCount = 0;
const BODY_LOCK_CLASS = "adm-overflow-hidden";
function useLockScroll(rootRef, shouldLock) {
  const touch = useTouch();
  const onTouchMove = (event) => {
    touch.move(event);
    const direction = touch.deltaY.current > 0 ? "10" : "01";
    const el2 = getScrollParent(event.target, rootRef.current);
    if (!el2)
      return;
    const {
      scrollHeight,
      offsetHeight,
      scrollTop
    } = el2;
    let status = "11";
    if (scrollTop === 0) {
      status = offsetHeight >= scrollHeight ? "00" : "01";
    } else if (scrollTop + offsetHeight >= scrollHeight) {
      status = "10";
    }
    if (status !== "11" && touch.isVertical() && !(parseInt(status, 2) & parseInt(direction, 2))) {
      if (event.cancelable) {
        event.preventDefault();
      }
    }
  };
  const lock = () => {
    document.addEventListener("touchstart", touch.start);
    document.addEventListener("touchmove", onTouchMove, supportsPassive ? {
      passive: false
    } : false);
    if (!totalLockCount) {
      document.body.classList.add(BODY_LOCK_CLASS);
    }
    totalLockCount++;
  };
  const unlock = () => {
    if (totalLockCount) {
      document.removeEventListener("touchstart", touch.start);
      document.removeEventListener("touchmove", onTouchMove);
      totalLockCount--;
      if (!totalLockCount) {
        document.body.classList.remove(BODY_LOCK_CLASS);
      }
    }
  };
  React$1.useEffect(() => {
    if (shouldLock) {
      lock();
      return () => {
        unlock();
      };
    }
  }, [shouldLock]);
}
var reactDom$1 = { exports: {} };
var reactDom_production_min = {};
var scheduler = { exports: {} };
var scheduler_production_min = {};
/**
 * @license React
 * scheduler.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
(function(exports2) {
  function f(a, b) {
    var c = a.length;
    a.push(b);
    a:
      for (; 0 < c; ) {
        var d = c - 1 >>> 1, e2 = a[d];
        if (0 < g(e2, b))
          a[d] = b, a[c] = e2, c = d;
        else
          break a;
      }
  }
  function h2(a) {
    return a.length === 0 ? null : a[0];
  }
  function k2(a) {
    if (a.length === 0)
      return null;
    var b = a[0], c = a.pop();
    if (c !== b) {
      a[0] = c;
      a:
        for (var d = 0, e2 = a.length, w = e2 >>> 1; d < w; ) {
          var m2 = 2 * (d + 1) - 1, C2 = a[m2], n2 = m2 + 1, x = a[n2];
          if (0 > g(C2, c))
            n2 < e2 && 0 > g(x, C2) ? (a[d] = x, a[n2] = c, d = n2) : (a[d] = C2, a[m2] = c, d = m2);
          else if (n2 < e2 && 0 > g(x, c))
            a[d] = x, a[n2] = c, d = n2;
          else
            break a;
        }
    }
    return b;
  }
  function g(a, b) {
    var c = a.sortIndex - b.sortIndex;
    return c !== 0 ? c : a.id - b.id;
  }
  if (typeof performance === "object" && typeof performance.now === "function") {
    var l2 = performance;
    exports2.unstable_now = function() {
      return l2.now();
    };
  } else {
    var p2 = Date, q2 = p2.now();
    exports2.unstable_now = function() {
      return p2.now() - q2;
    };
  }
  var r2 = [], t2 = [], u2 = 1, v2 = null, y = 3, z2 = false, A2 = false, B2 = false, D2 = typeof setTimeout === "function" ? setTimeout : null, E2 = typeof clearTimeout === "function" ? clearTimeout : null, F = typeof setImmediate !== "undefined" ? setImmediate : null;
  typeof navigator !== "undefined" && navigator.scheduling !== void 0 && navigator.scheduling.isInputPending !== void 0 && navigator.scheduling.isInputPending.bind(navigator.scheduling);
  function G2(a) {
    for (var b = h2(t2); b !== null; ) {
      if (b.callback === null)
        k2(t2);
      else if (b.startTime <= a)
        k2(t2), b.sortIndex = b.expirationTime, f(r2, b);
      else
        break;
      b = h2(t2);
    }
  }
  function H2(a) {
    B2 = false;
    G2(a);
    if (!A2)
      if (h2(r2) !== null)
        A2 = true, I2(J);
      else {
        var b = h2(t2);
        b !== null && K2(H2, b.startTime - a);
      }
  }
  function J(a, b) {
    A2 = false;
    B2 && (B2 = false, E2(L2), L2 = -1);
    z2 = true;
    var c = y;
    try {
      G2(b);
      for (v2 = h2(r2); v2 !== null && (!(v2.expirationTime > b) || a && !M2()); ) {
        var d = v2.callback;
        if (typeof d === "function") {
          v2.callback = null;
          y = v2.priorityLevel;
          var e2 = d(v2.expirationTime <= b);
          b = exports2.unstable_now();
          typeof e2 === "function" ? v2.callback = e2 : v2 === h2(r2) && k2(r2);
          G2(b);
        } else
          k2(r2);
        v2 = h2(r2);
      }
      if (v2 !== null)
        var w = true;
      else {
        var m2 = h2(t2);
        m2 !== null && K2(H2, m2.startTime - b);
        w = false;
      }
      return w;
    } finally {
      v2 = null, y = c, z2 = false;
    }
  }
  var N2 = false, O2 = null, L2 = -1, P2 = 5, Q2 = -1;
  function M2() {
    return exports2.unstable_now() - Q2 < P2 ? false : true;
  }
  function R2() {
    if (O2 !== null) {
      var a = exports2.unstable_now();
      Q2 = a;
      var b = true;
      try {
        b = O2(true, a);
      } finally {
        b ? S2() : (N2 = false, O2 = null);
      }
    } else
      N2 = false;
  }
  var S2;
  if (typeof F === "function")
    S2 = function() {
      F(R2);
    };
  else if (typeof MessageChannel !== "undefined") {
    var T2 = new MessageChannel(), U2 = T2.port2;
    T2.port1.onmessage = R2;
    S2 = function() {
      U2.postMessage(null);
    };
  } else
    S2 = function() {
      D2(R2, 0);
    };
  function I2(a) {
    O2 = a;
    N2 || (N2 = true, S2());
  }
  function K2(a, b) {
    L2 = D2(function() {
      a(exports2.unstable_now());
    }, b);
  }
  exports2.unstable_IdlePriority = 5;
  exports2.unstable_ImmediatePriority = 1;
  exports2.unstable_LowPriority = 4;
  exports2.unstable_NormalPriority = 3;
  exports2.unstable_Profiling = null;
  exports2.unstable_UserBlockingPriority = 2;
  exports2.unstable_cancelCallback = function(a) {
    a.callback = null;
  };
  exports2.unstable_continueExecution = function() {
    A2 || z2 || (A2 = true, I2(J));
  };
  exports2.unstable_forceFrameRate = function(a) {
    0 > a || 125 < a ? console.error("forceFrameRate takes a positive int between 0 and 125, forcing frame rates higher than 125 fps is not supported") : P2 = 0 < a ? Math.floor(1e3 / a) : 5;
  };
  exports2.unstable_getCurrentPriorityLevel = function() {
    return y;
  };
  exports2.unstable_getFirstCallbackNode = function() {
    return h2(r2);
  };
  exports2.unstable_next = function(a) {
    switch (y) {
      case 1:
      case 2:
      case 3:
        var b = 3;
        break;
      default:
        b = y;
    }
    var c = y;
    y = b;
    try {
      return a();
    } finally {
      y = c;
    }
  };
  exports2.unstable_pauseExecution = function() {
  };
  exports2.unstable_requestPaint = function() {
  };
  exports2.unstable_runWithPriority = function(a, b) {
    switch (a) {
      case 1:
      case 2:
      case 3:
      case 4:
      case 5:
        break;
      default:
        a = 3;
    }
    var c = y;
    y = a;
    try {
      return b();
    } finally {
      y = c;
    }
  };
  exports2.unstable_scheduleCallback = function(a, b, c) {
    var d = exports2.unstable_now();
    typeof c === "object" && c !== null ? (c = c.delay, c = typeof c === "number" && 0 < c ? d + c : d) : c = d;
    switch (a) {
      case 1:
        var e2 = -1;
        break;
      case 2:
        e2 = 250;
        break;
      case 5:
        e2 = 1073741823;
        break;
      case 4:
        e2 = 1e4;
        break;
      default:
        e2 = 5e3;
    }
    e2 = c + e2;
    a = { id: u2++, callback: b, priorityLevel: a, startTime: c, expirationTime: e2, sortIndex: -1 };
    c > d ? (a.sortIndex = c, f(t2, a), h2(r2) === null && a === h2(t2) && (B2 ? (E2(L2), L2 = -1) : B2 = true, K2(H2, c - d))) : (a.sortIndex = e2, f(r2, a), A2 || z2 || (A2 = true, I2(J)));
    return a;
  };
  exports2.unstable_shouldYield = M2;
  exports2.unstable_wrapCallback = function(a) {
    var b = y;
    return function() {
      var c = y;
      y = b;
      try {
        return a.apply(this, arguments);
      } finally {
        y = c;
      }
    };
  };
})(scheduler_production_min);
{
  scheduler.exports = scheduler_production_min;
}
/**
 * @license React
 * react-dom.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var aa = React__default["default"], ca = scheduler.exports;
function p$1(a) {
  for (var b = "https://reactjs.org/docs/error-decoder.html?invariant=" + a, c = 1; c < arguments.length; c++)
    b += "&args[]=" + encodeURIComponent(arguments[c]);
  return "Minified React error #" + a + "; visit " + b + " for the full message or use the non-minified dev environment for full errors and additional helpful warnings.";
}
var da = /* @__PURE__ */ new Set(), ea = {};
function fa(a, b) {
  ha(a, b);
  ha(a + "Capture", b);
}
function ha(a, b) {
  ea[a] = b;
  for (a = 0; a < b.length; a++)
    da.add(b[a]);
}
var ia = !(typeof window === "undefined" || typeof window.document === "undefined" || typeof window.document.createElement === "undefined"), ja = Object.prototype.hasOwnProperty, ka = /^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/, la = {}, ma = {};
function oa(a) {
  if (ja.call(ma, a))
    return true;
  if (ja.call(la, a))
    return false;
  if (ka.test(a))
    return ma[a] = true;
  la[a] = true;
  return false;
}
function pa(a, b, c, d) {
  if (c !== null && c.type === 0)
    return false;
  switch (typeof b) {
    case "function":
    case "symbol":
      return true;
    case "boolean":
      if (d)
        return false;
      if (c !== null)
        return !c.acceptsBooleans;
      a = a.toLowerCase().slice(0, 5);
      return a !== "data-" && a !== "aria-";
    default:
      return false;
  }
}
function qa(a, b, c, d) {
  if (b === null || typeof b === "undefined" || pa(a, b, c, d))
    return true;
  if (d)
    return false;
  if (c !== null)
    switch (c.type) {
      case 3:
        return !b;
      case 4:
        return b === false;
      case 5:
        return isNaN(b);
      case 6:
        return isNaN(b) || 1 > b;
    }
  return false;
}
function v(a, b, c, d, e2, f, g) {
  this.acceptsBooleans = b === 2 || b === 3 || b === 4;
  this.attributeName = d;
  this.attributeNamespace = e2;
  this.mustUseProperty = c;
  this.propertyName = a;
  this.type = b;
  this.sanitizeURL = f;
  this.removeEmptyString = g;
}
var z = {};
"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach(function(a) {
  z[a] = new v(a, 0, false, a, null, false, false);
});
[["acceptCharset", "accept-charset"], ["className", "class"], ["htmlFor", "for"], ["httpEquiv", "http-equiv"]].forEach(function(a) {
  var b = a[0];
  z[b] = new v(b, 1, false, a[1], null, false, false);
});
["contentEditable", "draggable", "spellCheck", "value"].forEach(function(a) {
  z[a] = new v(a, 2, false, a.toLowerCase(), null, false, false);
});
["autoReverse", "externalResourcesRequired", "focusable", "preserveAlpha"].forEach(function(a) {
  z[a] = new v(a, 2, false, a, null, false, false);
});
"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach(function(a) {
  z[a] = new v(a, 3, false, a.toLowerCase(), null, false, false);
});
["checked", "multiple", "muted", "selected"].forEach(function(a) {
  z[a] = new v(a, 3, true, a, null, false, false);
});
["capture", "download"].forEach(function(a) {
  z[a] = new v(a, 4, false, a, null, false, false);
});
["cols", "rows", "size", "span"].forEach(function(a) {
  z[a] = new v(a, 6, false, a, null, false, false);
});
["rowSpan", "start"].forEach(function(a) {
  z[a] = new v(a, 5, false, a.toLowerCase(), null, false, false);
});
var ra = /[\-:]([a-z])/g;
function sa(a) {
  return a[1].toUpperCase();
}
"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach(function(a) {
  var b = a.replace(ra, sa);
  z[b] = new v(b, 1, false, a, null, false, false);
});
"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach(function(a) {
  var b = a.replace(ra, sa);
  z[b] = new v(b, 1, false, a, "http://www.w3.org/1999/xlink", false, false);
});
["xml:base", "xml:lang", "xml:space"].forEach(function(a) {
  var b = a.replace(ra, sa);
  z[b] = new v(b, 1, false, a, "http://www.w3.org/XML/1998/namespace", false, false);
});
["tabIndex", "crossOrigin"].forEach(function(a) {
  z[a] = new v(a, 1, false, a.toLowerCase(), null, false, false);
});
z.xlinkHref = new v("xlinkHref", 1, false, "xlink:href", "http://www.w3.org/1999/xlink", true, false);
["src", "href", "action", "formAction"].forEach(function(a) {
  z[a] = new v(a, 1, false, a.toLowerCase(), null, true, true);
});
function ta(a, b, c, d) {
  var e2 = z.hasOwnProperty(b) ? z[b] : null;
  if (e2 !== null ? e2.type !== 0 : d || !(2 < b.length) || b[0] !== "o" && b[0] !== "O" || b[1] !== "n" && b[1] !== "N")
    qa(b, c, e2, d) && (c = null), d || e2 === null ? oa(b) && (c === null ? a.removeAttribute(b) : a.setAttribute(b, "" + c)) : e2.mustUseProperty ? a[e2.propertyName] = c === null ? e2.type === 3 ? false : "" : c : (b = e2.attributeName, d = e2.attributeNamespace, c === null ? a.removeAttribute(b) : (e2 = e2.type, c = e2 === 3 || e2 === 4 && c === true ? "" : "" + c, d ? a.setAttributeNS(d, b, c) : a.setAttribute(b, c)));
}
var ua = aa.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED, va = Symbol.for("react.element"), wa = Symbol.for("react.portal"), ya = Symbol.for("react.fragment"), za = Symbol.for("react.strict_mode"), Aa = Symbol.for("react.profiler"), Ba = Symbol.for("react.provider"), Ca = Symbol.for("react.context"), Da = Symbol.for("react.forward_ref"), Ea = Symbol.for("react.suspense"), Fa = Symbol.for("react.suspense_list"), Ga = Symbol.for("react.memo"), Ha = Symbol.for("react.lazy");
var Ia = Symbol.for("react.offscreen");
var Ja = Symbol.iterator;
function Ka(a) {
  if (a === null || typeof a !== "object")
    return null;
  a = Ja && a[Ja] || a["@@iterator"];
  return typeof a === "function" ? a : null;
}
var A = Object.assign, La;
function Ma(a) {
  if (La === void 0)
    try {
      throw Error();
    } catch (c) {
      var b = c.stack.trim().match(/\n( *(at )?)/);
      La = b && b[1] || "";
    }
  return "\n" + La + a;
}
var Na = false;
function Oa(a, b) {
  if (!a || Na)
    return "";
  Na = true;
  var c = Error.prepareStackTrace;
  Error.prepareStackTrace = void 0;
  try {
    if (b)
      if (b = function() {
        throw Error();
      }, Object.defineProperty(b.prototype, "props", { set: function() {
        throw Error();
      } }), typeof Reflect === "object" && Reflect.construct) {
        try {
          Reflect.construct(b, []);
        } catch (l2) {
          var d = l2;
        }
        Reflect.construct(a, [], b);
      } else {
        try {
          b.call();
        } catch (l2) {
          d = l2;
        }
        a.call(b.prototype);
      }
    else {
      try {
        throw Error();
      } catch (l2) {
        d = l2;
      }
      a();
    }
  } catch (l2) {
    if (l2 && d && typeof l2.stack === "string") {
      for (var e2 = l2.stack.split("\n"), f = d.stack.split("\n"), g = e2.length - 1, h2 = f.length - 1; 1 <= g && 0 <= h2 && e2[g] !== f[h2]; )
        h2--;
      for (; 1 <= g && 0 <= h2; g--, h2--)
        if (e2[g] !== f[h2]) {
          if (g !== 1 || h2 !== 1) {
            do
              if (g--, h2--, 0 > h2 || e2[g] !== f[h2]) {
                var k2 = "\n" + e2[g].replace(" at new ", " at ");
                a.displayName && k2.includes("<anonymous>") && (k2 = k2.replace("<anonymous>", a.displayName));
                return k2;
              }
            while (1 <= g && 0 <= h2);
          }
          break;
        }
    }
  } finally {
    Na = false, Error.prepareStackTrace = c;
  }
  return (a = a ? a.displayName || a.name : "") ? Ma(a) : "";
}
function Pa(a) {
  switch (a.tag) {
    case 5:
      return Ma(a.type);
    case 16:
      return Ma("Lazy");
    case 13:
      return Ma("Suspense");
    case 19:
      return Ma("SuspenseList");
    case 0:
    case 2:
    case 15:
      return a = Oa(a.type, false), a;
    case 11:
      return a = Oa(a.type.render, false), a;
    case 1:
      return a = Oa(a.type, true), a;
    default:
      return "";
  }
}
function Qa(a) {
  if (a == null)
    return null;
  if (typeof a === "function")
    return a.displayName || a.name || null;
  if (typeof a === "string")
    return a;
  switch (a) {
    case ya:
      return "Fragment";
    case wa:
      return "Portal";
    case Aa:
      return "Profiler";
    case za:
      return "StrictMode";
    case Ea:
      return "Suspense";
    case Fa:
      return "SuspenseList";
  }
  if (typeof a === "object")
    switch (a.$$typeof) {
      case Ca:
        return (a.displayName || "Context") + ".Consumer";
      case Ba:
        return (a._context.displayName || "Context") + ".Provider";
      case Da:
        var b = a.render;
        a = a.displayName;
        a || (a = b.displayName || b.name || "", a = a !== "" ? "ForwardRef(" + a + ")" : "ForwardRef");
        return a;
      case Ga:
        return b = a.displayName || null, b !== null ? b : Qa(a.type) || "Memo";
      case Ha:
        b = a._payload;
        a = a._init;
        try {
          return Qa(a(b));
        } catch (c) {
        }
    }
  return null;
}
function Ra(a) {
  var b = a.type;
  switch (a.tag) {
    case 24:
      return "Cache";
    case 9:
      return (b.displayName || "Context") + ".Consumer";
    case 10:
      return (b._context.displayName || "Context") + ".Provider";
    case 18:
      return "DehydratedFragment";
    case 11:
      return a = b.render, a = a.displayName || a.name || "", b.displayName || (a !== "" ? "ForwardRef(" + a + ")" : "ForwardRef");
    case 7:
      return "Fragment";
    case 5:
      return b;
    case 4:
      return "Portal";
    case 3:
      return "Root";
    case 6:
      return "Text";
    case 16:
      return Qa(b);
    case 8:
      return b === za ? "StrictMode" : "Mode";
    case 22:
      return "Offscreen";
    case 12:
      return "Profiler";
    case 21:
      return "Scope";
    case 13:
      return "Suspense";
    case 19:
      return "SuspenseList";
    case 25:
      return "TracingMarker";
    case 1:
    case 0:
    case 17:
    case 2:
    case 14:
    case 15:
      if (typeof b === "function")
        return b.displayName || b.name || null;
      if (typeof b === "string")
        return b;
  }
  return null;
}
function Sa(a) {
  switch (typeof a) {
    case "boolean":
    case "number":
    case "string":
    case "undefined":
      return a;
    case "object":
      return a;
    default:
      return "";
  }
}
function Ta(a) {
  var b = a.type;
  return (a = a.nodeName) && a.toLowerCase() === "input" && (b === "checkbox" || b === "radio");
}
function Ua(a) {
  var b = Ta(a) ? "checked" : "value", c = Object.getOwnPropertyDescriptor(a.constructor.prototype, b), d = "" + a[b];
  if (!a.hasOwnProperty(b) && typeof c !== "undefined" && typeof c.get === "function" && typeof c.set === "function") {
    var e2 = c.get, f = c.set;
    Object.defineProperty(a, b, { configurable: true, get: function() {
      return e2.call(this);
    }, set: function(a2) {
      d = "" + a2;
      f.call(this, a2);
    } });
    Object.defineProperty(a, b, { enumerable: c.enumerable });
    return { getValue: function() {
      return d;
    }, setValue: function(a2) {
      d = "" + a2;
    }, stopTracking: function() {
      a._valueTracker = null;
      delete a[b];
    } };
  }
}
function Va(a) {
  a._valueTracker || (a._valueTracker = Ua(a));
}
function Wa(a) {
  if (!a)
    return false;
  var b = a._valueTracker;
  if (!b)
    return true;
  var c = b.getValue();
  var d = "";
  a && (d = Ta(a) ? a.checked ? "true" : "false" : a.value);
  a = d;
  return a !== c ? (b.setValue(a), true) : false;
}
function Xa(a) {
  a = a || (typeof document !== "undefined" ? document : void 0);
  if (typeof a === "undefined")
    return null;
  try {
    return a.activeElement || a.body;
  } catch (b) {
    return a.body;
  }
}
function Ya(a, b) {
  var c = b.checked;
  return A({}, b, { defaultChecked: void 0, defaultValue: void 0, value: void 0, checked: c != null ? c : a._wrapperState.initialChecked });
}
function Za(a, b) {
  var c = b.defaultValue == null ? "" : b.defaultValue, d = b.checked != null ? b.checked : b.defaultChecked;
  c = Sa(b.value != null ? b.value : c);
  a._wrapperState = { initialChecked: d, initialValue: c, controlled: b.type === "checkbox" || b.type === "radio" ? b.checked != null : b.value != null };
}
function ab(a, b) {
  b = b.checked;
  b != null && ta(a, "checked", b, false);
}
function bb(a, b) {
  ab(a, b);
  var c = Sa(b.value), d = b.type;
  if (c != null)
    if (d === "number") {
      if (c === 0 && a.value === "" || a.value != c)
        a.value = "" + c;
    } else
      a.value !== "" + c && (a.value = "" + c);
  else if (d === "submit" || d === "reset") {
    a.removeAttribute("value");
    return;
  }
  b.hasOwnProperty("value") ? cb(a, b.type, c) : b.hasOwnProperty("defaultValue") && cb(a, b.type, Sa(b.defaultValue));
  b.checked == null && b.defaultChecked != null && (a.defaultChecked = !!b.defaultChecked);
}
function db(a, b, c) {
  if (b.hasOwnProperty("value") || b.hasOwnProperty("defaultValue")) {
    var d = b.type;
    if (!(d !== "submit" && d !== "reset" || b.value !== void 0 && b.value !== null))
      return;
    b = "" + a._wrapperState.initialValue;
    c || b === a.value || (a.value = b);
    a.defaultValue = b;
  }
  c = a.name;
  c !== "" && (a.name = "");
  a.defaultChecked = !!a._wrapperState.initialChecked;
  c !== "" && (a.name = c);
}
function cb(a, b, c) {
  if (b !== "number" || Xa(a.ownerDocument) !== a)
    c == null ? a.defaultValue = "" + a._wrapperState.initialValue : a.defaultValue !== "" + c && (a.defaultValue = "" + c);
}
var eb = Array.isArray;
function fb(a, b, c, d) {
  a = a.options;
  if (b) {
    b = {};
    for (var e2 = 0; e2 < c.length; e2++)
      b["$" + c[e2]] = true;
    for (c = 0; c < a.length; c++)
      e2 = b.hasOwnProperty("$" + a[c].value), a[c].selected !== e2 && (a[c].selected = e2), e2 && d && (a[c].defaultSelected = true);
  } else {
    c = "" + Sa(c);
    b = null;
    for (e2 = 0; e2 < a.length; e2++) {
      if (a[e2].value === c) {
        a[e2].selected = true;
        d && (a[e2].defaultSelected = true);
        return;
      }
      b !== null || a[e2].disabled || (b = a[e2]);
    }
    b !== null && (b.selected = true);
  }
}
function gb(a, b) {
  if (b.dangerouslySetInnerHTML != null)
    throw Error(p$1(91));
  return A({}, b, { value: void 0, defaultValue: void 0, children: "" + a._wrapperState.initialValue });
}
function hb(a, b) {
  var c = b.value;
  if (c == null) {
    c = b.children;
    b = b.defaultValue;
    if (c != null) {
      if (b != null)
        throw Error(p$1(92));
      if (eb(c)) {
        if (1 < c.length)
          throw Error(p$1(93));
        c = c[0];
      }
      b = c;
    }
    b == null && (b = "");
    c = b;
  }
  a._wrapperState = { initialValue: Sa(c) };
}
function ib(a, b) {
  var c = Sa(b.value), d = Sa(b.defaultValue);
  c != null && (c = "" + c, c !== a.value && (a.value = c), b.defaultValue == null && a.defaultValue !== c && (a.defaultValue = c));
  d != null && (a.defaultValue = "" + d);
}
function jb(a) {
  var b = a.textContent;
  b === a._wrapperState.initialValue && b !== "" && b !== null && (a.value = b);
}
function kb(a) {
  switch (a) {
    case "svg":
      return "http://www.w3.org/2000/svg";
    case "math":
      return "http://www.w3.org/1998/Math/MathML";
    default:
      return "http://www.w3.org/1999/xhtml";
  }
}
function lb(a, b) {
  return a == null || a === "http://www.w3.org/1999/xhtml" ? kb(b) : a === "http://www.w3.org/2000/svg" && b === "foreignObject" ? "http://www.w3.org/1999/xhtml" : a;
}
var mb, nb = function(a) {
  return typeof MSApp !== "undefined" && MSApp.execUnsafeLocalFunction ? function(b, c, d, e2) {
    MSApp.execUnsafeLocalFunction(function() {
      return a(b, c, d, e2);
    });
  } : a;
}(function(a, b) {
  if (a.namespaceURI !== "http://www.w3.org/2000/svg" || "innerHTML" in a)
    a.innerHTML = b;
  else {
    mb = mb || document.createElement("div");
    mb.innerHTML = "<svg>" + b.valueOf().toString() + "</svg>";
    for (b = mb.firstChild; a.firstChild; )
      a.removeChild(a.firstChild);
    for (; b.firstChild; )
      a.appendChild(b.firstChild);
  }
});
function ob(a, b) {
  if (b) {
    var c = a.firstChild;
    if (c && c === a.lastChild && c.nodeType === 3) {
      c.nodeValue = b;
      return;
    }
  }
  a.textContent = b;
}
var pb = {
  animationIterationCount: true,
  aspectRatio: true,
  borderImageOutset: true,
  borderImageSlice: true,
  borderImageWidth: true,
  boxFlex: true,
  boxFlexGroup: true,
  boxOrdinalGroup: true,
  columnCount: true,
  columns: true,
  flex: true,
  flexGrow: true,
  flexPositive: true,
  flexShrink: true,
  flexNegative: true,
  flexOrder: true,
  gridArea: true,
  gridRow: true,
  gridRowEnd: true,
  gridRowSpan: true,
  gridRowStart: true,
  gridColumn: true,
  gridColumnEnd: true,
  gridColumnSpan: true,
  gridColumnStart: true,
  fontWeight: true,
  lineClamp: true,
  lineHeight: true,
  opacity: true,
  order: true,
  orphans: true,
  tabSize: true,
  widows: true,
  zIndex: true,
  zoom: true,
  fillOpacity: true,
  floodOpacity: true,
  stopOpacity: true,
  strokeDasharray: true,
  strokeDashoffset: true,
  strokeMiterlimit: true,
  strokeOpacity: true,
  strokeWidth: true
}, qb = ["Webkit", "ms", "Moz", "O"];
Object.keys(pb).forEach(function(a) {
  qb.forEach(function(b) {
    b = b + a.charAt(0).toUpperCase() + a.substring(1);
    pb[b] = pb[a];
  });
});
function rb(a, b, c) {
  return b == null || typeof b === "boolean" || b === "" ? "" : c || typeof b !== "number" || b === 0 || pb.hasOwnProperty(a) && pb[a] ? ("" + b).trim() : b + "px";
}
function sb(a, b) {
  a = a.style;
  for (var c in b)
    if (b.hasOwnProperty(c)) {
      var d = c.indexOf("--") === 0, e2 = rb(c, b[c], d);
      c === "float" && (c = "cssFloat");
      d ? a.setProperty(c, e2) : a[c] = e2;
    }
}
var tb = A({ menuitem: true }, { area: true, base: true, br: true, col: true, embed: true, hr: true, img: true, input: true, keygen: true, link: true, meta: true, param: true, source: true, track: true, wbr: true });
function ub(a, b) {
  if (b) {
    if (tb[a] && (b.children != null || b.dangerouslySetInnerHTML != null))
      throw Error(p$1(137, a));
    if (b.dangerouslySetInnerHTML != null) {
      if (b.children != null)
        throw Error(p$1(60));
      if (typeof b.dangerouslySetInnerHTML !== "object" || !("__html" in b.dangerouslySetInnerHTML))
        throw Error(p$1(61));
    }
    if (b.style != null && typeof b.style !== "object")
      throw Error(p$1(62));
  }
}
function vb(a, b) {
  if (a.indexOf("-") === -1)
    return typeof b.is === "string";
  switch (a) {
    case "annotation-xml":
    case "color-profile":
    case "font-face":
    case "font-face-src":
    case "font-face-uri":
    case "font-face-format":
    case "font-face-name":
    case "missing-glyph":
      return false;
    default:
      return true;
  }
}
var wb = null;
function xb(a) {
  a = a.target || a.srcElement || window;
  a.correspondingUseElement && (a = a.correspondingUseElement);
  return a.nodeType === 3 ? a.parentNode : a;
}
var yb = null, zb = null, Ab = null;
function Bb(a) {
  if (a = Cb(a)) {
    if (typeof yb !== "function")
      throw Error(p$1(280));
    var b = a.stateNode;
    b && (b = Db(b), yb(a.stateNode, a.type, b));
  }
}
function Eb(a) {
  zb ? Ab ? Ab.push(a) : Ab = [a] : zb = a;
}
function Fb() {
  if (zb) {
    var a = zb, b = Ab;
    Ab = zb = null;
    Bb(a);
    if (b)
      for (a = 0; a < b.length; a++)
        Bb(b[a]);
  }
}
function Gb(a, b) {
  return a(b);
}
function Hb() {
}
var Ib = false;
function Jb(a, b, c) {
  if (Ib)
    return a(b, c);
  Ib = true;
  try {
    return Gb(a, b, c);
  } finally {
    if (Ib = false, zb !== null || Ab !== null)
      Hb(), Fb();
  }
}
function Kb(a, b) {
  var c = a.stateNode;
  if (c === null)
    return null;
  var d = Db(c);
  if (d === null)
    return null;
  c = d[b];
  a:
    switch (b) {
      case "onClick":
      case "onClickCapture":
      case "onDoubleClick":
      case "onDoubleClickCapture":
      case "onMouseDown":
      case "onMouseDownCapture":
      case "onMouseMove":
      case "onMouseMoveCapture":
      case "onMouseUp":
      case "onMouseUpCapture":
      case "onMouseEnter":
        (d = !d.disabled) || (a = a.type, d = !(a === "button" || a === "input" || a === "select" || a === "textarea"));
        a = !d;
        break a;
      default:
        a = false;
    }
  if (a)
    return null;
  if (c && typeof c !== "function")
    throw Error(p$1(231, b, typeof c));
  return c;
}
var Lb = false;
if (ia)
  try {
    var Mb = {};
    Object.defineProperty(Mb, "passive", { get: function() {
      Lb = true;
    } });
    window.addEventListener("test", Mb, Mb);
    window.removeEventListener("test", Mb, Mb);
  } catch (a) {
    Lb = false;
  }
function Nb(a, b, c, d, e2, f, g, h2, k2) {
  var l2 = Array.prototype.slice.call(arguments, 3);
  try {
    b.apply(c, l2);
  } catch (m2) {
    this.onError(m2);
  }
}
var Ob = false, Pb = null, Qb = false, Rb = null, Sb = { onError: function(a) {
  Ob = true;
  Pb = a;
} };
function Tb(a, b, c, d, e2, f, g, h2, k2) {
  Ob = false;
  Pb = null;
  Nb.apply(Sb, arguments);
}
function Ub(a, b, c, d, e2, f, g, h2, k2) {
  Tb.apply(this, arguments);
  if (Ob) {
    if (Ob) {
      var l2 = Pb;
      Ob = false;
      Pb = null;
    } else
      throw Error(p$1(198));
    Qb || (Qb = true, Rb = l2);
  }
}
function Vb(a) {
  var b = a, c = a;
  if (a.alternate)
    for (; b.return; )
      b = b.return;
  else {
    a = b;
    do
      b = a, (b.flags & 4098) !== 0 && (c = b.return), a = b.return;
    while (a);
  }
  return b.tag === 3 ? c : null;
}
function Wb(a) {
  if (a.tag === 13) {
    var b = a.memoizedState;
    b === null && (a = a.alternate, a !== null && (b = a.memoizedState));
    if (b !== null)
      return b.dehydrated;
  }
  return null;
}
function Xb(a) {
  if (Vb(a) !== a)
    throw Error(p$1(188));
}
function Yb(a) {
  var b = a.alternate;
  if (!b) {
    b = Vb(a);
    if (b === null)
      throw Error(p$1(188));
    return b !== a ? null : a;
  }
  for (var c = a, d = b; ; ) {
    var e2 = c.return;
    if (e2 === null)
      break;
    var f = e2.alternate;
    if (f === null) {
      d = e2.return;
      if (d !== null) {
        c = d;
        continue;
      }
      break;
    }
    if (e2.child === f.child) {
      for (f = e2.child; f; ) {
        if (f === c)
          return Xb(e2), a;
        if (f === d)
          return Xb(e2), b;
        f = f.sibling;
      }
      throw Error(p$1(188));
    }
    if (c.return !== d.return)
      c = e2, d = f;
    else {
      for (var g = false, h2 = e2.child; h2; ) {
        if (h2 === c) {
          g = true;
          c = e2;
          d = f;
          break;
        }
        if (h2 === d) {
          g = true;
          d = e2;
          c = f;
          break;
        }
        h2 = h2.sibling;
      }
      if (!g) {
        for (h2 = f.child; h2; ) {
          if (h2 === c) {
            g = true;
            c = f;
            d = e2;
            break;
          }
          if (h2 === d) {
            g = true;
            d = f;
            c = e2;
            break;
          }
          h2 = h2.sibling;
        }
        if (!g)
          throw Error(p$1(189));
      }
    }
    if (c.alternate !== d)
      throw Error(p$1(190));
  }
  if (c.tag !== 3)
    throw Error(p$1(188));
  return c.stateNode.current === c ? a : b;
}
function Zb(a) {
  a = Yb(a);
  return a !== null ? $b(a) : null;
}
function $b(a) {
  if (a.tag === 5 || a.tag === 6)
    return a;
  for (a = a.child; a !== null; ) {
    var b = $b(a);
    if (b !== null)
      return b;
    a = a.sibling;
  }
  return null;
}
var ac = ca.unstable_scheduleCallback, bc = ca.unstable_cancelCallback, cc = ca.unstable_shouldYield, dc = ca.unstable_requestPaint, B = ca.unstable_now, ec = ca.unstable_getCurrentPriorityLevel, fc = ca.unstable_ImmediatePriority, gc = ca.unstable_UserBlockingPriority, hc = ca.unstable_NormalPriority, ic = ca.unstable_LowPriority, jc = ca.unstable_IdlePriority, kc = null, lc = null;
function mc(a) {
  if (lc && typeof lc.onCommitFiberRoot === "function")
    try {
      lc.onCommitFiberRoot(kc, a, void 0, (a.current.flags & 128) === 128);
    } catch (b) {
    }
}
var oc = Math.clz32 ? Math.clz32 : nc, pc = Math.log, qc = Math.LN2;
function nc(a) {
  a >>>= 0;
  return a === 0 ? 32 : 31 - (pc(a) / qc | 0) | 0;
}
var rc = 64, sc = 4194304;
function tc(a) {
  switch (a & -a) {
    case 1:
      return 1;
    case 2:
      return 2;
    case 4:
      return 4;
    case 8:
      return 8;
    case 16:
      return 16;
    case 32:
      return 32;
    case 64:
    case 128:
    case 256:
    case 512:
    case 1024:
    case 2048:
    case 4096:
    case 8192:
    case 16384:
    case 32768:
    case 65536:
    case 131072:
    case 262144:
    case 524288:
    case 1048576:
    case 2097152:
      return a & 4194240;
    case 4194304:
    case 8388608:
    case 16777216:
    case 33554432:
    case 67108864:
      return a & 130023424;
    case 134217728:
      return 134217728;
    case 268435456:
      return 268435456;
    case 536870912:
      return 536870912;
    case 1073741824:
      return 1073741824;
    default:
      return a;
  }
}
function uc(a, b) {
  var c = a.pendingLanes;
  if (c === 0)
    return 0;
  var d = 0, e2 = a.suspendedLanes, f = a.pingedLanes, g = c & 268435455;
  if (g !== 0) {
    var h2 = g & ~e2;
    h2 !== 0 ? d = tc(h2) : (f &= g, f !== 0 && (d = tc(f)));
  } else
    g = c & ~e2, g !== 0 ? d = tc(g) : f !== 0 && (d = tc(f));
  if (d === 0)
    return 0;
  if (b !== 0 && b !== d && (b & e2) === 0 && (e2 = d & -d, f = b & -b, e2 >= f || e2 === 16 && (f & 4194240) !== 0))
    return b;
  (d & 4) !== 0 && (d |= c & 16);
  b = a.entangledLanes;
  if (b !== 0)
    for (a = a.entanglements, b &= d; 0 < b; )
      c = 31 - oc(b), e2 = 1 << c, d |= a[c], b &= ~e2;
  return d;
}
function vc(a, b) {
  switch (a) {
    case 1:
    case 2:
    case 4:
      return b + 250;
    case 8:
    case 16:
    case 32:
    case 64:
    case 128:
    case 256:
    case 512:
    case 1024:
    case 2048:
    case 4096:
    case 8192:
    case 16384:
    case 32768:
    case 65536:
    case 131072:
    case 262144:
    case 524288:
    case 1048576:
    case 2097152:
      return b + 5e3;
    case 4194304:
    case 8388608:
    case 16777216:
    case 33554432:
    case 67108864:
      return -1;
    case 134217728:
    case 268435456:
    case 536870912:
    case 1073741824:
      return -1;
    default:
      return -1;
  }
}
function wc(a, b) {
  for (var c = a.suspendedLanes, d = a.pingedLanes, e2 = a.expirationTimes, f = a.pendingLanes; 0 < f; ) {
    var g = 31 - oc(f), h2 = 1 << g, k2 = e2[g];
    if (k2 === -1) {
      if ((h2 & c) === 0 || (h2 & d) !== 0)
        e2[g] = vc(h2, b);
    } else
      k2 <= b && (a.expiredLanes |= h2);
    f &= ~h2;
  }
}
function xc(a) {
  a = a.pendingLanes & -1073741825;
  return a !== 0 ? a : a & 1073741824 ? 1073741824 : 0;
}
function yc() {
  var a = rc;
  rc <<= 1;
  (rc & 4194240) === 0 && (rc = 64);
  return a;
}
function zc(a) {
  for (var b = [], c = 0; 31 > c; c++)
    b.push(a);
  return b;
}
function Ac(a, b, c) {
  a.pendingLanes |= b;
  b !== 536870912 && (a.suspendedLanes = 0, a.pingedLanes = 0);
  a = a.eventTimes;
  b = 31 - oc(b);
  a[b] = c;
}
function Bc(a, b) {
  var c = a.pendingLanes & ~b;
  a.pendingLanes = b;
  a.suspendedLanes = 0;
  a.pingedLanes = 0;
  a.expiredLanes &= b;
  a.mutableReadLanes &= b;
  a.entangledLanes &= b;
  b = a.entanglements;
  var d = a.eventTimes;
  for (a = a.expirationTimes; 0 < c; ) {
    var e2 = 31 - oc(c), f = 1 << e2;
    b[e2] = 0;
    d[e2] = -1;
    a[e2] = -1;
    c &= ~f;
  }
}
function Cc(a, b) {
  var c = a.entangledLanes |= b;
  for (a = a.entanglements; c; ) {
    var d = 31 - oc(c), e2 = 1 << d;
    e2 & b | a[d] & b && (a[d] |= b);
    c &= ~e2;
  }
}
var C = 0;
function Dc(a) {
  a &= -a;
  return 1 < a ? 4 < a ? (a & 268435455) !== 0 ? 16 : 536870912 : 4 : 1;
}
var Ec, Fc, Gc, Hc, Ic, Jc = false, Kc = [], Lc = null, Mc = null, Nc = null, Oc = /* @__PURE__ */ new Map(), Pc = /* @__PURE__ */ new Map(), Qc = [], Rc = "mousedown mouseup touchcancel touchend touchstart auxclick dblclick pointercancel pointerdown pointerup dragend dragstart drop compositionend compositionstart keydown keypress keyup input textInput copy cut paste click change contextmenu reset submit".split(" ");
function Sc(a, b) {
  switch (a) {
    case "focusin":
    case "focusout":
      Lc = null;
      break;
    case "dragenter":
    case "dragleave":
      Mc = null;
      break;
    case "mouseover":
    case "mouseout":
      Nc = null;
      break;
    case "pointerover":
    case "pointerout":
      Oc.delete(b.pointerId);
      break;
    case "gotpointercapture":
    case "lostpointercapture":
      Pc.delete(b.pointerId);
  }
}
function Tc(a, b, c, d, e2, f) {
  if (a === null || a.nativeEvent !== f)
    return a = { blockedOn: b, domEventName: c, eventSystemFlags: d, nativeEvent: f, targetContainers: [e2] }, b !== null && (b = Cb(b), b !== null && Fc(b)), a;
  a.eventSystemFlags |= d;
  b = a.targetContainers;
  e2 !== null && b.indexOf(e2) === -1 && b.push(e2);
  return a;
}
function Uc(a, b, c, d, e2) {
  switch (b) {
    case "focusin":
      return Lc = Tc(Lc, a, b, c, d, e2), true;
    case "dragenter":
      return Mc = Tc(Mc, a, b, c, d, e2), true;
    case "mouseover":
      return Nc = Tc(Nc, a, b, c, d, e2), true;
    case "pointerover":
      var f = e2.pointerId;
      Oc.set(f, Tc(Oc.get(f) || null, a, b, c, d, e2));
      return true;
    case "gotpointercapture":
      return f = e2.pointerId, Pc.set(f, Tc(Pc.get(f) || null, a, b, c, d, e2)), true;
  }
  return false;
}
function Vc(a) {
  var b = Wc(a.target);
  if (b !== null) {
    var c = Vb(b);
    if (c !== null) {
      if (b = c.tag, b === 13) {
        if (b = Wb(c), b !== null) {
          a.blockedOn = b;
          Ic(a.priority, function() {
            Gc(c);
          });
          return;
        }
      } else if (b === 3 && c.stateNode.current.memoizedState.isDehydrated) {
        a.blockedOn = c.tag === 3 ? c.stateNode.containerInfo : null;
        return;
      }
    }
  }
  a.blockedOn = null;
}
function Xc(a) {
  if (a.blockedOn !== null)
    return false;
  for (var b = a.targetContainers; 0 < b.length; ) {
    var c = Yc(a.domEventName, a.eventSystemFlags, b[0], a.nativeEvent);
    if (c === null) {
      c = a.nativeEvent;
      var d = new c.constructor(c.type, c);
      wb = d;
      c.target.dispatchEvent(d);
      wb = null;
    } else
      return b = Cb(c), b !== null && Fc(b), a.blockedOn = c, false;
    b.shift();
  }
  return true;
}
function Zc(a, b, c) {
  Xc(a) && c.delete(b);
}
function $c() {
  Jc = false;
  Lc !== null && Xc(Lc) && (Lc = null);
  Mc !== null && Xc(Mc) && (Mc = null);
  Nc !== null && Xc(Nc) && (Nc = null);
  Oc.forEach(Zc);
  Pc.forEach(Zc);
}
function ad(a, b) {
  a.blockedOn === b && (a.blockedOn = null, Jc || (Jc = true, ca.unstable_scheduleCallback(ca.unstable_NormalPriority, $c)));
}
function bd(a) {
  function b(b2) {
    return ad(b2, a);
  }
  if (0 < Kc.length) {
    ad(Kc[0], a);
    for (var c = 1; c < Kc.length; c++) {
      var d = Kc[c];
      d.blockedOn === a && (d.blockedOn = null);
    }
  }
  Lc !== null && ad(Lc, a);
  Mc !== null && ad(Mc, a);
  Nc !== null && ad(Nc, a);
  Oc.forEach(b);
  Pc.forEach(b);
  for (c = 0; c < Qc.length; c++)
    d = Qc[c], d.blockedOn === a && (d.blockedOn = null);
  for (; 0 < Qc.length && (c = Qc[0], c.blockedOn === null); )
    Vc(c), c.blockedOn === null && Qc.shift();
}
var cd = ua.ReactCurrentBatchConfig, dd = true;
function ed(a, b, c, d) {
  var e2 = C, f = cd.transition;
  cd.transition = null;
  try {
    C = 1, fd(a, b, c, d);
  } finally {
    C = e2, cd.transition = f;
  }
}
function gd(a, b, c, d) {
  var e2 = C, f = cd.transition;
  cd.transition = null;
  try {
    C = 4, fd(a, b, c, d);
  } finally {
    C = e2, cd.transition = f;
  }
}
function fd(a, b, c, d) {
  if (dd) {
    var e2 = Yc(a, b, c, d);
    if (e2 === null)
      hd(a, b, d, id, c), Sc(a, d);
    else if (Uc(e2, a, b, c, d))
      d.stopPropagation();
    else if (Sc(a, d), b & 4 && -1 < Rc.indexOf(a)) {
      for (; e2 !== null; ) {
        var f = Cb(e2);
        f !== null && Ec(f);
        f = Yc(a, b, c, d);
        f === null && hd(a, b, d, id, c);
        if (f === e2)
          break;
        e2 = f;
      }
      e2 !== null && d.stopPropagation();
    } else
      hd(a, b, d, null, c);
  }
}
var id = null;
function Yc(a, b, c, d) {
  id = null;
  a = xb(d);
  a = Wc(a);
  if (a !== null)
    if (b = Vb(a), b === null)
      a = null;
    else if (c = b.tag, c === 13) {
      a = Wb(b);
      if (a !== null)
        return a;
      a = null;
    } else if (c === 3) {
      if (b.stateNode.current.memoizedState.isDehydrated)
        return b.tag === 3 ? b.stateNode.containerInfo : null;
      a = null;
    } else
      b !== a && (a = null);
  id = a;
  return null;
}
function jd(a) {
  switch (a) {
    case "cancel":
    case "click":
    case "close":
    case "contextmenu":
    case "copy":
    case "cut":
    case "auxclick":
    case "dblclick":
    case "dragend":
    case "dragstart":
    case "drop":
    case "focusin":
    case "focusout":
    case "input":
    case "invalid":
    case "keydown":
    case "keypress":
    case "keyup":
    case "mousedown":
    case "mouseup":
    case "paste":
    case "pause":
    case "play":
    case "pointercancel":
    case "pointerdown":
    case "pointerup":
    case "ratechange":
    case "reset":
    case "resize":
    case "seeked":
    case "submit":
    case "touchcancel":
    case "touchend":
    case "touchstart":
    case "volumechange":
    case "change":
    case "selectionchange":
    case "textInput":
    case "compositionstart":
    case "compositionend":
    case "compositionupdate":
    case "beforeblur":
    case "afterblur":
    case "beforeinput":
    case "blur":
    case "fullscreenchange":
    case "focus":
    case "hashchange":
    case "popstate":
    case "select":
    case "selectstart":
      return 1;
    case "drag":
    case "dragenter":
    case "dragexit":
    case "dragleave":
    case "dragover":
    case "mousemove":
    case "mouseout":
    case "mouseover":
    case "pointermove":
    case "pointerout":
    case "pointerover":
    case "scroll":
    case "toggle":
    case "touchmove":
    case "wheel":
    case "mouseenter":
    case "mouseleave":
    case "pointerenter":
    case "pointerleave":
      return 4;
    case "message":
      switch (ec()) {
        case fc:
          return 1;
        case gc:
          return 4;
        case hc:
        case ic:
          return 16;
        case jc:
          return 536870912;
        default:
          return 16;
      }
    default:
      return 16;
  }
}
var kd = null, ld = null, md = null;
function nd() {
  if (md)
    return md;
  var a, b = ld, c = b.length, d, e2 = "value" in kd ? kd.value : kd.textContent, f = e2.length;
  for (a = 0; a < c && b[a] === e2[a]; a++)
    ;
  var g = c - a;
  for (d = 1; d <= g && b[c - d] === e2[f - d]; d++)
    ;
  return md = e2.slice(a, 1 < d ? 1 - d : void 0);
}
function od(a) {
  var b = a.keyCode;
  "charCode" in a ? (a = a.charCode, a === 0 && b === 13 && (a = 13)) : a = b;
  a === 10 && (a = 13);
  return 32 <= a || a === 13 ? a : 0;
}
function pd() {
  return true;
}
function qd() {
  return false;
}
function rd(a) {
  function b(b2, d, e2, f, g) {
    this._reactName = b2;
    this._targetInst = e2;
    this.type = d;
    this.nativeEvent = f;
    this.target = g;
    this.currentTarget = null;
    for (var c in a)
      a.hasOwnProperty(c) && (b2 = a[c], this[c] = b2 ? b2(f) : f[c]);
    this.isDefaultPrevented = (f.defaultPrevented != null ? f.defaultPrevented : f.returnValue === false) ? pd : qd;
    this.isPropagationStopped = qd;
    return this;
  }
  A(b.prototype, { preventDefault: function() {
    this.defaultPrevented = true;
    var a2 = this.nativeEvent;
    a2 && (a2.preventDefault ? a2.preventDefault() : typeof a2.returnValue !== "unknown" && (a2.returnValue = false), this.isDefaultPrevented = pd);
  }, stopPropagation: function() {
    var a2 = this.nativeEvent;
    a2 && (a2.stopPropagation ? a2.stopPropagation() : typeof a2.cancelBubble !== "unknown" && (a2.cancelBubble = true), this.isPropagationStopped = pd);
  }, persist: function() {
  }, isPersistent: pd });
  return b;
}
var sd = { eventPhase: 0, bubbles: 0, cancelable: 0, timeStamp: function(a) {
  return a.timeStamp || Date.now();
}, defaultPrevented: 0, isTrusted: 0 }, td = rd(sd), ud = A({}, sd, { view: 0, detail: 0 }), vd = rd(ud), wd, xd, yd, Ad = A({}, ud, { screenX: 0, screenY: 0, clientX: 0, clientY: 0, pageX: 0, pageY: 0, ctrlKey: 0, shiftKey: 0, altKey: 0, metaKey: 0, getModifierState: zd, button: 0, buttons: 0, relatedTarget: function(a) {
  return a.relatedTarget === void 0 ? a.fromElement === a.srcElement ? a.toElement : a.fromElement : a.relatedTarget;
}, movementX: function(a) {
  if ("movementX" in a)
    return a.movementX;
  a !== yd && (yd && a.type === "mousemove" ? (wd = a.screenX - yd.screenX, xd = a.screenY - yd.screenY) : xd = wd = 0, yd = a);
  return wd;
}, movementY: function(a) {
  return "movementY" in a ? a.movementY : xd;
} }), Bd = rd(Ad), Cd = A({}, Ad, { dataTransfer: 0 }), Dd = rd(Cd), Ed = A({}, ud, { relatedTarget: 0 }), Fd = rd(Ed), Gd = A({}, sd, { animationName: 0, elapsedTime: 0, pseudoElement: 0 }), Hd = rd(Gd), Id = A({}, sd, { clipboardData: function(a) {
  return "clipboardData" in a ? a.clipboardData : window.clipboardData;
} }), Jd = rd(Id), Kd = A({}, sd, { data: 0 }), Ld = rd(Kd), Md = {
  Esc: "Escape",
  Spacebar: " ",
  Left: "ArrowLeft",
  Up: "ArrowUp",
  Right: "ArrowRight",
  Down: "ArrowDown",
  Del: "Delete",
  Win: "OS",
  Menu: "ContextMenu",
  Apps: "ContextMenu",
  Scroll: "ScrollLock",
  MozPrintableKey: "Unidentified"
}, Nd = {
  8: "Backspace",
  9: "Tab",
  12: "Clear",
  13: "Enter",
  16: "Shift",
  17: "Control",
  18: "Alt",
  19: "Pause",
  20: "CapsLock",
  27: "Escape",
  32: " ",
  33: "PageUp",
  34: "PageDown",
  35: "End",
  36: "Home",
  37: "ArrowLeft",
  38: "ArrowUp",
  39: "ArrowRight",
  40: "ArrowDown",
  45: "Insert",
  46: "Delete",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  118: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12",
  144: "NumLock",
  145: "ScrollLock",
  224: "Meta"
}, Od = { Alt: "altKey", Control: "ctrlKey", Meta: "metaKey", Shift: "shiftKey" };
function Pd(a) {
  var b = this.nativeEvent;
  return b.getModifierState ? b.getModifierState(a) : (a = Od[a]) ? !!b[a] : false;
}
function zd() {
  return Pd;
}
var Qd = A({}, ud, { key: function(a) {
  if (a.key) {
    var b = Md[a.key] || a.key;
    if (b !== "Unidentified")
      return b;
  }
  return a.type === "keypress" ? (a = od(a), a === 13 ? "Enter" : String.fromCharCode(a)) : a.type === "keydown" || a.type === "keyup" ? Nd[a.keyCode] || "Unidentified" : "";
}, code: 0, location: 0, ctrlKey: 0, shiftKey: 0, altKey: 0, metaKey: 0, repeat: 0, locale: 0, getModifierState: zd, charCode: function(a) {
  return a.type === "keypress" ? od(a) : 0;
}, keyCode: function(a) {
  return a.type === "keydown" || a.type === "keyup" ? a.keyCode : 0;
}, which: function(a) {
  return a.type === "keypress" ? od(a) : a.type === "keydown" || a.type === "keyup" ? a.keyCode : 0;
} }), Rd = rd(Qd), Sd = A({}, Ad, { pointerId: 0, width: 0, height: 0, pressure: 0, tangentialPressure: 0, tiltX: 0, tiltY: 0, twist: 0, pointerType: 0, isPrimary: 0 }), Td = rd(Sd), Ud = A({}, ud, { touches: 0, targetTouches: 0, changedTouches: 0, altKey: 0, metaKey: 0, ctrlKey: 0, shiftKey: 0, getModifierState: zd }), Vd = rd(Ud), Wd = A({}, sd, { propertyName: 0, elapsedTime: 0, pseudoElement: 0 }), Xd = rd(Wd), Yd = A({}, Ad, {
  deltaX: function(a) {
    return "deltaX" in a ? a.deltaX : "wheelDeltaX" in a ? -a.wheelDeltaX : 0;
  },
  deltaY: function(a) {
    return "deltaY" in a ? a.deltaY : "wheelDeltaY" in a ? -a.wheelDeltaY : "wheelDelta" in a ? -a.wheelDelta : 0;
  },
  deltaZ: 0,
  deltaMode: 0
}), Zd = rd(Yd), $d = [9, 13, 27, 32], ae = ia && "CompositionEvent" in window, be = null;
ia && "documentMode" in document && (be = document.documentMode);
var ce = ia && "TextEvent" in window && !be, de = ia && (!ae || be && 8 < be && 11 >= be), ee = String.fromCharCode(32), fe = false;
function ge(a, b) {
  switch (a) {
    case "keyup":
      return $d.indexOf(b.keyCode) !== -1;
    case "keydown":
      return b.keyCode !== 229;
    case "keypress":
    case "mousedown":
    case "focusout":
      return true;
    default:
      return false;
  }
}
function he(a) {
  a = a.detail;
  return typeof a === "object" && "data" in a ? a.data : null;
}
var ie = false;
function je(a, b) {
  switch (a) {
    case "compositionend":
      return he(b);
    case "keypress":
      if (b.which !== 32)
        return null;
      fe = true;
      return ee;
    case "textInput":
      return a = b.data, a === ee && fe ? null : a;
    default:
      return null;
  }
}
function ke(a, b) {
  if (ie)
    return a === "compositionend" || !ae && ge(a, b) ? (a = nd(), md = ld = kd = null, ie = false, a) : null;
  switch (a) {
    case "paste":
      return null;
    case "keypress":
      if (!(b.ctrlKey || b.altKey || b.metaKey) || b.ctrlKey && b.altKey) {
        if (b.char && 1 < b.char.length)
          return b.char;
        if (b.which)
          return String.fromCharCode(b.which);
      }
      return null;
    case "compositionend":
      return de && b.locale !== "ko" ? null : b.data;
    default:
      return null;
  }
}
var le = { color: true, date: true, datetime: true, "datetime-local": true, email: true, month: true, number: true, password: true, range: true, search: true, tel: true, text: true, time: true, url: true, week: true };
function me(a) {
  var b = a && a.nodeName && a.nodeName.toLowerCase();
  return b === "input" ? !!le[a.type] : b === "textarea" ? true : false;
}
function ne(a, b, c, d) {
  Eb(d);
  b = oe(b, "onChange");
  0 < b.length && (c = new td("onChange", "change", null, c, d), a.push({ event: c, listeners: b }));
}
var pe = null, qe = null;
function re(a) {
  se(a, 0);
}
function te(a) {
  var b = ue(a);
  if (Wa(b))
    return a;
}
function ve(a, b) {
  if (a === "change")
    return b;
}
var we = false;
if (ia) {
  var xe;
  if (ia) {
    var ye = "oninput" in document;
    if (!ye) {
      var ze = document.createElement("div");
      ze.setAttribute("oninput", "return;");
      ye = typeof ze.oninput === "function";
    }
    xe = ye;
  } else
    xe = false;
  we = xe && (!document.documentMode || 9 < document.documentMode);
}
function Ae() {
  pe && (pe.detachEvent("onpropertychange", Be), qe = pe = null);
}
function Be(a) {
  if (a.propertyName === "value" && te(qe)) {
    var b = [];
    ne(b, qe, a, xb(a));
    Jb(re, b);
  }
}
function Ce(a, b, c) {
  a === "focusin" ? (Ae(), pe = b, qe = c, pe.attachEvent("onpropertychange", Be)) : a === "focusout" && Ae();
}
function De(a) {
  if (a === "selectionchange" || a === "keyup" || a === "keydown")
    return te(qe);
}
function Ee(a, b) {
  if (a === "click")
    return te(b);
}
function Fe(a, b) {
  if (a === "input" || a === "change")
    return te(b);
}
function Ge(a, b) {
  return a === b && (a !== 0 || 1 / a === 1 / b) || a !== a && b !== b;
}
var He = typeof Object.is === "function" ? Object.is : Ge;
function Ie(a, b) {
  if (He(a, b))
    return true;
  if (typeof a !== "object" || a === null || typeof b !== "object" || b === null)
    return false;
  var c = Object.keys(a), d = Object.keys(b);
  if (c.length !== d.length)
    return false;
  for (d = 0; d < c.length; d++) {
    var e2 = c[d];
    if (!ja.call(b, e2) || !He(a[e2], b[e2]))
      return false;
  }
  return true;
}
function Je(a) {
  for (; a && a.firstChild; )
    a = a.firstChild;
  return a;
}
function Ke(a, b) {
  var c = Je(a);
  a = 0;
  for (var d; c; ) {
    if (c.nodeType === 3) {
      d = a + c.textContent.length;
      if (a <= b && d >= b)
        return { node: c, offset: b - a };
      a = d;
    }
    a: {
      for (; c; ) {
        if (c.nextSibling) {
          c = c.nextSibling;
          break a;
        }
        c = c.parentNode;
      }
      c = void 0;
    }
    c = Je(c);
  }
}
function Le(a, b) {
  return a && b ? a === b ? true : a && a.nodeType === 3 ? false : b && b.nodeType === 3 ? Le(a, b.parentNode) : "contains" in a ? a.contains(b) : a.compareDocumentPosition ? !!(a.compareDocumentPosition(b) & 16) : false : false;
}
function Me() {
  for (var a = window, b = Xa(); b instanceof a.HTMLIFrameElement; ) {
    try {
      var c = typeof b.contentWindow.location.href === "string";
    } catch (d) {
      c = false;
    }
    if (c)
      a = b.contentWindow;
    else
      break;
    b = Xa(a.document);
  }
  return b;
}
function Ne(a) {
  var b = a && a.nodeName && a.nodeName.toLowerCase();
  return b && (b === "input" && (a.type === "text" || a.type === "search" || a.type === "tel" || a.type === "url" || a.type === "password") || b === "textarea" || a.contentEditable === "true");
}
function Oe(a) {
  var b = Me(), c = a.focusedElem, d = a.selectionRange;
  if (b !== c && c && c.ownerDocument && Le(c.ownerDocument.documentElement, c)) {
    if (d !== null && Ne(c)) {
      if (b = d.start, a = d.end, a === void 0 && (a = b), "selectionStart" in c)
        c.selectionStart = b, c.selectionEnd = Math.min(a, c.value.length);
      else if (a = (b = c.ownerDocument || document) && b.defaultView || window, a.getSelection) {
        a = a.getSelection();
        var e2 = c.textContent.length, f = Math.min(d.start, e2);
        d = d.end === void 0 ? f : Math.min(d.end, e2);
        !a.extend && f > d && (e2 = d, d = f, f = e2);
        e2 = Ke(c, f);
        var g = Ke(c, d);
        e2 && g && (a.rangeCount !== 1 || a.anchorNode !== e2.node || a.anchorOffset !== e2.offset || a.focusNode !== g.node || a.focusOffset !== g.offset) && (b = b.createRange(), b.setStart(e2.node, e2.offset), a.removeAllRanges(), f > d ? (a.addRange(b), a.extend(g.node, g.offset)) : (b.setEnd(g.node, g.offset), a.addRange(b)));
      }
    }
    b = [];
    for (a = c; a = a.parentNode; )
      a.nodeType === 1 && b.push({ element: a, left: a.scrollLeft, top: a.scrollTop });
    typeof c.focus === "function" && c.focus();
    for (c = 0; c < b.length; c++)
      a = b[c], a.element.scrollLeft = a.left, a.element.scrollTop = a.top;
  }
}
var Pe = ia && "documentMode" in document && 11 >= document.documentMode, Qe = null, Re = null, Se = null, Te = false;
function Ue(a, b, c) {
  var d = c.window === c ? c.document : c.nodeType === 9 ? c : c.ownerDocument;
  Te || Qe == null || Qe !== Xa(d) || (d = Qe, "selectionStart" in d && Ne(d) ? d = { start: d.selectionStart, end: d.selectionEnd } : (d = (d.ownerDocument && d.ownerDocument.defaultView || window).getSelection(), d = { anchorNode: d.anchorNode, anchorOffset: d.anchorOffset, focusNode: d.focusNode, focusOffset: d.focusOffset }), Se && Ie(Se, d) || (Se = d, d = oe(Re, "onSelect"), 0 < d.length && (b = new td("onSelect", "select", null, b, c), a.push({ event: b, listeners: d }), b.target = Qe)));
}
function Ve(a, b) {
  var c = {};
  c[a.toLowerCase()] = b.toLowerCase();
  c["Webkit" + a] = "webkit" + b;
  c["Moz" + a] = "moz" + b;
  return c;
}
var We = { animationend: Ve("Animation", "AnimationEnd"), animationiteration: Ve("Animation", "AnimationIteration"), animationstart: Ve("Animation", "AnimationStart"), transitionend: Ve("Transition", "TransitionEnd") }, Xe = {}, Ye = {};
ia && (Ye = document.createElement("div").style, "AnimationEvent" in window || (delete We.animationend.animation, delete We.animationiteration.animation, delete We.animationstart.animation), "TransitionEvent" in window || delete We.transitionend.transition);
function Ze(a) {
  if (Xe[a])
    return Xe[a];
  if (!We[a])
    return a;
  var b = We[a], c;
  for (c in b)
    if (b.hasOwnProperty(c) && c in Ye)
      return Xe[a] = b[c];
  return a;
}
var $e = Ze("animationend"), af = Ze("animationiteration"), bf = Ze("animationstart"), cf = Ze("transitionend"), df = /* @__PURE__ */ new Map(), ef = "abort auxClick cancel canPlay canPlayThrough click close contextMenu copy cut drag dragEnd dragEnter dragExit dragLeave dragOver dragStart drop durationChange emptied encrypted ended error gotPointerCapture input invalid keyDown keyPress keyUp load loadedData loadedMetadata loadStart lostPointerCapture mouseDown mouseMove mouseOut mouseOver mouseUp paste pause play playing pointerCancel pointerDown pointerMove pointerOut pointerOver pointerUp progress rateChange reset resize seeked seeking stalled submit suspend timeUpdate touchCancel touchEnd touchStart volumeChange scroll toggle touchMove waiting wheel".split(" ");
function ff(a, b) {
  df.set(a, b);
  fa(b, [a]);
}
for (var gf = 0; gf < ef.length; gf++) {
  var hf = ef[gf], jf = hf.toLowerCase(), kf = hf[0].toUpperCase() + hf.slice(1);
  ff(jf, "on" + kf);
}
ff($e, "onAnimationEnd");
ff(af, "onAnimationIteration");
ff(bf, "onAnimationStart");
ff("dblclick", "onDoubleClick");
ff("focusin", "onFocus");
ff("focusout", "onBlur");
ff(cf, "onTransitionEnd");
ha("onMouseEnter", ["mouseout", "mouseover"]);
ha("onMouseLeave", ["mouseout", "mouseover"]);
ha("onPointerEnter", ["pointerout", "pointerover"]);
ha("onPointerLeave", ["pointerout", "pointerover"]);
fa("onChange", "change click focusin focusout input keydown keyup selectionchange".split(" "));
fa("onSelect", "focusout contextmenu dragend focusin keydown keyup mousedown mouseup selectionchange".split(" "));
fa("onBeforeInput", ["compositionend", "keypress", "textInput", "paste"]);
fa("onCompositionEnd", "compositionend focusout keydown keypress keyup mousedown".split(" "));
fa("onCompositionStart", "compositionstart focusout keydown keypress keyup mousedown".split(" "));
fa("onCompositionUpdate", "compositionupdate focusout keydown keypress keyup mousedown".split(" "));
var lf = "abort canplay canplaythrough durationchange emptied encrypted ended error loadeddata loadedmetadata loadstart pause play playing progress ratechange resize seeked seeking stalled suspend timeupdate volumechange waiting".split(" "), mf = new Set("cancel close invalid load scroll toggle".split(" ").concat(lf));
function nf(a, b, c) {
  var d = a.type || "unknown-event";
  a.currentTarget = c;
  Ub(d, b, void 0, a);
  a.currentTarget = null;
}
function se(a, b) {
  b = (b & 4) !== 0;
  for (var c = 0; c < a.length; c++) {
    var d = a[c], e2 = d.event;
    d = d.listeners;
    a: {
      var f = void 0;
      if (b)
        for (var g = d.length - 1; 0 <= g; g--) {
          var h2 = d[g], k2 = h2.instance, l2 = h2.currentTarget;
          h2 = h2.listener;
          if (k2 !== f && e2.isPropagationStopped())
            break a;
          nf(e2, h2, l2);
          f = k2;
        }
      else
        for (g = 0; g < d.length; g++) {
          h2 = d[g];
          k2 = h2.instance;
          l2 = h2.currentTarget;
          h2 = h2.listener;
          if (k2 !== f && e2.isPropagationStopped())
            break a;
          nf(e2, h2, l2);
          f = k2;
        }
    }
  }
  if (Qb)
    throw a = Rb, Qb = false, Rb = null, a;
}
function D(a, b) {
  var c = b[of];
  c === void 0 && (c = b[of] = /* @__PURE__ */ new Set());
  var d = a + "__bubble";
  c.has(d) || (pf(b, a, 2, false), c.add(d));
}
function qf(a, b, c) {
  var d = 0;
  b && (d |= 4);
  pf(c, a, d, b);
}
var rf = "_reactListening" + Math.random().toString(36).slice(2);
function sf(a) {
  if (!a[rf]) {
    a[rf] = true;
    da.forEach(function(b2) {
      b2 !== "selectionchange" && (mf.has(b2) || qf(b2, false, a), qf(b2, true, a));
    });
    var b = a.nodeType === 9 ? a : a.ownerDocument;
    b === null || b[rf] || (b[rf] = true, qf("selectionchange", false, b));
  }
}
function pf(a, b, c, d) {
  switch (jd(b)) {
    case 1:
      var e2 = ed;
      break;
    case 4:
      e2 = gd;
      break;
    default:
      e2 = fd;
  }
  c = e2.bind(null, b, c, a);
  e2 = void 0;
  !Lb || b !== "touchstart" && b !== "touchmove" && b !== "wheel" || (e2 = true);
  d ? e2 !== void 0 ? a.addEventListener(b, c, { capture: true, passive: e2 }) : a.addEventListener(b, c, true) : e2 !== void 0 ? a.addEventListener(b, c, { passive: e2 }) : a.addEventListener(b, c, false);
}
function hd(a, b, c, d, e2) {
  var f = d;
  if ((b & 1) === 0 && (b & 2) === 0 && d !== null)
    a:
      for (; ; ) {
        if (d === null)
          return;
        var g = d.tag;
        if (g === 3 || g === 4) {
          var h2 = d.stateNode.containerInfo;
          if (h2 === e2 || h2.nodeType === 8 && h2.parentNode === e2)
            break;
          if (g === 4)
            for (g = d.return; g !== null; ) {
              var k2 = g.tag;
              if (k2 === 3 || k2 === 4) {
                if (k2 = g.stateNode.containerInfo, k2 === e2 || k2.nodeType === 8 && k2.parentNode === e2)
                  return;
              }
              g = g.return;
            }
          for (; h2 !== null; ) {
            g = Wc(h2);
            if (g === null)
              return;
            k2 = g.tag;
            if (k2 === 5 || k2 === 6) {
              d = f = g;
              continue a;
            }
            h2 = h2.parentNode;
          }
        }
        d = d.return;
      }
  Jb(function() {
    var d2 = f, e3 = xb(c), g2 = [];
    a: {
      var h3 = df.get(a);
      if (h3 !== void 0) {
        var k3 = td, n2 = a;
        switch (a) {
          case "keypress":
            if (od(c) === 0)
              break a;
          case "keydown":
          case "keyup":
            k3 = Rd;
            break;
          case "focusin":
            n2 = "focus";
            k3 = Fd;
            break;
          case "focusout":
            n2 = "blur";
            k3 = Fd;
            break;
          case "beforeblur":
          case "afterblur":
            k3 = Fd;
            break;
          case "click":
            if (c.button === 2)
              break a;
          case "auxclick":
          case "dblclick":
          case "mousedown":
          case "mousemove":
          case "mouseup":
          case "mouseout":
          case "mouseover":
          case "contextmenu":
            k3 = Bd;
            break;
          case "drag":
          case "dragend":
          case "dragenter":
          case "dragexit":
          case "dragleave":
          case "dragover":
          case "dragstart":
          case "drop":
            k3 = Dd;
            break;
          case "touchcancel":
          case "touchend":
          case "touchmove":
          case "touchstart":
            k3 = Vd;
            break;
          case $e:
          case af:
          case bf:
            k3 = Hd;
            break;
          case cf:
            k3 = Xd;
            break;
          case "scroll":
            k3 = vd;
            break;
          case "wheel":
            k3 = Zd;
            break;
          case "copy":
          case "cut":
          case "paste":
            k3 = Jd;
            break;
          case "gotpointercapture":
          case "lostpointercapture":
          case "pointercancel":
          case "pointerdown":
          case "pointermove":
          case "pointerout":
          case "pointerover":
          case "pointerup":
            k3 = Td;
        }
        var t2 = (b & 4) !== 0, J = !t2 && a === "scroll", x = t2 ? h3 !== null ? h3 + "Capture" : null : h3;
        t2 = [];
        for (var w = d2, u2; w !== null; ) {
          u2 = w;
          var F = u2.stateNode;
          u2.tag === 5 && F !== null && (u2 = F, x !== null && (F = Kb(w, x), F != null && t2.push(tf(w, F, u2))));
          if (J)
            break;
          w = w.return;
        }
        0 < t2.length && (h3 = new k3(h3, n2, null, c, e3), g2.push({ event: h3, listeners: t2 }));
      }
    }
    if ((b & 7) === 0) {
      a: {
        h3 = a === "mouseover" || a === "pointerover";
        k3 = a === "mouseout" || a === "pointerout";
        if (h3 && c !== wb && (n2 = c.relatedTarget || c.fromElement) && (Wc(n2) || n2[uf]))
          break a;
        if (k3 || h3) {
          h3 = e3.window === e3 ? e3 : (h3 = e3.ownerDocument) ? h3.defaultView || h3.parentWindow : window;
          if (k3) {
            if (n2 = c.relatedTarget || c.toElement, k3 = d2, n2 = n2 ? Wc(n2) : null, n2 !== null && (J = Vb(n2), n2 !== J || n2.tag !== 5 && n2.tag !== 6))
              n2 = null;
          } else
            k3 = null, n2 = d2;
          if (k3 !== n2) {
            t2 = Bd;
            F = "onMouseLeave";
            x = "onMouseEnter";
            w = "mouse";
            if (a === "pointerout" || a === "pointerover")
              t2 = Td, F = "onPointerLeave", x = "onPointerEnter", w = "pointer";
            J = k3 == null ? h3 : ue(k3);
            u2 = n2 == null ? h3 : ue(n2);
            h3 = new t2(F, w + "leave", k3, c, e3);
            h3.target = J;
            h3.relatedTarget = u2;
            F = null;
            Wc(e3) === d2 && (t2 = new t2(x, w + "enter", n2, c, e3), t2.target = u2, t2.relatedTarget = J, F = t2);
            J = F;
            if (k3 && n2)
              b: {
                t2 = k3;
                x = n2;
                w = 0;
                for (u2 = t2; u2; u2 = vf(u2))
                  w++;
                u2 = 0;
                for (F = x; F; F = vf(F))
                  u2++;
                for (; 0 < w - u2; )
                  t2 = vf(t2), w--;
                for (; 0 < u2 - w; )
                  x = vf(x), u2--;
                for (; w--; ) {
                  if (t2 === x || x !== null && t2 === x.alternate)
                    break b;
                  t2 = vf(t2);
                  x = vf(x);
                }
                t2 = null;
              }
            else
              t2 = null;
            k3 !== null && wf(g2, h3, k3, t2, false);
            n2 !== null && J !== null && wf(g2, J, n2, t2, true);
          }
        }
      }
      a: {
        h3 = d2 ? ue(d2) : window;
        k3 = h3.nodeName && h3.nodeName.toLowerCase();
        if (k3 === "select" || k3 === "input" && h3.type === "file")
          var na = ve;
        else if (me(h3))
          if (we)
            na = Fe;
          else {
            na = De;
            var xa = Ce;
          }
        else
          (k3 = h3.nodeName) && k3.toLowerCase() === "input" && (h3.type === "checkbox" || h3.type === "radio") && (na = Ee);
        if (na && (na = na(a, d2))) {
          ne(g2, na, c, e3);
          break a;
        }
        xa && xa(a, h3, d2);
        a === "focusout" && (xa = h3._wrapperState) && xa.controlled && h3.type === "number" && cb(h3, "number", h3.value);
      }
      xa = d2 ? ue(d2) : window;
      switch (a) {
        case "focusin":
          if (me(xa) || xa.contentEditable === "true")
            Qe = xa, Re = d2, Se = null;
          break;
        case "focusout":
          Se = Re = Qe = null;
          break;
        case "mousedown":
          Te = true;
          break;
        case "contextmenu":
        case "mouseup":
        case "dragend":
          Te = false;
          Ue(g2, c, e3);
          break;
        case "selectionchange":
          if (Pe)
            break;
        case "keydown":
        case "keyup":
          Ue(g2, c, e3);
      }
      var $a;
      if (ae)
        b: {
          switch (a) {
            case "compositionstart":
              var ba = "onCompositionStart";
              break b;
            case "compositionend":
              ba = "onCompositionEnd";
              break b;
            case "compositionupdate":
              ba = "onCompositionUpdate";
              break b;
          }
          ba = void 0;
        }
      else
        ie ? ge(a, c) && (ba = "onCompositionEnd") : a === "keydown" && c.keyCode === 229 && (ba = "onCompositionStart");
      ba && (de && c.locale !== "ko" && (ie || ba !== "onCompositionStart" ? ba === "onCompositionEnd" && ie && ($a = nd()) : (kd = e3, ld = "value" in kd ? kd.value : kd.textContent, ie = true)), xa = oe(d2, ba), 0 < xa.length && (ba = new Ld(ba, a, null, c, e3), g2.push({ event: ba, listeners: xa }), $a ? ba.data = $a : ($a = he(c), $a !== null && (ba.data = $a))));
      if ($a = ce ? je(a, c) : ke(a, c))
        d2 = oe(d2, "onBeforeInput"), 0 < d2.length && (e3 = new Ld("onBeforeInput", "beforeinput", null, c, e3), g2.push({ event: e3, listeners: d2 }), e3.data = $a);
    }
    se(g2, b);
  });
}
function tf(a, b, c) {
  return { instance: a, listener: b, currentTarget: c };
}
function oe(a, b) {
  for (var c = b + "Capture", d = []; a !== null; ) {
    var e2 = a, f = e2.stateNode;
    e2.tag === 5 && f !== null && (e2 = f, f = Kb(a, c), f != null && d.unshift(tf(a, f, e2)), f = Kb(a, b), f != null && d.push(tf(a, f, e2)));
    a = a.return;
  }
  return d;
}
function vf(a) {
  if (a === null)
    return null;
  do
    a = a.return;
  while (a && a.tag !== 5);
  return a ? a : null;
}
function wf(a, b, c, d, e2) {
  for (var f = b._reactName, g = []; c !== null && c !== d; ) {
    var h2 = c, k2 = h2.alternate, l2 = h2.stateNode;
    if (k2 !== null && k2 === d)
      break;
    h2.tag === 5 && l2 !== null && (h2 = l2, e2 ? (k2 = Kb(c, f), k2 != null && g.unshift(tf(c, k2, h2))) : e2 || (k2 = Kb(c, f), k2 != null && g.push(tf(c, k2, h2))));
    c = c.return;
  }
  g.length !== 0 && a.push({ event: b, listeners: g });
}
var xf = /\r\n?/g, yf = /\u0000|\uFFFD/g;
function zf(a) {
  return (typeof a === "string" ? a : "" + a).replace(xf, "\n").replace(yf, "");
}
function Af(a, b, c) {
  b = zf(b);
  if (zf(a) !== b && c)
    throw Error(p$1(425));
}
function Bf() {
}
var Cf = null, Df = null;
function Ef(a, b) {
  return a === "textarea" || a === "noscript" || typeof b.children === "string" || typeof b.children === "number" || typeof b.dangerouslySetInnerHTML === "object" && b.dangerouslySetInnerHTML !== null && b.dangerouslySetInnerHTML.__html != null;
}
var Ff = typeof setTimeout === "function" ? setTimeout : void 0, Gf = typeof clearTimeout === "function" ? clearTimeout : void 0, Hf = typeof Promise === "function" ? Promise : void 0, Jf = typeof queueMicrotask === "function" ? queueMicrotask : typeof Hf !== "undefined" ? function(a) {
  return Hf.resolve(null).then(a).catch(If);
} : Ff;
function If(a) {
  setTimeout(function() {
    throw a;
  });
}
function Kf(a, b) {
  var c = b, d = 0;
  do {
    var e2 = c.nextSibling;
    a.removeChild(c);
    if (e2 && e2.nodeType === 8)
      if (c = e2.data, c === "/$") {
        if (d === 0) {
          a.removeChild(e2);
          bd(b);
          return;
        }
        d--;
      } else
        c !== "$" && c !== "$?" && c !== "$!" || d++;
    c = e2;
  } while (c);
  bd(b);
}
function Lf(a) {
  for (; a != null; a = a.nextSibling) {
    var b = a.nodeType;
    if (b === 1 || b === 3)
      break;
    if (b === 8) {
      b = a.data;
      if (b === "$" || b === "$!" || b === "$?")
        break;
      if (b === "/$")
        return null;
    }
  }
  return a;
}
function Mf(a) {
  a = a.previousSibling;
  for (var b = 0; a; ) {
    if (a.nodeType === 8) {
      var c = a.data;
      if (c === "$" || c === "$!" || c === "$?") {
        if (b === 0)
          return a;
        b--;
      } else
        c === "/$" && b++;
    }
    a = a.previousSibling;
  }
  return null;
}
var Nf = Math.random().toString(36).slice(2), Of = "__reactFiber$" + Nf, Pf = "__reactProps$" + Nf, uf = "__reactContainer$" + Nf, of = "__reactEvents$" + Nf, Qf = "__reactListeners$" + Nf, Rf = "__reactHandles$" + Nf;
function Wc(a) {
  var b = a[Of];
  if (b)
    return b;
  for (var c = a.parentNode; c; ) {
    if (b = c[uf] || c[Of]) {
      c = b.alternate;
      if (b.child !== null || c !== null && c.child !== null)
        for (a = Mf(a); a !== null; ) {
          if (c = a[Of])
            return c;
          a = Mf(a);
        }
      return b;
    }
    a = c;
    c = a.parentNode;
  }
  return null;
}
function Cb(a) {
  a = a[Of] || a[uf];
  return !a || a.tag !== 5 && a.tag !== 6 && a.tag !== 13 && a.tag !== 3 ? null : a;
}
function ue(a) {
  if (a.tag === 5 || a.tag === 6)
    return a.stateNode;
  throw Error(p$1(33));
}
function Db(a) {
  return a[Pf] || null;
}
var Sf = [], Tf = -1;
function Uf(a) {
  return { current: a };
}
function E(a) {
  0 > Tf || (a.current = Sf[Tf], Sf[Tf] = null, Tf--);
}
function G(a, b) {
  Tf++;
  Sf[Tf] = a.current;
  a.current = b;
}
var Vf = {}, H = Uf(Vf), Wf = Uf(false), Xf = Vf;
function Yf(a, b) {
  var c = a.type.contextTypes;
  if (!c)
    return Vf;
  var d = a.stateNode;
  if (d && d.__reactInternalMemoizedUnmaskedChildContext === b)
    return d.__reactInternalMemoizedMaskedChildContext;
  var e2 = {}, f;
  for (f in c)
    e2[f] = b[f];
  d && (a = a.stateNode, a.__reactInternalMemoizedUnmaskedChildContext = b, a.__reactInternalMemoizedMaskedChildContext = e2);
  return e2;
}
function Zf(a) {
  a = a.childContextTypes;
  return a !== null && a !== void 0;
}
function $f() {
  E(Wf);
  E(H);
}
function ag(a, b, c) {
  if (H.current !== Vf)
    throw Error(p$1(168));
  G(H, b);
  G(Wf, c);
}
function bg(a, b, c) {
  var d = a.stateNode;
  b = b.childContextTypes;
  if (typeof d.getChildContext !== "function")
    return c;
  d = d.getChildContext();
  for (var e2 in d)
    if (!(e2 in b))
      throw Error(p$1(108, Ra(a) || "Unknown", e2));
  return A({}, c, d);
}
function cg(a) {
  a = (a = a.stateNode) && a.__reactInternalMemoizedMergedChildContext || Vf;
  Xf = H.current;
  G(H, a);
  G(Wf, Wf.current);
  return true;
}
function dg(a, b, c) {
  var d = a.stateNode;
  if (!d)
    throw Error(p$1(169));
  c ? (a = bg(a, b, Xf), d.__reactInternalMemoizedMergedChildContext = a, E(Wf), E(H), G(H, a)) : E(Wf);
  G(Wf, c);
}
var eg = null, fg = false, gg = false;
function hg(a) {
  eg === null ? eg = [a] : eg.push(a);
}
function ig(a) {
  fg = true;
  hg(a);
}
function jg() {
  if (!gg && eg !== null) {
    gg = true;
    var a = 0, b = C;
    try {
      var c = eg;
      for (C = 1; a < c.length; a++) {
        var d = c[a];
        do
          d = d(true);
        while (d !== null);
      }
      eg = null;
      fg = false;
    } catch (e2) {
      throw eg !== null && (eg = eg.slice(a + 1)), ac(fc, jg), e2;
    } finally {
      C = b, gg = false;
    }
  }
  return null;
}
var kg = [], lg = 0, mg = null, ng = 0, og = [], pg = 0, qg = null, rg = 1, sg = "";
function tg(a, b) {
  kg[lg++] = ng;
  kg[lg++] = mg;
  mg = a;
  ng = b;
}
function ug(a, b, c) {
  og[pg++] = rg;
  og[pg++] = sg;
  og[pg++] = qg;
  qg = a;
  var d = rg;
  a = sg;
  var e2 = 32 - oc(d) - 1;
  d &= ~(1 << e2);
  c += 1;
  var f = 32 - oc(b) + e2;
  if (30 < f) {
    var g = e2 - e2 % 5;
    f = (d & (1 << g) - 1).toString(32);
    d >>= g;
    e2 -= g;
    rg = 1 << 32 - oc(b) + e2 | c << e2 | d;
    sg = f + a;
  } else
    rg = 1 << f | c << e2 | d, sg = a;
}
function vg(a) {
  a.return !== null && (tg(a, 1), ug(a, 1, 0));
}
function wg(a) {
  for (; a === mg; )
    mg = kg[--lg], kg[lg] = null, ng = kg[--lg], kg[lg] = null;
  for (; a === qg; )
    qg = og[--pg], og[pg] = null, sg = og[--pg], og[pg] = null, rg = og[--pg], og[pg] = null;
}
var xg = null, yg = null, I = false, zg = null;
function Ag(a, b) {
  var c = Bg(5, null, null, 0);
  c.elementType = "DELETED";
  c.stateNode = b;
  c.return = a;
  b = a.deletions;
  b === null ? (a.deletions = [c], a.flags |= 16) : b.push(c);
}
function Cg(a, b) {
  switch (a.tag) {
    case 5:
      var c = a.type;
      b = b.nodeType !== 1 || c.toLowerCase() !== b.nodeName.toLowerCase() ? null : b;
      return b !== null ? (a.stateNode = b, xg = a, yg = Lf(b.firstChild), true) : false;
    case 6:
      return b = a.pendingProps === "" || b.nodeType !== 3 ? null : b, b !== null ? (a.stateNode = b, xg = a, yg = null, true) : false;
    case 13:
      return b = b.nodeType !== 8 ? null : b, b !== null ? (c = qg !== null ? { id: rg, overflow: sg } : null, a.memoizedState = { dehydrated: b, treeContext: c, retryLane: 1073741824 }, c = Bg(18, null, null, 0), c.stateNode = b, c.return = a, a.child = c, xg = a, yg = null, true) : false;
    default:
      return false;
  }
}
function Dg(a) {
  return (a.mode & 1) !== 0 && (a.flags & 128) === 0;
}
function Eg(a) {
  if (I) {
    var b = yg;
    if (b) {
      var c = b;
      if (!Cg(a, b)) {
        if (Dg(a))
          throw Error(p$1(418));
        b = Lf(c.nextSibling);
        var d = xg;
        b && Cg(a, b) ? Ag(d, c) : (a.flags = a.flags & -4097 | 2, I = false, xg = a);
      }
    } else {
      if (Dg(a))
        throw Error(p$1(418));
      a.flags = a.flags & -4097 | 2;
      I = false;
      xg = a;
    }
  }
}
function Fg(a) {
  for (a = a.return; a !== null && a.tag !== 5 && a.tag !== 3 && a.tag !== 13; )
    a = a.return;
  xg = a;
}
function Gg(a) {
  if (a !== xg)
    return false;
  if (!I)
    return Fg(a), I = true, false;
  var b;
  (b = a.tag !== 3) && !(b = a.tag !== 5) && (b = a.type, b = b !== "head" && b !== "body" && !Ef(a.type, a.memoizedProps));
  if (b && (b = yg)) {
    if (Dg(a))
      throw Hg(), Error(p$1(418));
    for (; b; )
      Ag(a, b), b = Lf(b.nextSibling);
  }
  Fg(a);
  if (a.tag === 13) {
    a = a.memoizedState;
    a = a !== null ? a.dehydrated : null;
    if (!a)
      throw Error(p$1(317));
    a: {
      a = a.nextSibling;
      for (b = 0; a; ) {
        if (a.nodeType === 8) {
          var c = a.data;
          if (c === "/$") {
            if (b === 0) {
              yg = Lf(a.nextSibling);
              break a;
            }
            b--;
          } else
            c !== "$" && c !== "$!" && c !== "$?" || b++;
        }
        a = a.nextSibling;
      }
      yg = null;
    }
  } else
    yg = xg ? Lf(a.stateNode.nextSibling) : null;
  return true;
}
function Hg() {
  for (var a = yg; a; )
    a = Lf(a.nextSibling);
}
function Ig() {
  yg = xg = null;
  I = false;
}
function Jg(a) {
  zg === null ? zg = [a] : zg.push(a);
}
var Kg = ua.ReactCurrentBatchConfig;
function Lg(a, b) {
  if (a && a.defaultProps) {
    b = A({}, b);
    a = a.defaultProps;
    for (var c in a)
      b[c] === void 0 && (b[c] = a[c]);
    return b;
  }
  return b;
}
var Mg = Uf(null), Ng = null, Og = null, Pg = null;
function Qg() {
  Pg = Og = Ng = null;
}
function Rg(a) {
  var b = Mg.current;
  E(Mg);
  a._currentValue = b;
}
function Sg(a, b, c) {
  for (; a !== null; ) {
    var d = a.alternate;
    (a.childLanes & b) !== b ? (a.childLanes |= b, d !== null && (d.childLanes |= b)) : d !== null && (d.childLanes & b) !== b && (d.childLanes |= b);
    if (a === c)
      break;
    a = a.return;
  }
}
function Tg(a, b) {
  Ng = a;
  Pg = Og = null;
  a = a.dependencies;
  a !== null && a.firstContext !== null && ((a.lanes & b) !== 0 && (Ug = true), a.firstContext = null);
}
function Vg(a) {
  var b = a._currentValue;
  if (Pg !== a)
    if (a = { context: a, memoizedValue: b, next: null }, Og === null) {
      if (Ng === null)
        throw Error(p$1(308));
      Og = a;
      Ng.dependencies = { lanes: 0, firstContext: a };
    } else
      Og = Og.next = a;
  return b;
}
var Wg = null;
function Xg(a) {
  Wg === null ? Wg = [a] : Wg.push(a);
}
function Yg(a, b, c, d) {
  var e2 = b.interleaved;
  e2 === null ? (c.next = c, Xg(b)) : (c.next = e2.next, e2.next = c);
  b.interleaved = c;
  return Zg(a, d);
}
function Zg(a, b) {
  a.lanes |= b;
  var c = a.alternate;
  c !== null && (c.lanes |= b);
  c = a;
  for (a = a.return; a !== null; )
    a.childLanes |= b, c = a.alternate, c !== null && (c.childLanes |= b), c = a, a = a.return;
  return c.tag === 3 ? c.stateNode : null;
}
var $g = false;
function ah(a) {
  a.updateQueue = { baseState: a.memoizedState, firstBaseUpdate: null, lastBaseUpdate: null, shared: { pending: null, interleaved: null, lanes: 0 }, effects: null };
}
function bh(a, b) {
  a = a.updateQueue;
  b.updateQueue === a && (b.updateQueue = { baseState: a.baseState, firstBaseUpdate: a.firstBaseUpdate, lastBaseUpdate: a.lastBaseUpdate, shared: a.shared, effects: a.effects });
}
function ch(a, b) {
  return { eventTime: a, lane: b, tag: 0, payload: null, callback: null, next: null };
}
function dh(a, b, c) {
  var d = a.updateQueue;
  if (d === null)
    return null;
  d = d.shared;
  if ((K & 2) !== 0) {
    var e2 = d.pending;
    e2 === null ? b.next = b : (b.next = e2.next, e2.next = b);
    d.pending = b;
    return Zg(a, c);
  }
  e2 = d.interleaved;
  e2 === null ? (b.next = b, Xg(d)) : (b.next = e2.next, e2.next = b);
  d.interleaved = b;
  return Zg(a, c);
}
function eh(a, b, c) {
  b = b.updateQueue;
  if (b !== null && (b = b.shared, (c & 4194240) !== 0)) {
    var d = b.lanes;
    d &= a.pendingLanes;
    c |= d;
    b.lanes = c;
    Cc(a, c);
  }
}
function fh(a, b) {
  var c = a.updateQueue, d = a.alternate;
  if (d !== null && (d = d.updateQueue, c === d)) {
    var e2 = null, f = null;
    c = c.firstBaseUpdate;
    if (c !== null) {
      do {
        var g = { eventTime: c.eventTime, lane: c.lane, tag: c.tag, payload: c.payload, callback: c.callback, next: null };
        f === null ? e2 = f = g : f = f.next = g;
        c = c.next;
      } while (c !== null);
      f === null ? e2 = f = b : f = f.next = b;
    } else
      e2 = f = b;
    c = { baseState: d.baseState, firstBaseUpdate: e2, lastBaseUpdate: f, shared: d.shared, effects: d.effects };
    a.updateQueue = c;
    return;
  }
  a = c.lastBaseUpdate;
  a === null ? c.firstBaseUpdate = b : a.next = b;
  c.lastBaseUpdate = b;
}
function gh(a, b, c, d) {
  var e2 = a.updateQueue;
  $g = false;
  var f = e2.firstBaseUpdate, g = e2.lastBaseUpdate, h2 = e2.shared.pending;
  if (h2 !== null) {
    e2.shared.pending = null;
    var k2 = h2, l2 = k2.next;
    k2.next = null;
    g === null ? f = l2 : g.next = l2;
    g = k2;
    var m2 = a.alternate;
    m2 !== null && (m2 = m2.updateQueue, h2 = m2.lastBaseUpdate, h2 !== g && (h2 === null ? m2.firstBaseUpdate = l2 : h2.next = l2, m2.lastBaseUpdate = k2));
  }
  if (f !== null) {
    var q2 = e2.baseState;
    g = 0;
    m2 = l2 = k2 = null;
    h2 = f;
    do {
      var r2 = h2.lane, y = h2.eventTime;
      if ((d & r2) === r2) {
        m2 !== null && (m2 = m2.next = {
          eventTime: y,
          lane: 0,
          tag: h2.tag,
          payload: h2.payload,
          callback: h2.callback,
          next: null
        });
        a: {
          var n2 = a, t2 = h2;
          r2 = b;
          y = c;
          switch (t2.tag) {
            case 1:
              n2 = t2.payload;
              if (typeof n2 === "function") {
                q2 = n2.call(y, q2, r2);
                break a;
              }
              q2 = n2;
              break a;
            case 3:
              n2.flags = n2.flags & -65537 | 128;
            case 0:
              n2 = t2.payload;
              r2 = typeof n2 === "function" ? n2.call(y, q2, r2) : n2;
              if (r2 === null || r2 === void 0)
                break a;
              q2 = A({}, q2, r2);
              break a;
            case 2:
              $g = true;
          }
        }
        h2.callback !== null && h2.lane !== 0 && (a.flags |= 64, r2 = e2.effects, r2 === null ? e2.effects = [h2] : r2.push(h2));
      } else
        y = { eventTime: y, lane: r2, tag: h2.tag, payload: h2.payload, callback: h2.callback, next: null }, m2 === null ? (l2 = m2 = y, k2 = q2) : m2 = m2.next = y, g |= r2;
      h2 = h2.next;
      if (h2 === null)
        if (h2 = e2.shared.pending, h2 === null)
          break;
        else
          r2 = h2, h2 = r2.next, r2.next = null, e2.lastBaseUpdate = r2, e2.shared.pending = null;
    } while (1);
    m2 === null && (k2 = q2);
    e2.baseState = k2;
    e2.firstBaseUpdate = l2;
    e2.lastBaseUpdate = m2;
    b = e2.shared.interleaved;
    if (b !== null) {
      e2 = b;
      do
        g |= e2.lane, e2 = e2.next;
      while (e2 !== b);
    } else
      f === null && (e2.shared.lanes = 0);
    hh |= g;
    a.lanes = g;
    a.memoizedState = q2;
  }
}
function ih(a, b, c) {
  a = b.effects;
  b.effects = null;
  if (a !== null)
    for (b = 0; b < a.length; b++) {
      var d = a[b], e2 = d.callback;
      if (e2 !== null) {
        d.callback = null;
        d = c;
        if (typeof e2 !== "function")
          throw Error(p$1(191, e2));
        e2.call(d);
      }
    }
}
var jh = new aa.Component().refs;
function kh(a, b, c, d) {
  b = a.memoizedState;
  c = c(d, b);
  c = c === null || c === void 0 ? b : A({}, b, c);
  a.memoizedState = c;
  a.lanes === 0 && (a.updateQueue.baseState = c);
}
var nh = { isMounted: function(a) {
  return (a = a._reactInternals) ? Vb(a) === a : false;
}, enqueueSetState: function(a, b, c) {
  a = a._reactInternals;
  var d = L(), e2 = lh(a), f = ch(d, e2);
  f.payload = b;
  c !== void 0 && c !== null && (f.callback = c);
  b = dh(a, f, e2);
  b !== null && (mh(b, a, e2, d), eh(b, a, e2));
}, enqueueReplaceState: function(a, b, c) {
  a = a._reactInternals;
  var d = L(), e2 = lh(a), f = ch(d, e2);
  f.tag = 1;
  f.payload = b;
  c !== void 0 && c !== null && (f.callback = c);
  b = dh(a, f, e2);
  b !== null && (mh(b, a, e2, d), eh(b, a, e2));
}, enqueueForceUpdate: function(a, b) {
  a = a._reactInternals;
  var c = L(), d = lh(a), e2 = ch(c, d);
  e2.tag = 2;
  b !== void 0 && b !== null && (e2.callback = b);
  b = dh(a, e2, d);
  b !== null && (mh(b, a, d, c), eh(b, a, d));
} };
function oh(a, b, c, d, e2, f, g) {
  a = a.stateNode;
  return typeof a.shouldComponentUpdate === "function" ? a.shouldComponentUpdate(d, f, g) : b.prototype && b.prototype.isPureReactComponent ? !Ie(c, d) || !Ie(e2, f) : true;
}
function ph(a, b, c) {
  var d = false, e2 = Vf;
  var f = b.contextType;
  typeof f === "object" && f !== null ? f = Vg(f) : (e2 = Zf(b) ? Xf : H.current, d = b.contextTypes, f = (d = d !== null && d !== void 0) ? Yf(a, e2) : Vf);
  b = new b(c, f);
  a.memoizedState = b.state !== null && b.state !== void 0 ? b.state : null;
  b.updater = nh;
  a.stateNode = b;
  b._reactInternals = a;
  d && (a = a.stateNode, a.__reactInternalMemoizedUnmaskedChildContext = e2, a.__reactInternalMemoizedMaskedChildContext = f);
  return b;
}
function qh(a, b, c, d) {
  a = b.state;
  typeof b.componentWillReceiveProps === "function" && b.componentWillReceiveProps(c, d);
  typeof b.UNSAFE_componentWillReceiveProps === "function" && b.UNSAFE_componentWillReceiveProps(c, d);
  b.state !== a && nh.enqueueReplaceState(b, b.state, null);
}
function rh(a, b, c, d) {
  var e2 = a.stateNode;
  e2.props = c;
  e2.state = a.memoizedState;
  e2.refs = jh;
  ah(a);
  var f = b.contextType;
  typeof f === "object" && f !== null ? e2.context = Vg(f) : (f = Zf(b) ? Xf : H.current, e2.context = Yf(a, f));
  e2.state = a.memoizedState;
  f = b.getDerivedStateFromProps;
  typeof f === "function" && (kh(a, b, f, c), e2.state = a.memoizedState);
  typeof b.getDerivedStateFromProps === "function" || typeof e2.getSnapshotBeforeUpdate === "function" || typeof e2.UNSAFE_componentWillMount !== "function" && typeof e2.componentWillMount !== "function" || (b = e2.state, typeof e2.componentWillMount === "function" && e2.componentWillMount(), typeof e2.UNSAFE_componentWillMount === "function" && e2.UNSAFE_componentWillMount(), b !== e2.state && nh.enqueueReplaceState(e2, e2.state, null), gh(a, c, e2, d), e2.state = a.memoizedState);
  typeof e2.componentDidMount === "function" && (a.flags |= 4194308);
}
function sh(a, b, c) {
  a = c.ref;
  if (a !== null && typeof a !== "function" && typeof a !== "object") {
    if (c._owner) {
      c = c._owner;
      if (c) {
        if (c.tag !== 1)
          throw Error(p$1(309));
        var d = c.stateNode;
      }
      if (!d)
        throw Error(p$1(147, a));
      var e2 = d, f = "" + a;
      if (b !== null && b.ref !== null && typeof b.ref === "function" && b.ref._stringRef === f)
        return b.ref;
      b = function(a2) {
        var b2 = e2.refs;
        b2 === jh && (b2 = e2.refs = {});
        a2 === null ? delete b2[f] : b2[f] = a2;
      };
      b._stringRef = f;
      return b;
    }
    if (typeof a !== "string")
      throw Error(p$1(284));
    if (!c._owner)
      throw Error(p$1(290, a));
  }
  return a;
}
function th(a, b) {
  a = Object.prototype.toString.call(b);
  throw Error(p$1(31, a === "[object Object]" ? "object with keys {" + Object.keys(b).join(", ") + "}" : a));
}
function uh(a) {
  var b = a._init;
  return b(a._payload);
}
function vh(a) {
  function b(b2, c2) {
    if (a) {
      var d2 = b2.deletions;
      d2 === null ? (b2.deletions = [c2], b2.flags |= 16) : d2.push(c2);
    }
  }
  function c(c2, d2) {
    if (!a)
      return null;
    for (; d2 !== null; )
      b(c2, d2), d2 = d2.sibling;
    return null;
  }
  function d(a2, b2) {
    for (a2 = /* @__PURE__ */ new Map(); b2 !== null; )
      b2.key !== null ? a2.set(b2.key, b2) : a2.set(b2.index, b2), b2 = b2.sibling;
    return a2;
  }
  function e2(a2, b2) {
    a2 = wh(a2, b2);
    a2.index = 0;
    a2.sibling = null;
    return a2;
  }
  function f(b2, c2, d2) {
    b2.index = d2;
    if (!a)
      return b2.flags |= 1048576, c2;
    d2 = b2.alternate;
    if (d2 !== null)
      return d2 = d2.index, d2 < c2 ? (b2.flags |= 2, c2) : d2;
    b2.flags |= 2;
    return c2;
  }
  function g(b2) {
    a && b2.alternate === null && (b2.flags |= 2);
    return b2;
  }
  function h2(a2, b2, c2, d2) {
    if (b2 === null || b2.tag !== 6)
      return b2 = xh(c2, a2.mode, d2), b2.return = a2, b2;
    b2 = e2(b2, c2);
    b2.return = a2;
    return b2;
  }
  function k2(a2, b2, c2, d2) {
    var f2 = c2.type;
    if (f2 === ya)
      return m2(a2, b2, c2.props.children, d2, c2.key);
    if (b2 !== null && (b2.elementType === f2 || typeof f2 === "object" && f2 !== null && f2.$$typeof === Ha && uh(f2) === b2.type))
      return d2 = e2(b2, c2.props), d2.ref = sh(a2, b2, c2), d2.return = a2, d2;
    d2 = yh(c2.type, c2.key, c2.props, null, a2.mode, d2);
    d2.ref = sh(a2, b2, c2);
    d2.return = a2;
    return d2;
  }
  function l2(a2, b2, c2, d2) {
    if (b2 === null || b2.tag !== 4 || b2.stateNode.containerInfo !== c2.containerInfo || b2.stateNode.implementation !== c2.implementation)
      return b2 = zh(c2, a2.mode, d2), b2.return = a2, b2;
    b2 = e2(b2, c2.children || []);
    b2.return = a2;
    return b2;
  }
  function m2(a2, b2, c2, d2, f2) {
    if (b2 === null || b2.tag !== 7)
      return b2 = Ah(c2, a2.mode, d2, f2), b2.return = a2, b2;
    b2 = e2(b2, c2);
    b2.return = a2;
    return b2;
  }
  function q2(a2, b2, c2) {
    if (typeof b2 === "string" && b2 !== "" || typeof b2 === "number")
      return b2 = xh("" + b2, a2.mode, c2), b2.return = a2, b2;
    if (typeof b2 === "object" && b2 !== null) {
      switch (b2.$$typeof) {
        case va:
          return c2 = yh(b2.type, b2.key, b2.props, null, a2.mode, c2), c2.ref = sh(a2, null, b2), c2.return = a2, c2;
        case wa:
          return b2 = zh(b2, a2.mode, c2), b2.return = a2, b2;
        case Ha:
          var d2 = b2._init;
          return q2(a2, d2(b2._payload), c2);
      }
      if (eb(b2) || Ka(b2))
        return b2 = Ah(b2, a2.mode, c2, null), b2.return = a2, b2;
      th(a2, b2);
    }
    return null;
  }
  function r2(a2, b2, c2, d2) {
    var e3 = b2 !== null ? b2.key : null;
    if (typeof c2 === "string" && c2 !== "" || typeof c2 === "number")
      return e3 !== null ? null : h2(a2, b2, "" + c2, d2);
    if (typeof c2 === "object" && c2 !== null) {
      switch (c2.$$typeof) {
        case va:
          return c2.key === e3 ? k2(a2, b2, c2, d2) : null;
        case wa:
          return c2.key === e3 ? l2(a2, b2, c2, d2) : null;
        case Ha:
          return e3 = c2._init, r2(a2, b2, e3(c2._payload), d2);
      }
      if (eb(c2) || Ka(c2))
        return e3 !== null ? null : m2(a2, b2, c2, d2, null);
      th(a2, c2);
    }
    return null;
  }
  function y(a2, b2, c2, d2, e3) {
    if (typeof d2 === "string" && d2 !== "" || typeof d2 === "number")
      return a2 = a2.get(c2) || null, h2(b2, a2, "" + d2, e3);
    if (typeof d2 === "object" && d2 !== null) {
      switch (d2.$$typeof) {
        case va:
          return a2 = a2.get(d2.key === null ? c2 : d2.key) || null, k2(b2, a2, d2, e3);
        case wa:
          return a2 = a2.get(d2.key === null ? c2 : d2.key) || null, l2(b2, a2, d2, e3);
        case Ha:
          var f2 = d2._init;
          return y(a2, b2, c2, f2(d2._payload), e3);
      }
      if (eb(d2) || Ka(d2))
        return a2 = a2.get(c2) || null, m2(b2, a2, d2, e3, null);
      th(b2, d2);
    }
    return null;
  }
  function n2(e3, g2, h3, k3) {
    for (var l3 = null, m3 = null, u2 = g2, w = g2 = 0, x = null; u2 !== null && w < h3.length; w++) {
      u2.index > w ? (x = u2, u2 = null) : x = u2.sibling;
      var n3 = r2(e3, u2, h3[w], k3);
      if (n3 === null) {
        u2 === null && (u2 = x);
        break;
      }
      a && u2 && n3.alternate === null && b(e3, u2);
      g2 = f(n3, g2, w);
      m3 === null ? l3 = n3 : m3.sibling = n3;
      m3 = n3;
      u2 = x;
    }
    if (w === h3.length)
      return c(e3, u2), I && tg(e3, w), l3;
    if (u2 === null) {
      for (; w < h3.length; w++)
        u2 = q2(e3, h3[w], k3), u2 !== null && (g2 = f(u2, g2, w), m3 === null ? l3 = u2 : m3.sibling = u2, m3 = u2);
      I && tg(e3, w);
      return l3;
    }
    for (u2 = d(e3, u2); w < h3.length; w++)
      x = y(u2, e3, w, h3[w], k3), x !== null && (a && x.alternate !== null && u2.delete(x.key === null ? w : x.key), g2 = f(x, g2, w), m3 === null ? l3 = x : m3.sibling = x, m3 = x);
    a && u2.forEach(function(a2) {
      return b(e3, a2);
    });
    I && tg(e3, w);
    return l3;
  }
  function t2(e3, g2, h3, k3) {
    var l3 = Ka(h3);
    if (typeof l3 !== "function")
      throw Error(p$1(150));
    h3 = l3.call(h3);
    if (h3 == null)
      throw Error(p$1(151));
    for (var u2 = l3 = null, m3 = g2, w = g2 = 0, x = null, n3 = h3.next(); m3 !== null && !n3.done; w++, n3 = h3.next()) {
      m3.index > w ? (x = m3, m3 = null) : x = m3.sibling;
      var t3 = r2(e3, m3, n3.value, k3);
      if (t3 === null) {
        m3 === null && (m3 = x);
        break;
      }
      a && m3 && t3.alternate === null && b(e3, m3);
      g2 = f(t3, g2, w);
      u2 === null ? l3 = t3 : u2.sibling = t3;
      u2 = t3;
      m3 = x;
    }
    if (n3.done)
      return c(e3, m3), I && tg(e3, w), l3;
    if (m3 === null) {
      for (; !n3.done; w++, n3 = h3.next())
        n3 = q2(e3, n3.value, k3), n3 !== null && (g2 = f(n3, g2, w), u2 === null ? l3 = n3 : u2.sibling = n3, u2 = n3);
      I && tg(e3, w);
      return l3;
    }
    for (m3 = d(e3, m3); !n3.done; w++, n3 = h3.next())
      n3 = y(m3, e3, w, n3.value, k3), n3 !== null && (a && n3.alternate !== null && m3.delete(n3.key === null ? w : n3.key), g2 = f(n3, g2, w), u2 === null ? l3 = n3 : u2.sibling = n3, u2 = n3);
    a && m3.forEach(function(a2) {
      return b(e3, a2);
    });
    I && tg(e3, w);
    return l3;
  }
  function J(a2, d2, f2, h3) {
    typeof f2 === "object" && f2 !== null && f2.type === ya && f2.key === null && (f2 = f2.props.children);
    if (typeof f2 === "object" && f2 !== null) {
      switch (f2.$$typeof) {
        case va:
          a: {
            for (var k3 = f2.key, l3 = d2; l3 !== null; ) {
              if (l3.key === k3) {
                k3 = f2.type;
                if (k3 === ya) {
                  if (l3.tag === 7) {
                    c(a2, l3.sibling);
                    d2 = e2(l3, f2.props.children);
                    d2.return = a2;
                    a2 = d2;
                    break a;
                  }
                } else if (l3.elementType === k3 || typeof k3 === "object" && k3 !== null && k3.$$typeof === Ha && uh(k3) === l3.type) {
                  c(a2, l3.sibling);
                  d2 = e2(l3, f2.props);
                  d2.ref = sh(a2, l3, f2);
                  d2.return = a2;
                  a2 = d2;
                  break a;
                }
                c(a2, l3);
                break;
              } else
                b(a2, l3);
              l3 = l3.sibling;
            }
            f2.type === ya ? (d2 = Ah(f2.props.children, a2.mode, h3, f2.key), d2.return = a2, a2 = d2) : (h3 = yh(f2.type, f2.key, f2.props, null, a2.mode, h3), h3.ref = sh(a2, d2, f2), h3.return = a2, a2 = h3);
          }
          return g(a2);
        case wa:
          a: {
            for (l3 = f2.key; d2 !== null; ) {
              if (d2.key === l3)
                if (d2.tag === 4 && d2.stateNode.containerInfo === f2.containerInfo && d2.stateNode.implementation === f2.implementation) {
                  c(a2, d2.sibling);
                  d2 = e2(d2, f2.children || []);
                  d2.return = a2;
                  a2 = d2;
                  break a;
                } else {
                  c(a2, d2);
                  break;
                }
              else
                b(a2, d2);
              d2 = d2.sibling;
            }
            d2 = zh(f2, a2.mode, h3);
            d2.return = a2;
            a2 = d2;
          }
          return g(a2);
        case Ha:
          return l3 = f2._init, J(a2, d2, l3(f2._payload), h3);
      }
      if (eb(f2))
        return n2(a2, d2, f2, h3);
      if (Ka(f2))
        return t2(a2, d2, f2, h3);
      th(a2, f2);
    }
    return typeof f2 === "string" && f2 !== "" || typeof f2 === "number" ? (f2 = "" + f2, d2 !== null && d2.tag === 6 ? (c(a2, d2.sibling), d2 = e2(d2, f2), d2.return = a2, a2 = d2) : (c(a2, d2), d2 = xh(f2, a2.mode, h3), d2.return = a2, a2 = d2), g(a2)) : c(a2, d2);
  }
  return J;
}
var Bh = vh(true), Ch = vh(false), Dh = {}, Eh = Uf(Dh), Fh = Uf(Dh), Gh = Uf(Dh);
function Hh(a) {
  if (a === Dh)
    throw Error(p$1(174));
  return a;
}
function Ih(a, b) {
  G(Gh, b);
  G(Fh, a);
  G(Eh, Dh);
  a = b.nodeType;
  switch (a) {
    case 9:
    case 11:
      b = (b = b.documentElement) ? b.namespaceURI : lb(null, "");
      break;
    default:
      a = a === 8 ? b.parentNode : b, b = a.namespaceURI || null, a = a.tagName, b = lb(b, a);
  }
  E(Eh);
  G(Eh, b);
}
function Jh() {
  E(Eh);
  E(Fh);
  E(Gh);
}
function Kh(a) {
  Hh(Gh.current);
  var b = Hh(Eh.current);
  var c = lb(b, a.type);
  b !== c && (G(Fh, a), G(Eh, c));
}
function Lh(a) {
  Fh.current === a && (E(Eh), E(Fh));
}
var M = Uf(0);
function Mh(a) {
  for (var b = a; b !== null; ) {
    if (b.tag === 13) {
      var c = b.memoizedState;
      if (c !== null && (c = c.dehydrated, c === null || c.data === "$?" || c.data === "$!"))
        return b;
    } else if (b.tag === 19 && b.memoizedProps.revealOrder !== void 0) {
      if ((b.flags & 128) !== 0)
        return b;
    } else if (b.child !== null) {
      b.child.return = b;
      b = b.child;
      continue;
    }
    if (b === a)
      break;
    for (; b.sibling === null; ) {
      if (b.return === null || b.return === a)
        return null;
      b = b.return;
    }
    b.sibling.return = b.return;
    b = b.sibling;
  }
  return null;
}
var Nh = [];
function Oh() {
  for (var a = 0; a < Nh.length; a++)
    Nh[a]._workInProgressVersionPrimary = null;
  Nh.length = 0;
}
var Ph = ua.ReactCurrentDispatcher, Qh = ua.ReactCurrentBatchConfig, Rh = 0, N = null, O = null, P = null, Sh = false, Th = false, Uh = 0, Vh = 0;
function Q() {
  throw Error(p$1(321));
}
function Wh(a, b) {
  if (b === null)
    return false;
  for (var c = 0; c < b.length && c < a.length; c++)
    if (!He(a[c], b[c]))
      return false;
  return true;
}
function Xh(a, b, c, d, e2, f) {
  Rh = f;
  N = b;
  b.memoizedState = null;
  b.updateQueue = null;
  b.lanes = 0;
  Ph.current = a === null || a.memoizedState === null ? Yh : Zh;
  a = c(d, e2);
  if (Th) {
    f = 0;
    do {
      Th = false;
      Uh = 0;
      if (25 <= f)
        throw Error(p$1(301));
      f += 1;
      P = O = null;
      b.updateQueue = null;
      Ph.current = $h;
      a = c(d, e2);
    } while (Th);
  }
  Ph.current = ai;
  b = O !== null && O.next !== null;
  Rh = 0;
  P = O = N = null;
  Sh = false;
  if (b)
    throw Error(p$1(300));
  return a;
}
function bi() {
  var a = Uh !== 0;
  Uh = 0;
  return a;
}
function ci() {
  var a = { memoizedState: null, baseState: null, baseQueue: null, queue: null, next: null };
  P === null ? N.memoizedState = P = a : P = P.next = a;
  return P;
}
function di() {
  if (O === null) {
    var a = N.alternate;
    a = a !== null ? a.memoizedState : null;
  } else
    a = O.next;
  var b = P === null ? N.memoizedState : P.next;
  if (b !== null)
    P = b, O = a;
  else {
    if (a === null)
      throw Error(p$1(310));
    O = a;
    a = { memoizedState: O.memoizedState, baseState: O.baseState, baseQueue: O.baseQueue, queue: O.queue, next: null };
    P === null ? N.memoizedState = P = a : P = P.next = a;
  }
  return P;
}
function ei(a, b) {
  return typeof b === "function" ? b(a) : b;
}
function fi(a) {
  var b = di(), c = b.queue;
  if (c === null)
    throw Error(p$1(311));
  c.lastRenderedReducer = a;
  var d = O, e2 = d.baseQueue, f = c.pending;
  if (f !== null) {
    if (e2 !== null) {
      var g = e2.next;
      e2.next = f.next;
      f.next = g;
    }
    d.baseQueue = e2 = f;
    c.pending = null;
  }
  if (e2 !== null) {
    f = e2.next;
    d = d.baseState;
    var h2 = g = null, k2 = null, l2 = f;
    do {
      var m2 = l2.lane;
      if ((Rh & m2) === m2)
        k2 !== null && (k2 = k2.next = { lane: 0, action: l2.action, hasEagerState: l2.hasEagerState, eagerState: l2.eagerState, next: null }), d = l2.hasEagerState ? l2.eagerState : a(d, l2.action);
      else {
        var q2 = {
          lane: m2,
          action: l2.action,
          hasEagerState: l2.hasEagerState,
          eagerState: l2.eagerState,
          next: null
        };
        k2 === null ? (h2 = k2 = q2, g = d) : k2 = k2.next = q2;
        N.lanes |= m2;
        hh |= m2;
      }
      l2 = l2.next;
    } while (l2 !== null && l2 !== f);
    k2 === null ? g = d : k2.next = h2;
    He(d, b.memoizedState) || (Ug = true);
    b.memoizedState = d;
    b.baseState = g;
    b.baseQueue = k2;
    c.lastRenderedState = d;
  }
  a = c.interleaved;
  if (a !== null) {
    e2 = a;
    do
      f = e2.lane, N.lanes |= f, hh |= f, e2 = e2.next;
    while (e2 !== a);
  } else
    e2 === null && (c.lanes = 0);
  return [b.memoizedState, c.dispatch];
}
function gi(a) {
  var b = di(), c = b.queue;
  if (c === null)
    throw Error(p$1(311));
  c.lastRenderedReducer = a;
  var d = c.dispatch, e2 = c.pending, f = b.memoizedState;
  if (e2 !== null) {
    c.pending = null;
    var g = e2 = e2.next;
    do
      f = a(f, g.action), g = g.next;
    while (g !== e2);
    He(f, b.memoizedState) || (Ug = true);
    b.memoizedState = f;
    b.baseQueue === null && (b.baseState = f);
    c.lastRenderedState = f;
  }
  return [f, d];
}
function hi() {
}
function ii(a, b) {
  var c = N, d = di(), e2 = b(), f = !He(d.memoizedState, e2);
  f && (d.memoizedState = e2, Ug = true);
  d = d.queue;
  ji(ki.bind(null, c, d, a), [a]);
  if (d.getSnapshot !== b || f || P !== null && P.memoizedState.tag & 1) {
    c.flags |= 2048;
    li(9, mi.bind(null, c, d, e2, b), void 0, null);
    if (R === null)
      throw Error(p$1(349));
    (Rh & 30) !== 0 || ni(c, b, e2);
  }
  return e2;
}
function ni(a, b, c) {
  a.flags |= 16384;
  a = { getSnapshot: b, value: c };
  b = N.updateQueue;
  b === null ? (b = { lastEffect: null, stores: null }, N.updateQueue = b, b.stores = [a]) : (c = b.stores, c === null ? b.stores = [a] : c.push(a));
}
function mi(a, b, c, d) {
  b.value = c;
  b.getSnapshot = d;
  oi(b) && pi(a);
}
function ki(a, b, c) {
  return c(function() {
    oi(b) && pi(a);
  });
}
function oi(a) {
  var b = a.getSnapshot;
  a = a.value;
  try {
    var c = b();
    return !He(a, c);
  } catch (d) {
    return true;
  }
}
function pi(a) {
  var b = Zg(a, 1);
  b !== null && mh(b, a, 1, -1);
}
function qi(a) {
  var b = ci();
  typeof a === "function" && (a = a());
  b.memoizedState = b.baseState = a;
  a = { pending: null, interleaved: null, lanes: 0, dispatch: null, lastRenderedReducer: ei, lastRenderedState: a };
  b.queue = a;
  a = a.dispatch = ri.bind(null, N, a);
  return [b.memoizedState, a];
}
function li(a, b, c, d) {
  a = { tag: a, create: b, destroy: c, deps: d, next: null };
  b = N.updateQueue;
  b === null ? (b = { lastEffect: null, stores: null }, N.updateQueue = b, b.lastEffect = a.next = a) : (c = b.lastEffect, c === null ? b.lastEffect = a.next = a : (d = c.next, c.next = a, a.next = d, b.lastEffect = a));
  return a;
}
function si() {
  return di().memoizedState;
}
function ti(a, b, c, d) {
  var e2 = ci();
  N.flags |= a;
  e2.memoizedState = li(1 | b, c, void 0, d === void 0 ? null : d);
}
function ui(a, b, c, d) {
  var e2 = di();
  d = d === void 0 ? null : d;
  var f = void 0;
  if (O !== null) {
    var g = O.memoizedState;
    f = g.destroy;
    if (d !== null && Wh(d, g.deps)) {
      e2.memoizedState = li(b, c, f, d);
      return;
    }
  }
  N.flags |= a;
  e2.memoizedState = li(1 | b, c, f, d);
}
function vi(a, b) {
  return ti(8390656, 8, a, b);
}
function ji(a, b) {
  return ui(2048, 8, a, b);
}
function wi(a, b) {
  return ui(4, 2, a, b);
}
function xi(a, b) {
  return ui(4, 4, a, b);
}
function yi(a, b) {
  if (typeof b === "function")
    return a = a(), b(a), function() {
      b(null);
    };
  if (b !== null && b !== void 0)
    return a = a(), b.current = a, function() {
      b.current = null;
    };
}
function zi(a, b, c) {
  c = c !== null && c !== void 0 ? c.concat([a]) : null;
  return ui(4, 4, yi.bind(null, b, a), c);
}
function Ai() {
}
function Bi(a, b) {
  var c = di();
  b = b === void 0 ? null : b;
  var d = c.memoizedState;
  if (d !== null && b !== null && Wh(b, d[1]))
    return d[0];
  c.memoizedState = [a, b];
  return a;
}
function Ci(a, b) {
  var c = di();
  b = b === void 0 ? null : b;
  var d = c.memoizedState;
  if (d !== null && b !== null && Wh(b, d[1]))
    return d[0];
  a = a();
  c.memoizedState = [a, b];
  return a;
}
function Di(a, b, c) {
  if ((Rh & 21) === 0)
    return a.baseState && (a.baseState = false, Ug = true), a.memoizedState = c;
  He(c, b) || (c = yc(), N.lanes |= c, hh |= c, a.baseState = true);
  return b;
}
function Ei(a, b) {
  var c = C;
  C = c !== 0 && 4 > c ? c : 4;
  a(true);
  var d = Qh.transition;
  Qh.transition = {};
  try {
    a(false), b();
  } finally {
    C = c, Qh.transition = d;
  }
}
function Fi() {
  return di().memoizedState;
}
function Gi(a, b, c) {
  var d = lh(a);
  c = { lane: d, action: c, hasEagerState: false, eagerState: null, next: null };
  if (Hi(a))
    Ii(b, c);
  else if (c = Yg(a, b, c, d), c !== null) {
    var e2 = L();
    mh(c, a, d, e2);
    Ji(c, b, d);
  }
}
function ri(a, b, c) {
  var d = lh(a), e2 = { lane: d, action: c, hasEagerState: false, eagerState: null, next: null };
  if (Hi(a))
    Ii(b, e2);
  else {
    var f = a.alternate;
    if (a.lanes === 0 && (f === null || f.lanes === 0) && (f = b.lastRenderedReducer, f !== null))
      try {
        var g = b.lastRenderedState, h2 = f(g, c);
        e2.hasEagerState = true;
        e2.eagerState = h2;
        if (He(h2, g)) {
          var k2 = b.interleaved;
          k2 === null ? (e2.next = e2, Xg(b)) : (e2.next = k2.next, k2.next = e2);
          b.interleaved = e2;
          return;
        }
      } catch (l2) {
      } finally {
      }
    c = Yg(a, b, e2, d);
    c !== null && (e2 = L(), mh(c, a, d, e2), Ji(c, b, d));
  }
}
function Hi(a) {
  var b = a.alternate;
  return a === N || b !== null && b === N;
}
function Ii(a, b) {
  Th = Sh = true;
  var c = a.pending;
  c === null ? b.next = b : (b.next = c.next, c.next = b);
  a.pending = b;
}
function Ji(a, b, c) {
  if ((c & 4194240) !== 0) {
    var d = b.lanes;
    d &= a.pendingLanes;
    c |= d;
    b.lanes = c;
    Cc(a, c);
  }
}
var ai = { readContext: Vg, useCallback: Q, useContext: Q, useEffect: Q, useImperativeHandle: Q, useInsertionEffect: Q, useLayoutEffect: Q, useMemo: Q, useReducer: Q, useRef: Q, useState: Q, useDebugValue: Q, useDeferredValue: Q, useTransition: Q, useMutableSource: Q, useSyncExternalStore: Q, useId: Q, unstable_isNewReconciler: false }, Yh = { readContext: Vg, useCallback: function(a, b) {
  ci().memoizedState = [a, b === void 0 ? null : b];
  return a;
}, useContext: Vg, useEffect: vi, useImperativeHandle: function(a, b, c) {
  c = c !== null && c !== void 0 ? c.concat([a]) : null;
  return ti(4194308, 4, yi.bind(null, b, a), c);
}, useLayoutEffect: function(a, b) {
  return ti(4194308, 4, a, b);
}, useInsertionEffect: function(a, b) {
  return ti(4, 2, a, b);
}, useMemo: function(a, b) {
  var c = ci();
  b = b === void 0 ? null : b;
  a = a();
  c.memoizedState = [a, b];
  return a;
}, useReducer: function(a, b, c) {
  var d = ci();
  b = c !== void 0 ? c(b) : b;
  d.memoizedState = d.baseState = b;
  a = { pending: null, interleaved: null, lanes: 0, dispatch: null, lastRenderedReducer: a, lastRenderedState: b };
  d.queue = a;
  a = a.dispatch = Gi.bind(null, N, a);
  return [d.memoizedState, a];
}, useRef: function(a) {
  var b = ci();
  a = { current: a };
  return b.memoizedState = a;
}, useState: qi, useDebugValue: Ai, useDeferredValue: function(a) {
  return ci().memoizedState = a;
}, useTransition: function() {
  var a = qi(false), b = a[0];
  a = Ei.bind(null, a[1]);
  ci().memoizedState = a;
  return [b, a];
}, useMutableSource: function() {
}, useSyncExternalStore: function(a, b, c) {
  var d = N, e2 = ci();
  if (I) {
    if (c === void 0)
      throw Error(p$1(407));
    c = c();
  } else {
    c = b();
    if (R === null)
      throw Error(p$1(349));
    (Rh & 30) !== 0 || ni(d, b, c);
  }
  e2.memoizedState = c;
  var f = { value: c, getSnapshot: b };
  e2.queue = f;
  vi(ki.bind(null, d, f, a), [a]);
  d.flags |= 2048;
  li(9, mi.bind(null, d, f, c, b), void 0, null);
  return c;
}, useId: function() {
  var a = ci(), b = R.identifierPrefix;
  if (I) {
    var c = sg;
    var d = rg;
    c = (d & ~(1 << 32 - oc(d) - 1)).toString(32) + c;
    b = ":" + b + "R" + c;
    c = Uh++;
    0 < c && (b += "H" + c.toString(32));
    b += ":";
  } else
    c = Vh++, b = ":" + b + "r" + c.toString(32) + ":";
  return a.memoizedState = b;
}, unstable_isNewReconciler: false }, Zh = {
  readContext: Vg,
  useCallback: Bi,
  useContext: Vg,
  useEffect: ji,
  useImperativeHandle: zi,
  useInsertionEffect: wi,
  useLayoutEffect: xi,
  useMemo: Ci,
  useReducer: fi,
  useRef: si,
  useState: function() {
    return fi(ei);
  },
  useDebugValue: Ai,
  useDeferredValue: function(a) {
    var b = di();
    return Di(b, O.memoizedState, a);
  },
  useTransition: function() {
    var a = fi(ei)[0], b = di().memoizedState;
    return [a, b];
  },
  useMutableSource: hi,
  useSyncExternalStore: ii,
  useId: Fi,
  unstable_isNewReconciler: false
}, $h = { readContext: Vg, useCallback: Bi, useContext: Vg, useEffect: ji, useImperativeHandle: zi, useInsertionEffect: wi, useLayoutEffect: xi, useMemo: Ci, useReducer: gi, useRef: si, useState: function() {
  return gi(ei);
}, useDebugValue: Ai, useDeferredValue: function(a) {
  var b = di();
  return O === null ? b.memoizedState = a : Di(b, O.memoizedState, a);
}, useTransition: function() {
  var a = gi(ei)[0], b = di().memoizedState;
  return [a, b];
}, useMutableSource: hi, useSyncExternalStore: ii, useId: Fi, unstable_isNewReconciler: false };
function Ki(a, b) {
  try {
    var c = "", d = b;
    do
      c += Pa(d), d = d.return;
    while (d);
    var e2 = c;
  } catch (f) {
    e2 = "\nError generating stack: " + f.message + "\n" + f.stack;
  }
  return { value: a, source: b, stack: e2, digest: null };
}
function Li(a, b, c) {
  return { value: a, source: null, stack: c != null ? c : null, digest: b != null ? b : null };
}
function Mi(a, b) {
  try {
    console.error(b.value);
  } catch (c) {
    setTimeout(function() {
      throw c;
    });
  }
}
var Ni = typeof WeakMap === "function" ? WeakMap : Map;
function Oi(a, b, c) {
  c = ch(-1, c);
  c.tag = 3;
  c.payload = { element: null };
  var d = b.value;
  c.callback = function() {
    Pi || (Pi = true, Qi = d);
    Mi(a, b);
  };
  return c;
}
function Ri(a, b, c) {
  c = ch(-1, c);
  c.tag = 3;
  var d = a.type.getDerivedStateFromError;
  if (typeof d === "function") {
    var e2 = b.value;
    c.payload = function() {
      return d(e2);
    };
    c.callback = function() {
      Mi(a, b);
    };
  }
  var f = a.stateNode;
  f !== null && typeof f.componentDidCatch === "function" && (c.callback = function() {
    Mi(a, b);
    typeof d !== "function" && (Si === null ? Si = /* @__PURE__ */ new Set([this]) : Si.add(this));
    var c2 = b.stack;
    this.componentDidCatch(b.value, { componentStack: c2 !== null ? c2 : "" });
  });
  return c;
}
function Ti(a, b, c) {
  var d = a.pingCache;
  if (d === null) {
    d = a.pingCache = new Ni();
    var e2 = /* @__PURE__ */ new Set();
    d.set(b, e2);
  } else
    e2 = d.get(b), e2 === void 0 && (e2 = /* @__PURE__ */ new Set(), d.set(b, e2));
  e2.has(c) || (e2.add(c), a = Ui.bind(null, a, b, c), b.then(a, a));
}
function Vi(a) {
  do {
    var b;
    if (b = a.tag === 13)
      b = a.memoizedState, b = b !== null ? b.dehydrated !== null ? true : false : true;
    if (b)
      return a;
    a = a.return;
  } while (a !== null);
  return null;
}
function Wi(a, b, c, d, e2) {
  if ((a.mode & 1) === 0)
    return a === b ? a.flags |= 65536 : (a.flags |= 128, c.flags |= 131072, c.flags &= -52805, c.tag === 1 && (c.alternate === null ? c.tag = 17 : (b = ch(-1, 1), b.tag = 2, dh(c, b, 1))), c.lanes |= 1), a;
  a.flags |= 65536;
  a.lanes = e2;
  return a;
}
var Xi = ua.ReactCurrentOwner, Ug = false;
function Yi(a, b, c, d) {
  b.child = a === null ? Ch(b, null, c, d) : Bh(b, a.child, c, d);
}
function Zi(a, b, c, d, e2) {
  c = c.render;
  var f = b.ref;
  Tg(b, e2);
  d = Xh(a, b, c, d, f, e2);
  c = bi();
  if (a !== null && !Ug)
    return b.updateQueue = a.updateQueue, b.flags &= -2053, a.lanes &= ~e2, $i(a, b, e2);
  I && c && vg(b);
  b.flags |= 1;
  Yi(a, b, d, e2);
  return b.child;
}
function aj(a, b, c, d, e2) {
  if (a === null) {
    var f = c.type;
    if (typeof f === "function" && !bj(f) && f.defaultProps === void 0 && c.compare === null && c.defaultProps === void 0)
      return b.tag = 15, b.type = f, cj(a, b, f, d, e2);
    a = yh(c.type, null, d, b, b.mode, e2);
    a.ref = b.ref;
    a.return = b;
    return b.child = a;
  }
  f = a.child;
  if ((a.lanes & e2) === 0) {
    var g = f.memoizedProps;
    c = c.compare;
    c = c !== null ? c : Ie;
    if (c(g, d) && a.ref === b.ref)
      return $i(a, b, e2);
  }
  b.flags |= 1;
  a = wh(f, d);
  a.ref = b.ref;
  a.return = b;
  return b.child = a;
}
function cj(a, b, c, d, e2) {
  if (a !== null) {
    var f = a.memoizedProps;
    if (Ie(f, d) && a.ref === b.ref)
      if (Ug = false, b.pendingProps = d = f, (a.lanes & e2) !== 0)
        (a.flags & 131072) !== 0 && (Ug = true);
      else
        return b.lanes = a.lanes, $i(a, b, e2);
  }
  return dj(a, b, c, d, e2);
}
function ej(a, b, c) {
  var d = b.pendingProps, e2 = d.children, f = a !== null ? a.memoizedState : null;
  if (d.mode === "hidden")
    if ((b.mode & 1) === 0)
      b.memoizedState = { baseLanes: 0, cachePool: null, transitions: null }, G(fj, gj), gj |= c;
    else {
      if ((c & 1073741824) === 0)
        return a = f !== null ? f.baseLanes | c : c, b.lanes = b.childLanes = 1073741824, b.memoizedState = { baseLanes: a, cachePool: null, transitions: null }, b.updateQueue = null, G(fj, gj), gj |= a, null;
      b.memoizedState = { baseLanes: 0, cachePool: null, transitions: null };
      d = f !== null ? f.baseLanes : c;
      G(fj, gj);
      gj |= d;
    }
  else
    f !== null ? (d = f.baseLanes | c, b.memoizedState = null) : d = c, G(fj, gj), gj |= d;
  Yi(a, b, e2, c);
  return b.child;
}
function hj(a, b) {
  var c = b.ref;
  if (a === null && c !== null || a !== null && a.ref !== c)
    b.flags |= 512, b.flags |= 2097152;
}
function dj(a, b, c, d, e2) {
  var f = Zf(c) ? Xf : H.current;
  f = Yf(b, f);
  Tg(b, e2);
  c = Xh(a, b, c, d, f, e2);
  d = bi();
  if (a !== null && !Ug)
    return b.updateQueue = a.updateQueue, b.flags &= -2053, a.lanes &= ~e2, $i(a, b, e2);
  I && d && vg(b);
  b.flags |= 1;
  Yi(a, b, c, e2);
  return b.child;
}
function ij(a, b, c, d, e2) {
  if (Zf(c)) {
    var f = true;
    cg(b);
  } else
    f = false;
  Tg(b, e2);
  if (b.stateNode === null)
    jj(a, b), ph(b, c, d), rh(b, c, d, e2), d = true;
  else if (a === null) {
    var g = b.stateNode, h2 = b.memoizedProps;
    g.props = h2;
    var k2 = g.context, l2 = c.contextType;
    typeof l2 === "object" && l2 !== null ? l2 = Vg(l2) : (l2 = Zf(c) ? Xf : H.current, l2 = Yf(b, l2));
    var m2 = c.getDerivedStateFromProps, q2 = typeof m2 === "function" || typeof g.getSnapshotBeforeUpdate === "function";
    q2 || typeof g.UNSAFE_componentWillReceiveProps !== "function" && typeof g.componentWillReceiveProps !== "function" || (h2 !== d || k2 !== l2) && qh(b, g, d, l2);
    $g = false;
    var r2 = b.memoizedState;
    g.state = r2;
    gh(b, d, g, e2);
    k2 = b.memoizedState;
    h2 !== d || r2 !== k2 || Wf.current || $g ? (typeof m2 === "function" && (kh(b, c, m2, d), k2 = b.memoizedState), (h2 = $g || oh(b, c, h2, d, r2, k2, l2)) ? (q2 || typeof g.UNSAFE_componentWillMount !== "function" && typeof g.componentWillMount !== "function" || (typeof g.componentWillMount === "function" && g.componentWillMount(), typeof g.UNSAFE_componentWillMount === "function" && g.UNSAFE_componentWillMount()), typeof g.componentDidMount === "function" && (b.flags |= 4194308)) : (typeof g.componentDidMount === "function" && (b.flags |= 4194308), b.memoizedProps = d, b.memoizedState = k2), g.props = d, g.state = k2, g.context = l2, d = h2) : (typeof g.componentDidMount === "function" && (b.flags |= 4194308), d = false);
  } else {
    g = b.stateNode;
    bh(a, b);
    h2 = b.memoizedProps;
    l2 = b.type === b.elementType ? h2 : Lg(b.type, h2);
    g.props = l2;
    q2 = b.pendingProps;
    r2 = g.context;
    k2 = c.contextType;
    typeof k2 === "object" && k2 !== null ? k2 = Vg(k2) : (k2 = Zf(c) ? Xf : H.current, k2 = Yf(b, k2));
    var y = c.getDerivedStateFromProps;
    (m2 = typeof y === "function" || typeof g.getSnapshotBeforeUpdate === "function") || typeof g.UNSAFE_componentWillReceiveProps !== "function" && typeof g.componentWillReceiveProps !== "function" || (h2 !== q2 || r2 !== k2) && qh(b, g, d, k2);
    $g = false;
    r2 = b.memoizedState;
    g.state = r2;
    gh(b, d, g, e2);
    var n2 = b.memoizedState;
    h2 !== q2 || r2 !== n2 || Wf.current || $g ? (typeof y === "function" && (kh(b, c, y, d), n2 = b.memoizedState), (l2 = $g || oh(b, c, l2, d, r2, n2, k2) || false) ? (m2 || typeof g.UNSAFE_componentWillUpdate !== "function" && typeof g.componentWillUpdate !== "function" || (typeof g.componentWillUpdate === "function" && g.componentWillUpdate(d, n2, k2), typeof g.UNSAFE_componentWillUpdate === "function" && g.UNSAFE_componentWillUpdate(d, n2, k2)), typeof g.componentDidUpdate === "function" && (b.flags |= 4), typeof g.getSnapshotBeforeUpdate === "function" && (b.flags |= 1024)) : (typeof g.componentDidUpdate !== "function" || h2 === a.memoizedProps && r2 === a.memoizedState || (b.flags |= 4), typeof g.getSnapshotBeforeUpdate !== "function" || h2 === a.memoizedProps && r2 === a.memoizedState || (b.flags |= 1024), b.memoizedProps = d, b.memoizedState = n2), g.props = d, g.state = n2, g.context = k2, d = l2) : (typeof g.componentDidUpdate !== "function" || h2 === a.memoizedProps && r2 === a.memoizedState || (b.flags |= 4), typeof g.getSnapshotBeforeUpdate !== "function" || h2 === a.memoizedProps && r2 === a.memoizedState || (b.flags |= 1024), d = false);
  }
  return kj(a, b, c, d, f, e2);
}
function kj(a, b, c, d, e2, f) {
  hj(a, b);
  var g = (b.flags & 128) !== 0;
  if (!d && !g)
    return e2 && dg(b, c, false), $i(a, b, f);
  d = b.stateNode;
  Xi.current = b;
  var h2 = g && typeof c.getDerivedStateFromError !== "function" ? null : d.render();
  b.flags |= 1;
  a !== null && g ? (b.child = Bh(b, a.child, null, f), b.child = Bh(b, null, h2, f)) : Yi(a, b, h2, f);
  b.memoizedState = d.state;
  e2 && dg(b, c, true);
  return b.child;
}
function lj(a) {
  var b = a.stateNode;
  b.pendingContext ? ag(a, b.pendingContext, b.pendingContext !== b.context) : b.context && ag(a, b.context, false);
  Ih(a, b.containerInfo);
}
function mj(a, b, c, d, e2) {
  Ig();
  Jg(e2);
  b.flags |= 256;
  Yi(a, b, c, d);
  return b.child;
}
var nj = { dehydrated: null, treeContext: null, retryLane: 0 };
function oj(a) {
  return { baseLanes: a, cachePool: null, transitions: null };
}
function pj(a, b, c) {
  var d = b.pendingProps, e2 = M.current, f = false, g = (b.flags & 128) !== 0, h2;
  (h2 = g) || (h2 = a !== null && a.memoizedState === null ? false : (e2 & 2) !== 0);
  if (h2)
    f = true, b.flags &= -129;
  else if (a === null || a.memoizedState !== null)
    e2 |= 1;
  G(M, e2 & 1);
  if (a === null) {
    Eg(b);
    a = b.memoizedState;
    if (a !== null && (a = a.dehydrated, a !== null))
      return (b.mode & 1) === 0 ? b.lanes = 1 : a.data === "$!" ? b.lanes = 8 : b.lanes = 1073741824, null;
    g = d.children;
    a = d.fallback;
    return f ? (d = b.mode, f = b.child, g = { mode: "hidden", children: g }, (d & 1) === 0 && f !== null ? (f.childLanes = 0, f.pendingProps = g) : f = qj(g, d, 0, null), a = Ah(a, d, c, null), f.return = b, a.return = b, f.sibling = a, b.child = f, b.child.memoizedState = oj(c), b.memoizedState = nj, a) : rj(b, g);
  }
  e2 = a.memoizedState;
  if (e2 !== null && (h2 = e2.dehydrated, h2 !== null))
    return sj(a, b, g, d, h2, e2, c);
  if (f) {
    f = d.fallback;
    g = b.mode;
    e2 = a.child;
    h2 = e2.sibling;
    var k2 = { mode: "hidden", children: d.children };
    (g & 1) === 0 && b.child !== e2 ? (d = b.child, d.childLanes = 0, d.pendingProps = k2, b.deletions = null) : (d = wh(e2, k2), d.subtreeFlags = e2.subtreeFlags & 14680064);
    h2 !== null ? f = wh(h2, f) : (f = Ah(f, g, c, null), f.flags |= 2);
    f.return = b;
    d.return = b;
    d.sibling = f;
    b.child = d;
    d = f;
    f = b.child;
    g = a.child.memoizedState;
    g = g === null ? oj(c) : { baseLanes: g.baseLanes | c, cachePool: null, transitions: g.transitions };
    f.memoizedState = g;
    f.childLanes = a.childLanes & ~c;
    b.memoizedState = nj;
    return d;
  }
  f = a.child;
  a = f.sibling;
  d = wh(f, { mode: "visible", children: d.children });
  (b.mode & 1) === 0 && (d.lanes = c);
  d.return = b;
  d.sibling = null;
  a !== null && (c = b.deletions, c === null ? (b.deletions = [a], b.flags |= 16) : c.push(a));
  b.child = d;
  b.memoizedState = null;
  return d;
}
function rj(a, b) {
  b = qj({ mode: "visible", children: b }, a.mode, 0, null);
  b.return = a;
  return a.child = b;
}
function tj(a, b, c, d) {
  d !== null && Jg(d);
  Bh(b, a.child, null, c);
  a = rj(b, b.pendingProps.children);
  a.flags |= 2;
  b.memoizedState = null;
  return a;
}
function sj(a, b, c, d, e2, f, g) {
  if (c) {
    if (b.flags & 256)
      return b.flags &= -257, d = Li(Error(p$1(422))), tj(a, b, g, d);
    if (b.memoizedState !== null)
      return b.child = a.child, b.flags |= 128, null;
    f = d.fallback;
    e2 = b.mode;
    d = qj({ mode: "visible", children: d.children }, e2, 0, null);
    f = Ah(f, e2, g, null);
    f.flags |= 2;
    d.return = b;
    f.return = b;
    d.sibling = f;
    b.child = d;
    (b.mode & 1) !== 0 && Bh(b, a.child, null, g);
    b.child.memoizedState = oj(g);
    b.memoizedState = nj;
    return f;
  }
  if ((b.mode & 1) === 0)
    return tj(a, b, g, null);
  if (e2.data === "$!") {
    d = e2.nextSibling && e2.nextSibling.dataset;
    if (d)
      var h2 = d.dgst;
    d = h2;
    f = Error(p$1(419));
    d = Li(f, d, void 0);
    return tj(a, b, g, d);
  }
  h2 = (g & a.childLanes) !== 0;
  if (Ug || h2) {
    d = R;
    if (d !== null) {
      switch (g & -g) {
        case 4:
          e2 = 2;
          break;
        case 16:
          e2 = 8;
          break;
        case 64:
        case 128:
        case 256:
        case 512:
        case 1024:
        case 2048:
        case 4096:
        case 8192:
        case 16384:
        case 32768:
        case 65536:
        case 131072:
        case 262144:
        case 524288:
        case 1048576:
        case 2097152:
        case 4194304:
        case 8388608:
        case 16777216:
        case 33554432:
        case 67108864:
          e2 = 32;
          break;
        case 536870912:
          e2 = 268435456;
          break;
        default:
          e2 = 0;
      }
      e2 = (e2 & (d.suspendedLanes | g)) !== 0 ? 0 : e2;
      e2 !== 0 && e2 !== f.retryLane && (f.retryLane = e2, Zg(a, e2), mh(d, a, e2, -1));
    }
    uj();
    d = Li(Error(p$1(421)));
    return tj(a, b, g, d);
  }
  if (e2.data === "$?")
    return b.flags |= 128, b.child = a.child, b = vj.bind(null, a), e2._reactRetry = b, null;
  a = f.treeContext;
  yg = Lf(e2.nextSibling);
  xg = b;
  I = true;
  zg = null;
  a !== null && (og[pg++] = rg, og[pg++] = sg, og[pg++] = qg, rg = a.id, sg = a.overflow, qg = b);
  b = rj(b, d.children);
  b.flags |= 4096;
  return b;
}
function wj(a, b, c) {
  a.lanes |= b;
  var d = a.alternate;
  d !== null && (d.lanes |= b);
  Sg(a.return, b, c);
}
function xj(a, b, c, d, e2) {
  var f = a.memoizedState;
  f === null ? a.memoizedState = { isBackwards: b, rendering: null, renderingStartTime: 0, last: d, tail: c, tailMode: e2 } : (f.isBackwards = b, f.rendering = null, f.renderingStartTime = 0, f.last = d, f.tail = c, f.tailMode = e2);
}
function yj(a, b, c) {
  var d = b.pendingProps, e2 = d.revealOrder, f = d.tail;
  Yi(a, b, d.children, c);
  d = M.current;
  if ((d & 2) !== 0)
    d = d & 1 | 2, b.flags |= 128;
  else {
    if (a !== null && (a.flags & 128) !== 0)
      a:
        for (a = b.child; a !== null; ) {
          if (a.tag === 13)
            a.memoizedState !== null && wj(a, c, b);
          else if (a.tag === 19)
            wj(a, c, b);
          else if (a.child !== null) {
            a.child.return = a;
            a = a.child;
            continue;
          }
          if (a === b)
            break a;
          for (; a.sibling === null; ) {
            if (a.return === null || a.return === b)
              break a;
            a = a.return;
          }
          a.sibling.return = a.return;
          a = a.sibling;
        }
    d &= 1;
  }
  G(M, d);
  if ((b.mode & 1) === 0)
    b.memoizedState = null;
  else
    switch (e2) {
      case "forwards":
        c = b.child;
        for (e2 = null; c !== null; )
          a = c.alternate, a !== null && Mh(a) === null && (e2 = c), c = c.sibling;
        c = e2;
        c === null ? (e2 = b.child, b.child = null) : (e2 = c.sibling, c.sibling = null);
        xj(b, false, e2, c, f);
        break;
      case "backwards":
        c = null;
        e2 = b.child;
        for (b.child = null; e2 !== null; ) {
          a = e2.alternate;
          if (a !== null && Mh(a) === null) {
            b.child = e2;
            break;
          }
          a = e2.sibling;
          e2.sibling = c;
          c = e2;
          e2 = a;
        }
        xj(b, true, c, null, f);
        break;
      case "together":
        xj(b, false, null, null, void 0);
        break;
      default:
        b.memoizedState = null;
    }
  return b.child;
}
function jj(a, b) {
  (b.mode & 1) === 0 && a !== null && (a.alternate = null, b.alternate = null, b.flags |= 2);
}
function $i(a, b, c) {
  a !== null && (b.dependencies = a.dependencies);
  hh |= b.lanes;
  if ((c & b.childLanes) === 0)
    return null;
  if (a !== null && b.child !== a.child)
    throw Error(p$1(153));
  if (b.child !== null) {
    a = b.child;
    c = wh(a, a.pendingProps);
    b.child = c;
    for (c.return = b; a.sibling !== null; )
      a = a.sibling, c = c.sibling = wh(a, a.pendingProps), c.return = b;
    c.sibling = null;
  }
  return b.child;
}
function zj(a, b, c) {
  switch (b.tag) {
    case 3:
      lj(b);
      Ig();
      break;
    case 5:
      Kh(b);
      break;
    case 1:
      Zf(b.type) && cg(b);
      break;
    case 4:
      Ih(b, b.stateNode.containerInfo);
      break;
    case 10:
      var d = b.type._context, e2 = b.memoizedProps.value;
      G(Mg, d._currentValue);
      d._currentValue = e2;
      break;
    case 13:
      d = b.memoizedState;
      if (d !== null) {
        if (d.dehydrated !== null)
          return G(M, M.current & 1), b.flags |= 128, null;
        if ((c & b.child.childLanes) !== 0)
          return pj(a, b, c);
        G(M, M.current & 1);
        a = $i(a, b, c);
        return a !== null ? a.sibling : null;
      }
      G(M, M.current & 1);
      break;
    case 19:
      d = (c & b.childLanes) !== 0;
      if ((a.flags & 128) !== 0) {
        if (d)
          return yj(a, b, c);
        b.flags |= 128;
      }
      e2 = b.memoizedState;
      e2 !== null && (e2.rendering = null, e2.tail = null, e2.lastEffect = null);
      G(M, M.current);
      if (d)
        break;
      else
        return null;
    case 22:
    case 23:
      return b.lanes = 0, ej(a, b, c);
  }
  return $i(a, b, c);
}
var Aj, Bj, Cj, Dj;
Aj = function(a, b) {
  for (var c = b.child; c !== null; ) {
    if (c.tag === 5 || c.tag === 6)
      a.appendChild(c.stateNode);
    else if (c.tag !== 4 && c.child !== null) {
      c.child.return = c;
      c = c.child;
      continue;
    }
    if (c === b)
      break;
    for (; c.sibling === null; ) {
      if (c.return === null || c.return === b)
        return;
      c = c.return;
    }
    c.sibling.return = c.return;
    c = c.sibling;
  }
};
Bj = function() {
};
Cj = function(a, b, c, d) {
  var e2 = a.memoizedProps;
  if (e2 !== d) {
    a = b.stateNode;
    Hh(Eh.current);
    var f = null;
    switch (c) {
      case "input":
        e2 = Ya(a, e2);
        d = Ya(a, d);
        f = [];
        break;
      case "select":
        e2 = A({}, e2, { value: void 0 });
        d = A({}, d, { value: void 0 });
        f = [];
        break;
      case "textarea":
        e2 = gb(a, e2);
        d = gb(a, d);
        f = [];
        break;
      default:
        typeof e2.onClick !== "function" && typeof d.onClick === "function" && (a.onclick = Bf);
    }
    ub(c, d);
    var g;
    c = null;
    for (l2 in e2)
      if (!d.hasOwnProperty(l2) && e2.hasOwnProperty(l2) && e2[l2] != null)
        if (l2 === "style") {
          var h2 = e2[l2];
          for (g in h2)
            h2.hasOwnProperty(g) && (c || (c = {}), c[g] = "");
        } else
          l2 !== "dangerouslySetInnerHTML" && l2 !== "children" && l2 !== "suppressContentEditableWarning" && l2 !== "suppressHydrationWarning" && l2 !== "autoFocus" && (ea.hasOwnProperty(l2) ? f || (f = []) : (f = f || []).push(l2, null));
    for (l2 in d) {
      var k2 = d[l2];
      h2 = e2 != null ? e2[l2] : void 0;
      if (d.hasOwnProperty(l2) && k2 !== h2 && (k2 != null || h2 != null))
        if (l2 === "style")
          if (h2) {
            for (g in h2)
              !h2.hasOwnProperty(g) || k2 && k2.hasOwnProperty(g) || (c || (c = {}), c[g] = "");
            for (g in k2)
              k2.hasOwnProperty(g) && h2[g] !== k2[g] && (c || (c = {}), c[g] = k2[g]);
          } else
            c || (f || (f = []), f.push(l2, c)), c = k2;
        else
          l2 === "dangerouslySetInnerHTML" ? (k2 = k2 ? k2.__html : void 0, h2 = h2 ? h2.__html : void 0, k2 != null && h2 !== k2 && (f = f || []).push(l2, k2)) : l2 === "children" ? typeof k2 !== "string" && typeof k2 !== "number" || (f = f || []).push(l2, "" + k2) : l2 !== "suppressContentEditableWarning" && l2 !== "suppressHydrationWarning" && (ea.hasOwnProperty(l2) ? (k2 != null && l2 === "onScroll" && D("scroll", a), f || h2 === k2 || (f = [])) : (f = f || []).push(l2, k2));
    }
    c && (f = f || []).push("style", c);
    var l2 = f;
    if (b.updateQueue = l2)
      b.flags |= 4;
  }
};
Dj = function(a, b, c, d) {
  c !== d && (b.flags |= 4);
};
function Ej(a, b) {
  if (!I)
    switch (a.tailMode) {
      case "hidden":
        b = a.tail;
        for (var c = null; b !== null; )
          b.alternate !== null && (c = b), b = b.sibling;
        c === null ? a.tail = null : c.sibling = null;
        break;
      case "collapsed":
        c = a.tail;
        for (var d = null; c !== null; )
          c.alternate !== null && (d = c), c = c.sibling;
        d === null ? b || a.tail === null ? a.tail = null : a.tail.sibling = null : d.sibling = null;
    }
}
function S(a) {
  var b = a.alternate !== null && a.alternate.child === a.child, c = 0, d = 0;
  if (b)
    for (var e2 = a.child; e2 !== null; )
      c |= e2.lanes | e2.childLanes, d |= e2.subtreeFlags & 14680064, d |= e2.flags & 14680064, e2.return = a, e2 = e2.sibling;
  else
    for (e2 = a.child; e2 !== null; )
      c |= e2.lanes | e2.childLanes, d |= e2.subtreeFlags, d |= e2.flags, e2.return = a, e2 = e2.sibling;
  a.subtreeFlags |= d;
  a.childLanes = c;
  return b;
}
function Fj(a, b, c) {
  var d = b.pendingProps;
  wg(b);
  switch (b.tag) {
    case 2:
    case 16:
    case 15:
    case 0:
    case 11:
    case 7:
    case 8:
    case 12:
    case 9:
    case 14:
      return S(b), null;
    case 1:
      return Zf(b.type) && $f(), S(b), null;
    case 3:
      d = b.stateNode;
      Jh();
      E(Wf);
      E(H);
      Oh();
      d.pendingContext && (d.context = d.pendingContext, d.pendingContext = null);
      if (a === null || a.child === null)
        Gg(b) ? b.flags |= 4 : a === null || a.memoizedState.isDehydrated && (b.flags & 256) === 0 || (b.flags |= 1024, zg !== null && (Gj(zg), zg = null));
      Bj(a, b);
      S(b);
      return null;
    case 5:
      Lh(b);
      var e2 = Hh(Gh.current);
      c = b.type;
      if (a !== null && b.stateNode != null)
        Cj(a, b, c, d, e2), a.ref !== b.ref && (b.flags |= 512, b.flags |= 2097152);
      else {
        if (!d) {
          if (b.stateNode === null)
            throw Error(p$1(166));
          S(b);
          return null;
        }
        a = Hh(Eh.current);
        if (Gg(b)) {
          d = b.stateNode;
          c = b.type;
          var f = b.memoizedProps;
          d[Of] = b;
          d[Pf] = f;
          a = (b.mode & 1) !== 0;
          switch (c) {
            case "dialog":
              D("cancel", d);
              D("close", d);
              break;
            case "iframe":
            case "object":
            case "embed":
              D("load", d);
              break;
            case "video":
            case "audio":
              for (e2 = 0; e2 < lf.length; e2++)
                D(lf[e2], d);
              break;
            case "source":
              D("error", d);
              break;
            case "img":
            case "image":
            case "link":
              D("error", d);
              D("load", d);
              break;
            case "details":
              D("toggle", d);
              break;
            case "input":
              Za(d, f);
              D("invalid", d);
              break;
            case "select":
              d._wrapperState = { wasMultiple: !!f.multiple };
              D("invalid", d);
              break;
            case "textarea":
              hb(d, f), D("invalid", d);
          }
          ub(c, f);
          e2 = null;
          for (var g in f)
            if (f.hasOwnProperty(g)) {
              var h2 = f[g];
              g === "children" ? typeof h2 === "string" ? d.textContent !== h2 && (f.suppressHydrationWarning !== true && Af(d.textContent, h2, a), e2 = ["children", h2]) : typeof h2 === "number" && d.textContent !== "" + h2 && (f.suppressHydrationWarning !== true && Af(d.textContent, h2, a), e2 = ["children", "" + h2]) : ea.hasOwnProperty(g) && h2 != null && g === "onScroll" && D("scroll", d);
            }
          switch (c) {
            case "input":
              Va(d);
              db(d, f, true);
              break;
            case "textarea":
              Va(d);
              jb(d);
              break;
            case "select":
            case "option":
              break;
            default:
              typeof f.onClick === "function" && (d.onclick = Bf);
          }
          d = e2;
          b.updateQueue = d;
          d !== null && (b.flags |= 4);
        } else {
          g = e2.nodeType === 9 ? e2 : e2.ownerDocument;
          a === "http://www.w3.org/1999/xhtml" && (a = kb(c));
          a === "http://www.w3.org/1999/xhtml" ? c === "script" ? (a = g.createElement("div"), a.innerHTML = "<script><\/script>", a = a.removeChild(a.firstChild)) : typeof d.is === "string" ? a = g.createElement(c, { is: d.is }) : (a = g.createElement(c), c === "select" && (g = a, d.multiple ? g.multiple = true : d.size && (g.size = d.size))) : a = g.createElementNS(a, c);
          a[Of] = b;
          a[Pf] = d;
          Aj(a, b, false, false);
          b.stateNode = a;
          a: {
            g = vb(c, d);
            switch (c) {
              case "dialog":
                D("cancel", a);
                D("close", a);
                e2 = d;
                break;
              case "iframe":
              case "object":
              case "embed":
                D("load", a);
                e2 = d;
                break;
              case "video":
              case "audio":
                for (e2 = 0; e2 < lf.length; e2++)
                  D(lf[e2], a);
                e2 = d;
                break;
              case "source":
                D("error", a);
                e2 = d;
                break;
              case "img":
              case "image":
              case "link":
                D("error", a);
                D("load", a);
                e2 = d;
                break;
              case "details":
                D("toggle", a);
                e2 = d;
                break;
              case "input":
                Za(a, d);
                e2 = Ya(a, d);
                D("invalid", a);
                break;
              case "option":
                e2 = d;
                break;
              case "select":
                a._wrapperState = { wasMultiple: !!d.multiple };
                e2 = A({}, d, { value: void 0 });
                D("invalid", a);
                break;
              case "textarea":
                hb(a, d);
                e2 = gb(a, d);
                D("invalid", a);
                break;
              default:
                e2 = d;
            }
            ub(c, e2);
            h2 = e2;
            for (f in h2)
              if (h2.hasOwnProperty(f)) {
                var k2 = h2[f];
                f === "style" ? sb(a, k2) : f === "dangerouslySetInnerHTML" ? (k2 = k2 ? k2.__html : void 0, k2 != null && nb(a, k2)) : f === "children" ? typeof k2 === "string" ? (c !== "textarea" || k2 !== "") && ob(a, k2) : typeof k2 === "number" && ob(a, "" + k2) : f !== "suppressContentEditableWarning" && f !== "suppressHydrationWarning" && f !== "autoFocus" && (ea.hasOwnProperty(f) ? k2 != null && f === "onScroll" && D("scroll", a) : k2 != null && ta(a, f, k2, g));
              }
            switch (c) {
              case "input":
                Va(a);
                db(a, d, false);
                break;
              case "textarea":
                Va(a);
                jb(a);
                break;
              case "option":
                d.value != null && a.setAttribute("value", "" + Sa(d.value));
                break;
              case "select":
                a.multiple = !!d.multiple;
                f = d.value;
                f != null ? fb(a, !!d.multiple, f, false) : d.defaultValue != null && fb(a, !!d.multiple, d.defaultValue, true);
                break;
              default:
                typeof e2.onClick === "function" && (a.onclick = Bf);
            }
            switch (c) {
              case "button":
              case "input":
              case "select":
              case "textarea":
                d = !!d.autoFocus;
                break a;
              case "img":
                d = true;
                break a;
              default:
                d = false;
            }
          }
          d && (b.flags |= 4);
        }
        b.ref !== null && (b.flags |= 512, b.flags |= 2097152);
      }
      S(b);
      return null;
    case 6:
      if (a && b.stateNode != null)
        Dj(a, b, a.memoizedProps, d);
      else {
        if (typeof d !== "string" && b.stateNode === null)
          throw Error(p$1(166));
        c = Hh(Gh.current);
        Hh(Eh.current);
        if (Gg(b)) {
          d = b.stateNode;
          c = b.memoizedProps;
          d[Of] = b;
          if (f = d.nodeValue !== c) {
            if (a = xg, a !== null)
              switch (a.tag) {
                case 3:
                  Af(d.nodeValue, c, (a.mode & 1) !== 0);
                  break;
                case 5:
                  a.memoizedProps.suppressHydrationWarning !== true && Af(d.nodeValue, c, (a.mode & 1) !== 0);
              }
          }
          f && (b.flags |= 4);
        } else
          d = (c.nodeType === 9 ? c : c.ownerDocument).createTextNode(d), d[Of] = b, b.stateNode = d;
      }
      S(b);
      return null;
    case 13:
      E(M);
      d = b.memoizedState;
      if (a === null || a.memoizedState !== null && a.memoizedState.dehydrated !== null) {
        if (I && yg !== null && (b.mode & 1) !== 0 && (b.flags & 128) === 0)
          Hg(), Ig(), b.flags |= 98560, f = false;
        else if (f = Gg(b), d !== null && d.dehydrated !== null) {
          if (a === null) {
            if (!f)
              throw Error(p$1(318));
            f = b.memoizedState;
            f = f !== null ? f.dehydrated : null;
            if (!f)
              throw Error(p$1(317));
            f[Of] = b;
          } else
            Ig(), (b.flags & 128) === 0 && (b.memoizedState = null), b.flags |= 4;
          S(b);
          f = false;
        } else
          zg !== null && (Gj(zg), zg = null), f = true;
        if (!f)
          return b.flags & 65536 ? b : null;
      }
      if ((b.flags & 128) !== 0)
        return b.lanes = c, b;
      d = d !== null;
      d !== (a !== null && a.memoizedState !== null) && d && (b.child.flags |= 8192, (b.mode & 1) !== 0 && (a === null || (M.current & 1) !== 0 ? T === 0 && (T = 3) : uj()));
      b.updateQueue !== null && (b.flags |= 4);
      S(b);
      return null;
    case 4:
      return Jh(), Bj(a, b), a === null && sf(b.stateNode.containerInfo), S(b), null;
    case 10:
      return Rg(b.type._context), S(b), null;
    case 17:
      return Zf(b.type) && $f(), S(b), null;
    case 19:
      E(M);
      f = b.memoizedState;
      if (f === null)
        return S(b), null;
      d = (b.flags & 128) !== 0;
      g = f.rendering;
      if (g === null)
        if (d)
          Ej(f, false);
        else {
          if (T !== 0 || a !== null && (a.flags & 128) !== 0)
            for (a = b.child; a !== null; ) {
              g = Mh(a);
              if (g !== null) {
                b.flags |= 128;
                Ej(f, false);
                d = g.updateQueue;
                d !== null && (b.updateQueue = d, b.flags |= 4);
                b.subtreeFlags = 0;
                d = c;
                for (c = b.child; c !== null; )
                  f = c, a = d, f.flags &= 14680066, g = f.alternate, g === null ? (f.childLanes = 0, f.lanes = a, f.child = null, f.subtreeFlags = 0, f.memoizedProps = null, f.memoizedState = null, f.updateQueue = null, f.dependencies = null, f.stateNode = null) : (f.childLanes = g.childLanes, f.lanes = g.lanes, f.child = g.child, f.subtreeFlags = 0, f.deletions = null, f.memoizedProps = g.memoizedProps, f.memoizedState = g.memoizedState, f.updateQueue = g.updateQueue, f.type = g.type, a = g.dependencies, f.dependencies = a === null ? null : { lanes: a.lanes, firstContext: a.firstContext }), c = c.sibling;
                G(M, M.current & 1 | 2);
                return b.child;
              }
              a = a.sibling;
            }
          f.tail !== null && B() > Hj && (b.flags |= 128, d = true, Ej(f, false), b.lanes = 4194304);
        }
      else {
        if (!d)
          if (a = Mh(g), a !== null) {
            if (b.flags |= 128, d = true, c = a.updateQueue, c !== null && (b.updateQueue = c, b.flags |= 4), Ej(f, true), f.tail === null && f.tailMode === "hidden" && !g.alternate && !I)
              return S(b), null;
          } else
            2 * B() - f.renderingStartTime > Hj && c !== 1073741824 && (b.flags |= 128, d = true, Ej(f, false), b.lanes = 4194304);
        f.isBackwards ? (g.sibling = b.child, b.child = g) : (c = f.last, c !== null ? c.sibling = g : b.child = g, f.last = g);
      }
      if (f.tail !== null)
        return b = f.tail, f.rendering = b, f.tail = b.sibling, f.renderingStartTime = B(), b.sibling = null, c = M.current, G(M, d ? c & 1 | 2 : c & 1), b;
      S(b);
      return null;
    case 22:
    case 23:
      return Ij(), d = b.memoizedState !== null, a !== null && a.memoizedState !== null !== d && (b.flags |= 8192), d && (b.mode & 1) !== 0 ? (gj & 1073741824) !== 0 && (S(b), b.subtreeFlags & 6 && (b.flags |= 8192)) : S(b), null;
    case 24:
      return null;
    case 25:
      return null;
  }
  throw Error(p$1(156, b.tag));
}
function Jj(a, b) {
  wg(b);
  switch (b.tag) {
    case 1:
      return Zf(b.type) && $f(), a = b.flags, a & 65536 ? (b.flags = a & -65537 | 128, b) : null;
    case 3:
      return Jh(), E(Wf), E(H), Oh(), a = b.flags, (a & 65536) !== 0 && (a & 128) === 0 ? (b.flags = a & -65537 | 128, b) : null;
    case 5:
      return Lh(b), null;
    case 13:
      E(M);
      a = b.memoizedState;
      if (a !== null && a.dehydrated !== null) {
        if (b.alternate === null)
          throw Error(p$1(340));
        Ig();
      }
      a = b.flags;
      return a & 65536 ? (b.flags = a & -65537 | 128, b) : null;
    case 19:
      return E(M), null;
    case 4:
      return Jh(), null;
    case 10:
      return Rg(b.type._context), null;
    case 22:
    case 23:
      return Ij(), null;
    case 24:
      return null;
    default:
      return null;
  }
}
var Kj = false, U = false, Lj = typeof WeakSet === "function" ? WeakSet : Set, V = null;
function Mj(a, b) {
  var c = a.ref;
  if (c !== null)
    if (typeof c === "function")
      try {
        c(null);
      } catch (d) {
        W(a, b, d);
      }
    else
      c.current = null;
}
function Nj(a, b, c) {
  try {
    c();
  } catch (d) {
    W(a, b, d);
  }
}
var Oj = false;
function Pj(a, b) {
  Cf = dd;
  a = Me();
  if (Ne(a)) {
    if ("selectionStart" in a)
      var c = { start: a.selectionStart, end: a.selectionEnd };
    else
      a: {
        c = (c = a.ownerDocument) && c.defaultView || window;
        var d = c.getSelection && c.getSelection();
        if (d && d.rangeCount !== 0) {
          c = d.anchorNode;
          var e2 = d.anchorOffset, f = d.focusNode;
          d = d.focusOffset;
          try {
            c.nodeType, f.nodeType;
          } catch (F) {
            c = null;
            break a;
          }
          var g = 0, h2 = -1, k2 = -1, l2 = 0, m2 = 0, q2 = a, r2 = null;
          b:
            for (; ; ) {
              for (var y; ; ) {
                q2 !== c || e2 !== 0 && q2.nodeType !== 3 || (h2 = g + e2);
                q2 !== f || d !== 0 && q2.nodeType !== 3 || (k2 = g + d);
                q2.nodeType === 3 && (g += q2.nodeValue.length);
                if ((y = q2.firstChild) === null)
                  break;
                r2 = q2;
                q2 = y;
              }
              for (; ; ) {
                if (q2 === a)
                  break b;
                r2 === c && ++l2 === e2 && (h2 = g);
                r2 === f && ++m2 === d && (k2 = g);
                if ((y = q2.nextSibling) !== null)
                  break;
                q2 = r2;
                r2 = q2.parentNode;
              }
              q2 = y;
            }
          c = h2 === -1 || k2 === -1 ? null : { start: h2, end: k2 };
        } else
          c = null;
      }
    c = c || { start: 0, end: 0 };
  } else
    c = null;
  Df = { focusedElem: a, selectionRange: c };
  dd = false;
  for (V = b; V !== null; )
    if (b = V, a = b.child, (b.subtreeFlags & 1028) !== 0 && a !== null)
      a.return = b, V = a;
    else
      for (; V !== null; ) {
        b = V;
        try {
          var n2 = b.alternate;
          if ((b.flags & 1024) !== 0)
            switch (b.tag) {
              case 0:
              case 11:
              case 15:
                break;
              case 1:
                if (n2 !== null) {
                  var t2 = n2.memoizedProps, J = n2.memoizedState, x = b.stateNode, w = x.getSnapshotBeforeUpdate(b.elementType === b.type ? t2 : Lg(b.type, t2), J);
                  x.__reactInternalSnapshotBeforeUpdate = w;
                }
                break;
              case 3:
                var u2 = b.stateNode.containerInfo;
                u2.nodeType === 1 ? u2.textContent = "" : u2.nodeType === 9 && u2.documentElement && u2.removeChild(u2.documentElement);
                break;
              case 5:
              case 6:
              case 4:
              case 17:
                break;
              default:
                throw Error(p$1(163));
            }
        } catch (F) {
          W(b, b.return, F);
        }
        a = b.sibling;
        if (a !== null) {
          a.return = b.return;
          V = a;
          break;
        }
        V = b.return;
      }
  n2 = Oj;
  Oj = false;
  return n2;
}
function Qj(a, b, c) {
  var d = b.updateQueue;
  d = d !== null ? d.lastEffect : null;
  if (d !== null) {
    var e2 = d = d.next;
    do {
      if ((e2.tag & a) === a) {
        var f = e2.destroy;
        e2.destroy = void 0;
        f !== void 0 && Nj(b, c, f);
      }
      e2 = e2.next;
    } while (e2 !== d);
  }
}
function Rj(a, b) {
  b = b.updateQueue;
  b = b !== null ? b.lastEffect : null;
  if (b !== null) {
    var c = b = b.next;
    do {
      if ((c.tag & a) === a) {
        var d = c.create;
        c.destroy = d();
      }
      c = c.next;
    } while (c !== b);
  }
}
function Sj(a) {
  var b = a.ref;
  if (b !== null) {
    var c = a.stateNode;
    switch (a.tag) {
      case 5:
        a = c;
        break;
      default:
        a = c;
    }
    typeof b === "function" ? b(a) : b.current = a;
  }
}
function Tj(a) {
  var b = a.alternate;
  b !== null && (a.alternate = null, Tj(b));
  a.child = null;
  a.deletions = null;
  a.sibling = null;
  a.tag === 5 && (b = a.stateNode, b !== null && (delete b[Of], delete b[Pf], delete b[of], delete b[Qf], delete b[Rf]));
  a.stateNode = null;
  a.return = null;
  a.dependencies = null;
  a.memoizedProps = null;
  a.memoizedState = null;
  a.pendingProps = null;
  a.stateNode = null;
  a.updateQueue = null;
}
function Uj(a) {
  return a.tag === 5 || a.tag === 3 || a.tag === 4;
}
function Vj(a) {
  a:
    for (; ; ) {
      for (; a.sibling === null; ) {
        if (a.return === null || Uj(a.return))
          return null;
        a = a.return;
      }
      a.sibling.return = a.return;
      for (a = a.sibling; a.tag !== 5 && a.tag !== 6 && a.tag !== 18; ) {
        if (a.flags & 2)
          continue a;
        if (a.child === null || a.tag === 4)
          continue a;
        else
          a.child.return = a, a = a.child;
      }
      if (!(a.flags & 2))
        return a.stateNode;
    }
}
function Wj(a, b, c) {
  var d = a.tag;
  if (d === 5 || d === 6)
    a = a.stateNode, b ? c.nodeType === 8 ? c.parentNode.insertBefore(a, b) : c.insertBefore(a, b) : (c.nodeType === 8 ? (b = c.parentNode, b.insertBefore(a, c)) : (b = c, b.appendChild(a)), c = c._reactRootContainer, c !== null && c !== void 0 || b.onclick !== null || (b.onclick = Bf));
  else if (d !== 4 && (a = a.child, a !== null))
    for (Wj(a, b, c), a = a.sibling; a !== null; )
      Wj(a, b, c), a = a.sibling;
}
function Xj(a, b, c) {
  var d = a.tag;
  if (d === 5 || d === 6)
    a = a.stateNode, b ? c.insertBefore(a, b) : c.appendChild(a);
  else if (d !== 4 && (a = a.child, a !== null))
    for (Xj(a, b, c), a = a.sibling; a !== null; )
      Xj(a, b, c), a = a.sibling;
}
var X = null, Yj = false;
function Zj(a, b, c) {
  for (c = c.child; c !== null; )
    ak(a, b, c), c = c.sibling;
}
function ak(a, b, c) {
  if (lc && typeof lc.onCommitFiberUnmount === "function")
    try {
      lc.onCommitFiberUnmount(kc, c);
    } catch (h2) {
    }
  switch (c.tag) {
    case 5:
      U || Mj(c, b);
    case 6:
      var d = X, e2 = Yj;
      X = null;
      Zj(a, b, c);
      X = d;
      Yj = e2;
      X !== null && (Yj ? (a = X, c = c.stateNode, a.nodeType === 8 ? a.parentNode.removeChild(c) : a.removeChild(c)) : X.removeChild(c.stateNode));
      break;
    case 18:
      X !== null && (Yj ? (a = X, c = c.stateNode, a.nodeType === 8 ? Kf(a.parentNode, c) : a.nodeType === 1 && Kf(a, c), bd(a)) : Kf(X, c.stateNode));
      break;
    case 4:
      d = X;
      e2 = Yj;
      X = c.stateNode.containerInfo;
      Yj = true;
      Zj(a, b, c);
      X = d;
      Yj = e2;
      break;
    case 0:
    case 11:
    case 14:
    case 15:
      if (!U && (d = c.updateQueue, d !== null && (d = d.lastEffect, d !== null))) {
        e2 = d = d.next;
        do {
          var f = e2, g = f.destroy;
          f = f.tag;
          g !== void 0 && ((f & 2) !== 0 ? Nj(c, b, g) : (f & 4) !== 0 && Nj(c, b, g));
          e2 = e2.next;
        } while (e2 !== d);
      }
      Zj(a, b, c);
      break;
    case 1:
      if (!U && (Mj(c, b), d = c.stateNode, typeof d.componentWillUnmount === "function"))
        try {
          d.props = c.memoizedProps, d.state = c.memoizedState, d.componentWillUnmount();
        } catch (h2) {
          W(c, b, h2);
        }
      Zj(a, b, c);
      break;
    case 21:
      Zj(a, b, c);
      break;
    case 22:
      c.mode & 1 ? (U = (d = U) || c.memoizedState !== null, Zj(a, b, c), U = d) : Zj(a, b, c);
      break;
    default:
      Zj(a, b, c);
  }
}
function bk(a) {
  var b = a.updateQueue;
  if (b !== null) {
    a.updateQueue = null;
    var c = a.stateNode;
    c === null && (c = a.stateNode = new Lj());
    b.forEach(function(b2) {
      var d = ck.bind(null, a, b2);
      c.has(b2) || (c.add(b2), b2.then(d, d));
    });
  }
}
function dk(a, b) {
  var c = b.deletions;
  if (c !== null)
    for (var d = 0; d < c.length; d++) {
      var e2 = c[d];
      try {
        var f = a, g = b, h2 = g;
        a:
          for (; h2 !== null; ) {
            switch (h2.tag) {
              case 5:
                X = h2.stateNode;
                Yj = false;
                break a;
              case 3:
                X = h2.stateNode.containerInfo;
                Yj = true;
                break a;
              case 4:
                X = h2.stateNode.containerInfo;
                Yj = true;
                break a;
            }
            h2 = h2.return;
          }
        if (X === null)
          throw Error(p$1(160));
        ak(f, g, e2);
        X = null;
        Yj = false;
        var k2 = e2.alternate;
        k2 !== null && (k2.return = null);
        e2.return = null;
      } catch (l2) {
        W(e2, b, l2);
      }
    }
  if (b.subtreeFlags & 12854)
    for (b = b.child; b !== null; )
      ek(b, a), b = b.sibling;
}
function ek(a, b) {
  var c = a.alternate, d = a.flags;
  switch (a.tag) {
    case 0:
    case 11:
    case 14:
    case 15:
      dk(b, a);
      fk(a);
      if (d & 4) {
        try {
          Qj(3, a, a.return), Rj(3, a);
        } catch (t2) {
          W(a, a.return, t2);
        }
        try {
          Qj(5, a, a.return);
        } catch (t2) {
          W(a, a.return, t2);
        }
      }
      break;
    case 1:
      dk(b, a);
      fk(a);
      d & 512 && c !== null && Mj(c, c.return);
      break;
    case 5:
      dk(b, a);
      fk(a);
      d & 512 && c !== null && Mj(c, c.return);
      if (a.flags & 32) {
        var e2 = a.stateNode;
        try {
          ob(e2, "");
        } catch (t2) {
          W(a, a.return, t2);
        }
      }
      if (d & 4 && (e2 = a.stateNode, e2 != null)) {
        var f = a.memoizedProps, g = c !== null ? c.memoizedProps : f, h2 = a.type, k2 = a.updateQueue;
        a.updateQueue = null;
        if (k2 !== null)
          try {
            h2 === "input" && f.type === "radio" && f.name != null && ab(e2, f);
            vb(h2, g);
            var l2 = vb(h2, f);
            for (g = 0; g < k2.length; g += 2) {
              var m2 = k2[g], q2 = k2[g + 1];
              m2 === "style" ? sb(e2, q2) : m2 === "dangerouslySetInnerHTML" ? nb(e2, q2) : m2 === "children" ? ob(e2, q2) : ta(e2, m2, q2, l2);
            }
            switch (h2) {
              case "input":
                bb(e2, f);
                break;
              case "textarea":
                ib(e2, f);
                break;
              case "select":
                var r2 = e2._wrapperState.wasMultiple;
                e2._wrapperState.wasMultiple = !!f.multiple;
                var y = f.value;
                y != null ? fb(e2, !!f.multiple, y, false) : r2 !== !!f.multiple && (f.defaultValue != null ? fb(e2, !!f.multiple, f.defaultValue, true) : fb(e2, !!f.multiple, f.multiple ? [] : "", false));
            }
            e2[Pf] = f;
          } catch (t2) {
            W(a, a.return, t2);
          }
      }
      break;
    case 6:
      dk(b, a);
      fk(a);
      if (d & 4) {
        if (a.stateNode === null)
          throw Error(p$1(162));
        e2 = a.stateNode;
        f = a.memoizedProps;
        try {
          e2.nodeValue = f;
        } catch (t2) {
          W(a, a.return, t2);
        }
      }
      break;
    case 3:
      dk(b, a);
      fk(a);
      if (d & 4 && c !== null && c.memoizedState.isDehydrated)
        try {
          bd(b.containerInfo);
        } catch (t2) {
          W(a, a.return, t2);
        }
      break;
    case 4:
      dk(b, a);
      fk(a);
      break;
    case 13:
      dk(b, a);
      fk(a);
      e2 = a.child;
      e2.flags & 8192 && (f = e2.memoizedState !== null, e2.stateNode.isHidden = f, !f || e2.alternate !== null && e2.alternate.memoizedState !== null || (gk = B()));
      d & 4 && bk(a);
      break;
    case 22:
      m2 = c !== null && c.memoizedState !== null;
      a.mode & 1 ? (U = (l2 = U) || m2, dk(b, a), U = l2) : dk(b, a);
      fk(a);
      if (d & 8192) {
        l2 = a.memoizedState !== null;
        if ((a.stateNode.isHidden = l2) && !m2 && (a.mode & 1) !== 0)
          for (V = a, m2 = a.child; m2 !== null; ) {
            for (q2 = V = m2; V !== null; ) {
              r2 = V;
              y = r2.child;
              switch (r2.tag) {
                case 0:
                case 11:
                case 14:
                case 15:
                  Qj(4, r2, r2.return);
                  break;
                case 1:
                  Mj(r2, r2.return);
                  var n2 = r2.stateNode;
                  if (typeof n2.componentWillUnmount === "function") {
                    d = r2;
                    c = r2.return;
                    try {
                      b = d, n2.props = b.memoizedProps, n2.state = b.memoizedState, n2.componentWillUnmount();
                    } catch (t2) {
                      W(d, c, t2);
                    }
                  }
                  break;
                case 5:
                  Mj(r2, r2.return);
                  break;
                case 22:
                  if (r2.memoizedState !== null) {
                    hk(q2);
                    continue;
                  }
              }
              y !== null ? (y.return = r2, V = y) : hk(q2);
            }
            m2 = m2.sibling;
          }
        a:
          for (m2 = null, q2 = a; ; ) {
            if (q2.tag === 5) {
              if (m2 === null) {
                m2 = q2;
                try {
                  e2 = q2.stateNode, l2 ? (f = e2.style, typeof f.setProperty === "function" ? f.setProperty("display", "none", "important") : f.display = "none") : (h2 = q2.stateNode, k2 = q2.memoizedProps.style, g = k2 !== void 0 && k2 !== null && k2.hasOwnProperty("display") ? k2.display : null, h2.style.display = rb("display", g));
                } catch (t2) {
                  W(a, a.return, t2);
                }
              }
            } else if (q2.tag === 6) {
              if (m2 === null)
                try {
                  q2.stateNode.nodeValue = l2 ? "" : q2.memoizedProps;
                } catch (t2) {
                  W(a, a.return, t2);
                }
            } else if ((q2.tag !== 22 && q2.tag !== 23 || q2.memoizedState === null || q2 === a) && q2.child !== null) {
              q2.child.return = q2;
              q2 = q2.child;
              continue;
            }
            if (q2 === a)
              break a;
            for (; q2.sibling === null; ) {
              if (q2.return === null || q2.return === a)
                break a;
              m2 === q2 && (m2 = null);
              q2 = q2.return;
            }
            m2 === q2 && (m2 = null);
            q2.sibling.return = q2.return;
            q2 = q2.sibling;
          }
      }
      break;
    case 19:
      dk(b, a);
      fk(a);
      d & 4 && bk(a);
      break;
    case 21:
      break;
    default:
      dk(b, a), fk(a);
  }
}
function fk(a) {
  var b = a.flags;
  if (b & 2) {
    try {
      a: {
        for (var c = a.return; c !== null; ) {
          if (Uj(c)) {
            var d = c;
            break a;
          }
          c = c.return;
        }
        throw Error(p$1(160));
      }
      switch (d.tag) {
        case 5:
          var e2 = d.stateNode;
          d.flags & 32 && (ob(e2, ""), d.flags &= -33);
          var f = Vj(a);
          Xj(a, f, e2);
          break;
        case 3:
        case 4:
          var g = d.stateNode.containerInfo, h2 = Vj(a);
          Wj(a, h2, g);
          break;
        default:
          throw Error(p$1(161));
      }
    } catch (k2) {
      W(a, a.return, k2);
    }
    a.flags &= -3;
  }
  b & 4096 && (a.flags &= -4097);
}
function ik(a, b, c) {
  V = a;
  jk(a);
}
function jk(a, b, c) {
  for (var d = (a.mode & 1) !== 0; V !== null; ) {
    var e2 = V, f = e2.child;
    if (e2.tag === 22 && d) {
      var g = e2.memoizedState !== null || Kj;
      if (!g) {
        var h2 = e2.alternate, k2 = h2 !== null && h2.memoizedState !== null || U;
        h2 = Kj;
        var l2 = U;
        Kj = g;
        if ((U = k2) && !l2)
          for (V = e2; V !== null; )
            g = V, k2 = g.child, g.tag === 22 && g.memoizedState !== null ? kk(e2) : k2 !== null ? (k2.return = g, V = k2) : kk(e2);
        for (; f !== null; )
          V = f, jk(f), f = f.sibling;
        V = e2;
        Kj = h2;
        U = l2;
      }
      lk(a);
    } else
      (e2.subtreeFlags & 8772) !== 0 && f !== null ? (f.return = e2, V = f) : lk(a);
  }
}
function lk(a) {
  for (; V !== null; ) {
    var b = V;
    if ((b.flags & 8772) !== 0) {
      var c = b.alternate;
      try {
        if ((b.flags & 8772) !== 0)
          switch (b.tag) {
            case 0:
            case 11:
            case 15:
              U || Rj(5, b);
              break;
            case 1:
              var d = b.stateNode;
              if (b.flags & 4 && !U)
                if (c === null)
                  d.componentDidMount();
                else {
                  var e2 = b.elementType === b.type ? c.memoizedProps : Lg(b.type, c.memoizedProps);
                  d.componentDidUpdate(e2, c.memoizedState, d.__reactInternalSnapshotBeforeUpdate);
                }
              var f = b.updateQueue;
              f !== null && ih(b, f, d);
              break;
            case 3:
              var g = b.updateQueue;
              if (g !== null) {
                c = null;
                if (b.child !== null)
                  switch (b.child.tag) {
                    case 5:
                      c = b.child.stateNode;
                      break;
                    case 1:
                      c = b.child.stateNode;
                  }
                ih(b, g, c);
              }
              break;
            case 5:
              var h2 = b.stateNode;
              if (c === null && b.flags & 4) {
                c = h2;
                var k2 = b.memoizedProps;
                switch (b.type) {
                  case "button":
                  case "input":
                  case "select":
                  case "textarea":
                    k2.autoFocus && c.focus();
                    break;
                  case "img":
                    k2.src && (c.src = k2.src);
                }
              }
              break;
            case 6:
              break;
            case 4:
              break;
            case 12:
              break;
            case 13:
              if (b.memoizedState === null) {
                var l2 = b.alternate;
                if (l2 !== null) {
                  var m2 = l2.memoizedState;
                  if (m2 !== null) {
                    var q2 = m2.dehydrated;
                    q2 !== null && bd(q2);
                  }
                }
              }
              break;
            case 19:
            case 17:
            case 21:
            case 22:
            case 23:
            case 25:
              break;
            default:
              throw Error(p$1(163));
          }
        U || b.flags & 512 && Sj(b);
      } catch (r2) {
        W(b, b.return, r2);
      }
    }
    if (b === a) {
      V = null;
      break;
    }
    c = b.sibling;
    if (c !== null) {
      c.return = b.return;
      V = c;
      break;
    }
    V = b.return;
  }
}
function hk(a) {
  for (; V !== null; ) {
    var b = V;
    if (b === a) {
      V = null;
      break;
    }
    var c = b.sibling;
    if (c !== null) {
      c.return = b.return;
      V = c;
      break;
    }
    V = b.return;
  }
}
function kk(a) {
  for (; V !== null; ) {
    var b = V;
    try {
      switch (b.tag) {
        case 0:
        case 11:
        case 15:
          var c = b.return;
          try {
            Rj(4, b);
          } catch (k2) {
            W(b, c, k2);
          }
          break;
        case 1:
          var d = b.stateNode;
          if (typeof d.componentDidMount === "function") {
            var e2 = b.return;
            try {
              d.componentDidMount();
            } catch (k2) {
              W(b, e2, k2);
            }
          }
          var f = b.return;
          try {
            Sj(b);
          } catch (k2) {
            W(b, f, k2);
          }
          break;
        case 5:
          var g = b.return;
          try {
            Sj(b);
          } catch (k2) {
            W(b, g, k2);
          }
      }
    } catch (k2) {
      W(b, b.return, k2);
    }
    if (b === a) {
      V = null;
      break;
    }
    var h2 = b.sibling;
    if (h2 !== null) {
      h2.return = b.return;
      V = h2;
      break;
    }
    V = b.return;
  }
}
var mk = Math.ceil, nk = ua.ReactCurrentDispatcher, ok = ua.ReactCurrentOwner, pk = ua.ReactCurrentBatchConfig, K = 0, R = null, Y = null, Z = 0, gj = 0, fj = Uf(0), T = 0, qk = null, hh = 0, rk = 0, sk = 0, tk = null, uk = null, gk = 0, Hj = Infinity, vk = null, Pi = false, Qi = null, Si = null, wk = false, xk = null, yk = 0, zk = 0, Ak = null, Bk = -1, Ck = 0;
function L() {
  return (K & 6) !== 0 ? B() : Bk !== -1 ? Bk : Bk = B();
}
function lh(a) {
  if ((a.mode & 1) === 0)
    return 1;
  if ((K & 2) !== 0 && Z !== 0)
    return Z & -Z;
  if (Kg.transition !== null)
    return Ck === 0 && (Ck = yc()), Ck;
  a = C;
  if (a !== 0)
    return a;
  a = window.event;
  a = a === void 0 ? 16 : jd(a.type);
  return a;
}
function mh(a, b, c, d) {
  if (50 < zk)
    throw zk = 0, Ak = null, Error(p$1(185));
  Ac(a, c, d);
  if ((K & 2) === 0 || a !== R)
    a === R && ((K & 2) === 0 && (rk |= c), T === 4 && Dk(a, Z)), Ek(a, d), c === 1 && K === 0 && (b.mode & 1) === 0 && (Hj = B() + 500, fg && jg());
}
function Ek(a, b) {
  var c = a.callbackNode;
  wc(a, b);
  var d = uc(a, a === R ? Z : 0);
  if (d === 0)
    c !== null && bc(c), a.callbackNode = null, a.callbackPriority = 0;
  else if (b = d & -d, a.callbackPriority !== b) {
    c != null && bc(c);
    if (b === 1)
      a.tag === 0 ? ig(Fk.bind(null, a)) : hg(Fk.bind(null, a)), Jf(function() {
        (K & 6) === 0 && jg();
      }), c = null;
    else {
      switch (Dc(d)) {
        case 1:
          c = fc;
          break;
        case 4:
          c = gc;
          break;
        case 16:
          c = hc;
          break;
        case 536870912:
          c = jc;
          break;
        default:
          c = hc;
      }
      c = Gk(c, Hk.bind(null, a));
    }
    a.callbackPriority = b;
    a.callbackNode = c;
  }
}
function Hk(a, b) {
  Bk = -1;
  Ck = 0;
  if ((K & 6) !== 0)
    throw Error(p$1(327));
  var c = a.callbackNode;
  if (Ik() && a.callbackNode !== c)
    return null;
  var d = uc(a, a === R ? Z : 0);
  if (d === 0)
    return null;
  if ((d & 30) !== 0 || (d & a.expiredLanes) !== 0 || b)
    b = Jk(a, d);
  else {
    b = d;
    var e2 = K;
    K |= 2;
    var f = Kk();
    if (R !== a || Z !== b)
      vk = null, Hj = B() + 500, Lk(a, b);
    do
      try {
        Mk();
        break;
      } catch (h2) {
        Nk(a, h2);
      }
    while (1);
    Qg();
    nk.current = f;
    K = e2;
    Y !== null ? b = 0 : (R = null, Z = 0, b = T);
  }
  if (b !== 0) {
    b === 2 && (e2 = xc(a), e2 !== 0 && (d = e2, b = Ok(a, e2)));
    if (b === 1)
      throw c = qk, Lk(a, 0), Dk(a, d), Ek(a, B()), c;
    if (b === 6)
      Dk(a, d);
    else {
      e2 = a.current.alternate;
      if ((d & 30) === 0 && !Pk(e2) && (b = Jk(a, d), b === 2 && (f = xc(a), f !== 0 && (d = f, b = Ok(a, f))), b === 1))
        throw c = qk, Lk(a, 0), Dk(a, d), Ek(a, B()), c;
      a.finishedWork = e2;
      a.finishedLanes = d;
      switch (b) {
        case 0:
        case 1:
          throw Error(p$1(345));
        case 2:
          Qk(a, uk, vk);
          break;
        case 3:
          Dk(a, d);
          if ((d & 130023424) === d && (b = gk + 500 - B(), 10 < b)) {
            if (uc(a, 0) !== 0)
              break;
            e2 = a.suspendedLanes;
            if ((e2 & d) !== d) {
              L();
              a.pingedLanes |= a.suspendedLanes & e2;
              break;
            }
            a.timeoutHandle = Ff(Qk.bind(null, a, uk, vk), b);
            break;
          }
          Qk(a, uk, vk);
          break;
        case 4:
          Dk(a, d);
          if ((d & 4194240) === d)
            break;
          b = a.eventTimes;
          for (e2 = -1; 0 < d; ) {
            var g = 31 - oc(d);
            f = 1 << g;
            g = b[g];
            g > e2 && (e2 = g);
            d &= ~f;
          }
          d = e2;
          d = B() - d;
          d = (120 > d ? 120 : 480 > d ? 480 : 1080 > d ? 1080 : 1920 > d ? 1920 : 3e3 > d ? 3e3 : 4320 > d ? 4320 : 1960 * mk(d / 1960)) - d;
          if (10 < d) {
            a.timeoutHandle = Ff(Qk.bind(null, a, uk, vk), d);
            break;
          }
          Qk(a, uk, vk);
          break;
        case 5:
          Qk(a, uk, vk);
          break;
        default:
          throw Error(p$1(329));
      }
    }
  }
  Ek(a, B());
  return a.callbackNode === c ? Hk.bind(null, a) : null;
}
function Ok(a, b) {
  var c = tk;
  a.current.memoizedState.isDehydrated && (Lk(a, b).flags |= 256);
  a = Jk(a, b);
  a !== 2 && (b = uk, uk = c, b !== null && Gj(b));
  return a;
}
function Gj(a) {
  uk === null ? uk = a : uk.push.apply(uk, a);
}
function Pk(a) {
  for (var b = a; ; ) {
    if (b.flags & 16384) {
      var c = b.updateQueue;
      if (c !== null && (c = c.stores, c !== null))
        for (var d = 0; d < c.length; d++) {
          var e2 = c[d], f = e2.getSnapshot;
          e2 = e2.value;
          try {
            if (!He(f(), e2))
              return false;
          } catch (g) {
            return false;
          }
        }
    }
    c = b.child;
    if (b.subtreeFlags & 16384 && c !== null)
      c.return = b, b = c;
    else {
      if (b === a)
        break;
      for (; b.sibling === null; ) {
        if (b.return === null || b.return === a)
          return true;
        b = b.return;
      }
      b.sibling.return = b.return;
      b = b.sibling;
    }
  }
  return true;
}
function Dk(a, b) {
  b &= ~sk;
  b &= ~rk;
  a.suspendedLanes |= b;
  a.pingedLanes &= ~b;
  for (a = a.expirationTimes; 0 < b; ) {
    var c = 31 - oc(b), d = 1 << c;
    a[c] = -1;
    b &= ~d;
  }
}
function Fk(a) {
  if ((K & 6) !== 0)
    throw Error(p$1(327));
  Ik();
  var b = uc(a, 0);
  if ((b & 1) === 0)
    return Ek(a, B()), null;
  var c = Jk(a, b);
  if (a.tag !== 0 && c === 2) {
    var d = xc(a);
    d !== 0 && (b = d, c = Ok(a, d));
  }
  if (c === 1)
    throw c = qk, Lk(a, 0), Dk(a, b), Ek(a, B()), c;
  if (c === 6)
    throw Error(p$1(345));
  a.finishedWork = a.current.alternate;
  a.finishedLanes = b;
  Qk(a, uk, vk);
  Ek(a, B());
  return null;
}
function Rk(a, b) {
  var c = K;
  K |= 1;
  try {
    return a(b);
  } finally {
    K = c, K === 0 && (Hj = B() + 500, fg && jg());
  }
}
function Sk(a) {
  xk !== null && xk.tag === 0 && (K & 6) === 0 && Ik();
  var b = K;
  K |= 1;
  var c = pk.transition, d = C;
  try {
    if (pk.transition = null, C = 1, a)
      return a();
  } finally {
    C = d, pk.transition = c, K = b, (K & 6) === 0 && jg();
  }
}
function Ij() {
  gj = fj.current;
  E(fj);
}
function Lk(a, b) {
  a.finishedWork = null;
  a.finishedLanes = 0;
  var c = a.timeoutHandle;
  c !== -1 && (a.timeoutHandle = -1, Gf(c));
  if (Y !== null)
    for (c = Y.return; c !== null; ) {
      var d = c;
      wg(d);
      switch (d.tag) {
        case 1:
          d = d.type.childContextTypes;
          d !== null && d !== void 0 && $f();
          break;
        case 3:
          Jh();
          E(Wf);
          E(H);
          Oh();
          break;
        case 5:
          Lh(d);
          break;
        case 4:
          Jh();
          break;
        case 13:
          E(M);
          break;
        case 19:
          E(M);
          break;
        case 10:
          Rg(d.type._context);
          break;
        case 22:
        case 23:
          Ij();
      }
      c = c.return;
    }
  R = a;
  Y = a = wh(a.current, null);
  Z = gj = b;
  T = 0;
  qk = null;
  sk = rk = hh = 0;
  uk = tk = null;
  if (Wg !== null) {
    for (b = 0; b < Wg.length; b++)
      if (c = Wg[b], d = c.interleaved, d !== null) {
        c.interleaved = null;
        var e2 = d.next, f = c.pending;
        if (f !== null) {
          var g = f.next;
          f.next = e2;
          d.next = g;
        }
        c.pending = d;
      }
    Wg = null;
  }
  return a;
}
function Nk(a, b) {
  do {
    var c = Y;
    try {
      Qg();
      Ph.current = ai;
      if (Sh) {
        for (var d = N.memoizedState; d !== null; ) {
          var e2 = d.queue;
          e2 !== null && (e2.pending = null);
          d = d.next;
        }
        Sh = false;
      }
      Rh = 0;
      P = O = N = null;
      Th = false;
      Uh = 0;
      ok.current = null;
      if (c === null || c.return === null) {
        T = 1;
        qk = b;
        Y = null;
        break;
      }
      a: {
        var f = a, g = c.return, h2 = c, k2 = b;
        b = Z;
        h2.flags |= 32768;
        if (k2 !== null && typeof k2 === "object" && typeof k2.then === "function") {
          var l2 = k2, m2 = h2, q2 = m2.tag;
          if ((m2.mode & 1) === 0 && (q2 === 0 || q2 === 11 || q2 === 15)) {
            var r2 = m2.alternate;
            r2 ? (m2.updateQueue = r2.updateQueue, m2.memoizedState = r2.memoizedState, m2.lanes = r2.lanes) : (m2.updateQueue = null, m2.memoizedState = null);
          }
          var y = Vi(g);
          if (y !== null) {
            y.flags &= -257;
            Wi(y, g, h2, f, b);
            y.mode & 1 && Ti(f, l2, b);
            b = y;
            k2 = l2;
            var n2 = b.updateQueue;
            if (n2 === null) {
              var t2 = /* @__PURE__ */ new Set();
              t2.add(k2);
              b.updateQueue = t2;
            } else
              n2.add(k2);
            break a;
          } else {
            if ((b & 1) === 0) {
              Ti(f, l2, b);
              uj();
              break a;
            }
            k2 = Error(p$1(426));
          }
        } else if (I && h2.mode & 1) {
          var J = Vi(g);
          if (J !== null) {
            (J.flags & 65536) === 0 && (J.flags |= 256);
            Wi(J, g, h2, f, b);
            Jg(Ki(k2, h2));
            break a;
          }
        }
        f = k2 = Ki(k2, h2);
        T !== 4 && (T = 2);
        tk === null ? tk = [f] : tk.push(f);
        f = g;
        do {
          switch (f.tag) {
            case 3:
              f.flags |= 65536;
              b &= -b;
              f.lanes |= b;
              var x = Oi(f, k2, b);
              fh(f, x);
              break a;
            case 1:
              h2 = k2;
              var w = f.type, u2 = f.stateNode;
              if ((f.flags & 128) === 0 && (typeof w.getDerivedStateFromError === "function" || u2 !== null && typeof u2.componentDidCatch === "function" && (Si === null || !Si.has(u2)))) {
                f.flags |= 65536;
                b &= -b;
                f.lanes |= b;
                var F = Ri(f, h2, b);
                fh(f, F);
                break a;
              }
          }
          f = f.return;
        } while (f !== null);
      }
      Tk(c);
    } catch (na) {
      b = na;
      Y === c && c !== null && (Y = c = c.return);
      continue;
    }
    break;
  } while (1);
}
function Kk() {
  var a = nk.current;
  nk.current = ai;
  return a === null ? ai : a;
}
function uj() {
  if (T === 0 || T === 3 || T === 2)
    T = 4;
  R === null || (hh & 268435455) === 0 && (rk & 268435455) === 0 || Dk(R, Z);
}
function Jk(a, b) {
  var c = K;
  K |= 2;
  var d = Kk();
  if (R !== a || Z !== b)
    vk = null, Lk(a, b);
  do
    try {
      Uk();
      break;
    } catch (e2) {
      Nk(a, e2);
    }
  while (1);
  Qg();
  K = c;
  nk.current = d;
  if (Y !== null)
    throw Error(p$1(261));
  R = null;
  Z = 0;
  return T;
}
function Uk() {
  for (; Y !== null; )
    Vk(Y);
}
function Mk() {
  for (; Y !== null && !cc(); )
    Vk(Y);
}
function Vk(a) {
  var b = Wk(a.alternate, a, gj);
  a.memoizedProps = a.pendingProps;
  b === null ? Tk(a) : Y = b;
  ok.current = null;
}
function Tk(a) {
  var b = a;
  do {
    var c = b.alternate;
    a = b.return;
    if ((b.flags & 32768) === 0) {
      if (c = Fj(c, b, gj), c !== null) {
        Y = c;
        return;
      }
    } else {
      c = Jj(c, b);
      if (c !== null) {
        c.flags &= 32767;
        Y = c;
        return;
      }
      if (a !== null)
        a.flags |= 32768, a.subtreeFlags = 0, a.deletions = null;
      else {
        T = 6;
        Y = null;
        return;
      }
    }
    b = b.sibling;
    if (b !== null) {
      Y = b;
      return;
    }
    Y = b = a;
  } while (b !== null);
  T === 0 && (T = 5);
}
function Qk(a, b, c) {
  var d = C, e2 = pk.transition;
  try {
    pk.transition = null, C = 1, Xk(a, b, c, d);
  } finally {
    pk.transition = e2, C = d;
  }
  return null;
}
function Xk(a, b, c, d) {
  do
    Ik();
  while (xk !== null);
  if ((K & 6) !== 0)
    throw Error(p$1(327));
  c = a.finishedWork;
  var e2 = a.finishedLanes;
  if (c === null)
    return null;
  a.finishedWork = null;
  a.finishedLanes = 0;
  if (c === a.current)
    throw Error(p$1(177));
  a.callbackNode = null;
  a.callbackPriority = 0;
  var f = c.lanes | c.childLanes;
  Bc(a, f);
  a === R && (Y = R = null, Z = 0);
  (c.subtreeFlags & 2064) === 0 && (c.flags & 2064) === 0 || wk || (wk = true, Gk(hc, function() {
    Ik();
    return null;
  }));
  f = (c.flags & 15990) !== 0;
  if ((c.subtreeFlags & 15990) !== 0 || f) {
    f = pk.transition;
    pk.transition = null;
    var g = C;
    C = 1;
    var h2 = K;
    K |= 4;
    ok.current = null;
    Pj(a, c);
    ek(c, a);
    Oe(Df);
    dd = !!Cf;
    Df = Cf = null;
    a.current = c;
    ik(c);
    dc();
    K = h2;
    C = g;
    pk.transition = f;
  } else
    a.current = c;
  wk && (wk = false, xk = a, yk = e2);
  f = a.pendingLanes;
  f === 0 && (Si = null);
  mc(c.stateNode);
  Ek(a, B());
  if (b !== null)
    for (d = a.onRecoverableError, c = 0; c < b.length; c++)
      e2 = b[c], d(e2.value, { componentStack: e2.stack, digest: e2.digest });
  if (Pi)
    throw Pi = false, a = Qi, Qi = null, a;
  (yk & 1) !== 0 && a.tag !== 0 && Ik();
  f = a.pendingLanes;
  (f & 1) !== 0 ? a === Ak ? zk++ : (zk = 0, Ak = a) : zk = 0;
  jg();
  return null;
}
function Ik() {
  if (xk !== null) {
    var a = Dc(yk), b = pk.transition, c = C;
    try {
      pk.transition = null;
      C = 16 > a ? 16 : a;
      if (xk === null)
        var d = false;
      else {
        a = xk;
        xk = null;
        yk = 0;
        if ((K & 6) !== 0)
          throw Error(p$1(331));
        var e2 = K;
        K |= 4;
        for (V = a.current; V !== null; ) {
          var f = V, g = f.child;
          if ((V.flags & 16) !== 0) {
            var h2 = f.deletions;
            if (h2 !== null) {
              for (var k2 = 0; k2 < h2.length; k2++) {
                var l2 = h2[k2];
                for (V = l2; V !== null; ) {
                  var m2 = V;
                  switch (m2.tag) {
                    case 0:
                    case 11:
                    case 15:
                      Qj(8, m2, f);
                  }
                  var q2 = m2.child;
                  if (q2 !== null)
                    q2.return = m2, V = q2;
                  else
                    for (; V !== null; ) {
                      m2 = V;
                      var r2 = m2.sibling, y = m2.return;
                      Tj(m2);
                      if (m2 === l2) {
                        V = null;
                        break;
                      }
                      if (r2 !== null) {
                        r2.return = y;
                        V = r2;
                        break;
                      }
                      V = y;
                    }
                }
              }
              var n2 = f.alternate;
              if (n2 !== null) {
                var t2 = n2.child;
                if (t2 !== null) {
                  n2.child = null;
                  do {
                    var J = t2.sibling;
                    t2.sibling = null;
                    t2 = J;
                  } while (t2 !== null);
                }
              }
              V = f;
            }
          }
          if ((f.subtreeFlags & 2064) !== 0 && g !== null)
            g.return = f, V = g;
          else
            b:
              for (; V !== null; ) {
                f = V;
                if ((f.flags & 2048) !== 0)
                  switch (f.tag) {
                    case 0:
                    case 11:
                    case 15:
                      Qj(9, f, f.return);
                  }
                var x = f.sibling;
                if (x !== null) {
                  x.return = f.return;
                  V = x;
                  break b;
                }
                V = f.return;
              }
        }
        var w = a.current;
        for (V = w; V !== null; ) {
          g = V;
          var u2 = g.child;
          if ((g.subtreeFlags & 2064) !== 0 && u2 !== null)
            u2.return = g, V = u2;
          else
            b:
              for (g = w; V !== null; ) {
                h2 = V;
                if ((h2.flags & 2048) !== 0)
                  try {
                    switch (h2.tag) {
                      case 0:
                      case 11:
                      case 15:
                        Rj(9, h2);
                    }
                  } catch (na) {
                    W(h2, h2.return, na);
                  }
                if (h2 === g) {
                  V = null;
                  break b;
                }
                var F = h2.sibling;
                if (F !== null) {
                  F.return = h2.return;
                  V = F;
                  break b;
                }
                V = h2.return;
              }
        }
        K = e2;
        jg();
        if (lc && typeof lc.onPostCommitFiberRoot === "function")
          try {
            lc.onPostCommitFiberRoot(kc, a);
          } catch (na) {
          }
        d = true;
      }
      return d;
    } finally {
      C = c, pk.transition = b;
    }
  }
  return false;
}
function Yk(a, b, c) {
  b = Ki(c, b);
  b = Oi(a, b, 1);
  a = dh(a, b, 1);
  b = L();
  a !== null && (Ac(a, 1, b), Ek(a, b));
}
function W(a, b, c) {
  if (a.tag === 3)
    Yk(a, a, c);
  else
    for (; b !== null; ) {
      if (b.tag === 3) {
        Yk(b, a, c);
        break;
      } else if (b.tag === 1) {
        var d = b.stateNode;
        if (typeof b.type.getDerivedStateFromError === "function" || typeof d.componentDidCatch === "function" && (Si === null || !Si.has(d))) {
          a = Ki(c, a);
          a = Ri(b, a, 1);
          b = dh(b, a, 1);
          a = L();
          b !== null && (Ac(b, 1, a), Ek(b, a));
          break;
        }
      }
      b = b.return;
    }
}
function Ui(a, b, c) {
  var d = a.pingCache;
  d !== null && d.delete(b);
  b = L();
  a.pingedLanes |= a.suspendedLanes & c;
  R === a && (Z & c) === c && (T === 4 || T === 3 && (Z & 130023424) === Z && 500 > B() - gk ? Lk(a, 0) : sk |= c);
  Ek(a, b);
}
function Zk(a, b) {
  b === 0 && ((a.mode & 1) === 0 ? b = 1 : (b = sc, sc <<= 1, (sc & 130023424) === 0 && (sc = 4194304)));
  var c = L();
  a = Zg(a, b);
  a !== null && (Ac(a, b, c), Ek(a, c));
}
function vj(a) {
  var b = a.memoizedState, c = 0;
  b !== null && (c = b.retryLane);
  Zk(a, c);
}
function ck(a, b) {
  var c = 0;
  switch (a.tag) {
    case 13:
      var d = a.stateNode;
      var e2 = a.memoizedState;
      e2 !== null && (c = e2.retryLane);
      break;
    case 19:
      d = a.stateNode;
      break;
    default:
      throw Error(p$1(314));
  }
  d !== null && d.delete(b);
  Zk(a, c);
}
var Wk;
Wk = function(a, b, c) {
  if (a !== null)
    if (a.memoizedProps !== b.pendingProps || Wf.current)
      Ug = true;
    else {
      if ((a.lanes & c) === 0 && (b.flags & 128) === 0)
        return Ug = false, zj(a, b, c);
      Ug = (a.flags & 131072) !== 0 ? true : false;
    }
  else
    Ug = false, I && (b.flags & 1048576) !== 0 && ug(b, ng, b.index);
  b.lanes = 0;
  switch (b.tag) {
    case 2:
      var d = b.type;
      jj(a, b);
      a = b.pendingProps;
      var e2 = Yf(b, H.current);
      Tg(b, c);
      e2 = Xh(null, b, d, a, e2, c);
      var f = bi();
      b.flags |= 1;
      typeof e2 === "object" && e2 !== null && typeof e2.render === "function" && e2.$$typeof === void 0 ? (b.tag = 1, b.memoizedState = null, b.updateQueue = null, Zf(d) ? (f = true, cg(b)) : f = false, b.memoizedState = e2.state !== null && e2.state !== void 0 ? e2.state : null, ah(b), e2.updater = nh, b.stateNode = e2, e2._reactInternals = b, rh(b, d, a, c), b = kj(null, b, d, true, f, c)) : (b.tag = 0, I && f && vg(b), Yi(null, b, e2, c), b = b.child);
      return b;
    case 16:
      d = b.elementType;
      a: {
        jj(a, b);
        a = b.pendingProps;
        e2 = d._init;
        d = e2(d._payload);
        b.type = d;
        e2 = b.tag = $k(d);
        a = Lg(d, a);
        switch (e2) {
          case 0:
            b = dj(null, b, d, a, c);
            break a;
          case 1:
            b = ij(null, b, d, a, c);
            break a;
          case 11:
            b = Zi(null, b, d, a, c);
            break a;
          case 14:
            b = aj(null, b, d, Lg(d.type, a), c);
            break a;
        }
        throw Error(p$1(306, d, ""));
      }
      return b;
    case 0:
      return d = b.type, e2 = b.pendingProps, e2 = b.elementType === d ? e2 : Lg(d, e2), dj(a, b, d, e2, c);
    case 1:
      return d = b.type, e2 = b.pendingProps, e2 = b.elementType === d ? e2 : Lg(d, e2), ij(a, b, d, e2, c);
    case 3:
      a: {
        lj(b);
        if (a === null)
          throw Error(p$1(387));
        d = b.pendingProps;
        f = b.memoizedState;
        e2 = f.element;
        bh(a, b);
        gh(b, d, null, c);
        var g = b.memoizedState;
        d = g.element;
        if (f.isDehydrated)
          if (f = { element: d, isDehydrated: false, cache: g.cache, pendingSuspenseBoundaries: g.pendingSuspenseBoundaries, transitions: g.transitions }, b.updateQueue.baseState = f, b.memoizedState = f, b.flags & 256) {
            e2 = Ki(Error(p$1(423)), b);
            b = mj(a, b, d, c, e2);
            break a;
          } else if (d !== e2) {
            e2 = Ki(Error(p$1(424)), b);
            b = mj(a, b, d, c, e2);
            break a;
          } else
            for (yg = Lf(b.stateNode.containerInfo.firstChild), xg = b, I = true, zg = null, c = Ch(b, null, d, c), b.child = c; c; )
              c.flags = c.flags & -3 | 4096, c = c.sibling;
        else {
          Ig();
          if (d === e2) {
            b = $i(a, b, c);
            break a;
          }
          Yi(a, b, d, c);
        }
        b = b.child;
      }
      return b;
    case 5:
      return Kh(b), a === null && Eg(b), d = b.type, e2 = b.pendingProps, f = a !== null ? a.memoizedProps : null, g = e2.children, Ef(d, e2) ? g = null : f !== null && Ef(d, f) && (b.flags |= 32), hj(a, b), Yi(a, b, g, c), b.child;
    case 6:
      return a === null && Eg(b), null;
    case 13:
      return pj(a, b, c);
    case 4:
      return Ih(b, b.stateNode.containerInfo), d = b.pendingProps, a === null ? b.child = Bh(b, null, d, c) : Yi(a, b, d, c), b.child;
    case 11:
      return d = b.type, e2 = b.pendingProps, e2 = b.elementType === d ? e2 : Lg(d, e2), Zi(a, b, d, e2, c);
    case 7:
      return Yi(a, b, b.pendingProps, c), b.child;
    case 8:
      return Yi(a, b, b.pendingProps.children, c), b.child;
    case 12:
      return Yi(a, b, b.pendingProps.children, c), b.child;
    case 10:
      a: {
        d = b.type._context;
        e2 = b.pendingProps;
        f = b.memoizedProps;
        g = e2.value;
        G(Mg, d._currentValue);
        d._currentValue = g;
        if (f !== null)
          if (He(f.value, g)) {
            if (f.children === e2.children && !Wf.current) {
              b = $i(a, b, c);
              break a;
            }
          } else
            for (f = b.child, f !== null && (f.return = b); f !== null; ) {
              var h2 = f.dependencies;
              if (h2 !== null) {
                g = f.child;
                for (var k2 = h2.firstContext; k2 !== null; ) {
                  if (k2.context === d) {
                    if (f.tag === 1) {
                      k2 = ch(-1, c & -c);
                      k2.tag = 2;
                      var l2 = f.updateQueue;
                      if (l2 !== null) {
                        l2 = l2.shared;
                        var m2 = l2.pending;
                        m2 === null ? k2.next = k2 : (k2.next = m2.next, m2.next = k2);
                        l2.pending = k2;
                      }
                    }
                    f.lanes |= c;
                    k2 = f.alternate;
                    k2 !== null && (k2.lanes |= c);
                    Sg(f.return, c, b);
                    h2.lanes |= c;
                    break;
                  }
                  k2 = k2.next;
                }
              } else if (f.tag === 10)
                g = f.type === b.type ? null : f.child;
              else if (f.tag === 18) {
                g = f.return;
                if (g === null)
                  throw Error(p$1(341));
                g.lanes |= c;
                h2 = g.alternate;
                h2 !== null && (h2.lanes |= c);
                Sg(g, c, b);
                g = f.sibling;
              } else
                g = f.child;
              if (g !== null)
                g.return = f;
              else
                for (g = f; g !== null; ) {
                  if (g === b) {
                    g = null;
                    break;
                  }
                  f = g.sibling;
                  if (f !== null) {
                    f.return = g.return;
                    g = f;
                    break;
                  }
                  g = g.return;
                }
              f = g;
            }
        Yi(a, b, e2.children, c);
        b = b.child;
      }
      return b;
    case 9:
      return e2 = b.type, d = b.pendingProps.children, Tg(b, c), e2 = Vg(e2), d = d(e2), b.flags |= 1, Yi(a, b, d, c), b.child;
    case 14:
      return d = b.type, e2 = Lg(d, b.pendingProps), e2 = Lg(d.type, e2), aj(a, b, d, e2, c);
    case 15:
      return cj(a, b, b.type, b.pendingProps, c);
    case 17:
      return d = b.type, e2 = b.pendingProps, e2 = b.elementType === d ? e2 : Lg(d, e2), jj(a, b), b.tag = 1, Zf(d) ? (a = true, cg(b)) : a = false, Tg(b, c), ph(b, d, e2), rh(b, d, e2, c), kj(null, b, d, true, a, c);
    case 19:
      return yj(a, b, c);
    case 22:
      return ej(a, b, c);
  }
  throw Error(p$1(156, b.tag));
};
function Gk(a, b) {
  return ac(a, b);
}
function al(a, b, c, d) {
  this.tag = a;
  this.key = c;
  this.sibling = this.child = this.return = this.stateNode = this.type = this.elementType = null;
  this.index = 0;
  this.ref = null;
  this.pendingProps = b;
  this.dependencies = this.memoizedState = this.updateQueue = this.memoizedProps = null;
  this.mode = d;
  this.subtreeFlags = this.flags = 0;
  this.deletions = null;
  this.childLanes = this.lanes = 0;
  this.alternate = null;
}
function Bg(a, b, c, d) {
  return new al(a, b, c, d);
}
function bj(a) {
  a = a.prototype;
  return !(!a || !a.isReactComponent);
}
function $k(a) {
  if (typeof a === "function")
    return bj(a) ? 1 : 0;
  if (a !== void 0 && a !== null) {
    a = a.$$typeof;
    if (a === Da)
      return 11;
    if (a === Ga)
      return 14;
  }
  return 2;
}
function wh(a, b) {
  var c = a.alternate;
  c === null ? (c = Bg(a.tag, b, a.key, a.mode), c.elementType = a.elementType, c.type = a.type, c.stateNode = a.stateNode, c.alternate = a, a.alternate = c) : (c.pendingProps = b, c.type = a.type, c.flags = 0, c.subtreeFlags = 0, c.deletions = null);
  c.flags = a.flags & 14680064;
  c.childLanes = a.childLanes;
  c.lanes = a.lanes;
  c.child = a.child;
  c.memoizedProps = a.memoizedProps;
  c.memoizedState = a.memoizedState;
  c.updateQueue = a.updateQueue;
  b = a.dependencies;
  c.dependencies = b === null ? null : { lanes: b.lanes, firstContext: b.firstContext };
  c.sibling = a.sibling;
  c.index = a.index;
  c.ref = a.ref;
  return c;
}
function yh(a, b, c, d, e2, f) {
  var g = 2;
  d = a;
  if (typeof a === "function")
    bj(a) && (g = 1);
  else if (typeof a === "string")
    g = 5;
  else
    a:
      switch (a) {
        case ya:
          return Ah(c.children, e2, f, b);
        case za:
          g = 8;
          e2 |= 8;
          break;
        case Aa:
          return a = Bg(12, c, b, e2 | 2), a.elementType = Aa, a.lanes = f, a;
        case Ea:
          return a = Bg(13, c, b, e2), a.elementType = Ea, a.lanes = f, a;
        case Fa:
          return a = Bg(19, c, b, e2), a.elementType = Fa, a.lanes = f, a;
        case Ia:
          return qj(c, e2, f, b);
        default:
          if (typeof a === "object" && a !== null)
            switch (a.$$typeof) {
              case Ba:
                g = 10;
                break a;
              case Ca:
                g = 9;
                break a;
              case Da:
                g = 11;
                break a;
              case Ga:
                g = 14;
                break a;
              case Ha:
                g = 16;
                d = null;
                break a;
            }
          throw Error(p$1(130, a == null ? a : typeof a, ""));
      }
  b = Bg(g, c, b, e2);
  b.elementType = a;
  b.type = d;
  b.lanes = f;
  return b;
}
function Ah(a, b, c, d) {
  a = Bg(7, a, d, b);
  a.lanes = c;
  return a;
}
function qj(a, b, c, d) {
  a = Bg(22, a, d, b);
  a.elementType = Ia;
  a.lanes = c;
  a.stateNode = { isHidden: false };
  return a;
}
function xh(a, b, c) {
  a = Bg(6, a, null, b);
  a.lanes = c;
  return a;
}
function zh(a, b, c) {
  b = Bg(4, a.children !== null ? a.children : [], a.key, b);
  b.lanes = c;
  b.stateNode = { containerInfo: a.containerInfo, pendingChildren: null, implementation: a.implementation };
  return b;
}
function bl(a, b, c, d, e2) {
  this.tag = b;
  this.containerInfo = a;
  this.finishedWork = this.pingCache = this.current = this.pendingChildren = null;
  this.timeoutHandle = -1;
  this.callbackNode = this.pendingContext = this.context = null;
  this.callbackPriority = 0;
  this.eventTimes = zc(0);
  this.expirationTimes = zc(-1);
  this.entangledLanes = this.finishedLanes = this.mutableReadLanes = this.expiredLanes = this.pingedLanes = this.suspendedLanes = this.pendingLanes = 0;
  this.entanglements = zc(0);
  this.identifierPrefix = d;
  this.onRecoverableError = e2;
  this.mutableSourceEagerHydrationData = null;
}
function cl(a, b, c, d, e2, f, g, h2, k2) {
  a = new bl(a, b, c, h2, k2);
  b === 1 ? (b = 1, f === true && (b |= 8)) : b = 0;
  f = Bg(3, null, null, b);
  a.current = f;
  f.stateNode = a;
  f.memoizedState = { element: d, isDehydrated: c, cache: null, transitions: null, pendingSuspenseBoundaries: null };
  ah(f);
  return a;
}
function dl(a, b, c) {
  var d = 3 < arguments.length && arguments[3] !== void 0 ? arguments[3] : null;
  return { $$typeof: wa, key: d == null ? null : "" + d, children: a, containerInfo: b, implementation: c };
}
function el(a) {
  if (!a)
    return Vf;
  a = a._reactInternals;
  a: {
    if (Vb(a) !== a || a.tag !== 1)
      throw Error(p$1(170));
    var b = a;
    do {
      switch (b.tag) {
        case 3:
          b = b.stateNode.context;
          break a;
        case 1:
          if (Zf(b.type)) {
            b = b.stateNode.__reactInternalMemoizedMergedChildContext;
            break a;
          }
      }
      b = b.return;
    } while (b !== null);
    throw Error(p$1(171));
  }
  if (a.tag === 1) {
    var c = a.type;
    if (Zf(c))
      return bg(a, c, b);
  }
  return b;
}
function fl(a, b, c, d, e2, f, g, h2, k2) {
  a = cl(c, d, true, a, e2, f, g, h2, k2);
  a.context = el(null);
  c = a.current;
  d = L();
  e2 = lh(c);
  f = ch(d, e2);
  f.callback = b !== void 0 && b !== null ? b : null;
  dh(c, f, e2);
  a.current.lanes = e2;
  Ac(a, e2, d);
  Ek(a, d);
  return a;
}
function gl(a, b, c, d) {
  var e2 = b.current, f = L(), g = lh(e2);
  c = el(c);
  b.context === null ? b.context = c : b.pendingContext = c;
  b = ch(f, g);
  b.payload = { element: a };
  d = d === void 0 ? null : d;
  d !== null && (b.callback = d);
  a = dh(e2, b, g);
  a !== null && (mh(a, e2, g, f), eh(a, e2, g));
  return g;
}
function hl(a) {
  a = a.current;
  if (!a.child)
    return null;
  switch (a.child.tag) {
    case 5:
      return a.child.stateNode;
    default:
      return a.child.stateNode;
  }
}
function il(a, b) {
  a = a.memoizedState;
  if (a !== null && a.dehydrated !== null) {
    var c = a.retryLane;
    a.retryLane = c !== 0 && c < b ? c : b;
  }
}
function jl(a, b) {
  il(a, b);
  (a = a.alternate) && il(a, b);
}
function kl() {
  return null;
}
var ll = typeof reportError === "function" ? reportError : function(a) {
  console.error(a);
};
function ml(a) {
  this._internalRoot = a;
}
nl.prototype.render = ml.prototype.render = function(a) {
  var b = this._internalRoot;
  if (b === null)
    throw Error(p$1(409));
  gl(a, b, null, null);
};
nl.prototype.unmount = ml.prototype.unmount = function() {
  var a = this._internalRoot;
  if (a !== null) {
    this._internalRoot = null;
    var b = a.containerInfo;
    Sk(function() {
      gl(null, a, null, null);
    });
    b[uf] = null;
  }
};
function nl(a) {
  this._internalRoot = a;
}
nl.prototype.unstable_scheduleHydration = function(a) {
  if (a) {
    var b = Hc();
    a = { blockedOn: null, target: a, priority: b };
    for (var c = 0; c < Qc.length && b !== 0 && b < Qc[c].priority; c++)
      ;
    Qc.splice(c, 0, a);
    c === 0 && Vc(a);
  }
};
function ol(a) {
  return !(!a || a.nodeType !== 1 && a.nodeType !== 9 && a.nodeType !== 11);
}
function pl(a) {
  return !(!a || a.nodeType !== 1 && a.nodeType !== 9 && a.nodeType !== 11 && (a.nodeType !== 8 || a.nodeValue !== " react-mount-point-unstable "));
}
function ql() {
}
function rl(a, b, c, d, e2) {
  if (e2) {
    if (typeof d === "function") {
      var f = d;
      d = function() {
        var a2 = hl(g);
        f.call(a2);
      };
    }
    var g = fl(b, d, a, 0, null, false, false, "", ql);
    a._reactRootContainer = g;
    a[uf] = g.current;
    sf(a.nodeType === 8 ? a.parentNode : a);
    Sk();
    return g;
  }
  for (; e2 = a.lastChild; )
    a.removeChild(e2);
  if (typeof d === "function") {
    var h2 = d;
    d = function() {
      var a2 = hl(k2);
      h2.call(a2);
    };
  }
  var k2 = cl(a, 0, false, null, null, false, false, "", ql);
  a._reactRootContainer = k2;
  a[uf] = k2.current;
  sf(a.nodeType === 8 ? a.parentNode : a);
  Sk(function() {
    gl(b, k2, c, d);
  });
  return k2;
}
function sl(a, b, c, d, e2) {
  var f = c._reactRootContainer;
  if (f) {
    var g = f;
    if (typeof e2 === "function") {
      var h2 = e2;
      e2 = function() {
        var a2 = hl(g);
        h2.call(a2);
      };
    }
    gl(b, g, a, e2);
  } else
    g = rl(c, b, a, e2, d);
  return hl(g);
}
Ec = function(a) {
  switch (a.tag) {
    case 3:
      var b = a.stateNode;
      if (b.current.memoizedState.isDehydrated) {
        var c = tc(b.pendingLanes);
        c !== 0 && (Cc(b, c | 1), Ek(b, B()), (K & 6) === 0 && (Hj = B() + 500, jg()));
      }
      break;
    case 13:
      Sk(function() {
        var b2 = Zg(a, 1);
        if (b2 !== null) {
          var c2 = L();
          mh(b2, a, 1, c2);
        }
      }), jl(a, 1);
  }
};
Fc = function(a) {
  if (a.tag === 13) {
    var b = Zg(a, 134217728);
    if (b !== null) {
      var c = L();
      mh(b, a, 134217728, c);
    }
    jl(a, 134217728);
  }
};
Gc = function(a) {
  if (a.tag === 13) {
    var b = lh(a), c = Zg(a, b);
    if (c !== null) {
      var d = L();
      mh(c, a, b, d);
    }
    jl(a, b);
  }
};
Hc = function() {
  return C;
};
Ic = function(a, b) {
  var c = C;
  try {
    return C = a, b();
  } finally {
    C = c;
  }
};
yb = function(a, b, c) {
  switch (b) {
    case "input":
      bb(a, c);
      b = c.name;
      if (c.type === "radio" && b != null) {
        for (c = a; c.parentNode; )
          c = c.parentNode;
        c = c.querySelectorAll("input[name=" + JSON.stringify("" + b) + '][type="radio"]');
        for (b = 0; b < c.length; b++) {
          var d = c[b];
          if (d !== a && d.form === a.form) {
            var e2 = Db(d);
            if (!e2)
              throw Error(p$1(90));
            Wa(d);
            bb(d, e2);
          }
        }
      }
      break;
    case "textarea":
      ib(a, c);
      break;
    case "select":
      b = c.value, b != null && fb(a, !!c.multiple, b, false);
  }
};
Gb = Rk;
Hb = Sk;
var tl = { usingClientEntryPoint: false, Events: [Cb, ue, Db, Eb, Fb, Rk] }, ul = { findFiberByHostInstance: Wc, bundleType: 0, version: "18.2.0", rendererPackageName: "react-dom" };
var vl = { bundleType: ul.bundleType, version: ul.version, rendererPackageName: ul.rendererPackageName, rendererConfig: ul.rendererConfig, overrideHookState: null, overrideHookStateDeletePath: null, overrideHookStateRenamePath: null, overrideProps: null, overridePropsDeletePath: null, overridePropsRenamePath: null, setErrorHandler: null, setSuspenseHandler: null, scheduleUpdate: null, currentDispatcherRef: ua.ReactCurrentDispatcher, findHostInstanceByFiber: function(a) {
  a = Zb(a);
  return a === null ? null : a.stateNode;
}, findFiberByHostInstance: ul.findFiberByHostInstance || kl, findHostInstancesForRefresh: null, scheduleRefresh: null, scheduleRoot: null, setRefreshHandler: null, getCurrentFiber: null, reconcilerVersion: "18.2.0-next-9e3b772b8-20220608" };
if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== "undefined") {
  var wl = __REACT_DEVTOOLS_GLOBAL_HOOK__;
  if (!wl.isDisabled && wl.supportsFiber)
    try {
      kc = wl.inject(vl), lc = wl;
    } catch (a) {
    }
}
reactDom_production_min.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = tl;
reactDom_production_min.createPortal = function(a, b) {
  var c = 2 < arguments.length && arguments[2] !== void 0 ? arguments[2] : null;
  if (!ol(b))
    throw Error(p$1(200));
  return dl(a, b, null, c);
};
reactDom_production_min.createRoot = function(a, b) {
  if (!ol(a))
    throw Error(p$1(299));
  var c = false, d = "", e2 = ll;
  b !== null && b !== void 0 && (b.unstable_strictMode === true && (c = true), b.identifierPrefix !== void 0 && (d = b.identifierPrefix), b.onRecoverableError !== void 0 && (e2 = b.onRecoverableError));
  b = cl(a, 1, false, null, null, c, false, d, e2);
  a[uf] = b.current;
  sf(a.nodeType === 8 ? a.parentNode : a);
  return new ml(b);
};
reactDom_production_min.findDOMNode = function(a) {
  if (a == null)
    return null;
  if (a.nodeType === 1)
    return a;
  var b = a._reactInternals;
  if (b === void 0) {
    if (typeof a.render === "function")
      throw Error(p$1(188));
    a = Object.keys(a).join(",");
    throw Error(p$1(268, a));
  }
  a = Zb(b);
  a = a === null ? null : a.stateNode;
  return a;
};
reactDom_production_min.flushSync = function(a) {
  return Sk(a);
};
reactDom_production_min.hydrate = function(a, b, c) {
  if (!pl(b))
    throw Error(p$1(200));
  return sl(null, a, b, true, c);
};
reactDom_production_min.hydrateRoot = function(a, b, c) {
  if (!ol(a))
    throw Error(p$1(405));
  var d = c != null && c.hydratedSources || null, e2 = false, f = "", g = ll;
  c !== null && c !== void 0 && (c.unstable_strictMode === true && (e2 = true), c.identifierPrefix !== void 0 && (f = c.identifierPrefix), c.onRecoverableError !== void 0 && (g = c.onRecoverableError));
  b = fl(b, null, a, 1, c != null ? c : null, e2, false, f, g);
  a[uf] = b.current;
  sf(a);
  if (d)
    for (a = 0; a < d.length; a++)
      c = d[a], e2 = c._getVersion, e2 = e2(c._source), b.mutableSourceEagerHydrationData == null ? b.mutableSourceEagerHydrationData = [c, e2] : b.mutableSourceEagerHydrationData.push(c, e2);
  return new nl(b);
};
reactDom_production_min.render = function(a, b, c) {
  if (!pl(b))
    throw Error(p$1(200));
  return sl(null, a, b, false, c);
};
reactDom_production_min.unmountComponentAtNode = function(a) {
  if (!pl(a))
    throw Error(p$1(40));
  return a._reactRootContainer ? (Sk(function() {
    sl(null, null, a, false, function() {
      a._reactRootContainer = null;
      a[uf] = null;
    });
  }), true) : false;
};
reactDom_production_min.unstable_batchedUpdates = Rk;
reactDom_production_min.unstable_renderSubtreeIntoContainer = function(a, b, c, d) {
  if (!pl(c))
    throw Error(p$1(200));
  if (a == null || a._reactInternals === void 0)
    throw Error(p$1(38));
  return sl(a, b, c, false, d);
};
reactDom_production_min.version = "18.2.0-next-9e3b772b8-20220608";
function checkDCE() {
  if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ === "undefined" || typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE !== "function") {
    return;
  }
  try {
    __REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE(checkDCE);
  } catch (err) {
    console.error(err);
  }
}
{
  checkDCE();
  reactDom$1.exports = reactDom_production_min;
}
var reactDom = reactDom$1.exports;
var ReactDOM = /* @__PURE__ */ _mergeNamespaces({
  __proto__: null,
  "default": reactDom
}, [reactDom$1.exports]);
function resolveContainer(getContainer) {
  const container = typeof getContainer === "function" ? getContainer() : getContainer;
  return container || document.body;
}
function renderToContainer(getContainer, node) {
  if (canUseDom && getContainer) {
    const container = resolveContainer(getContainer);
    return reactDom$1.exports.createPortal(node, container);
  }
  return node;
}
function useInitialized(check) {
  const initializedRef = React$1.useRef(check);
  if (check) {
    initializedRef.current = true;
  }
  return !!initializedRef.current;
}
const ShouldRender = (props) => {
  const shouldRender = useShouldRender(props.active, props.forceRender, props.destroyOnClose);
  return shouldRender ? props.children : null;
};
function useShouldRender(active, forceRender, destroyOnClose) {
  const initialized = useInitialized(active);
  if (forceRender)
    return true;
  if (active)
    return true;
  if (!initialized)
    return false;
  return !destroyOnClose;
}
const eventToPropRecord = {
  "click": "onClick"
};
function withStopPropagation(events, element) {
  const props = Object.assign({}, element.props);
  for (const key of events) {
    const prop = eventToPropRecord[key];
    props[prop] = function(e2) {
      var _a, _b;
      e2.stopPropagation();
      (_b = (_a = element.props)[prop]) === null || _b === void 0 ? void 0 : _b.call(_a, e2);
    };
  }
  return React__default["default"].cloneElement(element, props);
}
const classPrefix$1i = `adm-mask`;
const opacityRecord = {
  default: 0.55,
  thin: 0.35,
  thick: 0.75
};
const defaultProps$10 = {
  visible: true,
  destroyOnClose: false,
  forceRender: false,
  color: "black",
  opacity: "default",
  disableBodyScroll: true,
  getContainer: null,
  stopPropagation: ["click"]
};
const Mask = (p2) => {
  const props = mergeProps(defaultProps$10, p2);
  const {
    locale
  } = useConfig();
  const ref = React$1.useRef(null);
  useLockScroll(ref, props.visible && props.disableBodyScroll);
  const background = React$1.useMemo(() => {
    var _a;
    const opacity2 = (_a = opacityRecord[props.opacity]) !== null && _a !== void 0 ? _a : props.opacity;
    const rgb = props.color === "white" ? "255, 255, 255" : "0, 0, 0";
    return `rgba(${rgb}, ${opacity2})`;
  }, [props.color, props.opacity]);
  const [active, setActive] = React$1.useState(props.visible);
  const unmountedRef = ahooks.useUnmountedRef();
  const {
    opacity
  } = web.useSpring({
    opacity: props.visible ? 1 : 0,
    config: {
      precision: 0.01,
      mass: 1,
      tension: 250,
      friction: 30,
      clamp: true
    },
    onStart: () => {
      setActive(true);
    },
    onRest: () => {
      var _a, _b;
      if (unmountedRef.current)
        return;
      setActive(props.visible);
      if (props.visible) {
        (_a = props.afterShow) === null || _a === void 0 ? void 0 : _a.call(props);
      } else {
        (_b = props.afterClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    }
  });
  const node = withStopPropagation(props.stopPropagation, withNativeProps(props, React__default["default"].createElement(web.animated.div, {
    className: classPrefix$1i,
    ref,
    style: Object.assign(Object.assign({}, props.style), {
      background,
      opacity,
      display: active ? void 0 : "none"
    }),
    onClick: (e2) => {
      var _a;
      if (e2.target === e2.currentTarget) {
        (_a = props.onMaskClick) === null || _a === void 0 ? void 0 : _a.call(props, e2);
      }
    }
  }, props.onMaskClick && React__default["default"].createElement("div", {
    className: `${classPrefix$1i}-aria-button`,
    role: "button",
    "aria-label": locale.Mask.name,
    onClick: props.onMaskClick
  }), React__default["default"].createElement("div", {
    className: `${classPrefix$1i}-content`
  }, props.children))));
  return React__default["default"].createElement(ShouldRender, {
    active,
    forceRender: props.forceRender,
    destroyOnClose: props.destroyOnClose
  }, renderToContainer(props.getContainer, node));
};
const defaultPopupBaseProps = {
  closeOnMaskClick: false,
  destroyOnClose: false,
  disableBodyScroll: true,
  forceRender: false,
  getContainer: () => document.body,
  mask: true,
  showCloseButton: false,
  stopPropagation: ["click"],
  visible: false
};
function useInnerVisible(outerVisible) {
  const [innerVisible, setInnerVisible] = React$1.useState(outerVisible);
  ahooks.useIsomorphicLayoutEffect(() => {
    setInnerVisible(outerVisible);
  }, [outerVisible]);
  return innerVisible;
}
const classPrefix$1h = `adm-popup`;
const defaultProps$$ = Object.assign(Object.assign({}, defaultPopupBaseProps), {
  position: "bottom"
});
const Popup = (p2) => {
  const props = mergeProps(defaultProps$$, p2);
  const bodyCls = classNames__default["default"](`${classPrefix$1h}-body`, props.bodyClassName, `${classPrefix$1h}-body-position-${props.position}`);
  const [active, setActive] = React$1.useState(props.visible);
  ahooks.useIsomorphicLayoutEffect(() => {
    if (props.visible) {
      setActive(true);
    }
  }, [props.visible]);
  const ref = React$1.useRef(null);
  useLockScroll(ref, props.disableBodyScroll && active);
  const unmountedRef = ahooks.useUnmountedRef();
  const {
    percent
  } = web.useSpring({
    percent: props.visible ? 0 : 100,
    config: {
      precision: 0.1,
      mass: 0.4,
      tension: 300,
      friction: 30
    },
    onRest: () => {
      var _a, _b;
      if (unmountedRef.current)
        return;
      setActive(props.visible);
      if (props.visible) {
        (_a = props.afterShow) === null || _a === void 0 ? void 0 : _a.call(props);
      } else {
        (_b = props.afterClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    }
  });
  const maskVisible = useInnerVisible(active && props.visible);
  const node = withStopPropagation(props.stopPropagation, withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$1h,
    onClick: props.onClick,
    style: {
      display: active ? void 0 : "none"
    }
  }, props.mask && React__default["default"].createElement(Mask, {
    visible: maskVisible,
    forceRender: props.forceRender,
    destroyOnClose: props.destroyOnClose,
    onMaskClick: (e2) => {
      var _a, _b;
      (_a = props.onMaskClick) === null || _a === void 0 ? void 0 : _a.call(props, e2);
      if (props.closeOnMaskClick) {
        (_b = props.onClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    },
    className: props.maskClassName,
    style: props.maskStyle,
    disableBodyScroll: false,
    stopPropagation: props.stopPropagation
  }), React__default["default"].createElement(web.animated.div, {
    className: bodyCls,
    style: Object.assign(Object.assign({}, props.bodyStyle), {
      transform: percent.to((v2) => {
        if (props.position === "bottom") {
          return `translate(0, ${v2}%)`;
        }
        if (props.position === "top") {
          return `translate(0, -${v2}%)`;
        }
        if (props.position === "left") {
          return `translate(-${v2}%, 0)`;
        }
        if (props.position === "right") {
          return `translate(${v2}%, 0)`;
        }
        return "none";
      })
    }),
    ref
  }, props.showCloseButton && React__default["default"].createElement("a", {
    className: classNames__default["default"](`${classPrefix$1h}-close-icon`, "adm-plain-anchor"),
    onClick: () => {
      var _a;
      (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  }, React__default["default"].createElement(antdMobileIcons.CloseOutline, null)), props.children))));
  return React__default["default"].createElement(ShouldRender, {
    active,
    forceRender: props.forceRender,
    destroyOnClose: props.destroyOnClose
  }, renderToContainer(props.getContainer, node));
};
var safeArea = /* @__PURE__ */ (() => ".adm-safe-area {\n  --multiple: var(--adm-safe-area-multiple, 1);\n  display: block;\n  width: 100%;\n}\n.adm-safe-area-position-top {\n  padding-top: calc(env(safe-area-inset-top) * var(--multiple));\n}\n.adm-safe-area-position-bottom {\n  padding-bottom: calc(env(safe-area-inset-bottom) * var(--multiple));\n}\n")();
const classPrefix$1g = "adm-safe-area";
const SafeArea = (props) => {
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$1g, `${classPrefix$1g}-position-${props.position}`)
  }));
};
const fullClone = Object.assign({}, ReactDOM);
const {
  version,
  render: reactRender,
  unmountComponentAtNode
} = fullClone;
let createRoot;
try {
  const mainVersion = Number((version || "").split(".")[0]);
  if (mainVersion >= 18 && fullClone.createRoot) {
    createRoot = fullClone.createRoot;
  }
} catch (e2) {
}
function toggleWarning(skip) {
  const {
    __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED
  } = fullClone;
  if (__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED && typeof __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED === "object") {
    __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.usingClientEntryPoint = skip;
  }
}
const MARK = "__antd_mobile_root__";
function legacyRender(node, container) {
  reactRender(node, container);
}
function concurrentRender(node, container) {
  toggleWarning(true);
  const root2 = container[MARK] || createRoot(container);
  toggleWarning(false);
  root2.render(node);
  container[MARK] = root2;
}
function render(node, container) {
  if (createRoot) {
    concurrentRender(node, container);
    return;
  }
  legacyRender(node, container);
}
function legacyUnmount(container) {
  return unmountComponentAtNode(container);
}
function concurrentUnmount(container) {
  return tslib.__awaiter(this, void 0, void 0, function* () {
    return Promise.resolve().then(() => {
      var _a;
      (_a = container[MARK]) === null || _a === void 0 ? void 0 : _a.unmount();
      delete container[MARK];
    });
  });
}
function unmount(container) {
  if (createRoot) {
    return concurrentUnmount(container);
  }
  return legacyUnmount(container);
}
function renderToBody(element) {
  const container = document.createElement("div");
  document.body.appendChild(container);
  function unmount$1() {
    const unmountResult = unmount(container);
    if (unmountResult && container.parentNode) {
      container.parentNode.removeChild(container);
    }
  }
  render(element, container);
  return unmount$1;
}
function renderImperatively(element) {
  const Wrapper2 = React__default["default"].forwardRef((_, ref) => {
    const [visible, setVisible] = React$1.useState(false);
    const closedRef = React$1.useRef(false);
    const [elementToRender, setElementToRender] = React$1.useState(element);
    const keyRef = React$1.useRef(0);
    React$1.useEffect(() => {
      if (!closedRef.current) {
        setVisible(true);
      } else {
        afterClose();
      }
    }, []);
    function onClose() {
      var _a, _b;
      closedRef.current = true;
      setVisible(false);
      (_b = (_a = elementToRender.props).onClose) === null || _b === void 0 ? void 0 : _b.call(_a);
    }
    function afterClose() {
      var _a, _b;
      unmount2();
      (_b = (_a = elementToRender.props).afterClose) === null || _b === void 0 ? void 0 : _b.call(_a);
    }
    React$1.useImperativeHandle(ref, () => ({
      close: onClose,
      replace: (element2) => {
        var _a, _b;
        keyRef.current++;
        (_b = (_a = elementToRender.props).afterClose) === null || _b === void 0 ? void 0 : _b.call(_a);
        setElementToRender(element2);
      }
    }));
    return React__default["default"].cloneElement(elementToRender, Object.assign(Object.assign({}, elementToRender.props), {
      key: keyRef.current,
      visible,
      onClose,
      afterClose
    }));
  });
  const wrapperRef = React__default["default"].createRef();
  const unmount2 = renderToBody(React__default["default"].createElement(Wrapper2, {
    ref: wrapperRef
  }));
  return {
    close: () => {
      var _a;
      (_a = wrapperRef.current) === null || _a === void 0 ? void 0 : _a.close();
    },
    replace: (element2) => {
      var _a;
      (_a = wrapperRef.current) === null || _a === void 0 ? void 0 : _a.replace(element2);
    }
  };
}
const classPrefix$1f = `adm-action-sheet`;
const defaultProps$_ = {
  visible: false,
  actions: [],
  cancelText: "",
  closeOnAction: false,
  closeOnMaskClick: true,
  safeArea: true,
  destroyOnClose: false,
  forceRender: false
};
const ActionSheet = (p2) => {
  const props = mergeProps(defaultProps$_, p2);
  return React__default["default"].createElement(Popup, {
    visible: props.visible,
    onMaskClick: () => {
      var _a, _b;
      (_a = props.onMaskClick) === null || _a === void 0 ? void 0 : _a.call(props);
      if (props.closeOnMaskClick) {
        (_b = props.onClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    },
    afterClose: props.afterClose,
    className: classNames__default["default"](`${classPrefix$1f}-popup`, props.popupClassName),
    style: props.popupStyle,
    getContainer: props.getContainer,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender
  }, withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$1f
  }, props.extra && React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-extra`
  }, props.extra), React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-button-list`
  }, props.actions.map((action, index2) => React__default["default"].createElement("div", {
    key: action.key,
    className: `${classPrefix$1f}-button-item-wrapper`
  }, React__default["default"].createElement("a", {
    className: classNames__default["default"]("adm-plain-anchor", `${classPrefix$1f}-button-item`, {
      [`${classPrefix$1f}-button-item-danger`]: action.danger,
      [`${classPrefix$1f}-button-item-disabled`]: action.disabled
    }),
    onClick: () => {
      var _a, _b, _c;
      (_a = action.onClick) === null || _a === void 0 ? void 0 : _a.call(action);
      (_b = props.onAction) === null || _b === void 0 ? void 0 : _b.call(props, action, index2);
      if (props.closeOnAction) {
        (_c = props.onClose) === null || _c === void 0 ? void 0 : _c.call(props);
      }
    }
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-button-item-name`
  }, action.text), action.description && React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-button-item-description`
  }, action.description))))), props.cancelText && React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-cancel`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-button-item-wrapper`
  }, React__default["default"].createElement("a", {
    className: classNames__default["default"]("adm-plain-anchor", `${classPrefix$1f}-button-item`),
    onClick: () => {
      var _a;
      (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$1f}-button-item-name`
  }, props.cancelText)))), props.safeArea && React__default["default"].createElement(SafeArea, {
    position: "bottom"
  }))));
};
function showActionSheet(props) {
  return renderImperatively(React__default["default"].createElement(ActionSheet, Object.assign({}, props)));
}
var index$i = attachPropertiesToComponent(ActionSheet, {
  show: showActionSheet
});
var autoCenter = /* @__PURE__ */ (() => ".adm-auto-center {\n  display: flex;\n  justify-content: center;\n}\n.adm-auto-center-content {\n  flex: 0 1 auto;\n}\n")();
const classPrefix$1e = "adm-auto-center";
const AutoCenter = (props) => {
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$1e
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$1e}-content`
  }, props.children)));
};
var avatar = /* @__PURE__ */ (() => ".adm-avatar {\n  --size: var(--adm-avatar-size, 44px);\n  --border-radius: var(--adm-avatar-border-radius, 4px);\n  border-radius: var(--border-radius);\n}\n.adm-avatar.adm-image {\n  --width: var(--size);\n  --height: var(--size);\n}\n.adm-avatar-fallback {\n  height: 100%;\n  width: 100%;\n  display: block;\n}\n")();
const Fallback = React$1.memo(() => React__default["default"].createElement("svg", {
  className: "adm-avatar-fallback",
  width: "88px",
  height: "88px",
  viewBox: "0 0 88 88",
  version: "1.1"
}, React__default["default"].createElement("title", null, "\u7F16\u7EC4 3"), React__default["default"].createElement("defs", null, React__default["default"].createElement("polygon", {
  id: "path-1",
  points: "0 0 88 0 88 88 0 88"
})), React__default["default"].createElement("g", {
  id: "\u9875\u9762-1",
  stroke: "none",
  strokeWidth: "1",
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("g", {
  id: "\u8BED\u96C0",
  transform: "translate(-495.000000, -71.000000)"
}, React__default["default"].createElement("g", {
  id: "\u7F16\u7EC4-3",
  transform: "translate(495.000000, 71.000000)"
}, React__default["default"].createElement("mask", {
  id: "mask-2",
  fill: "white"
}, React__default["default"].createElement("use", {
  xlinkHref: "#path-1"
})), React__default["default"].createElement("use", {
  id: "Mask",
  fill: "#EEEEEE",
  fillRule: "nonzero",
  xlinkHref: "#path-1"
}), React__default["default"].createElement("path", {
  d: "M44.5707528,16 L43.4292117,16 L42.9575197,16.0086403 L42.9575195,16.0086403 C36.5215787,16.2615464 31.4341803,21.5678078 31.4344832,28.0273864 L31.4344832,34.7776551 L31.4495601,35.3716788 L31.4495593,35.3716628 C31.599687,38.5368723 32.9422041,41.5269327 35.2058513,43.7376716 L38.2147759,46.6775505 L38.4086219,46.8913989 C38.7747759,47.3385365 38.9750835,47.9001589 38.9750835,48.4833848 L38.9750835,48.8938006 L38.9556989,49.1897326 L38.9556989,49.1897325 C38.8577746,49.9812662 38.3754713,50.67284 37.667703,51.036605 L18.7375269,60.7440265 L18.4101421,60.9276334 L18.4101423,60.9276333 C16.9141658,61.8418636 16.0009389,63.4714674 16,65.2283758 L16,66.070809 L16.0129231,66.3948217 C16.1766149,68.4123376 17.860922,70 19.91569,70 L68.0843101,70 L68.08431,70 C70.2460467,70 71.9988087,68.243122 72,66.0751224 L72,65.2326893 C72,63.3382982 70.9446194,61.6037466 69.2624598,60.7440295 L50.3322837,51.036608 L50.3322835,51.0366079 C49.5291218,50.6249082 49.0240448,49.7962466 49.024903,48.8916436 L49.024903,48.4812278 C49.024903,47.8029608 49.3005955,47.1527756 49.7852106,46.6775603 L52.7941352,43.7376813 L52.7941354,43.7376811 C55.204308,41.3832325 56.5636029,38.151975 56.5633606,34.7776456 L56.5633606,28.0273769 L56.5633606,28.0273774 C56.5633606,21.3848531 51.1940878,16 44.5707524,16 L44.5707528,16 Z",
  id: "\u5F62\u72B6",
  fill: "#CCCCCC",
  fillRule: "nonzero",
  mask: "url(#mask-2)"
}))))));
const classPrefix$1d = "adm-avatar";
const defaultProps$Z = {
  fallback: React__default["default"].createElement(Fallback, null),
  fit: "cover"
};
const Avatar = (p2) => {
  const props = mergeProps(defaultProps$Z, p2);
  return withNativeProps(props, React__default["default"].createElement(Image$1, {
    className: classPrefix$1d,
    src: props.src,
    fallback: props.fallback,
    placeholder: props.fallback,
    alt: props.alt,
    lazy: props.lazy,
    fit: props.fit,
    onClick: props.onClick,
    onError: props.onError
  }));
};
var badge = /* @__PURE__ */ (() => ".adm-badge-wrapper {\n  display: inline-block;\n  position: relative;\n}\n.adm-badge {\n  display: inline-flex;\n  vertical-align: middle;\n  box-sizing: content-box;\n  border-radius: 100px;\n  background-color: var(--color);\n  --right: 0;\n  --top: 0;\n  --color: var(--adm-badge-color, #ff411c);\n}\n.adm-badge-content {\n  color: var(--adm-color-white);\n  box-sizing: border-box;\n  min-width: 8px;\n  padding: 1px 4px;\n  font-size: var(--adm-font-size-1);\n  line-height: 12px;\n  white-space: nowrap;\n  font-weight: normal;\n  text-align: center;\n}\n.adm-badge-fixed {\n  position: absolute;\n  right: var(--right);\n  top: var(--top);\n  transform: translate(50%, -50%);\n}\n.adm-badge-dot {\n  min-width: 10px;\n  width: 10px;\n  height: 10px;\n  border-radius: 5px;\n}\n.adm-badge-bordered {\n  border: solid 1px var(--adm-color-white);\n}\n")();
const classPrefix$1c = `adm-badge`;
const dot = React__default["default"].createElement(React__default["default"].Fragment, null);
const Badge$1 = (props) => {
  const {
    content,
    color,
    children
  } = props;
  const isDot = content === dot;
  const badgeCls = classNames__default["default"](classPrefix$1c, !!children && `${classPrefix$1c}-fixed`, isDot && `${classPrefix$1c}-dot`, props.bordered && `${classPrefix$1c}-bordered`);
  const element = content || content === 0 ? withNativeProps(props, React__default["default"].createElement("div", {
    className: badgeCls,
    style: {
      "--color": color
    }
  }, !isDot && React__default["default"].createElement("div", {
    className: `${classPrefix$1c}-content`
  }, content))) : null;
  return children ? React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$1c}-wrapper`, props.wrapperClassName),
    style: props.wrapperStyle
  }, children, element) : element;
};
var Badge = attachPropertiesToComponent(Badge$1, {
  dot
});
var button = /* @__PURE__ */ (() => ".adm-button {\n  --color: var(--adm-color-white);\n  --text-color: var(--adm-button-text-color, var(--adm-color-text));\n  --background-color: var(--adm-button-background-color, var(--adm-color-background));\n  --border-radius: var(--adm-button-border-radius, 4px);\n  --border-width: var(--adm-button-border-width, 1px);\n  --border-style: var(--adm-button-border-style, solid);\n  --border-color: var(--adm-button-border-color, var(--adm-color-border));\n  color: var(--text-color);\n  background-color: var(--background-color);\n  position: relative;\n  display: inline-block;\n  box-sizing: border-box;\n  height: auto;\n  padding: 7px 12px;\n  margin: 0;\n  font-size: var(--adm-font-size-9);\n  line-height: 1.4;\n  text-align: center;\n  border: var(--border-width) var(--border-style) var(--border-color);\n  border-radius: var(--border-radius);\n  cursor: pointer;\n  transition: opacity ease 0.15s;\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-button:focus {\n  outline: none;\n}\n.adm-button::before {\n  position: absolute;\n  top: 0;\n  left: 0;\n  transform: translate(calc(var(--border-width) * -1), calc(var(--border-width) * -1));\n  width: 100%;\n  height: 100%;\n  background-color: #000;\n  border: var(--border-width) var(--border-style) #000;\n  border-radius: var(--border-radius);\n  opacity: 0;\n  content: ' ';\n  box-sizing: content-box;\n}\n.adm-button:active::before {\n  opacity: 0.08;\n}\n.adm-button-default.adm-button-fill-outline {\n  --background-color: transparent;\n  --border-color: var(--adm-color-text);\n}\n.adm-button-default.adm-button-fill-none {\n  --background-color: transparent;\n  --border-width: 0px;\n}\n.adm-button:not(.adm-button-default) {\n  --text-color: var(--adm-color-white);\n  --background-color: var(--color);\n  --border-color: var(--color);\n}\n.adm-button:not(.adm-button-default).adm-button-fill-outline {\n  --text-color: var(--color);\n  --background-color: transparent;\n}\n.adm-button:not(.adm-button-default).adm-button-fill-none {\n  --text-color: var(--color);\n  --background-color: transparent;\n  --border-width: 0px;\n}\n.adm-button-primary {\n  --color: var(--adm-color-primary);\n}\n.adm-button-success {\n  --color: var(--adm-color-success);\n}\n.adm-button-danger {\n  --color: var(--adm-color-danger);\n}\n.adm-button-warning {\n  --color: var(--adm-color-warning);\n}\n.adm-button-block {\n  display: block;\n  width: 100%;\n}\n.adm-button-disabled {\n  cursor: not-allowed;\n  opacity: 0.4;\n}\n.adm-button-disabled:active::before {\n  display: none;\n}\n.adm-button.adm-button-mini {\n  padding-top: 3px;\n  padding-bottom: 3px;\n  font-size: var(--adm-font-size-main);\n}\n.adm-button.adm-button-mini.adm-button-shape-rounded {\n  padding-left: 9px;\n  padding-right: 9px;\n}\n.adm-button.adm-button-small {\n  padding-top: 3px;\n  padding-bottom: 3px;\n  font-size: var(--adm-font-size-7);\n}\n.adm-button.adm-button-large {\n  padding-top: 11px;\n  padding-bottom: 11px;\n  font-size: var(--adm-font-size-10);\n}\n.adm-button.adm-button-shape-rounded {\n  --border-radius: 1000px;\n}\n.adm-button.adm-button-shape-rectangular {\n  --border-radius: 0;\n}\n.adm-button-loading {\n  vertical-align: bottom;\n}\n.adm-button-loading-wrapper {\n  display: flex;\n  height: 1.4em;\n  align-items: center;\n  justify-content: center;\n}\n.adm-button-loading-wrapper > .adm-loading {\n  opacity: 0.6;\n}\n")();
var dotLoading = /* @__PURE__ */ (() => ".adm-dot-loading {\n  display: inline-block;\n}\n")();
const classPrefix$1b = `adm-dot-loading`;
const colorRecord$3 = {
  default: "var(--adm-color-weak)",
  primary: "var(--adm-color-primary)",
  white: "var(--adm-color-white)"
};
const defaultProps$Y = {
  color: "default"
};
const DotLoading = React$1.memo((p2) => {
  var _a;
  const props = mergeProps(defaultProps$Y, p2);
  return withNativeProps(props, React__default["default"].createElement("div", {
    style: {
      color: (_a = colorRecord$3[props.color]) !== null && _a !== void 0 ? _a : props.color
    },
    className: classNames__default["default"]("adm-loading", classPrefix$1b)
  }, React__default["default"].createElement("svg", {
    height: "1em",
    viewBox: "0 0 100 40",
    style: {
      verticalAlign: "-0.125em"
    }
  }, React__default["default"].createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default["default"].createElement("g", {
    transform: "translate(-100.000000, -71.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(95.000000, 71.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(5.000000, 0.000000)"
  }, [0, 1, 2].map((i) => React__default["default"].createElement("rect", {
    key: i,
    fill: "currentColor",
    x: 20 + i * 26,
    y: "16",
    width: "8",
    height: "8",
    rx: "2"
  }, React__default["default"].createElement("animate", {
    attributeName: "y",
    from: "16",
    to: "16",
    dur: "2s",
    begin: `${i * 0.2}s`,
    repeatCount: "indefinite",
    values: "16; 6; 26; 16; 16",
    keyTimes: "0; 0.1; 0.3; 0.4; 1"
  }))))))))));
});
function isPromise(obj) {
  return !!obj && typeof obj === "object" && typeof obj.then === "function";
}
function isIOS() {
  return canUseDom ? /ios|iphone|ipad|ipod/.test(navigator.userAgent.toLowerCase()) : false;
}
const classPrefix$1a = `adm-button`;
const defaultProps$X = {
  color: "default",
  fill: "solid",
  block: false,
  loading: false,
  loadingIcon: React__default["default"].createElement(DotLoading, {
    color: "currentColor"
  }),
  type: "button",
  shape: "default",
  size: "middle"
};
const Button = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$X, p2);
  const [innerLoading, setInnerLoading] = React$1.useState(false);
  const nativeButtonRef = React$1.useRef(null);
  const loading = props.loading === "auto" ? innerLoading : props.loading;
  const disabled = props.disabled || loading;
  React$1.useImperativeHandle(ref, () => ({
    get nativeElement() {
      return nativeButtonRef.current;
    }
  }));
  const handleClick = (e2) => tslib.__awaiter(void 0, void 0, void 0, function* () {
    if (!props.onClick)
      return;
    const promise = props.onClick(e2);
    if (isPromise(promise)) {
      try {
        setInnerLoading(true);
        yield promise;
        setInnerLoading(false);
      } catch (e3) {
        setInnerLoading(false);
        throw e3;
      }
    }
  });
  return withNativeProps(props, React__default["default"].createElement("button", {
    ref: nativeButtonRef,
    type: props.type,
    onClick: handleClick,
    className: classNames__default["default"](classPrefix$1a, props.color ? `${classPrefix$1a}-${props.color}` : null, {
      [`${classPrefix$1a}-block`]: props.block,
      [`${classPrefix$1a}-disabled`]: disabled,
      [`${classPrefix$1a}-fill-outline`]: props.fill === "outline",
      [`${classPrefix$1a}-fill-none`]: props.fill === "none",
      [`${classPrefix$1a}-mini`]: props.size === "mini",
      [`${classPrefix$1a}-small`]: props.size === "small",
      [`${classPrefix$1a}-large`]: props.size === "large",
      [`${classPrefix$1a}-loading`]: loading
    }, `${classPrefix$1a}-shape-${props.shape}`),
    disabled,
    onMouseDown: props.onMouseDown,
    onMouseUp: props.onMouseUp,
    onTouchStart: props.onTouchStart,
    onTouchEnd: props.onTouchEnd
  }, loading ? React__default["default"].createElement("div", {
    className: `${classPrefix$1a}-loading-wrapper`
  }, props.loadingIcon, props.loadingText) : props.children));
});
var calendar = /* @__PURE__ */ (() => ".adm-calendar .adm-calendar-header {\n  display: flex;\n  flex-direction: row;\n  align-items: center;\n  justify-content: space-between;\n  padding-top: 4px;\n}\n.adm-calendar .adm-calendar-header a.adm-calendar-arrow-button {\n  padding: 4px 8px;\n  display: block;\n  flex: none;\n}\n.adm-calendar .adm-calendar-header a.adm-calendar-arrow-button svg {\n  height: 22px;\n}\n.adm-calendar .adm-calendar-header a.adm-calendar-arrow-button.adm-calendar-arrow-button-right svg {\n  transform: rotate(180deg);\n}\n.adm-calendar .adm-calendar-header .adm-calendar-title {\n  font-size: var(--adm-font-size-10);\n  flex: auto;\n  text-align: center;\n}\n.adm-calendar .adm-calendar-body {\n  display: flex;\n  flex-wrap: wrap;\n}\n.adm-calendar-cells {\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n  justify-content: flex-start;\n  align-items: stretch;\n  padding: 8px 8px 4px;\n}\n.adm-calendar-cell {\n  flex: none;\n  box-sizing: border-box;\n  width: calc(100% / 7);\n  height: 48px;\n  margin-bottom: 4px;\n  padding: 2px;\n  color: var(--adm-color-text);\n  cursor: pointer;\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  justify-content: flex-end;\n}\n.adm-calendar-cell.adm-calendar-cell-today {\n  color: var(--adm-color-primary);\n}\n.adm-calendar-cell.adm-calendar-cell-disabled {\n  color: var(--adm-color-light);\n}\n.adm-calendar-cell.adm-calendar-cell-disabled .adm-calendar-cell-bottom {\n  color: var(--adm-color-light);\n}\n.adm-calendar-cell.adm-calendar-cell-selected.adm-calendar-cell.adm-calendar-cell-selected {\n  background: var(--adm-color-primary);\n  color: var(--adm-color-white);\n}\n.adm-calendar-cell.adm-calendar-cell-selected .adm-calendar-cell-bottom {\n  color: var(--adm-color-white);\n}\n.adm-calendar-cell.adm-calendar-cell-selected.adm-calendar-cell.adm-calendar-cell-selected-begin {\n  border-top-left-radius: 4px;\n  border-bottom-left-radius: 4px;\n}\n.adm-calendar-cell.adm-calendar-cell-selected.adm-calendar-cell.adm-calendar-cell-selected-end {\n  border-top-right-radius: 4px;\n  border-bottom-right-radius: 4px;\n}\n.adm-calendar-cell.adm-calendar-cell-disabled.adm-calendar-cell.adm-calendar-cell-selected {\n  color: var(--adm-color-light);\n}\n.adm-calendar-cell .adm-calendar-cell-top {\n  flex: none;\n  font-size: var(--adm-font-size-10);\n}\n.adm-calendar-cell .adm-calendar-cell-bottom {\n  flex: none;\n  font-size: var(--adm-font-size-4);\n  height: 12px;\n  line-height: 12px;\n  color: var(--adm-color-weak);\n}\n.adm-calendar-mark {\n  display: flex;\n  flex-direction: row;\n  justify-content: flex-start;\n  align-items: center;\n  border-bottom: solid 1px var(--adm-color-border);\n  height: 45px;\n  box-sizing: border-box;\n  font-size: var(--adm-font-size-7);\n  padding: 0 8px;\n}\n.adm-calendar-mark .adm-calendar-mark-cell {\n  flex: 1;\n  text-align: center;\n}\n")();
const ArrowLeft = () => {
  return React__default["default"].createElement("svg", {
    height: "1em",
    viewBox: "0 0 44 44"
  }, React__default["default"].createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default["default"].createElement("g", {
    transform: "translate(-100.000000, -22.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(100.000000, 22.000000)"
  }, React__default["default"].createElement("rect", {
    x: "0",
    y: "0",
    width: "44",
    height: "44"
  }), React__default["default"].createElement("g", {
    transform: "translate(12.000000, 4.000000)",
    fill: "currentColor",
    fillRule: "nonzero"
  }, React__default["default"].createElement("path", {
    d: "M19.4833058,2.71985611 L3.53051139,17.0699744 C3.0173831,17.5315665 2.97522952,18.3220903 3.43630803,18.8357433 L3.43630796,18.8357432 C3.46601289,18.8688164 3.49745845,18.9002801 3.53051133,18.9300007 L19.4833057,33.2801611 C20.1234001,33.8559077 20.1759552,34.8420707 19.6007967,35.4827774 C19.0256382,36.1235263 18.0404824,36.1761351 17.400388,35.6003885 L1.44759367,21.2502703 L1.4475933,21.25027 C1.33208743,21.1463692 1.22220259,21.036372 1.11840792,20.920748 C-0.49302969,19.1256817 -0.345639536,16.3628317 1.4475933,14.7497465 L17.4003877,0.399628282 C18.0404821,-0.176160428 19.0256378,-0.123509422 19.6007963,0.517239417 C20.1759548,1.1579461 20.1233997,2.14410915 19.4833053,2.7198557 L19.4833058,2.71985611 Z"
  }))))));
};
const ArrowLeftDouble = () => {
  return React__default["default"].createElement("svg", {
    height: "1em",
    viewBox: "0 0 44 44"
  }, React__default["default"].createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default["default"].createElement("g", {
    transform: "translate(-24.000000, -22.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(24.000000, 22.000000)"
  }, React__default["default"].createElement("rect", {
    x: "0",
    y: "0",
    width: "44",
    height: "44"
  }), React__default["default"].createElement("g", {
    transform: "translate(7.000000, 4.000000)",
    fill: "currentColor",
    fillRule: "nonzero"
  }, React__default["default"].createElement("path", {
    d: "M19.4833058,2.71985611 L3.53051139,17.0699744 C3.0173831,17.5315665 2.97522952,18.3220903 3.43630803,18.8357433 L3.43630796,18.8357432 C3.46601289,18.8688164 3.49745845,18.9002801 3.53051133,18.9300007 L19.4833057,33.2801611 C20.1234001,33.8559077 20.1759552,34.8420707 19.6007967,35.4827774 C19.0256382,36.1235263 18.0404824,36.1761351 17.400388,35.6003885 L1.44759367,21.2502703 L1.4475933,21.25027 C1.33208743,21.1463692 1.22220259,21.036372 1.11840792,20.920748 C-0.49302969,19.1256817 -0.345639536,16.3628317 1.4475933,14.7497465 L17.4003877,0.399628282 C18.0404821,-0.176160428 19.0256378,-0.123509422 19.6007963,0.517239417 C20.1759548,1.1579461 20.1233997,2.14410915 19.4833053,2.7198557 L19.4833058,2.71985611 Z"
  }), React__default["default"].createElement("path", {
    d: "M19.5305114,17.0699744 C19.0173831,17.5315665 18.9752295,18.3220903 19.436308,18.8357433 C19.4660129,18.8688164 19.4974585,18.9002801 19.5305113,18.9300007 L29.4833057,27.2801611 C30.1234001,27.8559077 30.1759552,28.8420707 29.6007967,29.4827774 C29.0256382,30.1235263 28.0404824,30.1761351 27.400388,29.6003885 L17.4475937,21.2502703 C17.3320874,21.1463692 17.2222026,21.036372 17.1184079,20.920748 C15.5069703,19.1256817 15.6543605,16.3628317 17.4475933,14.7497465 L27.4003877,6.39962828 C28.0404821,5.82383957 29.0256378,5.87649058 29.6007963,6.51723942 C30.1759548,7.1579461 30.1233997,8.14410915 29.4833053,8.7198557 L19.5305114,17.0699744 Z"
  }))))));
};
var isoWeek$1 = { exports: {} };
(function(module, exports2) {
  !function(e2, t2) {
    module.exports = t2();
  }(commonjsGlobal, function() {
    var e2 = "day";
    return function(t2, i, s) {
      var a = function(t3) {
        return t3.add(4 - t3.isoWeekday(), e2);
      }, d = i.prototype;
      d.isoWeekYear = function() {
        return a(this).year();
      }, d.isoWeek = function(t3) {
        if (!this.$utils().u(t3))
          return this.add(7 * (t3 - this.isoWeek()), e2);
        var i2, d2, n3, o, r2 = a(this), u2 = (i2 = this.isoWeekYear(), d2 = this.$u, n3 = (d2 ? s.utc : s)().year(i2).startOf("year"), o = 4 - n3.isoWeekday(), n3.isoWeekday() > 4 && (o += 7), n3.add(o, e2));
        return r2.diff(u2, "week") + 1;
      }, d.isoWeekday = function(e3) {
        return this.$utils().u(e3) ? this.day() || 7 : this.day(this.day() % 7 ? e3 : e3 - 7);
      };
      var n2 = d.startOf;
      d.startOf = function(e3, t3) {
        var i2 = this.$utils(), s2 = !!i2.u(t3) || t3;
        return i2.p(e3) === "isoweek" ? s2 ? this.date(this.date() - (this.isoWeekday() - 1)).startOf("day") : this.date(this.date() - 1 - (this.isoWeekday() - 1) + 7).endOf("day") : n2.bind(this)(e3, t3);
      };
    };
  });
})(isoWeek$1);
var isoWeek = isoWeek$1.exports;
function usePropsValue(options) {
  const {
    value,
    defaultValue,
    onChange
  } = options;
  const update = ahooks.useUpdate();
  const stateRef = React$1.useRef(value !== void 0 ? value : defaultValue);
  if (value !== void 0) {
    stateRef.current = value;
  }
  const setState = ahooks.useMemoizedFn((v2, forceTrigger = false) => {
    const nextValue = typeof v2 === "function" ? v2(stateRef.current) : v2;
    if (!forceTrigger && nextValue === stateRef.current)
      return;
    stateRef.current = nextValue;
    update();
    onChange === null || onChange === void 0 ? void 0 : onChange(nextValue);
  });
  return [stateRef.current, setState];
}
function convertValueToRange(selectionMode, value) {
  if (selectionMode === void 0) {
    return null;
  }
  if (value === null) {
    return null;
  }
  if (Array.isArray(value)) {
    return value;
  }
  return [value, value];
}
dayjs__default["default"].extend(isoWeek);
const classPrefix$19 = "adm-calendar";
const defaultProps$W = {
  weekStartsOn: "Sunday",
  defaultValue: null,
  allowClear: true,
  prevMonthButton: React__default["default"].createElement(ArrowLeft, null),
  prevYearButton: React__default["default"].createElement(ArrowLeftDouble, null),
  nextMonthButton: React__default["default"].createElement(ArrowLeft, null),
  nextYearButton: React__default["default"].createElement(ArrowLeftDouble, null)
};
const Calendar = React$1.forwardRef((p2, ref) => {
  const today = dayjs__default["default"]();
  const props = mergeProps(defaultProps$W, p2);
  const {
    locale
  } = useConfig();
  const markItems = [...locale.Calendar.markItems];
  if (props.weekStartsOn === "Sunday") {
    const item = markItems.pop();
    if (item)
      markItems.unshift(item);
  }
  const [dateRange, setDateRange] = usePropsValue({
    value: props.value === void 0 ? void 0 : convertValueToRange(props.selectionMode, props.value),
    defaultValue: convertValueToRange(props.selectionMode, props.defaultValue),
    onChange: (v2) => {
      var _a, _b;
      if (props.selectionMode === "single") {
        (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, v2 ? v2[0] : null);
      } else if (props.selectionMode === "range") {
        (_b = props.onChange) === null || _b === void 0 ? void 0 : _b.call(props, v2);
      }
    }
  });
  const [intermediate, setIntermediate] = React$1.useState(false);
  const [current, setCurrent] = React$1.useState(() => dayjs__default["default"](dateRange ? dateRange[0] : today).date(1));
  ahooks.useUpdateEffect(() => {
    var _a;
    (_a = props.onPageChange) === null || _a === void 0 ? void 0 : _a.call(props, current.year(), current.month() + 1);
  }, [current]);
  React$1.useImperativeHandle(ref, () => ({
    jumpTo: (pageOrPageGenerator) => {
      let page;
      if (typeof pageOrPageGenerator === "function") {
        page = pageOrPageGenerator({
          year: current.year(),
          month: current.month() + 1
        });
      } else {
        page = pageOrPageGenerator;
      }
      setCurrent(dayjs__default["default"]().year(page.year).month(page.month - 1).date(1));
    },
    jumpToToday: () => {
      setCurrent(dayjs__default["default"]().date(1));
    }
  }));
  const header = React__default["default"].createElement("div", {
    className: `${classPrefix$19}-header`
  }, React__default["default"].createElement("a", {
    className: `${classPrefix$19}-arrow-button ${classPrefix$19}-arrow-button-year`,
    onClick: () => {
      setCurrent(current.subtract(1, "year"));
    }
  }, props.prevYearButton), React__default["default"].createElement("a", {
    className: `${classPrefix$19}-arrow-button ${classPrefix$19}-arrow-button-month`,
    onClick: () => {
      setCurrent(current.subtract(1, "month"));
    }
  }, props.prevMonthButton), React__default["default"].createElement("div", {
    className: `${classPrefix$19}-title`
  }, locale.Calendar.renderYearAndMonth(current.year(), current.month() + 1)), React__default["default"].createElement("a", {
    className: classNames__default["default"](`${classPrefix$19}-arrow-button`, `${classPrefix$19}-arrow-button-right`, `${classPrefix$19}-arrow-button-right-month`),
    onClick: () => {
      setCurrent(current.add(1, "month"));
    }
  }, props.nextMonthButton), React__default["default"].createElement("a", {
    className: classNames__default["default"](`${classPrefix$19}-arrow-button`, `${classPrefix$19}-arrow-button-right`, `${classPrefix$19}-arrow-button-right-year`),
    onClick: () => {
      setCurrent(current.add(1, "year"));
    }
  }, props.nextYearButton));
  const maxDay = React$1.useMemo(() => props.max && dayjs__default["default"](props.max), [props.max]);
  const minDay = React$1.useMemo(() => props.min && dayjs__default["default"](props.min), [props.min]);
  function renderCells() {
    var _a;
    const cells = [];
    let iterator = current.subtract(current.isoWeekday(), "day");
    if (props.weekStartsOn === "Monday") {
      iterator = iterator.add(1, "day");
    }
    while (cells.length < 6 * 7) {
      const d = iterator;
      let isSelect = false;
      let isBegin = false;
      let isEnd = false;
      if (dateRange) {
        const [begin, end] = dateRange;
        isBegin = d.isSame(begin, "day");
        isEnd = d.isSame(end, "day");
        isSelect = isBegin || isEnd || d.isAfter(begin, "day") && d.isBefore(end, "day");
      }
      const inThisMonth = d.month() === current.month();
      const disabled = props.shouldDisableDate ? props.shouldDisableDate(d.toDate()) : maxDay && d.isAfter(maxDay, "day") || minDay && d.isBefore(minDay, "day");
      cells.push(React__default["default"].createElement("div", {
        key: d.valueOf(),
        className: classNames__default["default"](`${classPrefix$19}-cell`, (disabled || !inThisMonth) && `${classPrefix$19}-cell-disabled`, inThisMonth && {
          [`${classPrefix$19}-cell-today`]: d.isSame(today, "day"),
          [`${classPrefix$19}-cell-selected`]: isSelect,
          [`${classPrefix$19}-cell-selected-begin`]: isBegin,
          [`${classPrefix$19}-cell-selected-end`]: isEnd
        }),
        onClick: () => {
          if (!props.selectionMode)
            return;
          if (disabled)
            return;
          const date = d.toDate();
          if (!inThisMonth) {
            setCurrent(d.clone().date(1));
          }
          function shouldClear() {
            if (!props.allowClear)
              return false;
            if (!dateRange)
              return false;
            const [begin, end] = dateRange;
            return d.isSame(begin, "date") && d.isSame(end, "day");
          }
          if (props.selectionMode === "single") {
            if (props.allowClear && shouldClear()) {
              setDateRange(null);
              return;
            }
            setDateRange([date, date]);
          } else if (props.selectionMode === "range") {
            if (!dateRange) {
              setDateRange([date, date]);
              setIntermediate(true);
              return;
            }
            if (shouldClear()) {
              setDateRange(null);
              setIntermediate(false);
              return;
            }
            if (intermediate) {
              const another = dateRange[0];
              setDateRange(another > date ? [date, another] : [another, date]);
              setIntermediate(false);
            } else {
              setDateRange([date, date]);
              setIntermediate(true);
            }
          }
        }
      }, React__default["default"].createElement("div", {
        className: `${classPrefix$19}-cell-top`
      }, d.date()), React__default["default"].createElement("div", {
        className: `${classPrefix$19}-cell-bottom`
      }, (_a = props.renderLabel) === null || _a === void 0 ? void 0 : _a.call(props, d.toDate()))));
      iterator = iterator.add(1, "day");
    }
    return cells;
  }
  const body = React__default["default"].createElement("div", {
    className: `${classPrefix$19}-cells`
  }, renderCells());
  const mark = React__default["default"].createElement("div", {
    className: `${classPrefix$19}-mark`
  }, markItems.map((item, index2) => React__default["default"].createElement("div", {
    key: index2,
    className: `${classPrefix$19}-mark-cell`
  }, item)));
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$19
  }, header, mark, body));
});
var capsuleTabs = /* @__PURE__ */ (() => ".adm-capsule-tabs {\n  position: relative;\n  min-width: 0;\n}\n.adm-capsule-tabs-header {\n  position: relative;\n  padding: 12px 6px;\n  border-bottom: solid 1px var(--adm-color-border);\n}\n.adm-capsule-tabs-tab-list {\n  display: flex;\n  flex-wrap: nowrap;\n  justify-content: flex-start;\n  align-items: center;\n  position: relative;\n  overflow-x: scroll;\n  scrollbar-width: none;\n}\n.adm-capsule-tabs-tab-list::-webkit-scrollbar {\n  display: none;\n}\n.adm-capsule-tabs-tab-wrapper {\n  flex: auto;\n  padding: 0 6px;\n}\n.adm-capsule-tabs-tab {\n  position: relative;\n  padding: 8px 20px;\n  margin: 0 auto;\n  border-radius: 20px;\n  cursor: pointer;\n  font-size: var(--adm-font-size-7);\n  text-align: center;\n  white-space: nowrap;\n  background-color: var(--adm-color-box);\n}\n.adm-capsule-tabs-tab-active {\n  color: var(--adm-color-white);\n  background-color: var(--adm-color-primary);\n}\n.adm-capsule-tabs-tab-disabled {\n  opacity: 0.5;\n  cursor: not-allowed;\n}\n.adm-capsule-tabs-content {\n  padding: 12px;\n}\n")();
function useResizeEffect(effect, targetRef) {
  const fn = ahooks.useMemoizedFn(effect);
  ahooks.useIsomorphicLayoutEffect(() => {
    const target = targetRef.current;
    if (!target)
      return;
    if (window.ResizeObserver) {
      const observer = new ResizeObserver(() => {
        fn(target);
      });
      observer.observe(target);
      return () => {
        observer.disconnect();
      };
    } else {
      fn(target);
    }
  }, [targetRef]);
}
function useMutationEffect(effect, targetRef, options) {
  const fn = ahooks.useMemoizedFn(effect);
  React$1.useEffect(() => {
    const observer = new MutationObserver(() => {
      fn();
    });
    if (!targetRef.current)
      return;
    observer.observe(targetRef.current, options);
    return () => {
      observer.disconnect();
    };
  }, [targetRef]);
}
function bound(position, min, max) {
  let ret = position;
  if (min !== void 0) {
    ret = Math.max(position, min);
  }
  if (max !== void 0) {
    ret = Math.min(ret, max);
  }
  return ret;
}
const useIsomorphicUpdateLayoutEffect = ahooks.createUpdateEffect(ahooks.useIsomorphicLayoutEffect);
const useTabListScroll = (targetRef, activeIndex) => {
  const [{
    scrollLeft
  }, api] = web.useSpring(() => ({
    scrollLeft: 0,
    config: {
      tension: 300,
      clamp: true
    }
  }));
  function animate(immediate = false) {
    const container = targetRef.current;
    if (!container)
      return;
    if (activeIndex === void 0)
      return;
    const activeTabWrapper = container.children.item(activeIndex);
    const activeTab = activeTabWrapper.children.item(0);
    const activeTabLeft = activeTab.offsetLeft;
    const activeTabWidth = activeTab.offsetWidth;
    const containerWidth = container.offsetWidth;
    const containerScrollWidth = container.scrollWidth;
    const containerScrollLeft = container.scrollLeft;
    const maxScrollDistance = containerScrollWidth - containerWidth;
    if (maxScrollDistance <= 0)
      return;
    const nextScrollLeft = bound(activeTabLeft - (containerWidth - activeTabWidth) / 2, 0, containerScrollWidth - containerWidth);
    api.start({
      scrollLeft: nextScrollLeft,
      from: {
        scrollLeft: containerScrollLeft
      },
      immediate: immediate && !scrollLeft.isAnimating
    });
  }
  ahooks.useIsomorphicLayoutEffect(() => {
    animate(true);
  }, []);
  useIsomorphicUpdateLayoutEffect(() => {
    animate();
  }, [activeIndex]);
  useMutationEffect(() => {
    animate(true);
  }, targetRef, {
    subtree: true,
    childList: true,
    characterData: true
  });
  return {
    scrollLeft,
    animate
  };
};
var scrollMask = /* @__PURE__ */ (() => ".adm-scroll-mask {\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  z-index: 1;\n  width: 30px;\n  height: 100%;\n  pointer-events: none;\n}\n.adm-scroll-mask-left {\n  left: 0;\n  background: linear-gradient(to right, var(--adm-color-background), rgba(255, 255, 255, 0));\n}\n.adm-scroll-mask-right {\n  right: 0;\n  background: linear-gradient(to left, var(--adm-color-background), rgba(255, 255, 255, 0));\n}\n")();
const classPrefix$18 = `adm-scroll-mask`;
const ScrollMask = (props) => {
  const maskRef = React$1.useRef(null);
  const [{
    leftMaskOpacity,
    rightMaskOpacity
  }, api] = web.useSpring(() => ({
    leftMaskOpacity: 0,
    rightMaskOpacity: 0,
    config: {
      clamp: true
    }
  }));
  const {
    run: updateMask
  } = ahooks.useThrottleFn((immediate = false) => {
    const mask2 = maskRef.current;
    if (!mask2)
      return;
    const scrollEl = props.scrollTrackRef.current;
    if (!scrollEl)
      return;
    const scrollLeft = scrollEl.scrollLeft;
    const showLeftMask = scrollLeft > 0;
    const showRightMask = scrollLeft + scrollEl.offsetWidth < scrollEl.scrollWidth;
    api.start({
      leftMaskOpacity: showLeftMask ? 1 : 0,
      rightMaskOpacity: showRightMask ? 1 : 0,
      immediate
    });
  }, {
    wait: 100,
    trailing: true,
    leading: true
  });
  React$1.useEffect(() => {
    updateMask(true);
  }, []);
  React$1.useEffect(() => {
    const scrollEl = props.scrollTrackRef.current;
    if (!scrollEl)
      return;
    scrollEl.addEventListener("scroll", updateMask);
    return () => scrollEl.removeEventListener("scroll", updateMask);
  }, []);
  return React__default["default"].createElement(React__default["default"].Fragment, null, React__default["default"].createElement(web.animated.div, {
    ref: maskRef,
    className: classNames__default["default"](classPrefix$18, `${classPrefix$18}-left`),
    style: {
      opacity: leftMaskOpacity
    }
  }), React__default["default"].createElement(web.animated.div, {
    className: classNames__default["default"](classPrefix$18, `${classPrefix$18}-right`),
    style: {
      opacity: rightMaskOpacity
    }
  }));
};
function traverseReactNode(children, fn) {
  let i = 0;
  function handle(target) {
    React__default["default"].Children.forEach(target, (child) => {
      if (!reactIs.isFragment(child)) {
        fn(child, i);
        i += 1;
      } else {
        handle(child.props.children);
      }
    });
  }
  handle(children);
}
const classPrefix$17 = `adm-capsule-tabs`;
const CapsuleTab = () => {
  return null;
};
const CapsuleTabs = (props) => {
  var _a;
  const tabListContainerRef = React$1.useRef(null);
  const rootRef = React$1.useRef(null);
  const keyToIndexRecord = {};
  let firstActiveKey = null;
  const panes = [];
  traverseReactNode(props.children, (child, index2) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    if (index2 === 0) {
      firstActiveKey = key;
    }
    const length = panes.push(child);
    keyToIndexRecord[key] = length - 1;
  });
  const [activeKey, setActiveKey] = usePropsValue({
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : firstActiveKey,
    onChange: (v2) => {
      var _a2;
      if (v2 === null)
        return;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, v2);
    }
  });
  const {
    scrollLeft,
    animate
  } = useTabListScroll(tabListContainerRef, keyToIndexRecord[activeKey]);
  useResizeEffect(() => {
    animate(true);
  }, rootRef);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$17,
    ref: rootRef
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$17}-header`
  }, React__default["default"].createElement(ScrollMask, {
    scrollTrackRef: tabListContainerRef
  }), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$17}-tab-list`,
    ref: tabListContainerRef,
    scrollLeft
  }, panes.map((pane) => withNativeProps(pane.props, React__default["default"].createElement("div", {
    key: pane.key,
    className: `${classPrefix$17}-tab-wrapper`
  }, React__default["default"].createElement("div", {
    onClick: () => {
      const {
        key
      } = pane;
      if (pane.props.disabled)
        return;
      if (key === void 0 || key === null) {
        return;
      }
      setActiveKey(key.toString());
    },
    className: classNames__default["default"](`${classPrefix$17}-tab`, {
      [`${classPrefix$17}-tab-active`]: pane.key === activeKey,
      [`${classPrefix$17}-tab-disabled`]: pane.props.disabled
    })
  }, pane.props.title)))))), panes.map((pane) => {
    if (pane.props.children === void 0) {
      return null;
    }
    const active = pane.key === activeKey;
    return React__default["default"].createElement(ShouldRender, {
      key: pane.key,
      active,
      forceRender: pane.props.forceRender,
      destroyOnClose: pane.props.destroyOnClose
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$17}-content`,
      style: {
        display: active ? "block" : "none"
      }
    }, pane.props.children));
  })));
};
var index$h = attachPropertiesToComponent(CapsuleTabs, {
  Tab: CapsuleTab
});
var card = /* @__PURE__ */ (() => ".adm-card {\n  background: var(--adm-color-background);\n  border-radius: 8px;\n  padding: 0 12px;\n}\n.adm-card-header {\n  position: relative;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  box-sizing: border-box;\n  padding: 12px 0;\n}\n.adm-card-header:not(:last-child) {\n  border-bottom: solid 0.5px var(--adm-color-border);\n}\n.adm-card-header-title {\n  font-size: var(--adm-font-size-7);\n  line-height: 1.4;\n  font-weight: bold;\n}\n.adm-card-body {\n  padding: 12px 0;\n}\n")();
const classPrefix$16 = `adm-card`;
const Card = (props) => {
  const renderHeader = () => {
    if (!(props.title || props.extra)) {
      return null;
    }
    return React__default["default"].createElement("div", {
      className: classNames__default["default"](`${classPrefix$16}-header`, props.headerClassName),
      style: props.headerStyle,
      onClick: props.onHeaderClick
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$16}-header-title`
    }, props.title), props.extra);
  };
  const renderBody = () => {
    if (!props.children) {
      return null;
    }
    return React__default["default"].createElement("div", {
      className: classNames__default["default"](`${classPrefix$16}-body`, props.bodyClassName),
      style: props.bodyStyle,
      onClick: props.onBodyClick
    }, props.children);
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$16,
    onClick: props.onClick
  }, renderHeader(), renderBody()));
};
var picker = /* @__PURE__ */ (() => ".adm-picker {\n  --header-button-font-size: var(--adm-font-size-7);\n  --title-font-size: var(--adm-font-size-7);\n  --item-font-size: var(--adm-font-size-8);\n  --item-height: 34px;\n  width: 100%;\n  height: 300px;\n  overflow: hidden;\n  position: relative;\n  display: flex;\n  flex-direction: column;\n  ---item-font-size: var(--item-font-size);\n  ---item-height: var(--item-height);\n}\n.adm-picker .adm-picker-view.adm-picker-view {\n  --item-font-size: var(---item-font-size);\n  --item-height: var(---item-height);\n}\n.adm-picker-header {\n  flex-shrink: 0;\n  border-bottom: solid 1px var(--adm-color-border);\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 4px 4px;\n}\n.adm-picker-header-button {\n  font-size: var(--header-button-font-size);\n  display: inline-block;\n  padding: 8px 8px;\n}\n.adm-picker-header-button-disabled,\n.adm-picker-header-button-disabled:active {\n  opacity: 0.4;\n  cursor: not-allowed;\n}\n.adm-picker-header-title {\n  padding: 4px 4px;\n  font-size: var(--title-font-size);\n  color: var(--adm-color-text);\n  text-align: center;\n  flex: 1;\n}\n.adm-picker-body {\n  flex: 1;\n  width: 100%;\n}\n.adm-picker-body > .adm-picker-view {\n  --height: 100%;\n}\n.adm-picker-popup .adm-popup-body {\n  border-top-left-radius: 8px;\n  border-top-right-radius: 8px;\n}\n")();
function rubberband(distance, dimension, constant2) {
  return distance * dimension * constant2 / (dimension + constant2 * distance);
}
function rubberbandIfOutOfBounds(position, min, max, dimension, constant2 = 0.15) {
  if (constant2 === 0)
    return bound(position, min, max);
  if (position < min)
    return -rubberband(min - position, dimension, constant2) + min;
  if (position > max)
    return +rubberband(position - max, dimension, constant2) + max;
  return position;
}
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function setCacheAdd$1(value) {
  this.__data__.set(value, HASH_UNDEFINED);
  return this;
}
var _setCacheAdd = setCacheAdd$1;
function setCacheHas$1(value) {
  return this.__data__.has(value);
}
var _setCacheHas = setCacheHas$1;
var MapCache$1 = _MapCache, setCacheAdd = _setCacheAdd, setCacheHas = _setCacheHas;
function SetCache$1(values) {
  var index2 = -1, length = values == null ? 0 : values.length;
  this.__data__ = new MapCache$1();
  while (++index2 < length) {
    this.add(values[index2]);
  }
}
SetCache$1.prototype.add = SetCache$1.prototype.push = setCacheAdd;
SetCache$1.prototype.has = setCacheHas;
var _SetCache = SetCache$1;
function arraySome$1(array, predicate) {
  var index2 = -1, length = array == null ? 0 : array.length;
  while (++index2 < length) {
    if (predicate(array[index2], index2, array)) {
      return true;
    }
  }
  return false;
}
var _arraySome = arraySome$1;
function cacheHas$1(cache, key) {
  return cache.has(key);
}
var _cacheHas = cacheHas$1;
var SetCache = _SetCache, arraySome = _arraySome, cacheHas = _cacheHas;
var COMPARE_PARTIAL_FLAG$3 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
function equalArrays$2(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3, arrLength = array.length, othLength = other.length;
  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  var arrStacked = stack.get(array);
  var othStacked = stack.get(other);
  if (arrStacked && othStacked) {
    return arrStacked == other && othStacked == array;
  }
  var index2 = -1, result2 = true, seen = bitmask & COMPARE_UNORDERED_FLAG$1 ? new SetCache() : void 0;
  stack.set(array, other);
  stack.set(other, array);
  while (++index2 < arrLength) {
    var arrValue = array[index2], othValue = other[index2];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, arrValue, index2, other, array, stack) : customizer(arrValue, othValue, index2, array, other, stack);
    }
    if (compared !== void 0) {
      if (compared) {
        continue;
      }
      result2 = false;
      break;
    }
    if (seen) {
      if (!arraySome(other, function(othValue2, othIndex) {
        if (!cacheHas(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
          return seen.push(othIndex);
        }
      })) {
        result2 = false;
        break;
      }
    } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
      result2 = false;
      break;
    }
  }
  stack["delete"](array);
  stack["delete"](other);
  return result2;
}
var _equalArrays = equalArrays$2;
function mapToArray$1(map) {
  var index2 = -1, result2 = Array(map.size);
  map.forEach(function(value, key) {
    result2[++index2] = [key, value];
  });
  return result2;
}
var _mapToArray = mapToArray$1;
function setToArray$1(set) {
  var index2 = -1, result2 = Array(set.size);
  set.forEach(function(value) {
    result2[++index2] = value;
  });
  return result2;
}
var _setToArray = setToArray$1;
var Symbol$1 = _Symbol, Uint8Array = _Uint8Array, eq = eq_1, equalArrays$1 = _equalArrays, mapToArray = _mapToArray, setToArray = _setToArray;
var COMPARE_PARTIAL_FLAG$2 = 1, COMPARE_UNORDERED_FLAG = 2;
var boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", mapTag = "[object Map]", numberTag = "[object Number]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag = "[object Symbol]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]";
var symbolProto = Symbol$1 ? Symbol$1.prototype : void 0, symbolValueOf = symbolProto ? symbolProto.valueOf : void 0;
function equalByTag$1(object, other, tag2, bitmask, customizer, equalFunc, stack) {
  switch (tag2) {
    case dataViewTag:
      if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;
    case arrayBufferTag:
      if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array(object), new Uint8Array(other))) {
        return false;
      }
      return true;
    case boolTag:
    case dateTag:
    case numberTag:
      return eq(+object, +other);
    case errorTag:
      return object.name == other.name && object.message == other.message;
    case regexpTag:
    case stringTag:
      return object == other + "";
    case mapTag:
      var convert = mapToArray;
    case setTag:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2;
      convert || (convert = setToArray);
      if (object.size != other.size && !isPartial) {
        return false;
      }
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG;
      stack.set(object, other);
      var result2 = equalArrays$1(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack["delete"](object);
      return result2;
    case symbolTag:
      if (symbolValueOf) {
        return symbolValueOf.call(object) == symbolValueOf.call(other);
      }
  }
  return false;
}
var _equalByTag = equalByTag$1;
var getAllKeys = _getAllKeys;
var COMPARE_PARTIAL_FLAG$1 = 1;
var objectProto$1 = Object.prototype;
var hasOwnProperty$1 = objectProto$1.hasOwnProperty;
function equalObjects$1(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$1, objProps = getAllKeys(object), objLength = objProps.length, othProps = getAllKeys(other), othLength = othProps.length;
  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index2 = objLength;
  while (index2--) {
    var key = objProps[index2];
    if (!(isPartial ? key in other : hasOwnProperty$1.call(other, key))) {
      return false;
    }
  }
  var objStacked = stack.get(object);
  var othStacked = stack.get(other);
  if (objStacked && othStacked) {
    return objStacked == other && othStacked == object;
  }
  var result2 = true;
  stack.set(object, other);
  stack.set(other, object);
  var skipCtor = isPartial;
  while (++index2 < objLength) {
    key = objProps[index2];
    var objValue = object[key], othValue = other[key];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
    }
    if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
      result2 = false;
      break;
    }
    skipCtor || (skipCtor = key == "constructor");
  }
  if (result2 && !skipCtor) {
    var objCtor = object.constructor, othCtor = other.constructor;
    if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
      result2 = false;
    }
  }
  stack["delete"](object);
  stack["delete"](other);
  return result2;
}
var _equalObjects = equalObjects$1;
var Stack = _Stack, equalArrays = _equalArrays, equalByTag = _equalByTag, equalObjects = _equalObjects, getTag = _getTag, isArray = isArray_1, isBuffer = isBuffer$4.exports, isTypedArray = isTypedArray_1;
var COMPARE_PARTIAL_FLAG = 1;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", objectTag = "[object Object]";
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseIsEqualDeep$1(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray(object), othIsArr = isArray(other), objTag = objIsArr ? arrayTag : getTag(object), othTag = othIsArr ? arrayTag : getTag(other);
  objTag = objTag == argsTag ? objectTag : objTag;
  othTag = othTag == argsTag ? objectTag : othTag;
  var objIsObj = objTag == objectTag, othIsObj = othTag == objectTag, isSameTag = objTag == othTag;
  if (isSameTag && isBuffer(object)) {
    if (!isBuffer(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new Stack());
    return objIsArr || isTypedArray(object) ? equalArrays(object, other, bitmask, customizer, equalFunc, stack) : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
    var objIsWrapped = objIsObj && hasOwnProperty.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty.call(other, "__wrapped__");
    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
      stack || (stack = new Stack());
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new Stack());
  return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}
var _baseIsEqualDeep = baseIsEqualDeep$1;
var baseIsEqualDeep = _baseIsEqualDeep, isObjectLike = isObjectLike_1;
function baseIsEqual$1(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || !isObjectLike(value) && !isObjectLike(other)) {
    return value !== value && other !== other;
  }
  return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual$1, stack);
}
var _baseIsEqual = baseIsEqual$1;
var baseIsEqual = _baseIsEqual;
function isEqual(value, other) {
  return baseIsEqual(value, other);
}
var isEqual_1 = isEqual;
function measureCSSLength(raw) {
  if (raw === null || raw === void 0 || raw === "") {
    return 0;
  }
  const withUnit = raw.trim();
  if (withUnit.endsWith("px")) {
    return parseFloat(withUnit);
  } else if (withUnit.endsWith("rem")) {
    return parseFloat(withUnit) * parseFloat(window.getComputedStyle(document.documentElement).fontSize);
  } else if (withUnit.endsWith("vw")) {
    return parseFloat(withUnit) * window.innerWidth / 100;
  } else {
    return 0;
  }
}
const classPrefix$15 = `adm-picker-view`;
const Wheel = React$1.memo((props) => {
  const {
    value,
    column,
    renderLabel
  } = props;
  function onSelect(val) {
    props.onSelect(val, props.index);
  }
  const [{
    y
  }, api] = web.useSpring(() => ({
    from: {
      y: 0
    },
    config: {
      tension: 400,
      mass: 0.8
    }
  }));
  const draggingRef = React$1.useRef(false);
  const rootRef = React$1.useRef(null);
  const itemHeight = React$1.useRef(34);
  ahooks.useIsomorphicLayoutEffect(() => {
    const root2 = rootRef.current;
    if (!root2)
      return;
    itemHeight.current = measureCSSLength(window.getComputedStyle(root2).getPropertyValue("--item-height"));
  });
  ahooks.useIsomorphicLayoutEffect(() => {
    if (draggingRef.current)
      return;
    if (!value)
      return;
    const targetIndex = column.findIndex((item) => item.value === value);
    if (targetIndex < 0)
      return;
    const finalPosition = targetIndex * -itemHeight.current;
    api.start({
      y: finalPosition,
      immediate: y.goal !== finalPosition
    });
  }, [value, column]);
  ahooks.useIsomorphicLayoutEffect(() => {
    if (column.length === 0) {
      if (value !== null) {
        onSelect(null);
      }
    } else {
      if (!column.some((item) => item.value === value)) {
        const firstItem = column[0];
        onSelect(firstItem.value);
      }
    }
  }, [column, value]);
  function scrollSelect(index2) {
    const finalPosition = index2 * -itemHeight.current;
    api.start({
      y: finalPosition
    });
    const item = column[index2];
    if (!item)
      return;
    onSelect(item.value);
  }
  const handleDrag = (state) => {
    draggingRef.current = true;
    const min = -((column.length - 1) * itemHeight.current);
    const max = 0;
    if (state.last) {
      draggingRef.current = false;
      const position = state.offset[1] + state.velocity[1] * state.direction[1] * 50;
      const targetIndex = min < max ? -Math.round(bound(position, min, max) / itemHeight.current) : 0;
      scrollSelect(targetIndex);
    } else {
      const position = state.offset[1];
      api.start({
        y: rubberbandIfOutOfBounds(position, min, max, itemHeight.current * 50, 0.2)
      });
    }
  };
  react.useDrag((state) => {
    state.event.stopPropagation();
    handleDrag(state);
  }, {
    axis: "y",
    from: () => [0, y.get()],
    filterTaps: true,
    pointer: {
      touch: true
    },
    target: rootRef
  });
  react.useWheel((state) => {
    state.event.stopPropagation();
    handleDrag(state);
  }, {
    axis: "y",
    from: () => [0, y.get()],
    preventDefault: true,
    target: props.mouseWheel ? rootRef : void 0,
    eventOptions: supportsPassive ? {
      passive: false
    } : false
  });
  let selectedIndex = null;
  function renderAccessible() {
    if (selectedIndex === null) {
      return null;
    }
    const current = column[selectedIndex];
    const previousIndex = selectedIndex - 1;
    const nextIndex = selectedIndex + 1;
    const previous = column[previousIndex];
    const next = column[nextIndex];
    return React__default["default"].createElement("div", {
      className: "adm-picker-view-column-accessible"
    }, React__default["default"].createElement("div", {
      className: "adm-picker-view-column-accessible-current",
      role: "button",
      "aria-label": current ? `\u5F53\u524D\u9009\u62E9\u7684\u662F\uFF1A${current.label}` : "\u5F53\u524D\u672A\u9009\u62E9"
    }, "-"), React__default["default"].createElement("div", {
      className: "adm-picker-view-column-accessible-button",
      onClick: () => {
        if (!previous)
          return;
        scrollSelect(previousIndex);
      },
      role: previous ? "button" : "text",
      "aria-label": !previous ? "\u6CA1\u6709\u4E0A\u4E00\u9879" : `\u9009\u62E9\u4E0A\u4E00\u9879\uFF1A${previous.label}`
    }, "-"), React__default["default"].createElement("div", {
      className: "adm-picker-view-column-accessible-button",
      onClick: () => {
        if (!next)
          return;
        scrollSelect(nextIndex);
      },
      role: next ? "button" : "text",
      "aria-label": !next ? "\u6CA1\u6709\u4E0B\u4E00\u9879" : `\u9009\u62E9\u4E0B\u4E00\u9879\uFF1A${next.label}`
    }, "-"));
  }
  return React__default["default"].createElement("div", {
    className: `${classPrefix$15}-column`
  }, React__default["default"].createElement(web.animated.div, {
    ref: rootRef,
    style: {
      translateY: y
    },
    className: `${classPrefix$15}-column-wheel`,
    "aria-hidden": true
  }, column.map((item, index2) => {
    var _a;
    const selected = props.value === item.value;
    if (selected)
      selectedIndex = index2;
    function handleClick() {
      draggingRef.current = false;
      scrollSelect(index2);
    }
    return React__default["default"].createElement("div", {
      key: (_a = item.key) !== null && _a !== void 0 ? _a : item.value,
      "data-selected": item.value === value,
      className: `${classPrefix$15}-column-item`,
      onClick: handleClick,
      "aria-hidden": !selected,
      "aria-label": selected ? "active" : ""
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$15}-column-item-label`
    }, renderLabel(item)));
  })), renderAccessible());
}, (prev, next) => {
  if (prev.index !== next.index)
    return false;
  if (prev.value !== next.value)
    return false;
  if (prev.onSelect !== next.onSelect)
    return false;
  if (!isEqual_1(prev.column, next.column)) {
    return false;
  }
  return true;
});
Wheel.displayName = "Wheel";
function withCache(generate) {
  let cache = null;
  return () => {
    if (cache === null) {
      cache = generate();
    }
    return cache;
  };
}
function generateColumnsExtend(rawColumns, val) {
  const columns = withCache(() => {
    const c = typeof rawColumns === "function" ? rawColumns(val) : rawColumns;
    return c.map((column) => column.map((item) => typeof item === "string" ? {
      label: item,
      value: item
    } : item));
  });
  const items = withCache(() => {
    return val.map((v2, index2) => {
      var _a;
      const column = columns()[index2];
      if (!column)
        return null;
      return (_a = column.find((item) => item.value === v2)) !== null && _a !== void 0 ? _a : null;
    });
  });
  const extend = {
    get columns() {
      return columns();
    },
    get items() {
      return items();
    }
  };
  return extend;
}
function useColumnsExtend(rawColumns, value) {
  return React$1.useMemo(() => generateColumnsExtend(rawColumns, value), [rawColumns, value]);
}
const defaultRenderLabel$3 = (item) => item.label;
var spinLoading = /* @__PURE__ */ (() => ".adm-spin-loading {\n  --color: var(--adm-color-weak);\n  --size: 32px;\n  width: var(--size);\n  height: var(--size);\n}\n.adm-spin-loading-svg {\n  width: 100%;\n  height: 100%;\n  animation: adm-spin-loading-rotate 0.8s infinite linear;\n}\n.adm-spin-loading-svg > .adm-spin-loading-fill {\n  stroke: var(--color);\n}\n@keyframes adm-spin-loading-rotate {\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n}\n")();
var shim = { exports: {} };
var useSyncExternalStoreShim_production_min = {};
/**
 * @license React
 * use-sync-external-store-shim.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var e = React__default["default"];
function h(a, b) {
  return a === b && (a !== 0 || 1 / a === 1 / b) || a !== a && b !== b;
}
var k = typeof Object.is === "function" ? Object.is : h, l = e.useState, m = e.useEffect, n = e.useLayoutEffect, p = e.useDebugValue;
function q(a, b) {
  var d = b(), f = l({ inst: { value: d, getSnapshot: b } }), c = f[0].inst, g = f[1];
  n(function() {
    c.value = d;
    c.getSnapshot = b;
    r(c) && g({ inst: c });
  }, [a, d, b]);
  m(function() {
    r(c) && g({ inst: c });
    return a(function() {
      r(c) && g({ inst: c });
    });
  }, [a]);
  p(d);
  return d;
}
function r(a) {
  var b = a.getSnapshot;
  a = a.value;
  try {
    var d = b();
    return !k(a, d);
  } catch (f) {
    return true;
  }
}
function t(a, b) {
  return b();
}
var u = typeof window === "undefined" || typeof window.document === "undefined" || typeof window.document.createElement === "undefined" ? t : q;
useSyncExternalStoreShim_production_min.useSyncExternalStore = e.useSyncExternalStore !== void 0 ? e.useSyncExternalStore : u;
{
  shim.exports = useSyncExternalStoreShim_production_min;
}
let reduced = false;
const subscribers = /* @__PURE__ */ new Set();
function notify() {
  subscribers.forEach((subscriber) => {
    subscriber();
  });
}
function reduceMotion() {
  reduced = true;
  notify();
  web.Globals.assign({
    skipAnimation: true
  });
}
function restoreMotion() {
  reduced = false;
  notify();
  web.Globals.assign({
    skipAnimation: false
  });
}
function isMotionReduced() {
  return reduced;
}
function useMotionReduced() {
  return shim.exports.useSyncExternalStore((onStoreChange) => {
    subscribers.add(onStoreChange);
    return () => {
      subscribers.delete(onStoreChange);
    };
  }, isMotionReduced);
}
const classPrefix$14 = "adm-spin-loading";
const colorRecord$2 = {
  default: "var(--adm-color-weak)",
  primary: "var(--adm-color-primary)",
  white: "var(--adm-color-white)"
};
const defaultProps$V = {
  color: "default"
};
const circumference = 15 * 3.14159265358979 * 2;
const SpinLoading = React$1.memo((p2) => {
  var _a;
  const props = mergeProps(defaultProps$V, p2);
  const motionReduced = useMotionReduced();
  const {
    percent
  } = web.useSpring({
    cancel: motionReduced,
    loop: {
      reverse: true
    },
    from: {
      percent: 80
    },
    to: {
      percent: 30
    },
    config: {
      duration: 1200
    }
  });
  return withNativeProps(props, React__default["default"].createElement(web.animated.div, {
    className: classPrefix$14,
    style: {
      "--color": (_a = colorRecord$2[props.color]) !== null && _a !== void 0 ? _a : props.color,
      "--percent": percent
    }
  }, React__default["default"].createElement("svg", {
    className: `${classPrefix$14}-svg`,
    viewBox: "0 0 32 32"
  }, React__default["default"].createElement(web.animated.circle, {
    className: `${classPrefix$14}-fill`,
    fill: "transparent",
    strokeWidth: "2",
    strokeDasharray: circumference,
    strokeDashoffset: percent,
    strokeLinecap: "square",
    r: 15,
    cx: 16,
    cy: 16
  }))));
});
const classPrefix$13 = `adm-picker-view`;
const defaultProps$U = {
  defaultValue: [],
  renderLabel: defaultRenderLabel$3,
  mouseWheel: false,
  loadingContent: React__default["default"].createElement("div", {
    className: `${classPrefix$13}-loading-content`
  }, React__default["default"].createElement(SpinLoading, null))
};
const PickerView = React$1.memo((p2) => {
  const props = mergeProps(defaultProps$U, p2);
  const [innerValue, setInnerValue] = React$1.useState(props.value === void 0 ? props.defaultValue : props.value);
  React$1.useEffect(() => {
    if (props.value === void 0)
      return;
    if (props.value === innerValue)
      return;
    setInnerValue(props.value);
  }, [props.value]);
  React$1.useEffect(() => {
    if (props.value === innerValue)
      return;
    const timeout = window.setTimeout(() => {
      if (props.value !== void 0 && props.value !== innerValue) {
        setInnerValue(props.value);
      }
    }, 1e3);
    return () => {
      window.clearTimeout(timeout);
    };
  }, [props.value, innerValue]);
  const extend = useColumnsExtend(props.columns, innerValue);
  const columns = extend.columns;
  ahooks.useDebounceEffect(() => {
    var _a;
    if (props.value === innerValue)
      return;
    (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, innerValue, extend);
  }, [innerValue], {
    wait: 0,
    leading: false,
    trailing: true
  });
  const handleSelect = React$1.useCallback((val, index2) => {
    setInnerValue((prev) => {
      const next = [...prev];
      next[index2] = val;
      return next;
    });
  }, []);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: `${classPrefix$13}`
  }, props.loading ? props.loadingContent : React__default["default"].createElement(React__default["default"].Fragment, null, columns.map((column, index2) => React__default["default"].createElement(Wheel, {
    key: index2,
    index: index2,
    column,
    value: innerValue[index2],
    onSelect: handleSelect,
    renderLabel: props.renderLabel,
    mouseWheel: props.mouseWheel
  })), React__default["default"].createElement("div", {
    className: `${classPrefix$13}-mask`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$13}-mask-top`
  }), React__default["default"].createElement("div", {
    className: `${classPrefix$13}-mask-middle`
  }), React__default["default"].createElement("div", {
    className: `${classPrefix$13}-mask-bottom`
  })))));
});
PickerView.displayName = "PickerView";
var pickerView = /* @__PURE__ */ (() => ".adm-picker-view {\n  --height: 240px;\n  --item-height: 34px;\n  --item-font-size: var(--adm-font-size-8);\n  height: var(--height);\n  width: 100%;\n  display: flex;\n  position: relative;\n  overflow: hidden;\n  background: var(--adm-color-background);\n}\n.adm-picker-view-column {\n  height: 100%;\n  flex: 1;\n  -webkit-user-select: none;\n          user-select: none;\n  touch-action: none;\n  position: relative;\n  z-index: 0;\n}\n.adm-picker-view-column-wheel {\n  width: 100%;\n  cursor: -webkit-grab;\n  cursor: grab;\n  position: absolute;\n  top: calc(50% - var(--item-height) / 2);\n  left: 0;\n}\n.adm-picker-view-column-wheel::before {\n  content: ' ';\n  display: block;\n  position: absolute;\n  width: 100%;\n  height: 100vh;\n  top: -100vh;\n}\n.adm-picker-view-column-wheel::after {\n  content: ' ';\n  display: block;\n  position: absolute;\n  width: 100%;\n  height: 100vh;\n  bottom: -100vh;\n}\n.adm-picker-view-column-item {\n  font-size: var(--item-font-size);\n  padding: 0 6px;\n  height: var(--item-height);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n.adm-picker-view-column-item-label {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n.adm-picker-view-column-accessible {\n  width: 100%;\n  height: 100%;\n  pointer-events: none;\n  opacity: 0;\n  display: flex;\n  flex-direction: column;\n  position: relative;\n  z-index: 0;\n  padding-bottom: 1px;\n}\n.adm-picker-view-column-accessible > * {\n  flex: 1;\n  text-overflow: ellipsis;\n}\n.adm-picker-view-column-accessible-current {\n  position: absolute;\n  width: 100%;\n  height: 100%;\n}\n.adm-picker-view-column-accessible-button {\n  width: 100%;\n  height: 100%;\n}\n.adm-picker-view-mask {\n  position: absolute;\n  z-index: 10000;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  flex-direction: column;\n  pointer-events: none;\n}\n.adm-picker-view-mask-top,\n.adm-picker-view-mask-bottom {\n  flex: auto;\n}\n.adm-picker-view-mask-middle {\n  height: var(--item-height);\n  box-sizing: border-box;\n  flex: none;\n  border-top: solid 1px var(--adm-color-border);\n  border-bottom: solid 1px var(--adm-color-border);\n}\n.adm-picker-view-mask-top {\n  background: var(--adm-color-background);\n  -webkit-mask: linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.8) 50%, #000000 100%);\n          mask: linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.8) 50%, #000000 100%);\n}\n.adm-picker-view-mask-bottom {\n  background: var(--adm-color-background);\n  -webkit-mask: linear-gradient(180deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.8) 50%, #000000 100%);\n          mask: linear-gradient(180deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.8) 50%, #000000 100%);\n}\n.adm-picker-view-loading-content {\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n")();
const classPrefix$12 = `adm-picker`;
const defaultProps$T = {
  defaultValue: [],
  closeOnMaskClick: true,
  renderLabel: defaultRenderLabel$3,
  destroyOnClose: false,
  forceRender: false
};
const Picker$1 = React$1.memo(React$1.forwardRef((p2, ref) => {
  var _a;
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$T, {
    confirmText: locale.common.confirm,
    cancelText: locale.common.cancel
  }, p2);
  const [visible, setVisible] = usePropsValue({
    value: props.visible,
    defaultValue: false,
    onChange: (v2) => {
      var _a2;
      if (v2 === false) {
        (_a2 = props.onClose) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      }
    }
  });
  const actions = {
    toggle: () => {
      setVisible((v2) => !v2);
    },
    open: () => {
      setVisible(true);
    },
    close: () => {
      setVisible(false);
    }
  };
  React$1.useImperativeHandle(ref, () => actions);
  const [value, setValue] = usePropsValue(Object.assign(Object.assign({}, props), {
    onChange: (val) => {
      var _a2;
      const extend2 = generateColumnsExtend(props.columns, val);
      (_a2 = props.onConfirm) === null || _a2 === void 0 ? void 0 : _a2.call(props, val, extend2);
    }
  }));
  const extend = useColumnsExtend(props.columns, value);
  const [innerValue, setInnerValue] = React$1.useState(value);
  React$1.useEffect(() => {
    if (innerValue !== value) {
      setInnerValue(value);
    }
  }, [visible]);
  React$1.useEffect(() => {
    if (!visible) {
      setInnerValue(value);
    }
  }, [value]);
  const onChange = ahooks.useMemoizedFn((val, ext) => {
    var _a2;
    setInnerValue(val);
    if (visible) {
      (_a2 = props.onSelect) === null || _a2 === void 0 ? void 0 : _a2.call(props, val, ext);
    }
  });
  const pickerElement = withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$12
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$12}-header`
  }, React__default["default"].createElement("a", {
    role: "button",
    className: `${classPrefix$12}-header-button`,
    onClick: () => {
      var _a2;
      (_a2 = props.onCancel) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      setVisible(false);
    }
  }, props.cancelText), React__default["default"].createElement("div", {
    className: `${classPrefix$12}-header-title`
  }, props.title), React__default["default"].createElement("a", {
    role: "button",
    className: classNames__default["default"](`${classPrefix$12}-header-button`, props.loading && `${classPrefix$12}-header-button-disabled`),
    onClick: () => {
      if (props.loading)
        return;
      setValue(innerValue, true);
      setVisible(false);
    },
    "aria-disabled": props.loading
  }, props.confirmText)), React__default["default"].createElement("div", {
    className: `${classPrefix$12}-body`
  }, React__default["default"].createElement(PickerView, {
    loading: props.loading,
    loadingContent: props.loadingContent,
    columns: props.columns,
    renderLabel: props.renderLabel,
    value: innerValue,
    mouseWheel: props.mouseWheel,
    onChange
  }))));
  const popupElement = React__default["default"].createElement(Popup, {
    style: props.popupStyle,
    className: classNames__default["default"](`${classPrefix$12}-popup`, props.popupClassName),
    visible,
    position: "bottom",
    onMaskClick: () => {
      var _a2;
      if (!props.closeOnMaskClick)
        return;
      (_a2 = props.onCancel) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      setVisible(false);
    },
    getContainer: props.getContainer,
    destroyOnClose: props.destroyOnClose,
    afterShow: props.afterShow,
    afterClose: props.afterClose,
    onClick: props.onClick,
    forceRender: props.forceRender,
    stopPropagation: props.stopPropagation
  }, pickerElement, React__default["default"].createElement(SafeArea, {
    position: "bottom"
  }));
  return React__default["default"].createElement(React__default["default"].Fragment, null, popupElement, (_a = props.children) === null || _a === void 0 ? void 0 : _a.call(props, extend.items, actions));
}));
Picker$1.displayName = "Picker";
function prompt$3(props) {
  return new Promise((resolve) => {
    const Wrapper2 = () => {
      const [visible, setVisible] = React$1.useState(false);
      React$1.useEffect(() => {
        setVisible(true);
      }, []);
      return React__default["default"].createElement(Picker$1, Object.assign({}, props, {
        visible,
        onConfirm: (val, extend) => {
          var _a;
          (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props, val, extend);
          resolve(val);
        },
        onClose: () => {
          var _a;
          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          setVisible(false);
          resolve(null);
        },
        afterClose: () => {
          var _a;
          (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
          unmount2();
        }
      }));
    };
    const unmount2 = renderToBody(React__default["default"].createElement(Wrapper2, null));
  });
}
var Picker = attachPropertiesToComponent(Picker$1, {
  prompt: prompt$3
});
function useColumnsFn(options) {
  const depth = React$1.useMemo(() => {
    let depth2 = 0;
    function traverse(options2, currentDepth) {
      if (currentDepth > depth2)
        depth2 = currentDepth;
      const nextDepth = currentDepth + 1;
      options2.forEach((option) => {
        if (option.children) {
          traverse(option.children, nextDepth);
        }
      });
    }
    traverse(options, 1);
    return depth2;
  }, [options]);
  return (selected) => {
    const columns = [];
    let currentOptions = options;
    let i = 0;
    while (true) {
      columns.push(currentOptions.map((option) => ({
        label: option.label,
        value: option.value
      })));
      const x = selected[i];
      const targetOptions = currentOptions.find((option) => option.value === x);
      if (!targetOptions || !targetOptions.children)
        break;
      currentOptions = targetOptions.children;
      i++;
    }
    while (i < depth - 1) {
      columns.push([]);
      i++;
    }
    return columns;
  };
}
const CascadePicker = React$1.forwardRef((props, ref) => {
  const {
    options
  } = props, pickerProps = tslib.__rest(props, ["options"]);
  const columnsFn = useColumnsFn(options);
  return React__default["default"].createElement(Picker, Object.assign({}, pickerProps, {
    ref,
    columns: columnsFn
  }));
});
function prompt$2(props) {
  return new Promise((resolve) => {
    const Wrapper2 = () => {
      const [visible, setVisible] = React$1.useState(false);
      React$1.useEffect(() => {
        setVisible(true);
      }, []);
      return React__default["default"].createElement(CascadePicker, Object.assign({}, props, {
        visible,
        onConfirm: (val, extend) => {
          var _a;
          (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props, val, extend);
          resolve(val);
        },
        onClose: () => {
          var _a;
          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          setVisible(false);
          resolve(null);
        },
        afterClose: () => {
          var _a;
          (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
          unmount2();
        }
      }));
    };
    const unmount2 = renderToBody(React__default["default"].createElement(Wrapper2, null));
  });
}
var index$g = attachPropertiesToComponent(CascadePicker, {
  prompt: prompt$2
});
const CascadePickerView = (props) => {
  const {
    options
  } = props, pickerProps = tslib.__rest(props, ["options"]);
  const columnsFn = useColumnsFn(options);
  return React__default["default"].createElement(PickerView, Object.assign({}, pickerProps, {
    columns: columnsFn
  }));
};
var cascaderView = /* @__PURE__ */ (() => ".adm-cascader-view {\n  --height: auto;\n}\n.adm-cascader-view-tabs.adm-tabs {\n  --title-font-size: var(--adm-font-size-6);\n  --content-padding: none;\n}\n.adm-cascader-view-header-title {\n  max-width: 84px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n}\n.adm-cascader-view-content {\n  height: var(--height);\n  overflow-y: auto;\n}\n.adm-cascader-view-content > .adm-check-list {\n  --border-inner: none;\n  --border-bottom: none;\n  --border-top: none;\n}\n.adm-cascader-view-item {\n  font-size: var(--adm-font-size-6);\n}\n.adm-cascader-view-item-active {\n  color: var(--adm-color-primary);\n}\n.adm-cascader-view .adm-list-inner {\n  margin-bottom: 0;\n}\n.adm-cascader-view-skeleton {\n  padding: 16px 12px;\n}\n.adm-cascader-view-skeleton .adm-skeleton {\n  margin-bottom: 16px;\n  --height: 18px;\n  --width: 80%;\n  --border-radius: 2px;\n}\n.adm-cascader-view-skeleton .adm-skeleton.adm-cascader-view-skeleton-line-3 {\n  --width: 90%;\n}\n.adm-cascader-view-skeleton .adm-skeleton.adm-cascader-view-skeleton-line-4 {\n  --width: 60%;\n}\n")();
var tabs = /* @__PURE__ */ (() => ".adm-tabs {\n  --title-font-size: var(--adm-font-size-9);\n  --content-padding: 12px;\n  --active-line-height: 2px;\n  --active-line-border-radius: var(--active-line-height);\n  --active-line-color: var(--adm-color-primary);\n  --active-title-color: var(--adm-color-primary);\n  position: relative;\n  min-width: 0;\n}\n.adm-tabs-header {\n  position: relative;\n  border-bottom: solid 1px var(--adm-color-border);\n}\n.adm-tabs-tab-list {\n  display: flex;\n  flex-wrap: nowrap;\n  justify-content: flex-start;\n  align-items: center;\n  position: relative;\n  overflow-x: scroll;\n  scrollbar-width: none;\n}\n.adm-tabs-tab-list::-webkit-scrollbar {\n  display: none;\n}\n.adm-tabs-tab-wrapper {\n  padding: 0 12px;\n}\n.adm-tabs-tab-wrapper-stretch {\n  flex: auto;\n}\n.adm-tabs-tab {\n  white-space: nowrap;\n  padding: 8px 0 10px;\n  width: -webkit-min-content;\n  width: min-content;\n  margin: 0 auto;\n  font-size: var(--title-font-size);\n  position: relative;\n  cursor: pointer;\n}\n.adm-tabs-tab-active {\n  color: var(--active-title-color);\n}\n.adm-tabs-tab-disabled {\n  opacity: 0.5;\n  cursor: not-allowed;\n}\n.adm-tabs-tab-line {\n  position: absolute;\n  bottom: 0;\n  height: var(--active-line-height);\n  background: var(--active-line-color);\n  border-radius: var(--active-line-border-radius);\n}\n.adm-tabs-content {\n  padding: var(--content-padding);\n}\n.adm-tabs-header-mask {\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  z-index: 1;\n  width: 30px;\n  height: 100%;\n  pointer-events: none;\n}\n.adm-tabs-header-mask-left {\n  left: 0;\n  background: linear-gradient(to right, var(--adm-color-background), rgba(255, 255, 255, 0));\n}\n.adm-tabs-header-mask-right {\n  right: 0;\n  background: linear-gradient(to left, var(--adm-color-background), rgba(255, 255, 255, 0));\n}\n")();
const classPrefix$11 = `adm-tabs`;
const Tab = () => {
  return null;
};
const defaultProps$S = {
  activeLineMode: "auto",
  stretch: true
};
const Tabs$1 = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$S, p2);
  const tabListContainerRef = React$1.useRef(null);
  const activeLineRef = React$1.useRef(null);
  const keyToIndexRecord = {};
  let firstActiveKey = null;
  const panes = [];
  traverseReactNode(props.children, (child, index2) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    if (index2 === 0) {
      firstActiveKey = key;
    }
    const length = panes.push(child);
    keyToIndexRecord[key] = length - 1;
  });
  const [activeKey, setActiveKey] = usePropsValue({
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : firstActiveKey,
    onChange: (v2) => {
      var _a2;
      if (v2 === null)
        return;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, v2);
    }
  });
  const [{
    x,
    width
  }, api] = web.useSpring(() => ({
    x: 0,
    width: 0,
    config: {
      tension: 300,
      clamp: true
    }
  }));
  const [{
    scrollLeft
  }, scrollApi] = web.useSpring(() => ({
    scrollLeft: 0,
    config: {
      tension: 300,
      clamp: true
    }
  }));
  const [{
    leftMaskOpacity,
    rightMaskOpacity
  }, maskApi] = web.useSpring(() => ({
    leftMaskOpacity: 0,
    rightMaskOpacity: 0,
    config: {
      clamp: true
    }
  }));
  function animate(immediate = false) {
    const container = tabListContainerRef.current;
    if (!container)
      return;
    const activeIndex = keyToIndexRecord[activeKey];
    if (activeIndex === void 0) {
      api.start({
        x: 0,
        width: 0,
        immediate: true
      });
      return;
    }
    const activeLine = activeLineRef.current;
    if (!activeLine)
      return;
    const activeTabWrapper = container.children.item(activeIndex + 1);
    const activeTab = activeTabWrapper.children.item(0);
    const activeTabLeft = activeTab.offsetLeft;
    const activeTabWidth = activeTab.offsetWidth;
    const activeTabWrapperLeft = activeTabWrapper.offsetLeft;
    const activeTabWrapperWidth = activeTabWrapper.offsetWidth;
    const containerWidth = container.offsetWidth;
    const containerScrollWidth = container.scrollWidth;
    const containerScrollLeft = container.scrollLeft;
    const activeLineWidth = activeLine.offsetWidth;
    let x2 = 0;
    let width2 = 0;
    if (props.activeLineMode === "auto") {
      x2 = activeTabLeft;
      width2 = activeTabWidth;
    } else if (props.activeLineMode === "full") {
      x2 = activeTabWrapperLeft;
      width2 = activeTabWrapperWidth;
    } else {
      x2 = activeTabLeft + (activeTabWidth - activeLineWidth) / 2;
    }
    api.start({
      x: x2,
      width: width2,
      immediate
    });
    const maxScrollDistance = containerScrollWidth - containerWidth;
    if (maxScrollDistance <= 0)
      return;
    const nextScrollLeft = bound(activeTabLeft - (containerWidth - activeTabWidth) / 2, 0, containerScrollWidth - containerWidth);
    scrollApi.start({
      scrollLeft: nextScrollLeft,
      from: {
        scrollLeft: containerScrollLeft
      },
      immediate
    });
  }
  ahooks.useIsomorphicLayoutEffect(() => {
    animate(!x.isAnimating);
  }, []);
  useIsomorphicUpdateLayoutEffect(() => {
    animate();
  }, [activeKey]);
  useResizeEffect(() => {
    animate(!x.isAnimating);
  }, tabListContainerRef);
  useMutationEffect(() => {
    animate(!x.isAnimating);
  }, tabListContainerRef, {
    subtree: true,
    childList: true,
    characterData: true
  });
  const {
    run: updateMask
  } = ahooks.useThrottleFn((immediate = false) => {
    const container = tabListContainerRef.current;
    if (!container)
      return;
    const scrollLeft2 = container.scrollLeft;
    const showLeftMask = scrollLeft2 > 0;
    const showRightMask = scrollLeft2 + container.offsetWidth < container.scrollWidth;
    maskApi.start({
      leftMaskOpacity: showLeftMask ? 1 : 0,
      rightMaskOpacity: showRightMask ? 1 : 0,
      immediate
    });
  }, {
    wait: 100,
    trailing: true,
    leading: true
  });
  ahooks.useIsomorphicLayoutEffect(() => {
    updateMask(true);
  }, []);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$11
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$11}-header`
  }, React__default["default"].createElement(web.animated.div, {
    className: classNames__default["default"](`${classPrefix$11}-header-mask`, `${classPrefix$11}-header-mask-left`),
    style: {
      opacity: leftMaskOpacity
    }
  }), React__default["default"].createElement(web.animated.div, {
    className: classNames__default["default"](`${classPrefix$11}-header-mask`, `${classPrefix$11}-header-mask-right`),
    style: {
      opacity: rightMaskOpacity
    }
  }), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$11}-tab-list`,
    ref: tabListContainerRef,
    scrollLeft,
    onScroll: updateMask
  }, React__default["default"].createElement(web.animated.div, {
    ref: activeLineRef,
    className: `${classPrefix$11}-tab-line`,
    style: {
      width: props.activeLineMode === "fixed" ? "var(--fixed-active-line-width, 30px)" : width,
      x
    }
  }), panes.map((pane) => withNativeProps(pane.props, React__default["default"].createElement("div", {
    key: pane.key,
    className: classNames__default["default"](`${classPrefix$11}-tab-wrapper`, {
      [`${classPrefix$11}-tab-wrapper-stretch`]: props.stretch
    })
  }, React__default["default"].createElement("div", {
    onClick: () => {
      const {
        key
      } = pane;
      if (pane.props.disabled)
        return;
      if (key === void 0 || key === null) {
        return;
      }
      setActiveKey(key.toString());
    },
    className: classNames__default["default"](`${classPrefix$11}-tab`, {
      [`${classPrefix$11}-tab-active`]: pane.key === activeKey,
      [`${classPrefix$11}-tab-disabled`]: pane.props.disabled
    })
  }, pane.props.title)))))), panes.map((pane) => {
    if (pane.props.children === void 0) {
      return null;
    }
    const active = pane.key === activeKey;
    return React__default["default"].createElement(ShouldRender, {
      key: pane.key,
      active,
      forceRender: pane.props.forceRender,
      destroyOnClose: pane.props.destroyOnClose
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$11}-content`,
      style: {
        display: active ? "block" : "none"
      }
    }, pane.props.children));
  })));
};
var Tabs = attachPropertiesToComponent(Tabs$1, {
  Tab
});
var checkList = /* @__PURE__ */ (() => ".adm-check-list-item-extra {\n  font-size: var(--adm-font-size-8);\n  line-height: 1;\n  color: var(--adm-color-primary);\n}\n.adm-check-list-item-readonly {\n  cursor: unset;\n}\n")();
var list = /* @__PURE__ */ (() => ".adm-list {\n  --header-font-size: var(--adm-font-size-7);\n  --prefix-width: 'auto';\n  --prefix-padding-right: 12px;\n  --align-items: center;\n  --active-background-color: var(--adm-color-border);\n  --border-inner: solid 1px var(--adm-color-border);\n  --border-top: solid 1px var(--adm-color-border);\n  --border-bottom: solid 1px var(--adm-color-border);\n  --padding-left: 12px;\n  --padding-right: 12px;\n  --font-size: var(--adm-font-size-9);\n  --extra-max-width: 70%;\n}\n.adm-list-header {\n  color: var(--adm-color-weak);\n  font-size: var(--header-font-size);\n  padding: 8px var(--padding-right) 8px var(--padding-left);\n}\n.adm-list-body {\n  background-color: var(--adm-color-background);\n  overflow: hidden;\n  font-size: var(--font-size);\n}\n.adm-list-body-inner {\n  margin-top: -1px;\n}\n.adm-list-default .adm-list-body {\n  border-top: var(--border-top);\n  border-bottom: var(--border-bottom);\n}\n.adm-list-card {\n  margin: 12px;\n}\n.adm-list-card .adm-list-body {\n  border-radius: 8px;\n}\n.adm-list-card .adm-list-header {\n  padding-left: 0;\n}\n.adm-list-item {\n  display: block;\n  padding-left: var(--padding-left);\n  position: relative;\n  background-color: var(--adm-color-background);\n  line-height: 1.5;\n}\n.adm-list-item-title,\n.adm-list-item-description {\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-main);\n}\n.adm-list-item-content {\n  display: flex;\n  align-items: var(--align-items);\n  justify-content: flex-start;\n  border-top: var(--border-inner);\n  padding-right: var(--padding-right);\n}\n.adm-list-item-content-prefix {\n  width: var(--prefix-width);\n  flex: none;\n  padding-right: var(--prefix-padding-right);\n}\n.adm-list-item-content-main {\n  flex: auto;\n  padding: 12px 0;\n}\n.adm-list-item-content-extra {\n  flex: none;\n  padding-left: 12px;\n  font-size: var(--adm-font-size-7);\n  color: var(--adm-color-weak);\n  max-width: var(--extra-max-width);\n}\n.adm-list-item-content-arrow {\n  flex: none;\n  display: flex;\n  align-items: center;\n  margin-left: 4px;\n  color: var(--adm-color-light);\n  font-size: 19px;\n}\n.adm-list-item-disabled {\n  cursor: not-allowed;\n}\n.adm-list-item-disabled.adm-list-item-disabled > .adm-list-item-content > * {\n  opacity: 0.4;\n  pointer-events: none;\n}\na.adm-list-item:active:not(.adm-list-item-disabled) {\n  background-color: var(--active-background-color);\n}\na.adm-list-item:active:not(.adm-list-item-disabled)::after {\n  content: ' ';\n  display: block;\n  position: absolute;\n  width: 100%;\n  bottom: -1px;\n  left: 0;\n  border-bottom: var(--border-inner);\n}\n")();
const classPrefix$10 = `adm-list`;
const defaultProps$R = {
  mode: "default"
};
const List$1 = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$R, p2);
  const nativeElementRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => ({
    get nativeElement() {
      return nativeElementRef.current;
    }
  }));
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$10, `${classPrefix$10}-${props.mode}`),
    ref: nativeElementRef
  }, props.header && React__default["default"].createElement("div", {
    className: `${classPrefix$10}-header`
  }, props.header), React__default["default"].createElement("div", {
    className: `${classPrefix$10}-body`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$10}-body-inner`
  }, props.children))));
});
function isNodeWithContent(node) {
  return node !== void 0 && node !== null && node !== false;
}
const classPrefix$$ = `adm-list-item`;
const ListItem = (props) => {
  var _a;
  const clickable = (_a = props.clickable) !== null && _a !== void 0 ? _a : !!props.onClick;
  const arrow = props.arrow === void 0 ? clickable : props.arrow;
  const content = React__default["default"].createElement("div", {
    className: `${classPrefix$$}-content`
  }, isNodeWithContent(props.prefix) && React__default["default"].createElement("div", {
    className: `${classPrefix$$}-content-prefix`
  }, props.prefix), React__default["default"].createElement("div", {
    className: `${classPrefix$$}-content-main`
  }, isNodeWithContent(props.title) && React__default["default"].createElement("div", {
    className: `${classPrefix$$}-title`
  }, props.title), props.children, isNodeWithContent(props.description) && React__default["default"].createElement("div", {
    className: `${classPrefix$$}-description`
  }, props.description)), isNodeWithContent(props.extra) && React__default["default"].createElement("div", {
    className: `${classPrefix$$}-content-extra`
  }, props.extra), isNodeWithContent(arrow) && React__default["default"].createElement("div", {
    className: `${classPrefix$$}-content-arrow`
  }, arrow === true ? React__default["default"].createElement(antdMobileIcons.RightOutline, null) : arrow));
  return withNativeProps(props, React__default["default"].createElement(clickable ? "a" : "div", {
    className: classNames__default["default"](`${classPrefix$$}`, clickable ? ["adm-plain-anchor"] : [], props.disabled && `${classPrefix$$}-disabled`),
    onClick: props.disabled ? void 0 : props.onClick
  }, content));
};
var List = attachPropertiesToComponent(List$1, {
  Item: ListItem
});
const CheckListContext = React$1.createContext(null);
const classPrefix$_ = "adm-check-list";
const defaultProps$Q = {
  multiple: false,
  defaultValue: [],
  activeIcon: React__default["default"].createElement(antdMobileIcons.CheckOutline, null)
};
const CheckList$1 = (p2) => {
  const props = mergeProps(defaultProps$Q, p2);
  const [value, setValue] = usePropsValue(props);
  function check(val) {
    if (props.multiple) {
      setValue([...value, val]);
    } else {
      setValue([val]);
    }
  }
  function uncheck(val) {
    setValue(value.filter((item) => item !== val));
  }
  const {
    activeIcon,
    disabled,
    readOnly
  } = props;
  return React__default["default"].createElement(CheckListContext.Provider, {
    value: {
      value,
      check,
      uncheck,
      activeIcon,
      disabled,
      readOnly
    }
  }, withNativeProps(props, React__default["default"].createElement(List, {
    mode: props.mode,
    className: classPrefix$_
  }, props.children)));
};
const classPrefix$Z = `adm-check-list-item`;
const CheckListItem = (props) => {
  const context = React$1.useContext(CheckListContext);
  if (context === null) {
    return null;
  }
  const active = context.value.includes(props.value);
  const readOnly = props.readOnly || context.readOnly;
  const extra = React__default["default"].createElement("div", {
    className: `${classPrefix$Z}-extra`
  }, active ? context.activeIcon : null);
  return withNativeProps(props, React__default["default"].createElement(List.Item, {
    title: props.title,
    className: classNames__default["default"](classPrefix$Z, readOnly && `${classPrefix$Z}-readonly`, active && `${classPrefix$Z}-active`),
    description: props.description,
    prefix: props.prefix,
    onClick: (e2) => {
      var _a;
      if (readOnly)
        return;
      if (active) {
        context.uncheck(props.value);
      } else {
        context.check(props.value);
      }
      (_a = props.onClick) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    arrow: false,
    clickable: !readOnly,
    extra,
    disabled: props.disabled || context.disabled
  }, props.children));
};
var CheckList = attachPropertiesToComponent(CheckList$1, {
  Item: CheckListItem
});
var MapCache = _MapCache;
var FUNC_ERROR_TEXT = "Expected a function";
function memoize(func, resolver) {
  if (typeof func != "function" || resolver != null && typeof resolver != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  var memoized = function() {
    var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
    if (cache.has(key)) {
      return cache.get(key);
    }
    var result2 = func.apply(this, args);
    memoized.cache = cache.set(key, result2) || cache;
    return result2;
  };
  memoized.cache = new (memoize.Cache || MapCache)();
  return memoized;
}
memoize.Cache = MapCache;
var memoize_1 = memoize;
function useCascaderValueExtend(options) {
  const generateItems = React$1.useMemo(() => {
    return memoize_1((val) => {
      const ret = [];
      let currentOptions = options;
      for (const v2 of val) {
        const target = currentOptions.find((option) => option.value === v2);
        if (!target) {
          break;
        }
        ret.push(target);
        if (!target.children)
          break;
        currentOptions = target.children;
      }
      return ret;
    }, (val) => JSON.stringify(val));
  }, [options]);
  const generateIsLeaf = React$1.useMemo(() => {
    return memoize_1((val) => {
      const children = val.reduce((currentOptions, v2) => {
        var _a;
        return ((_a = currentOptions.find((option) => option.value === v2)) === null || _a === void 0 ? void 0 : _a.children) || [];
      }, options);
      return children.length === 0;
    }, (val) => JSON.stringify(val));
  }, [options]);
  function generateValueExtend(val) {
    return {
      get items() {
        return generateItems(val);
      },
      get isLeaf() {
        return generateIsLeaf(val);
      }
    };
  }
  return generateValueExtend;
}
const optionSkeleton = [];
var skeleton = /* @__PURE__ */ (() => ".adm-skeleton {\n  --width: 100%;\n  --height: 0;\n  --border-radius: 0;\n  background-color: rgba(190, 190, 190, 0.2);\n  border-radius: var(--border-radius);\n  width: var(--width);\n  height: var(--height);\n  display: block;\n}\n.adm-skeleton.adm-skeleton-animated {\n  background: linear-gradient(90deg, rgba(190, 190, 190, 0.2) 25%, rgba(129, 129, 129, 0.24) 37%, rgba(190, 190, 190, 0.2) 63%);\n  background-size: 400% 100%;\n  animation: adm-skeleton-loading 1.4s ease infinite;\n}\n.adm-skeleton.adm-skeleton-title {\n  --width: 45%;\n  --height: 32px;\n  --border-radius: 2px;\n  margin-bottom: 16px;\n  margin-top: 16px;\n}\n.adm-skeleton.adm-skeleton-paragraph-line {\n  --height: 18px;\n  --border-radius: 2px;\n  margin-top: 12px;\n  margin-bottom: 12px;\n}\n.adm-skeleton.adm-skeleton-paragraph-line:last-child {\n  --width: 65%;\n}\n@keyframes adm-skeleton-loading {\n  0% {\n    background-position: 100% 50%;\n  }\n  100% {\n    background-position: 0 50%;\n  }\n}\n")();
function generateIntArray(from, to) {
  const array = [];
  for (let i = from; i <= to; i++) {
    array.push(i);
  }
  return array;
}
const classPrefix$Y = "adm-skeleton";
const Skeleton$1 = (props) => {
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$Y, {
      [`${classPrefix$Y}-animated`]: props.animated
    })
  }));
};
const SkeletonTitle = (props) => {
  return withNativeProps(props, React__default["default"].createElement(Skeleton$1, {
    animated: props.animated,
    className: `${classPrefix$Y}-title`
  }));
};
const defaultSkeletonParagraphProps = {
  lineCount: 3
};
const SkeletonParagraph = (p2) => {
  const props = mergeProps(defaultSkeletonParagraphProps, p2);
  const keys2 = generateIntArray(1, props.lineCount);
  const node = React__default["default"].createElement("div", {
    className: `${classPrefix$Y}-paragraph`
  }, keys2.map((key) => React__default["default"].createElement(Skeleton$1, {
    key,
    animated: props.animated,
    className: `${classPrefix$Y}-paragraph-line`
  })));
  return withNativeProps(props, node);
};
var Skeleton = attachPropertiesToComponent(Skeleton$1, {
  Title: SkeletonTitle,
  Paragraph: SkeletonParagraph
});
const classPrefix$X = `adm-cascader-view`;
const defaultProps$P = {
  defaultValue: []
};
const CascaderView$1 = (p2) => {
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$P, {
    placeholder: locale.Cascader.placeholder
  }, p2);
  const [value, setValue] = usePropsValue(Object.assign(Object.assign({}, props), {
    onChange: (val) => {
      var _a;
      (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, val, generateValueExtend(val));
    }
  }));
  const [tabActiveIndex, setTabActiveIndex] = React$1.useState(0);
  ahooks.useUpdateEffect(() => {
    var _a;
    (_a = props.onTabsChange) === null || _a === void 0 ? void 0 : _a.call(props, tabActiveIndex);
  }, [tabActiveIndex]);
  const generateValueExtend = useCascaderValueExtend(props.options);
  const levels = React$1.useMemo(() => {
    const ret = [];
    let currentOptions = props.options;
    let reachedEnd = false;
    for (const v2 of value) {
      const target = currentOptions.find((option) => option.value === v2);
      ret.push({
        selected: target,
        options: currentOptions
      });
      if (!target || !target.children) {
        reachedEnd = true;
        break;
      }
      currentOptions = target.children;
    }
    if (!reachedEnd) {
      ret.push({
        selected: void 0,
        options: currentOptions
      });
    }
    return ret;
  }, [value, props.options]);
  React$1.useEffect(() => {
    setTabActiveIndex(levels.length - 1);
  }, [value]);
  React$1.useEffect(() => {
    const max = levels.length - 1;
    if (tabActiveIndex > max) {
      setTabActiveIndex(max);
    }
  }, [tabActiveIndex, levels]);
  const onItemSelect = (selectValue, depth) => {
    const next = value.slice(0, depth);
    if (selectValue !== void 0) {
      next[depth] = selectValue;
    }
    setValue(next);
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$X
  }, React__default["default"].createElement(Tabs, {
    activeKey: tabActiveIndex.toString(),
    onChange: (key) => {
      const activeIndex = parseInt(key);
      setTabActiveIndex(activeIndex);
    },
    stretch: false,
    className: `${classPrefix$X}-tabs`
  }, levels.map((level, index2) => {
    const selected = level.selected;
    return React__default["default"].createElement(Tabs.Tab, {
      key: index2.toString(),
      title: React__default["default"].createElement("div", {
        className: `${classPrefix$X}-header-title`
      }, selected ? selected.label : props.placeholder),
      forceRender: true
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$X}-content`
    }, level.options === optionSkeleton ? React__default["default"].createElement("div", {
      className: `${classPrefix$X}-skeleton`
    }, React__default["default"].createElement(Skeleton, {
      className: `${classPrefix$X}-skeleton-line-1`,
      animated: true
    }), React__default["default"].createElement(Skeleton, {
      className: `${classPrefix$X}-skeleton-line-2`,
      animated: true
    }), React__default["default"].createElement(Skeleton, {
      className: `${classPrefix$X}-skeleton-line-3`,
      animated: true
    }), React__default["default"].createElement(Skeleton, {
      className: `${classPrefix$X}-skeleton-line-4`,
      animated: true
    })) : React__default["default"].createElement(CheckList, {
      value: [value[index2]],
      onChange: (selectValue) => onItemSelect(selectValue[0], index2)
    }, level.options.map((option) => {
      const active = value[index2] === option.value;
      return React__default["default"].createElement(CheckList.Item, {
        value: option.value,
        key: option.value,
        disabled: option.disabled,
        className: classNames__default["default"](`${classPrefix$X}-item`, {
          [`${classPrefix$X}-item-active`]: active
        })
      }, option.label);
    }))));
  }))));
};
var CascaderView = attachPropertiesToComponent(CascaderView$1, {
  optionSkeleton
});
const classPrefix$W = `adm-cascader`;
const defaultProps$O = {
  defaultValue: [],
  destroyOnClose: true,
  forceRender: false
};
const Cascader = React$1.forwardRef((p2, ref) => {
  var _a;
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$O, {
    confirmText: locale.common.confirm,
    cancelText: locale.common.cancel,
    placeholder: locale.Cascader.placeholder
  }, p2);
  const [visible, setVisible] = usePropsValue({
    value: props.visible,
    defaultValue: false,
    onChange: (v2) => {
      var _a2;
      if (v2 === false) {
        (_a2 = props.onClose) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      }
    }
  });
  const actions = {
    toggle: () => {
      setVisible((v2) => !v2);
    },
    open: () => {
      setVisible(true);
    },
    close: () => {
      setVisible(false);
    }
  };
  React$1.useImperativeHandle(ref, () => actions);
  const [value, setValue] = usePropsValue(Object.assign(Object.assign({}, props), {
    onChange: (val) => {
      var _a2;
      (_a2 = props.onConfirm) === null || _a2 === void 0 ? void 0 : _a2.call(props, val, generateValueExtend(val));
    }
  }));
  const generateValueExtend = useCascaderValueExtend(props.options);
  const [innerValue, setInnerValue] = React$1.useState(value);
  React$1.useEffect(() => {
    if (!visible) {
      setInnerValue(value);
    }
  }, [visible]);
  React$1.useEffect(() => {
    if (!visible) {
      setInnerValue(value);
    }
  }, [value]);
  const cascaderElement = withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$W
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$W}-header`
  }, React__default["default"].createElement("a", {
    className: `${classPrefix$W}-header-button`,
    onClick: () => {
      var _a2;
      (_a2 = props.onCancel) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      setVisible(false);
    }
  }, props.cancelText), React__default["default"].createElement("div", {
    className: `${classPrefix$W}-header-title`
  }, props.title), React__default["default"].createElement("a", {
    className: `${classPrefix$W}-header-button`,
    onClick: () => {
      setValue(innerValue, true);
      setVisible(false);
    }
  }, props.confirmText)), React__default["default"].createElement("div", {
    className: `${classPrefix$W}-body`
  }, React__default["default"].createElement(CascaderView, Object.assign({}, props, {
    value: innerValue,
    onChange: (val, ext) => {
      var _a2;
      setInnerValue(val);
      if (visible) {
        (_a2 = props.onSelect) === null || _a2 === void 0 ? void 0 : _a2.call(props, val, ext);
      }
    }
  })))));
  const popupElement = React__default["default"].createElement(Popup, {
    visible,
    position: "bottom",
    onMaskClick: () => {
      var _a2;
      (_a2 = props.onCancel) === null || _a2 === void 0 ? void 0 : _a2.call(props);
      setVisible(false);
    },
    getContainer: props.getContainer,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender,
    afterShow: props.afterShow,
    afterClose: props.afterClose,
    onClick: props.onClick,
    stopPropagation: props.stopPropagation
  }, cascaderElement);
  return React__default["default"].createElement(React__default["default"].Fragment, null, popupElement, (_a = props.children) === null || _a === void 0 ? void 0 : _a.call(props, generateValueExtend(value).items, actions));
});
function prompt$1(props) {
  return new Promise((resolve) => {
    const Wrapper2 = () => {
      const [visible, setVisible] = React$1.useState(false);
      React$1.useEffect(() => {
        setVisible(true);
      }, []);
      return React__default["default"].createElement(Cascader, Object.assign({}, props, {
        visible,
        onConfirm: (val, extend) => {
          var _a;
          (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props, val, extend);
          resolve(val);
        },
        onClose: () => {
          var _a;
          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          setVisible(false);
          resolve(null);
        },
        afterClose: () => {
          var _a;
          (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
          unmount2();
        }
      }));
    };
    const unmount2 = renderToBody(React__default["default"].createElement(Wrapper2, null));
  });
}
var cascader = /* @__PURE__ */ (() => ".adm-cascader {\n  width: 100%;\n  overflow: hidden;\n  position: relative;\n  display: flex;\n  flex-direction: column;\n}\n.adm-cascader-header {\n  flex: none;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 6px 8px;\n}\n.adm-cascader-header-button {\n  font-size: var(--adm-font-size-7);\n  display: inline-block;\n  padding: 4px 4px;\n}\n.adm-cascader-header-title {\n  padding: 4px 4px;\n  font-size: var(--adm-font-size-7);\n  color: var(--adm-color-text);\n  text-align: center;\n  flex: 1;\n}\n.adm-cascader-body {\n  flex: auto;\n  height: 100%;\n  width: 100%;\n}\n.adm-cascader-body > .adm-cascader-view {\n  --height: 310px;\n}\n")();
var index$f = attachPropertiesToComponent(Cascader, {
  prompt: prompt$1,
  optionSkeleton
});
var centerPopup = /* @__PURE__ */ (() => ".adm-center-popup {\n  --background-color: var(--adm-center-popup-background-color, var(--adm-color-background));\n  --border-radius: var(--adm-center-popup-border-radius, 8px);\n  --max-width: var(--adm-center-popup-max-width, 75vw);\n  --min-width: var(--adm-center-popup-min-width, 280px);\n  --z-index: var(--adm-center-popup-z-index, 1000);\n  position: fixed;\n  z-index: var(--z-index);\n}\n.adm-center-popup .adm-center-popup-mask {\n  z-index: 0;\n}\n.adm-center-popup-wrap {\n  position: fixed;\n  z-index: 1;\n  top: 50%;\n  left: 50%;\n  width: auto;\n  min-width: var(--min-width);\n  max-width: var(--max-width);\n  transform: translate(-50%, -50%);\n}\n.adm-center-popup-body {\n  background-color: var(--background-color);\n  border-radius: var(--border-radius);\n}\n.adm-center-popup-close {\n  position: absolute;\n  z-index: 100;\n  right: 8px;\n  top: 8px;\n  cursor: pointer;\n  padding: 4px;\n  font-size: 18px;\n  color: var(--adm-color-weak);\n}\n")();
const defaultProps$N = Object.assign(Object.assign({}, defaultPopupBaseProps), {
  getContainer: null
});
const CenterPopup = (p2) => {
  const props = mergeProps(defaultProps$N, p2);
  const unmountedRef = ahooks.useUnmountedRef();
  const style = web.useSpring({
    scale: props.visible ? 1 : 0.8,
    opacity: props.visible ? 1 : 0,
    config: {
      mass: 1.2,
      tension: 200,
      friction: 25,
      clamp: true
    },
    onRest: () => {
      var _a, _b;
      if (unmountedRef.current)
        return;
      setActive(props.visible);
      if (props.visible) {
        (_a = props.afterShow) === null || _a === void 0 ? void 0 : _a.call(props);
      } else {
        (_b = props.afterClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    }
  });
  const [active, setActive] = React$1.useState(props.visible);
  ahooks.useIsomorphicLayoutEffect(() => {
    if (props.visible) {
      setActive(true);
    }
  }, [props.visible]);
  const ref = React$1.useRef(null);
  useLockScroll(ref, props.disableBodyScroll && active);
  const maskVisible = useInnerVisible(active && props.visible);
  const body = React__default["default"].createElement("div", {
    className: classNames__default["default"]("adm-center-popup-body", props.bodyClassName),
    style: props.bodyStyle
  }, props.children);
  const node = withStopPropagation(props.stopPropagation, withNativeProps(props, React__default["default"].createElement("div", {
    className: "adm-center-popup",
    style: {
      display: active ? void 0 : "none",
      pointerEvents: active ? void 0 : "none"
    }
  }, props.mask && React__default["default"].createElement(Mask, {
    visible: maskVisible,
    forceRender: props.forceRender,
    destroyOnClose: props.destroyOnClose,
    onMaskClick: (e2) => {
      var _a, _b;
      (_a = props.onMaskClick) === null || _a === void 0 ? void 0 : _a.call(props, e2);
      if (props.closeOnMaskClick) {
        (_b = props.onClose) === null || _b === void 0 ? void 0 : _b.call(props);
      }
    },
    style: props.maskStyle,
    className: classNames__default["default"]("adm-center-popup-mask", props.maskClassName),
    disableBodyScroll: false,
    stopPropagation: props.stopPropagation
  }), React__default["default"].createElement("div", {
    className: "adm-center-popup-wrap",
    role: props.role,
    "aria-label": props["aria-label"]
  }, React__default["default"].createElement(web.animated.div, {
    style,
    ref
  }, props.showCloseButton && React__default["default"].createElement("a", {
    className: classNames__default["default"]("adm-center-popup-close", "adm-plain-anchor"),
    onClick: () => {
      var _a;
      (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  }, React__default["default"].createElement(antdMobileIcons.CloseOutline, null)), body)))));
  return React__default["default"].createElement(ShouldRender, {
    active,
    forceRender: props.forceRender,
    destroyOnClose: props.destroyOnClose
  }, renderToContainer(props.getContainer, node));
};
var checkbox = /* @__PURE__ */ (() => ".adm-checkbox {\n  --icon-size: 22px;\n  --font-size: var(--adm-font-size-9);\n  --gap: 8px;\n  display: inline-flex;\n  vertical-align: text-bottom;\n  justify-content: flex-start;\n  align-items: center;\n  cursor: pointer;\n}\n.adm-checkbox input {\n  display: none;\n}\n.adm-checkbox .adm-checkbox-icon {\n  flex: none;\n  border: 1px solid var(--adm-color-light);\n  border-radius: var(--icon-size);\n  box-sizing: border-box;\n  width: var(--icon-size);\n  height: var(--icon-size);\n  color: var(--adm-color-white);\n}\n.adm-checkbox .adm-checkbox-icon > svg {\n  display: block;\n  width: 100%;\n  height: 100%;\n}\n.adm-checkbox.adm-checkbox-block {\n  display: flex;\n}\n.adm-checkbox.adm-checkbox-checked .adm-checkbox-icon {\n  border-color: var(--adm-color-primary);\n  background-color: var(--adm-color-primary);\n}\n.adm-checkbox.adm-checkbox-disabled {\n  cursor: not-allowed;\n}\n.adm-checkbox.adm-checkbox-disabled .adm-checkbox-content {\n  opacity: 0.4;\n}\n.adm-checkbox.adm-checkbox-disabled .adm-checkbox-icon.adm-checkbox-icon {\n  color: #b7b7b7;\n  border-color: var(--adm-color-light);\n  background-color: var(--adm-color-box);\n}\n.adm-checkbox .adm-checkbox-custom-icon {\n  font-size: var(--icon-size);\n}\n.adm-checkbox.adm-checkbox-indeterminate .adm-checkbox-icon {\n  background-color: var(--adm-color-background);\n  color: var(--adm-color-primary);\n}\n.adm-checkbox-content {\n  flex: 0 1 auto;\n  font-size: var(--font-size);\n  padding-left: var(--gap);\n}\n")();
const CheckboxGroupContext = React$1.createContext(null);
const defaultProps$M = {
  disabled: false,
  defaultValue: []
};
const Group$1 = (p2) => {
  const props = mergeProps(defaultProps$M, p2);
  const [value, setValue] = usePropsValue(props);
  return React__default["default"].createElement(CheckboxGroupContext.Provider, {
    value: {
      value,
      disabled: props.disabled,
      check: (v2) => {
        setValue([...value, v2]);
      },
      uncheck: (v2) => {
        setValue(value.filter((item) => item !== v2));
      }
    }
  }, props.children);
};
const CheckIcon = React$1.memo((props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    viewBox: "0 0 40 40"
  }, React__default["default"].createElement("path", {
    d: "M31.5541766,15 L28.0892433,15 L28.0892434,15 C27.971052,15 27.8576674,15.044522 27.7740471,15.1239792 L18.2724722,24.1625319 L13.2248725,19.3630279 L13.2248725,19.3630279 C13.1417074,19.2834412 13.0287551,19.2384807 12.9107898,19.2380079 L9.44474455,19.2380079 L9.44474454,19.2380079 C9.19869815,19.2384085 8.99957935,19.4284738 9,19.66253 C9,19.7747587 9.04719253,19.8823283 9.13066188,19.9616418 L17.0907466,27.5338228 C17.4170809,27.8442545 17.8447695,28 18.2713393,28 L18.2980697,28 C18.7168464,27.993643 19.133396,27.8378975 19.4530492,27.5338228 L31.8693384,15.7236361 L31.8693384,15.7236361 C32.0434167,15.5582251 32.0435739,15.2898919 31.8696892,15.1242941 C31.7860402,15.0446329 31.6725052,15 31.5541421,15 L31.5541766,15 Z",
    fill: "currentColor"
  })));
});
const IndeterminateIcon = React$1.memo((props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    viewBox: "0 0 40 40"
  }, React__default["default"].createElement("path", {
    d: "M20,9 C26.0752953,9 31,13.9247047 31,20 C31,26.0752953 26.0752953,31 20,31 C13.9247047,31 9,26.0752953 9,20 C9,13.9247047 13.9247047,9 20,9 Z",
    fill: "currentColor"
  })));
});
const NativeInput = (props) => {
  const inputRef = React$1.useRef(null);
  const handleClick = ahooks.useMemoizedFn((e2) => {
    e2.stopPropagation();
    e2.stopImmediatePropagation();
    const latestChecked = e2.target.checked;
    if (latestChecked === props.checked)
      return;
    props.onChange(latestChecked);
  });
  React$1.useEffect(() => {
    if (props.disabled)
      return;
    if (!inputRef.current)
      return;
    const input2 = inputRef.current;
    input2.addEventListener("click", handleClick);
    return () => {
      input2.removeEventListener("click", handleClick);
    };
  }, [props.disabled, props.onChange]);
  return React__default["default"].createElement("input", {
    ref: inputRef,
    type: props.type,
    checked: props.checked,
    onChange: () => {
    },
    disabled: props.disabled,
    id: props.id
  });
};
const classPrefix$V = `adm-checkbox`;
const defaultProps$L = {
  defaultChecked: false,
  indeterminate: false
};
const Checkbox$1 = React$1.forwardRef((p2, ref) => {
  const groupContext = React$1.useContext(CheckboxGroupContext);
  const props = mergeProps(defaultProps$L, p2);
  let [checked, setChecked] = usePropsValue({
    value: props.checked,
    defaultValue: props.defaultChecked,
    onChange: props.onChange
  });
  let disabled = props.disabled;
  const {
    value
  } = props;
  if (groupContext && value !== void 0) {
    checked = groupContext.value.includes(value);
    setChecked = (checked2) => {
      var _a;
      if (checked2) {
        groupContext.check(value);
      } else {
        groupContext.uncheck(value);
      }
      (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, checked2);
    };
    disabled = disabled || groupContext.disabled;
  }
  React$1.useImperativeHandle(ref, () => ({
    check: () => {
      setChecked(true);
    },
    uncheck: () => {
      setChecked(false);
    },
    toggle: () => {
      setChecked(!checked);
    }
  }));
  const renderIcon = () => {
    if (props.icon) {
      return React__default["default"].createElement("div", {
        className: `${classPrefix$V}-custom-icon`
      }, props.icon(checked, props.indeterminate));
    }
    return React__default["default"].createElement("div", {
      className: `${classPrefix$V}-icon`
    }, props.indeterminate ? React__default["default"].createElement(IndeterminateIcon, null) : checked && React__default["default"].createElement(CheckIcon, null));
  };
  return withNativeProps(props, React__default["default"].createElement("label", {
    className: classNames__default["default"](classPrefix$V, {
      [`${classPrefix$V}-checked`]: checked && !props.indeterminate,
      [`${classPrefix$V}-indeterminate`]: props.indeterminate,
      [`${classPrefix$V}-disabled`]: disabled,
      [`${classPrefix$V}-block`]: props.block
    })
  }, React__default["default"].createElement(NativeInput, {
    type: "checkbox",
    checked,
    onChange: setChecked,
    disabled,
    id: props.id
  }), renderIcon(), props.children && React__default["default"].createElement("div", {
    className: `${classPrefix$V}-content`
  }, props.children)));
});
var Checkbox = attachPropertiesToComponent(Checkbox$1, {
  Group: Group$1
});
var collapse = /* @__PURE__ */ (() => ".adm-collapse-panel-header .adm-list-item-content-main {\n  padding: 12px 0;\n}\n.adm-collapse-arrow {\n  transform: rotate(0deg);\n  transition: all ease 0.3s;\n}\n.adm-collapse-arrow-active {\n  transform: rotate(-180deg);\n}\n.adm-collapse-panel-content {\n  font-size: var(--adm-font-size-main);\n  color: var(--adm-color-weak);\n  overflow: hidden;\n}\n")();
const classPrefix$U = `adm-collapse`;
const CollapsePanel = () => {
  return null;
};
const CollapsePanelContent = (props) => {
  const {
    visible
  } = props;
  const innerRef = React$1.useRef(null);
  const shouldRender = useShouldRender(visible, props.forceRender, props.destroyOnClose);
  const [{
    height
  }, api] = web.useSpring(() => ({
    from: {
      height: 0
    },
    config: {
      precision: 0.01,
      mass: 1,
      tension: 200,
      friction: 25,
      clamp: true
    }
  }));
  ahooks.useMount(() => {
    if (!visible)
      return;
    const inner = innerRef.current;
    if (!inner)
      return;
    api.start({
      height: inner.offsetHeight,
      immediate: true
    });
  });
  useIsomorphicUpdateLayoutEffect(() => {
    const inner = innerRef.current;
    if (!inner)
      return;
    if (visible) {
      api.start({
        height: inner.offsetHeight
      });
    } else {
      api.start({
        height: inner.offsetHeight,
        immediate: true
      });
      api.start({
        height: 0
      });
    }
  }, [visible]);
  return React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$U}-panel-content`,
    style: {
      height: height.to((v2) => {
        if (height.idle && visible) {
          return "auto";
        } else {
          return v2;
        }
      })
    }
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$U}-panel-content-inner`,
    ref: innerRef
  }, React__default["default"].createElement(List.Item, null, shouldRender && props.children)));
};
const Collapse = (props) => {
  var _a;
  const panels = [];
  traverseReactNode(props.children, (child) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    panels.push(child);
  });
  const [activeKey, setActiveKey] = usePropsValue(props.accordion ? {
    value: props.activeKey === void 0 ? void 0 : props.activeKey === null ? [] : [props.activeKey],
    defaultValue: props.defaultActiveKey === void 0 || props.defaultActiveKey === null ? [] : [props.defaultActiveKey],
    onChange: (v2) => {
      var _a2, _b;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, (_b = v2[0]) !== null && _b !== void 0 ? _b : null);
    }
  } : {
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : [],
    onChange: props.onChange
  });
  const activeKeyList = activeKey === null ? [] : Array.isArray(activeKey) ? activeKey : [activeKey];
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$U
  }, React__default["default"].createElement(List, null, panels.map((panel) => {
    const key = panel.key;
    const active = activeKeyList.includes(key);
    function handleClick(event) {
      var _a2, _b;
      if (props.accordion) {
        if (active) {
          setActiveKey([]);
        } else {
          setActiveKey([key]);
        }
      } else {
        if (active) {
          setActiveKey(activeKeyList.filter((v2) => v2 !== key));
        } else {
          setActiveKey([...activeKeyList, key]);
        }
      }
      (_b = (_a2 = panel.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a2, event);
    }
    const renderArrow = () => {
      let arrow = React__default["default"].createElement(antdMobileIcons.DownOutline, null);
      if (props.arrow !== void 0) {
        arrow = props.arrow;
      }
      if (panel.props.arrow !== void 0) {
        arrow = panel.props.arrow;
      }
      return typeof arrow === "function" ? arrow(active) : React__default["default"].createElement("div", {
        className: classNames__default["default"](`${classPrefix$U}-arrow`, {
          [`${classPrefix$U}-arrow-active`]: active
        })
      }, arrow);
    };
    return React__default["default"].createElement(React__default["default"].Fragment, {
      key
    }, withNativeProps(panel.props, React__default["default"].createElement(List.Item, {
      className: `${classPrefix$U}-panel-header`,
      onClick: handleClick,
      disabled: panel.props.disabled,
      arrow: renderArrow()
    }, panel.props.title)), React__default["default"].createElement(CollapsePanelContent, {
      visible: active,
      forceRender: !!panel.props.forceRender,
      destroyOnClose: !!panel.props.destroyOnClose
    }, panel.props.children));
  }))));
};
var index$e = attachPropertiesToComponent(Collapse, {
  Panel: CollapsePanel
});
var datePicker = /* @__PURE__ */ (() => "")();
var isoWeeksInYear$1 = { exports: {} };
(function(module, exports2) {
  !function(e2, n2) {
    module.exports = n2();
  }(commonjsGlobal, function() {
    return function(e2, n2) {
      n2.prototype.isoWeeksInYear = function() {
        var e3 = this.isLeapYear(), n3 = this.endOf("y").day();
        return n3 === 4 || e3 && n3 === 5 ? 53 : 52;
      };
    };
  });
})(isoWeeksInYear$1);
var isoWeeksInYear = isoWeeksInYear$1.exports;
var isLeapYear$1 = { exports: {} };
(function(module, exports2) {
  !function(e2, t2) {
    module.exports = t2();
  }(commonjsGlobal, function() {
    return function(e2, t2) {
      t2.prototype.isLeapYear = function() {
        return this.$y % 4 == 0 && this.$y % 100 != 0 || this.$y % 400 == 0;
      };
    };
  });
})(isLeapYear$1);
var isLeapYear = isLeapYear$1.exports;
dayjs__default["default"].extend(isoWeek);
dayjs__default["default"].extend(isoWeeksInYear);
dayjs__default["default"].extend(isLeapYear);
const precisionRankRecord$1 = {
  year: 0,
  month: 1,
  day: 2,
  hour: 3,
  minute: 4,
  second: 5
};
function defaultRenderLabel$2(type, data) {
  switch (type) {
    case "minute":
    case "second":
    case "hour":
      return ("0" + data.toString()).slice(-2);
    default:
      return data.toString();
  }
}
function generateDatePickerColumns$2(selected, min, max, precision, renderLabel, filter) {
  const ret = [];
  const minYear = min.getFullYear();
  const minMonth = min.getMonth() + 1;
  const minDay = min.getDate();
  const minHour = min.getHours();
  const minMinute = min.getMinutes();
  const minSecond = min.getSeconds();
  const maxYear = max.getFullYear();
  const maxMonth = max.getMonth() + 1;
  const maxDay = max.getDate();
  const maxHour = max.getHours();
  const maxMinute = max.getMinutes();
  const maxSecond = max.getSeconds();
  const rank = precisionRankRecord$1[precision];
  const selectedYear = parseInt(selected[0]);
  const firstDayInSelectedMonth = dayjs__default["default"](convertStringArrayToDate$2([selected[0], selected[1], "1"]));
  const selectedMonth = parseInt(selected[1]);
  const selectedDay = parseInt(selected[2]);
  const selectedHour = parseInt(selected[3]);
  const selectedMinute = parseInt(selected[4]);
  const isInMinYear = selectedYear === minYear;
  const isInMaxYear = selectedYear === maxYear;
  const isInMinMonth = isInMinYear && selectedMonth === minMonth;
  const isInMaxMonth = isInMaxYear && selectedMonth === maxMonth;
  const isInMinDay = isInMinMonth && selectedDay === minDay;
  const isInMaxDay = isInMaxMonth && selectedDay === maxDay;
  const isInMinHour = isInMinDay && selectedHour === minHour;
  const isInMaxHour = isInMaxDay && selectedHour === maxHour;
  const isInMinMinute = isInMinHour && selectedMinute === minMinute;
  const isInMaxMinute = isInMaxHour && selectedMinute === maxMinute;
  const generateColumn = (from, to, precision2) => {
    let column = [];
    for (let i = from; i <= to; i++) {
      column.push(i);
    }
    const prefix = selected.slice(0, precisionRankRecord$1[precision2]);
    const currentFilter = filter === null || filter === void 0 ? void 0 : filter[precision2];
    if (currentFilter && typeof currentFilter === "function") {
      column = column.filter((i) => currentFilter(i, {
        get date() {
          const stringArray = [...prefix, i.toString()];
          return convertStringArrayToDate$2(stringArray);
        }
      }));
    }
    return column;
  };
  if (rank >= precisionRankRecord$1.year) {
    const lower = minYear;
    const upper = maxYear;
    const years = generateColumn(lower, upper, "year");
    ret.push(years.map((v2) => {
      return {
        label: renderLabel("year", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord$1.month) {
    const lower = isInMinYear ? minMonth : 1;
    const upper = isInMaxYear ? maxMonth : 12;
    const months = generateColumn(lower, upper, "month");
    ret.push(months.map((v2) => {
      return {
        label: renderLabel("month", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord$1.day) {
    const lower = isInMinMonth ? minDay : 1;
    const upper = isInMaxMonth ? maxDay : firstDayInSelectedMonth.daysInMonth();
    const days = generateColumn(lower, upper, "day");
    ret.push(days.map((v2) => {
      return {
        label: renderLabel("day", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord$1.hour) {
    const lower = isInMinDay ? minHour : 0;
    const upper = isInMaxDay ? maxHour : 23;
    const hours = generateColumn(lower, upper, "hour");
    ret.push(hours.map((v2) => {
      return {
        label: renderLabel("hour", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord$1.minute) {
    const lower = isInMinHour ? minMinute : 0;
    const upper = isInMaxHour ? maxMinute : 59;
    const minutes = generateColumn(lower, upper, "minute");
    ret.push(minutes.map((v2) => {
      return {
        label: renderLabel("minute", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord$1.second) {
    const lower = isInMinMinute ? minSecond : 0;
    const upper = isInMaxMinute ? maxSecond : 59;
    const seconds = generateColumn(lower, upper, "second");
    ret.push(seconds.map((v2) => {
      return {
        label: renderLabel("second", v2),
        value: v2.toString()
      };
    }));
  }
  return ret;
}
function convertDateToStringArray$2(date) {
  if (!date)
    return [];
  return [date.getFullYear().toString(), (date.getMonth() + 1).toString(), date.getDate().toString(), date.getHours().toString(), date.getMinutes().toString(), date.getSeconds().toString()];
}
function convertStringArrayToDate$2(value) {
  var _a, _b, _c, _d, _e, _f;
  const yearString = (_a = value[0]) !== null && _a !== void 0 ? _a : "1900";
  const monthString = (_b = value[1]) !== null && _b !== void 0 ? _b : "1";
  const dateString = (_c = value[2]) !== null && _c !== void 0 ? _c : "1";
  const hourString = (_d = value[3]) !== null && _d !== void 0 ? _d : "0";
  const minuteString = (_e = value[4]) !== null && _e !== void 0 ? _e : "0";
  const secondString = (_f = value[5]) !== null && _f !== void 0 ? _f : "0";
  return new Date(parseInt(yearString), parseInt(monthString) - 1, parseInt(dateString), parseInt(hourString), parseInt(minuteString), parseInt(secondString));
}
dayjs__default["default"].extend(isoWeek);
dayjs__default["default"].extend(isoWeeksInYear);
dayjs__default["default"].extend(isLeapYear);
const precisionRankRecord = {
  year: 0,
  week: 1,
  "week-day": 2
};
function defaultRenderLabel$1(type, data) {
  return data.toString();
}
function generateDatePickerColumns$1(selected, min, max, precision, renderLabel, filter) {
  const ret = [];
  const minYear = min.getFullYear();
  const maxYear = max.getFullYear();
  const rank = precisionRankRecord[precision];
  const selectedYear = parseInt(selected[0]);
  const isInMinYear = selectedYear === minYear;
  const isInMaxYear = selectedYear === maxYear;
  const minDay = dayjs__default["default"](min);
  const maxDay = dayjs__default["default"](max);
  const minWeek = minDay.isoWeek();
  const maxWeek = maxDay.isoWeek();
  const minWeekday = minDay.isoWeekday();
  const maxWeekday = maxDay.isoWeekday();
  const selectedWeek = parseInt(selected[1]);
  const isInMinWeek = isInMinYear && selectedWeek === minWeek;
  const isInMaxWeek = isInMaxYear && selectedWeek === maxWeek;
  const selectedYearWeeks = dayjs__default["default"](`${selectedYear}-01-01`).isoWeeksInYear();
  const generateColumn = (from, to, precision2) => {
    let column = [];
    for (let i = from; i <= to; i++) {
      column.push(i);
    }
    const prefix = selected.slice(0, precisionRankRecord[precision2]);
    const currentFilter = filter === null || filter === void 0 ? void 0 : filter[precision2];
    if (currentFilter && typeof currentFilter === "function") {
      column = column.filter((i) => currentFilter(i, {
        get date() {
          const stringArray = [...prefix, i.toString()];
          return convertStringArrayToDate$1(stringArray);
        }
      }));
    }
    return column;
  };
  if (rank >= precisionRankRecord.year) {
    const lower = minYear;
    const upper = maxYear;
    const years = generateColumn(lower, upper, "year");
    ret.push(years.map((v2) => {
      return {
        label: renderLabel("year", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord.week) {
    const lower = isInMinYear ? minWeek : 1;
    const upper = isInMaxYear ? maxWeek : selectedYearWeeks;
    const weeks = generateColumn(lower, upper, "week");
    ret.push(weeks.map((v2) => {
      return {
        label: renderLabel("week", v2),
        value: v2.toString()
      };
    }));
  }
  if (rank >= precisionRankRecord["week-day"]) {
    const lower = isInMinWeek ? minWeekday : 1;
    const upper = isInMaxWeek ? maxWeekday : 7;
    const weeks = generateColumn(lower, upper, "week-day");
    ret.push(weeks.map((v2) => {
      return {
        label: renderLabel("week-day", v2),
        value: v2.toString()
      };
    }));
  }
  return ret;
}
function convertDateToStringArray$1(date) {
  if (!date)
    return [];
  const day = dayjs__default["default"](date);
  return [day.isoWeekYear().toString(), day.isoWeek().toString(), day.isoWeekday().toString()];
}
function convertStringArrayToDate$1(value) {
  var _a, _b, _c;
  const yearString = (_a = value[0]) !== null && _a !== void 0 ? _a : "1900";
  const weekString = (_b = value[1]) !== null && _b !== void 0 ? _b : "1";
  const weekdayString = (_c = value[2]) !== null && _c !== void 0 ? _c : "1";
  const day = dayjs__default["default"]().year(parseInt(yearString)).isoWeek(parseInt(weekString)).isoWeekday(parseInt(weekdayString)).hour(0).minute(0).second(0);
  return day.toDate();
}
const precisionLengthRecord = {
  year: 1,
  month: 2,
  day: 3,
  hour: 4,
  minute: 5,
  second: 6
};
const convertDateToStringArray = (date, precision) => {
  if (precision.includes("week")) {
    return convertDateToStringArray$1(date);
  } else {
    const datePrecision = precision;
    const stringArray = convertDateToStringArray$2(date);
    return stringArray.slice(0, precisionLengthRecord[datePrecision]);
  }
};
const convertStringArrayToDate = (value, precision) => {
  if (precision.includes("week")) {
    return convertStringArrayToDate$1(value);
  } else {
    return convertStringArrayToDate$2(value);
  }
};
const generateDatePickerColumns = (selected, min, max, precision, renderLabel, filter) => {
  if (precision.startsWith("week")) {
    return generateDatePickerColumns$1(selected, min, max, precision, renderLabel, filter);
  } else {
    return generateDatePickerColumns$2(selected, min, max, precision, renderLabel, filter);
  }
};
const defaultRenderLabel = (precision, data) => {
  if (precision.includes("week")) {
    return defaultRenderLabel$1(precision, data);
  } else {
    return defaultRenderLabel$2(precision, data);
  }
};
const thisYear$1 = new Date().getFullYear();
const defaultProps$K = {
  min: new Date(new Date().setFullYear(thisYear$1 - 10)),
  max: new Date(new Date().setFullYear(thisYear$1 + 10)),
  precision: "day",
  renderLabel: defaultRenderLabel,
  defaultValue: null
};
const DatePicker = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$K, p2);
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: props.defaultValue,
    onChange: (v2) => {
      var _a;
      if (v2 === null)
        return;
      (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props, v2);
    }
  });
  const now = React$1.useMemo(() => new Date(), []);
  const pickerValue = React$1.useMemo(() => {
    let date = value !== null && value !== void 0 ? value : now;
    date = new Date(bound(date.getTime(), props.min.getTime(), props.max.getTime()));
    return convertDateToStringArray(date, props.precision);
  }, [value, props.precision, props.min, props.max]);
  const onConfirm = React$1.useCallback((val) => {
    setValue(convertStringArrayToDate(val, props.precision), true);
  }, [setValue, props.precision]);
  const onSelect = ahooks.useMemoizedFn((val) => {
    var _a;
    const date = convertStringArrayToDate(val, props.precision);
    (_a = props.onSelect) === null || _a === void 0 ? void 0 : _a.call(props, date);
  });
  const columns = React$1.useCallback((selected) => generateDatePickerColumns(selected, props.min, props.max, props.precision, props.renderLabel, props.filter), [props.min, props.max, props.precision, props.renderLabel]);
  return withNativeProps(props, React__default["default"].createElement(Picker, {
    ref,
    columns,
    value: pickerValue,
    onCancel: props.onCancel,
    onClose: props.onClose,
    closeOnMaskClick: props.closeOnMaskClick,
    visible: props.visible,
    confirmText: props.confirmText,
    cancelText: props.cancelText,
    onConfirm,
    onSelect,
    getContainer: props.getContainer,
    loading: props.loading,
    loadingContent: props.loadingContent,
    afterShow: props.afterShow,
    afterClose: props.afterClose,
    onClick: props.onClick,
    title: props.title,
    stopPropagation: props.stopPropagation,
    mouseWheel: props.mouseWheel,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender
  }, (_, actions) => {
    var _a;
    return (_a = props.children) === null || _a === void 0 ? void 0 : _a.call(props, value, actions);
  }));
});
function prompt(props) {
  return new Promise((resolve) => {
    const Wrapper2 = () => {
      const [visible, setVisible] = React$1.useState(false);
      React$1.useEffect(() => {
        setVisible(true);
      }, []);
      return React__default["default"].createElement(DatePicker, Object.assign({}, props, {
        visible,
        onConfirm: (val) => {
          var _a;
          (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props, val);
          resolve(val);
        },
        onClose: () => {
          var _a;
          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          setVisible(false);
          resolve(null);
        },
        afterClose: () => {
          var _a;
          (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
          unmount2();
        }
      }));
    };
    const unmount2 = renderToBody(React__default["default"].createElement(Wrapper2, null));
  });
}
var index$d = attachPropertiesToComponent(DatePicker, {
  prompt
});
const thisYear = new Date().getFullYear();
const defaultProps$J = {
  min: new Date(new Date().setFullYear(thisYear - 10)),
  max: new Date(new Date().setFullYear(thisYear + 10)),
  precision: "day",
  renderLabel: defaultRenderLabel
};
const DatePickerView = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$J, p2);
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: (_a = props.defaultValue) !== null && _a !== void 0 ? _a : null
  });
  const pickerValue = React$1.useMemo(() => convertDateToStringArray(value, props.precision), [value, props.precision]);
  const onChange = React$1.useCallback((val) => {
    var _a2;
    const date = convertStringArrayToDate(val, props.precision);
    if (date) {
      setValue(date);
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, date);
    }
  }, [props.onChange, props.precision]);
  return withNativeProps(props, React__default["default"].createElement(PickerView, {
    columns: (selected) => generateDatePickerColumns(selected, props.min, props.max, props.precision, props.renderLabel, props.filter),
    loading: props.loading,
    loadingContent: props.loadingContent,
    value: pickerValue,
    mouseWheel: props.mouseWheel,
    onChange
  }));
};
var dialog = /* @__PURE__ */ (() => ".adm-dialog {\n  --z-index: var(--adm-dialog-z-index, 1000);\n  ---z-index: var(--z-index);\n}\n.adm-dialog .adm-center-popup {\n  --z-index: var(---z-index);\n}\n.adm-dialog-body {\n  width: 100%;\n  max-height: 70vh;\n  font-size: var(--adm-font-size-6);\n  overflow: hidden;\n  display: flex;\n  flex-direction: column;\n}\n.adm-dialog-body > * {\n  flex: none;\n}\n.adm-dialog-body > .adm-dialog-content {\n  flex: auto;\n}\n.adm-dialog-body:not(.adm-dialog-with-image) {\n  padding-top: 20px;\n}\n.adm-dialog-image-container {\n  margin-bottom: 12px;\n  max-height: 40vh;\n}\n.adm-dialog-header {\n  margin-bottom: 8px;\n  padding: 0 12px;\n}\n.adm-dialog-title {\n  margin-bottom: 8px;\n  padding: 0 12px;\n  font-weight: bold;\n  font-size: var(--adm-font-size-10);\n  line-height: 25px;\n  text-align: center;\n}\n.adm-dialog-content {\n  padding: 0 12px 20px;\n  max-height: 70vh;\n  overflow-x: hidden;\n  overflow-y: auto;\n  font-size: var(--adm-font-size-7);\n  line-height: 1.4;\n  color: var(--adm-color-text);\n}\n.adm-dialog-content-empty {\n  padding: 0;\n  height: 12px;\n}\n.adm-dialog-footer {\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-dialog-footer .adm-dialog-action-row {\n  display: flex;\n  align-items: stretch;\n  border-top: 0.5px solid var(--adm-color-border);\n}\n.adm-dialog-footer .adm-dialog-action-row > * {\n  flex: 1;\n}\n.adm-dialog-footer .adm-dialog-action-row > .adm-dialog-button {\n  padding: 10px;\n  font-size: var(--adm-font-size-10);\n  line-height: 25px;\n  border-radius: 0;\n  border-right: solid 0.5px var(--adm-color-border);\n}\n.adm-dialog-footer .adm-dialog-action-row > .adm-dialog-button-bold {\n  font-weight: bold;\n}\n.adm-dialog-footer .adm-dialog-action-row > .adm-dialog-button:last-child {\n  border-right: none;\n}\n.adm-dialog-image-container {\n  overflow-y: auto;\n}\n")();
const DialogActionButton = (props) => {
  const {
    action
  } = props;
  return withNativeProps(props.action, React__default["default"].createElement(Button, {
    key: action.key,
    onClick: props.onAction,
    className: classNames__default["default"]("adm-dialog-button", {
      "adm-dialog-button-bold": action.bold
    }),
    fill: "none",
    shape: "rectangular",
    block: true,
    color: action.danger ? "danger" : "primary",
    loading: "auto",
    disabled: action.disabled
  }, action.text));
};
var image = /* @__PURE__ */ (() => ".adm-image {\n  --width: var(--adm-image-width, auto);\n  --height: var(--adm-image-height, auto);\n  width: var(--width);\n  height: var(--height);\n  display: block;\n  overflow: hidden;\n}\n.adm-image-img {\n  width: 100%;\n  height: 100%;\n}\n.adm-image-tip {\n  position: relative;\n  background-color: var(--adm-color-box);\n  height: 100%;\n  min-height: 24px;\n  min-width: 24px;\n}\n.adm-image-tip > svg {\n  width: 24px;\n  height: 24px;\n  position: absolute;\n  left: 50%;\n  top: 50%;\n  transform: translate(-50%, -50%);\n  color: var(--adm-color-weak);\n}\n")();
function toCSSLength(val) {
  return typeof val === "number" ? `${val}px` : val;
}
const LazyDetector = (props) => {
  const ref = React$1.useRef(null);
  const [inViewport] = ahooks.useInViewport(ref);
  React$1.useEffect(() => {
    if (inViewport) {
      props.onActive();
    }
  }, [inViewport]);
  return React__default["default"].createElement("div", {
    ref
  });
};
const ImageIcon = () => React__default["default"].createElement("svg", {
  viewBox: "0 0 48 48",
  xmlns: "http://www.w3.org/2000/svg"
}, React__default["default"].createElement("path", {
  d: "M41.396 6.234c1.923 0 3.487 1.574 3.487 3.505v29.14c0 1.937-1.568 3.51-3.491 3.51H6.604c-1.923 0-3.487-1.573-3.487-3.51V9.745c0-1.936 1.564-3.51 3.487-3.51Zm0 2.847H6.604c-.355 0-.654.3-.654.658V34.9l5.989-8.707a2.373 2.373 0 0 1 1.801-1.005 2.405 2.405 0 0 1 1.933.752l4.182 4.525 7.58-11.005a2.374 2.374 0 0 1 1.96-1.01c.79 0 1.532.38 1.966 1.01L42.05 34.89V9.74a.664.664 0 0 0-.654-.658Zm-28.305 2.763a3.119 3.119 0 0 1 3.117 3.117 3.119 3.119 0 0 1-3.117 3.117 3.122 3.122 0 0 1-3.117-3.117 3.119 3.119 0 0 1 3.117-3.117Z",
  fill: "#DBDBDB",
  fillRule: "nonzero"
}));
const BrokenImageIcon = () => React__default["default"].createElement("svg", {
  viewBox: "0 0 48 48",
  xmlns: "http://www.w3.org/2000/svg"
}, React__default["default"].createElement("path", {
  d: "M19.233 6.233 17.42 9.08l-10.817.001a.665.665 0 0 0-.647.562l-.007.096V34.9l5.989-8.707a2.373 2.373 0 0 1 1.801-1.005 2.415 2.415 0 0 1 1.807.625l.126.127 4.182 4.525 2.267-3.292 5.461 7.841-4.065 7.375H6.604c-1.86 0-3.382-1.47-3.482-3.317l-.005-.192V9.744c0-1.872 1.461-3.405 3.296-3.505l.19-.005h12.63Zm22.163 0c1.86 0 3.382 1.472 3.482 3.314l.005.192v29.14a3.507 3.507 0 0 1-3.3 3.505l-.191.006H27.789l3.63-6.587.06-.119a1.87 1.87 0 0 0-.163-1.853l-6.928-9.949 3.047-4.422a2.374 2.374 0 0 1 1.96-1.01 2.4 2.4 0 0 1 1.86.87l.106.14L42.05 34.89V9.74a.664.664 0 0 0-.654-.658H21.855l1.812-2.848h17.73Zm-28.305 5.611c.794 0 1.52.298 2.07.788l-.843 1.325-.067.114a1.87 1.87 0 0 0 .11 1.959l.848 1.217c-.556.515-1.3.83-2.118.83a3.122 3.122 0 0 1-3.117-3.116 3.119 3.119 0 0 1 3.117-3.117Z",
  fill: "#DBDBDB",
  fillRule: "nonzero"
}));
const classPrefix$T = `adm-image`;
const defaultProps$I = {
  fit: "fill",
  placeholder: React__default["default"].createElement("div", {
    className: `${classPrefix$T}-tip`
  }, React__default["default"].createElement(ImageIcon, null)),
  fallback: React__default["default"].createElement("div", {
    className: `${classPrefix$T}-tip`
  }, React__default["default"].createElement(BrokenImageIcon, null)),
  lazy: false,
  draggable: false
};
const Image$1 = stagedComponents.staged((p2) => {
  const props = mergeProps(defaultProps$I, p2);
  const [loaded, setLoaded] = React$1.useState(false);
  const [failed, setFailed] = React$1.useState(false);
  const ref = React$1.useRef(null);
  let src = props.src;
  let srcSet = props.srcSet;
  const [initialized, setInitialized] = React$1.useState(!props.lazy);
  src = initialized ? props.src : void 0;
  srcSet = initialized ? props.srcSet : void 0;
  useIsomorphicUpdateLayoutEffect(() => {
    setLoaded(false);
    setFailed(false);
  }, [src]);
  function renderInner() {
    if (failed) {
      return React__default["default"].createElement(React__default["default"].Fragment, null, props.fallback);
    }
    const img = React__default["default"].createElement("img", {
      className: `${classPrefix$T}-img`,
      src,
      alt: props.alt,
      onClick: props.onClick,
      onLoad: (e2) => {
        var _a;
        setLoaded(true);
        (_a = props.onLoad) === null || _a === void 0 ? void 0 : _a.call(props, e2);
      },
      onError: (e2) => {
        var _a;
        setFailed(true);
        (_a = props.onError) === null || _a === void 0 ? void 0 : _a.call(props, e2);
      },
      style: {
        objectFit: props.fit,
        display: loaded ? "block" : "none"
      },
      crossOrigin: props.crossOrigin,
      decoding: props.decoding,
      loading: props.loading,
      referrerPolicy: props.referrerPolicy,
      sizes: props.sizes,
      srcSet,
      useMap: props.useMap,
      draggable: props.draggable
    });
    return React__default["default"].createElement(React__default["default"].Fragment, null, !loaded && props.placeholder, img);
  }
  const style = {};
  if (props.width) {
    style["--width"] = toCSSLength(props.width);
    style["width"] = toCSSLength(props.width);
  }
  if (props.height) {
    style["--height"] = toCSSLength(props.height);
    style["height"] = toCSSLength(props.height);
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    ref,
    className: classPrefix$T,
    style,
    onClick: props.onContainerClick
  }, props.lazy && !initialized && React__default["default"].createElement(LazyDetector, {
    onActive: () => {
      setInitialized(true);
    }
  }), renderInner()));
});
const defaultProps$H = {
  actions: [],
  closeOnAction: false,
  closeOnMaskClick: false,
  getContainer: null
};
const Dialog = (p2) => {
  const props = mergeProps(defaultProps$H, p2);
  const element = React__default["default"].createElement(React__default["default"].Fragment, null, !!props.image && React__default["default"].createElement("div", {
    className: cls$1("image-container")
  }, React__default["default"].createElement(Image$1, {
    src: props.image,
    alt: "dialog header image",
    width: "100%"
  })), !!props.header && React__default["default"].createElement("div", {
    className: cls$1("header")
  }, React__default["default"].createElement(AutoCenter, null, props.header)), !!props.title && React__default["default"].createElement("div", {
    className: cls$1("title")
  }, props.title), React__default["default"].createElement("div", {
    className: classNames__default["default"](cls$1("content"), !props.content && cls$1("content-empty"))
  }, typeof props.content === "string" ? React__default["default"].createElement(AutoCenter, null, props.content) : props.content), React__default["default"].createElement("div", {
    className: cls$1("footer")
  }, props.actions.map((row, index2) => {
    const actions = Array.isArray(row) ? row : [row];
    return React__default["default"].createElement("div", {
      className: cls$1("action-row"),
      key: index2
    }, actions.map((action, index3) => React__default["default"].createElement(DialogActionButton, {
      key: action.key,
      action,
      onAction: () => tslib.__awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c;
        yield Promise.all([(_a = action.onClick) === null || _a === void 0 ? void 0 : _a.call(action), (_b = props.onAction) === null || _b === void 0 ? void 0 : _b.call(props, action, index3)]);
        if (props.closeOnAction) {
          (_c = props.onClose) === null || _c === void 0 ? void 0 : _c.call(props);
        }
      })
    })));
  })));
  return React__default["default"].createElement(CenterPopup, {
    className: classNames__default["default"](cls$1(), props.className),
    style: props.style,
    afterClose: props.afterClose,
    afterShow: props.afterShow,
    onMaskClick: props.closeOnMaskClick ? () => {
      var _a;
      (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
    } : void 0,
    visible: props.visible,
    getContainer: props.getContainer,
    bodyStyle: props.bodyStyle,
    bodyClassName: classNames__default["default"](cls$1("body"), props.image && cls$1("with-image"), props.bodyClassName),
    maskStyle: props.maskStyle,
    maskClassName: props.maskClassName,
    stopPropagation: props.stopPropagation,
    disableBodyScroll: props.disableBodyScroll,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender,
    role: "dialog",
    "aria-label": props["aria-label"]
  }, element);
};
function cls$1(name = "") {
  return "adm-dialog" + (name && "-") + name;
}
const closeFnSet$1 = /* @__PURE__ */ new Set();
function show$2(props) {
  const handler = renderImperatively(React__default["default"].createElement(Dialog, Object.assign({}, props, {
    afterClose: () => {
      var _a;
      closeFnSet$1.delete(handler.close);
      (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  })));
  closeFnSet$1.add(handler.close);
  return handler;
}
function alert$1(p2) {
  const defaultProps2 = {
    confirmText: getDefaultConfig().locale.Dialog.ok
  };
  const props = mergeProps(defaultProps2, p2);
  return new Promise((resolve) => {
    show$2(Object.assign(Object.assign({}, props), {
      closeOnAction: true,
      actions: [{
        key: "confirm",
        text: props.confirmText
      }],
      onAction: props.onConfirm,
      onClose: () => {
        var _a;
        (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
        resolve();
      }
    }));
  });
}
const defaultProps$G = {
  confirmText: "\u786E\u8BA4",
  cancelText: "\u53D6\u6D88"
};
function confirm$1(p2) {
  const {
    locale
  } = getDefaultConfig();
  const props = mergeProps(defaultProps$G, {
    confirmText: locale.common.confirm,
    cancelText: locale.common.cancel
  }, p2);
  return new Promise((resolve) => {
    show$2(Object.assign(Object.assign({}, props), {
      closeOnAction: true,
      onClose: () => {
        var _a;
        (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
        resolve(false);
      },
      actions: [[{
        key: "cancel",
        text: props.cancelText,
        onClick: () => tslib.__awaiter(this, void 0, void 0, function* () {
          var _a;
          yield (_a = props.onCancel) === null || _a === void 0 ? void 0 : _a.call(props);
          resolve(false);
        })
      }, {
        key: "confirm",
        text: props.confirmText,
        bold: true,
        onClick: () => tslib.__awaiter(this, void 0, void 0, function* () {
          var _b;
          yield (_b = props.onConfirm) === null || _b === void 0 ? void 0 : _b.call(props);
          resolve(true);
        })
      }]]
    }));
  });
}
function clear$2() {
  closeFnSet$1.forEach((close) => {
    close();
  });
}
var index$c = attachPropertiesToComponent(Dialog, {
  show: show$2,
  alert: alert$1,
  confirm: confirm$1,
  clear: clear$2
});
var divider = /* @__PURE__ */ (() => ".adm-divider-horizontal {\n  display: flex;\n  align-items: center;\n  margin: 16px 0;\n  border-width: 0;\n  border-color: var(--adm-color-border);\n  border-style: solid;\n  color: var(--adm-color-weak);\n  font-size: 14px;\n}\n.adm-divider-left.adm-divider-horizontal::before {\n  max-width: 10%;\n}\n.adm-divider-right.adm-divider-horizontal::after {\n  max-width: 10%;\n}\n.adm-divider-horizontal::after,\n.adm-divider-horizontal::before {\n  flex: auto;\n  display: block;\n  content: '';\n  border-style: inherit;\n  border-color: inherit;\n  border-width: 1px 0 0;\n}\n.adm-divider-horizontal .adm-divider-content {\n  flex: none;\n  padding: 0 16px;\n}\n.adm-divider-vertical {\n  position: relative;\n  top: -0.06em;\n  display: inline-block;\n  height: 0.9em;\n  margin: 0 16px;\n  vertical-align: middle;\n  border-top: 0;\n  border-left: 1px solid var(--adm-color-border);\n}\n")();
const classPrefix$S = `adm-divider`;
const defaultProps$F = {
  contentPosition: "center",
  direction: "horizontal"
};
const Divider = (p2) => {
  const props = mergeProps(defaultProps$F, p2);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$S, `${classPrefix$S}-${props.direction}`, `${classPrefix$S}-${props.contentPosition}`)
  }, props.children && React__default["default"].createElement("div", {
    className: `${classPrefix$S}-content`
  }, props.children)));
};
var dropdown = /* @__PURE__ */ (() => ".adm-dropdown {\n  background-color: var(--adm-color-background);\n}\n.adm-dropdown .adm-dropdown-nav {\n  display: flex;\n  border-bottom: 1px solid transparent;\n}\n.adm-dropdown-open .adm-dropdown-nav {\n  border-bottom-color: var(--adm-color-border);\n}\n.adm-dropdown-item {\n  display: flex;\n  flex: 1;\n  justify-content: center;\n  min-width: 0;\n  cursor: pointer;\n}\n.adm-dropdown-item .adm-dropdown-item-title {\n  display: flex;\n  align-items: center;\n  position: relative;\n  max-width: 100%;\n  font-size: var(--adm-font-size-main);\n  padding: 12px;\n}\n.adm-dropdown-item .adm-dropdown-item-title-text {\n  margin-right: 5px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n}\n.adm-dropdown-item .adm-dropdown-item-title-arrow {\n  color: var(--adm-color-light);\n  font-size: 9px;\n  transform: rotate(0deg) translateY(1px);\n  transition: all ease 0.2s;\n}\n.adm-dropdown-item .adm-dropdown-item-title-arrow-active {\n  transform: rotate(-180deg) translateY(-1px);\n}\n.adm-dropdown-item .adm-dropdown-item-title:active {\n  opacity: 0.7;\n}\n.adm-dropdown-item-highlight {\n  color: var(--adm-color-primary);\n}\n.adm-dropdown-item-active .adm-dropdown-item-title:after {\n  margin-top: -1px;\n  transform: rotate(135deg);\n}\n.adm-dropdown-item-content {\n  width: 100%;\n  background: var(--adm-color-background);\n}\n.adm-dropdown-item-content-hidden {\n  display: none;\n}\n.adm-dropdown-popup {\n  position: fixed;\n  overflow: hidden;\n  width: 100%;\n  right: 0;\n  bottom: 0;\n  left: 0;\n}\n.adm-dropdown-popup .adm-dropdown-popup-mask {\n  position: absolute;\n}\n.adm-dropdown-popup .adm-dropdown-popup-body {\n  position: absolute;\n}\n")();
const classPrefix$R = `adm-dropdown-item`;
const Item = (props) => {
  var _a;
  const cls2 = classNames__default["default"](classPrefix$R, {
    [`${classPrefix$R}-active`]: props.active,
    [`${classPrefix$R}-highlight`]: (_a = props.highlight) !== null && _a !== void 0 ? _a : props.active
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: cls2,
    onClick: props.onClick
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$R}-title`
  }, React__default["default"].createElement("span", {
    className: `${classPrefix$R}-title-text`
  }, props.title), React__default["default"].createElement("span", {
    className: classNames__default["default"](`${classPrefix$R}-title-arrow`, {
      [`${classPrefix$R}-title-arrow-active`]: props.active
    })
  }, props.arrow === void 0 ? React__default["default"].createElement(antdMobileIcons.DownFill, null) : props.arrow))));
};
const ItemChildrenWrap = (props) => {
  const {
    active = false
  } = props;
  const shouldRender = useShouldRender(active, props.forceRender, props.destroyOnClose);
  const cls2 = classNames__default["default"](`${classPrefix$R}-content`, {
    [`${classPrefix$R}-content-hidden`]: !active
  });
  return shouldRender ? React__default["default"].createElement("div", {
    className: cls2,
    onClick: props.onClick
  }, props.children) : null;
};
const classPrefix$Q = `adm-dropdown`;
const defaultProps$E = {
  defaultActiveKey: null,
  closeOnMaskClick: true,
  closeOnClickAway: false
};
const Dropdown = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$E, p2);
  const [value, setValue] = usePropsValue({
    value: props.activeKey,
    defaultValue: props.defaultActiveKey,
    onChange: props.onChange
  });
  const navRef = React$1.useRef(null);
  const contentRef = React$1.useRef(null);
  ahooks.useClickAway(() => {
    if (!props.closeOnClickAway)
      return;
    setValue(null);
  }, [navRef, contentRef]);
  const [top, setTop] = React$1.useState();
  const containerRef = React$1.useRef(null);
  React$1.useEffect(() => {
    const container = containerRef.current;
    if (!container)
      return;
    if (value) {
      const rect = container.getBoundingClientRect();
      setTop(rect.bottom);
    }
  }, [value]);
  const changeActive = (key) => {
    if (value === key) {
      setValue(null);
    } else {
      setValue(key);
    }
  };
  let popupForceRender = false;
  const items = [];
  const navs = React__default["default"].Children.map(props.children, (child) => {
    if (React__default["default"].isValidElement(child)) {
      const childProps = Object.assign(Object.assign({}, child.props), {
        onClick: () => {
          changeActive(child.key);
        },
        active: child.key === value,
        arrow: child.props.arrow === void 0 ? props.arrow : child.props.arrow
      });
      items.push(child);
      if (child.props.forceRender)
        popupForceRender = true;
      return React$1.cloneElement(child, childProps);
    } else {
      return child;
    }
  });
  React$1.useImperativeHandle(ref, () => ({
    close: () => {
      setValue(null);
    }
  }), [setValue]);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$Q, {
      [`${classPrefix$Q}-open`]: !!value
    }),
    ref: containerRef
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$Q}-nav`,
    ref: navRef
  }, navs), React__default["default"].createElement(Popup, {
    visible: !!value,
    position: "top",
    className: `${classPrefix$Q}-popup`,
    maskClassName: `${classPrefix$Q}-popup-mask`,
    bodyClassName: `${classPrefix$Q}-popup-body`,
    style: {
      top
    },
    forceRender: popupForceRender,
    onMaskClick: props.closeOnMaskClick ? () => {
      changeActive(null);
    } : void 0
  }, React__default["default"].createElement("div", {
    ref: contentRef
  }, items.map((item) => {
    const isActive = item.key === value;
    return React__default["default"].createElement(ItemChildrenWrap, {
      key: item.key,
      active: isActive,
      forceRender: item.props.forceRender,
      destroyOnClose: item.props.destroyOnClose
    }, item.props.children);
  })))));
});
var index$b = attachPropertiesToComponent(Dropdown, {
  Item
});
var ellipsis = /* @__PURE__ */ (() => ".adm-ellipsis {\n  overflow: hidden;\n  line-height: 1.5;\n}\n")();
const classPrefix$P = `adm-ellipsis`;
const defaultProps$D = {
  direction: "end",
  rows: 1,
  expandText: "",
  collapseText: "",
  stopPropagationForActionButtons: [],
  onContentClick: () => {
  }
};
const Ellipsis = (p2) => {
  const props = mergeProps(defaultProps$D, p2);
  const rootRef = React$1.useRef(null);
  const [ellipsised, setEllipsised] = React$1.useState({});
  const [expanded, setExpanded] = React$1.useState(false);
  const [exceeded, setExceeded] = React$1.useState(false);
  function calcEllipsised() {
    const root2 = rootRef.current;
    if (!root2)
      return;
    const originStyle = window.getComputedStyle(root2);
    const container = document.createElement("div");
    const styleNames = Array.prototype.slice.apply(originStyle);
    styleNames.forEach((name) => {
      container.style.setProperty(name, originStyle.getPropertyValue(name));
    });
    container.style.position = "fixed";
    container.style.left = "999999px";
    container.style.top = "999999px";
    container.style.zIndex = "-1000";
    container.style.height = "auto";
    container.style.minHeight = "auto";
    container.style.maxHeight = "auto";
    container.style.textOverflow = "clip";
    container.style.whiteSpace = "normal";
    container.style.webkitLineClamp = "unset";
    container.style.display = "block";
    const lineHeight = pxToNumber(originStyle.lineHeight);
    const maxHeight = Math.floor(lineHeight * (props.rows + 0.5) + pxToNumber(originStyle.paddingTop) + pxToNumber(originStyle.paddingBottom));
    container.innerText = props.content;
    document.body.appendChild(container);
    if (container.offsetHeight <= maxHeight) {
      setExceeded(false);
    } else {
      let check = function(left, right) {
        if (right - left <= 1) {
          if (props.direction === "end") {
            return {
              leading: props.content.slice(0, left) + "..."
            };
          } else {
            return {
              tailing: "..." + props.content.slice(right, end)
            };
          }
        }
        const middle2 = Math.round((left + right) / 2);
        if (props.direction === "end") {
          container.innerText = props.content.slice(0, middle2) + "..." + actionText;
        } else {
          container.innerText = actionText + "..." + props.content.slice(middle2, end);
        }
        if (container.offsetHeight <= maxHeight) {
          if (props.direction === "end") {
            return check(middle2, right);
          } else {
            return check(left, middle2);
          }
        } else {
          if (props.direction === "end") {
            return check(left, middle2);
          } else {
            return check(middle2, right);
          }
        }
      }, checkMiddle = function(leftPart, rightPart) {
        if (leftPart[1] - leftPart[0] <= 1 && rightPart[1] - rightPart[0] <= 1) {
          return {
            leading: props.content.slice(0, leftPart[0]) + "...",
            tailing: "..." + props.content.slice(rightPart[1], end)
          };
        }
        const leftPartMiddle = Math.floor((leftPart[0] + leftPart[1]) / 2);
        const rightPartMiddle = Math.ceil((rightPart[0] + rightPart[1]) / 2);
        container.innerText = props.content.slice(0, leftPartMiddle) + "..." + actionText + "..." + props.content.slice(rightPartMiddle, end);
        if (container.offsetHeight <= maxHeight) {
          return checkMiddle([leftPartMiddle, leftPart[1]], [rightPart[0], rightPartMiddle]);
        } else {
          return checkMiddle([leftPart[0], leftPartMiddle], [rightPartMiddle, rightPart[1]]);
        }
      };
      setExceeded(true);
      const end = props.content.length;
      const actionText = expanded ? props.collapseText : props.expandText;
      const middle = Math.floor((0 + end) / 2);
      const ellipsised2 = props.direction === "middle" ? checkMiddle([0, middle], [middle, end]) : check(0, end);
      setEllipsised(ellipsised2);
    }
    document.body.removeChild(container);
  }
  useResizeEffect(calcEllipsised, rootRef);
  ahooks.useIsomorphicLayoutEffect(() => {
    calcEllipsised();
  }, [props.content, props.direction, props.rows, props.expandText, props.collapseText]);
  const expandActionElement = exceeded && props.expandText ? withStopPropagation(props.stopPropagationForActionButtons, React__default["default"].createElement("a", {
    onClick: () => {
      setExpanded(true);
    }
  }, props.expandText)) : null;
  const collapseActionElement = exceeded && props.expandText ? withStopPropagation(props.stopPropagationForActionButtons, React__default["default"].createElement("a", {
    onClick: () => {
      setExpanded(false);
    }
  }, props.collapseText)) : null;
  const renderContent = () => {
    if (!exceeded) {
      return props.content;
    }
    if (expanded) {
      return React__default["default"].createElement(React__default["default"].Fragment, null, props.content, collapseActionElement);
    } else {
      return React__default["default"].createElement(React__default["default"].Fragment, null, ellipsised.leading, expandActionElement, ellipsised.tailing);
    }
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    ref: rootRef,
    className: classPrefix$P,
    onClick: (e2) => {
      if (e2.target === e2.currentTarget) {
        props.onContentClick(e2);
      }
    }
  }, renderContent()));
};
function pxToNumber(value) {
  if (!value)
    return 0;
  const match = value.match(/^\d*(\.\d*)?/);
  return match ? Number(match[0]) : 0;
}
var empty = /* @__PURE__ */ (() => ".adm-empty {\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  justify-content: center;\n  padding: 24px 0;\n}\n.adm-empty-image-container {\n  display: flex;\n  justify-content: center;\n}\n.adm-empty-image-container .adm-empty-image {\n  width: 64px;\n  height: intrinsic;\n}\n.adm-empty-description {\n  margin-top: 8px;\n  font-size: var(--adm-font-size-6);\n  color: var(--adm-color-light);\n}\n")();
const EmptyIcon = (props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    viewBox: "0 0 64 41"
  }, React__default["default"].createElement("g", {
    transform: "translate(0 1)",
    fill: "none",
    fillRule: "evenodd"
  }, React__default["default"].createElement("ellipse", {
    fill: "#f5f5f5",
    cx: "32",
    cy: "33",
    rx: "32",
    ry: "7"
  }), React__default["default"].createElement("g", {
    stroke: "#d9d9d9"
  }, React__default["default"].createElement("path", {
    d: "M55 12.76L44.854 1.258C44.367.474 43.656 0 42.907 0H21.093c-.749 0-1.46.474-1.947 1.257L9 12.761V22h46v-9.24z"
  }), React__default["default"].createElement("path", {
    d: "M41.613 15.931c0-1.605.994-2.93 2.227-2.931H55v18.137C55 33.26 53.68 35 52.05 35h-40.1C10.32 35 9 33.259 9 31.137V13h11.16c1.233 0 2.227 1.323 2.227 2.928v.022c0 1.605 1.005 2.901 2.237 2.901h14.752c1.232 0 2.237-1.308 2.237-2.913v-.007z",
    fill: "#fafafa"
  })))));
};
const classPrefix$O = `adm-empty`;
const Empty = (props) => {
  function renderImageNode() {
    const {
      image: image2
    } = props;
    if (image2 === void 0) {
      return React__default["default"].createElement(EmptyIcon, {
        className: `${classPrefix$O}-image`,
        style: props.imageStyle
      });
    }
    if (typeof image2 === "string") {
      return React__default["default"].createElement("img", {
        className: `${classPrefix$O}-image`,
        style: props.imageStyle,
        src: image2,
        alt: "empty"
      });
    }
    return image2;
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$O
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$O}-image-container`
  }, renderImageNode()), props.description && React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$O}-description`)
  }, props.description)));
};
var errorBlock = /* @__PURE__ */ (() => ".adm-error-block {\n  --color: var(--adm-color-text);\n  --image-height: var(--adm-error-block-image-height, 100px);\n  --image-height-full-page: var(--adm-error-block-image-height-full-page, 200px);\n  --image-width: var(--adm-error-block-image-width, auto);\n  --image-width-full-page: var(--adm-error-block-image-width-full-page, auto);\n  box-sizing: border-box;\n  text-align: center;\n}\n.adm-error-block-image {\n  height: var(--image-height);\n  width: var(--image-width);\n  max-width: 100%;\n}\n.adm-error-block-image svg,\n.adm-error-block-image img {\n  height: 100%;\n}\n.adm-error-block-description {\n  font-size: var(--adm-font-size-4);\n  color: #999;\n  line-height: 1.4;\n  margin-top: 12px;\n}\n.adm-error-block-description-title {\n  font-size: var(--adm-font-size-7);\n}\n.adm-error-block-description-subtitle {\n  margin-top: 8px;\n}\n.adm-error-block-content {\n  margin-top: 12px;\n}\n.adm-error-block-full-page {\n  padding-top: calc(50vh - var(--image-height-full-page));\n}\n.adm-error-block-full-page .adm-error-block-image {\n  height: var(--image-height-full-page);\n  width: var(--image-width-full-page);\n}\n.adm-error-block-full-page .adm-error-block-description {\n  margin-top: 20px;\n  font-size: var(--adm-font-size-main);\n}\n.adm-error-block-full-page .adm-error-block-description-title {\n  font-size: 20px;\n  color: var(--adm-color-text);\n}\n")();
const classPrefix$N = `adm-error-block`;
const defaultProps$C = {
  status: "default"
};
function createErrorBlock(imageRecord2) {
  const ErrorBlock2 = (p2) => {
    var _a;
    const props = mergeProps(defaultProps$C, p2);
    const {
      locale
    } = useConfig();
    const contentPack = locale.ErrorBlock[props.status];
    const des = "description" in props ? props.description : contentPack.description;
    const title = "title" in props ? props.title : contentPack.title;
    const image2 = (_a = props.image) !== null && _a !== void 0 ? _a : imageRecord2[props.status];
    const imageNode = typeof image2 === "string" ? React__default["default"].createElement("img", {
      src: image2,
      alt: "error block image"
    }) : image2;
    return withNativeProps(props, React__default["default"].createElement("div", {
      className: classNames__default["default"](classPrefix$N, {
        [`${classPrefix$N}-full-page`]: props.fullPage
      })
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$N}-image`
    }, imageNode), React__default["default"].createElement("div", {
      className: `${classPrefix$N}-description`
    }, title && React__default["default"].createElement("div", {
      className: `${classPrefix$N}-description-title`
    }, title), des && React__default["default"].createElement("div", {
      className: `${classPrefix$N}-description-subtitle`
    }, des)), props.children && React__default["default"].createElement("div", {
      className: `${classPrefix$N}-content`
    }, props.children)));
  };
  return ErrorBlock2;
}
const defaultImage = React__default["default"].createElement("svg", {
  viewBox: "0 0 200 200",
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink"
}, React__default["default"].createElement("defs", null, React__default["default"].createElement("linearGradient", {
  x1: "50%",
  y1: "-116.862%",
  x2: "50%",
  y2: "90.764%",
  id: "error-block-image-default-a"
}, React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.207,
  offset: "0%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.115,
  offset: "80.072%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0,
  offset: "100%"
})), React__default["default"].createElement("circle", {
  id: "error-block-image-default-d",
  cx: 18.823,
  cy: 18.823,
  r: 18.823
}), React__default["default"].createElement("rect", {
  id: "error-block-image-default-b",
  x: 3.5,
  y: 9,
  width: 51.429,
  height: 88,
  rx: 4.571
})), React__default["default"].createElement("g", {
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("path", {
  d: "M73.557.004c19.435-.311 38.696 17.016 51.523 35.287 8.708-10.822 17.127-16.233 25.255-16.233 13.333 0 28.35 14.274 45.053 42.822 1.769 3.024-3.582 7.435-16.054 13.231l-41.322 1.37c-7.343 5.872-31.225.626-69.152 1.234-27.79.445-45.759-1.234-53.908-5.037C3.2 71.143-1.625 68.686.48 65.308 27.371 22.12 51.73.353 73.557.003Zm93.098 49.53a1.125 1.125 0 0 0-.401.072l-.058.023-.07.03-.028.014-.02.01c-.03.015-.059.032-.088.049a2.543 2.543 0 0 0-.568.477l-.067.074c-1.686 1.931-2.904 7.062-2.904 8.985 0 2.283 1.719 4.153 3.898 4.314l.026.001v3.805c0 .39.25.705.56.705.31 0 .56-.316.56-.705l.001-3.88c1.92-.402 3.363-2.148 3.363-4.24 0-2.39-1.882-9.734-4.204-9.734Zm-100-5a1.125 1.125 0 0 0-.331.05l-.035.01-.035.012-.058.023-.07.03-.028.014-.02.01c-.03.015-.059.032-.088.049a2.543 2.543 0 0 0-.568.477l-.067.074c-1.686 1.931-2.904 7.062-2.904 8.985 0 2.212 1.613 4.036 3.695 4.294l.203.02.026.001v3.805c0 .39.25.705.56.705.282 0 .515-.26.555-.6l.006-.105v-3.88c1.92-.402 3.363-2.148 3.363-4.24 0-2.39-1.882-9.734-4.204-9.734ZM52.64 38.348l-.15.008-.149.023-.032.007-.032.008-.078.022-.045.015-.045.016-.06.023-.038.017-.038.017-.058.028-.022.011a2.201 2.201 0 0 0-.323.204l-.05.038-.05.04-.025.02-.025.021a3.742 3.742 0 0 0-.31.294l-.036.04c-.035.037-.07.076-.105.116-.01.012-.02.025-.031.036a3.275 3.275 0 0 0-.081.098l-.063.078c-2.031 2.583-3.48 8.692-3.48 11.027 0 2.636 1.846 4.832 4.292 5.323l.224.04-.064-.012.105.018.103.014v4.618c0 .47.299.85.667.85.337 0 .615-.32.659-.735l.006-.115v-4.618c.18-.023.355-.054.527-.094l.256-.067.196-.06c2.136-.706 3.68-2.75 3.68-5.162 0-2.996-2.383-12.207-5.325-12.207Z",
  transform: "translate(2.286 22.286)",
  fill: "url(#error-block-image-default-a)"
}), React__default["default"].createElement("g", {
  transform: "rotate(-90 102.429 55.357)"
}, React__default["default"].createElement("path", {
  d: "M6.857 0H52a6.857 6.857 0 0 1 6.857 6.857v92A6.857 6.857 0 0 1 52 105.714H6.857A6.857 6.857 0 0 1 0 98.857v-92A6.857 6.857 0 0 1 6.857 0Z",
  fill: "#7EACFF"
}), React__default["default"].createElement("mask", {
  id: "error-block-image-default-c",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-default-b"
})), React__default["default"].createElement("use", {
  fill: "#377EFF",
  xlinkHref: "#error-block-image-default-b"
}), React__default["default"].createElement("path", {
  d: "M11.838 91.8a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.652.64.64 0 0 1-.628-.652c0-.36.281-.651.628-.651Zm-2.858 0a.64.64 0 0 1 .628.652.64.64 0 0 1-.628.652.64.64 0 0 1-.627-.652c0-.36.281-.651.627-.651Zm2.16-2.305a.64.64 0 0 1 .628.652.64.64 0 0 1-.627.651.64.64 0 0 1-.627-.651c0-.36.28-.652.627-.652Zm-2.982-.04a.64.64 0 0 1 .627.651.64.64 0 0 1-.627.652.64.64 0 0 1-.627-.652c0-.36.28-.651.627-.651Zm5.268-.531a.64.64 0 0 1 .628.651.64.64 0 0 1-.628.652.64.64 0 0 1-.627-.652c0-.36.281-.651.627-.651Zm2.858-1.143a.64.64 0 0 1 .627.651.64.64 0 0 1-.627.652.64.64 0 0 1-.628-.652c0-.36.281-.651.628-.651Zm-6.37-.917c.209 0 .377.175.377.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm3.512-.798.093.007a.644.644 0 0 1 .535.645.64.64 0 0 1-.628.652.64.64 0 0 1-.627-.652c0-.36.281-.652.627-.652Zm5.715 0a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.652.64.64 0 0 1-.627-.652c0-.36.28-.652.627-.652Zm-11.429 0a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.652.64.64 0 0 1-.627-.652c0-.36.28-.652.627-.652Zm-3.261.241c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.377-.391c0-.216.169-.391.377-.391Zm11.833-.812a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.651.64.64 0 0 1-.628-.651c0-.36.281-.652.628-.652Zm-4.851.399c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.377-.391c0-.216.169-.391.377-.391Zm10.313-2.056a.64.64 0 0 1 .628.652.64.64 0 0 1-.628.651.64.64 0 0 1-.627-.651c0-.36.281-.652.627-.652Zm-2.354-.128a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.652.64.64 0 0 1-.628-.652c0-.36.281-.652.628-.652Zm-13.798.311c.207 0 .376.175.376.391a.384.384 0 0 1-.376.391.384.384 0 0 1-.377-.39c0-.217.169-.392.377-.392Zm11.832-.812a.64.64 0 0 1 .628.652.64.64 0 0 1-.628.651.64.64 0 0 1-.627-.651c0-.36.281-.652.627-.652Zm-6.285 0a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.651.64.64 0 0 1-.627-.651c0-.36.28-.652.627-.652Zm3.428 0a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.651.64.64 0 0 1-.627-.651c0-.36.28-.652.627-.652Zm-6.118.24c.208 0 .376.176.376.392a.384.384 0 0 1-.376.39.384.384 0 0 1-.377-.39c0-.216.169-.391.377-.391Zm11.261-2.525a.64.64 0 0 1 .627.651.64.64 0 0 1-.627.652.64.64 0 0 1-.627-.652c0-.36.28-.651.627-.651Zm-3.557.484c.208 0 .376.175.376.391a.384.384 0 0 1-.376.391.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm-2.478-.555a.64.64 0 0 1 .627.652.64.64 0 0 1-.627.652.64.64 0 0 1-.627-.652c0-.36.28-.652.627-.652Zm-3.512-.26c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm-2.857 0c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm-4.571 0c.207 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.377-.391c0-.216.169-.391.377-.391Zm14.898-1.835a.64.64 0 0 1 .628.652.64.64 0 0 1-.628.651.64.64 0 0 1-.627-.651c0-.36.281-.652.627-.652Zm-8.027-.245c.208 0 .377.175.377.39a.384.384 0 0 1-.377.392.384.384 0 0 1-.376-.391c0-.216.169-.391.376-.391Zm6.271-1.349c.208 0 .377.175.377.391a.384.384 0 0 1-.377.391.384.384 0 0 1-.376-.39c0-.217.169-.392.376-.392Zm-11.484-.481c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm15.103-.972c.208 0 .376.175.376.391a.384.384 0 0 1-.376.391.384.384 0 0 1-.376-.39c0-.217.168-.392.376-.392Zm-9.333-1.404c.208 0 .376.175.376.39a.384.384 0 0 1-.376.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Zm-6.819-.405c.208 0 .377.175.377.39a.384.384 0 0 1-.377.392.384.384 0 0 1-.376-.391c0-.216.168-.391.376-.391Z",
  fill: "#003CFF",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-c)",
  transform: "rotate(116 12.367 83.503)"
}), React__default["default"].createElement("path", {
  stroke: "#FFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round",
  d: "M36.774 5.474H21.523"
}), React__default["default"].createElement("path", {
  d: "m67.818 94.025-4.996 3.913m4.996 11.91-4.996-3.912m-1.142 9.145-1.143-6.288m10.71-6.768h-7.262",
  stroke: "#4486FE",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
})), React__default["default"].createElement("circle", {
  cx: 8.571,
  cy: 8.571,
  r: 8.571,
  transform: "translate(22.857 142)",
  fill: "#FFCD6B",
  fillRule: "nonzero"
}), React__default["default"].createElement("g", {
  transform: "translate(132.857 124)"
}, React__default["default"].createElement("mask", {
  id: "error-block-image-default-e",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-default-d"
})), React__default["default"].createElement("use", {
  fill: "#FBBE47",
  fillRule: "nonzero",
  xlinkHref: "#error-block-image-default-d"
}), React__default["default"].createElement("circle", {
  fill: "#FFCD6B",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 13.886,
  cy: 15.12,
  r: 18.823
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 23.4,
  cy: 29.057,
  r: 1
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 30.343,
  cy: 29.829,
  r: 1
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 18.771,
  cy: 32.657,
  r: 1.286
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 29.571,
  cy: 25.971,
  r: 1.286
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 19.286,
  cy: 7.971,
  r: 1.286
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 26.486,
  cy: 5.914,
  r: 1.286
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 11.057,
  cy: 6.943,
  r: 1
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 30.086,
  cy: 15.686,
  r: 1.286
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  fillRule: "nonzero",
  mask: "url(#error-block-image-default-e)",
  cx: 22.886,
  cy: 14.657,
  r: 1
})), React__default["default"].createElement("path", {
  d: "m87.429 135.123 6.591-9.378v-.08h-5.99v-2.559h10.038v1.787l-6.44 9.254v.082h6.56v2.557h-10.76v-1.663Zm12.185-5.889 4.948-7.047v-.056h-4.498v-1.917h7.536v1.34l-4.849 6.942v.059h4.923v1.92h-8.06v-1.24Zm10.345.702 3.708-5.274v-.045h-3.372v-1.437h5.648v1.003l-3.628 5.206v.045H116v1.438h-6.041v-.936Z",
  fill: "#FFF",
  fillRule: "nonzero"
})));
const disconnectedImage = React__default["default"].createElement("svg", {
  viewBox: "0 0 400 400",
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink"
}, React__default["default"].createElement("title", null, "@\u53CD\u9988/\u5F02\u5E38/\u7F51\u7EDC\u670D\u52A1\u5F02\u5E38"), React__default["default"].createElement("defs", null, React__default["default"].createElement("linearGradient", {
  x1: "50%",
  y1: "-116.862%",
  x2: "50%",
  y2: "90.764%",
  id: "error-block-image-disconnected-c"
}, React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.207,
  offset: "0%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.115,
  offset: "80.072%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0,
  offset: "100%"
})), React__default["default"].createElement("circle", {
  id: "error-block-image-disconnected-d",
  cx: 22.309,
  cy: 22.309,
  r: 22.309
}), React__default["default"].createElement("path", {
  id: "error-block-image-disconnected-a",
  d: "M0 0h400v400H0z"
})), React__default["default"].createElement("g", {
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("mask", {
  id: "error-block-image-disconnected-b",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-disconnected-a"
})), React__default["default"].createElement("g", {
  mask: "url(#error-block-image-disconnected-b)",
  fill: "url(#error-block-image-disconnected-c)"
}, React__default["default"].createElement("path", {
  d: "M151.686 45.58c38.869-.623 77.391 34.03 103.046 70.573 17.416-21.644 34.253-32.465 50.51-32.465 26.666 0 56.701 28.548 90.105 85.643 3.539 6.05-7.164 14.87-32.107 26.462l-82.643 2.741c-14.686 11.745-62.45 1.252-138.305 2.467-55.58.89-91.518-2.468-107.816-10.074-23.505-3.07-33.154-7.983-28.946-14.74C59.313 89.813 108.03 46.278 151.686 45.58Zm186.195 99.06-.127.003-.126.01a2.32 2.32 0 0 0-.465.103l-.032.01-.031.01a2.364 2.364 0 0 0-.181.071 2.52 2.52 0 0 0-.116.054l-.133.067-.042.024-.036.02a2.946 2.946 0 0 0-.133.08l-.048.03a3.052 3.052 0 0 0-.126.087l-.047.033a3.274 3.274 0 0 0-.128.097c-.01.008-.02.017-.031.024a4.906 4.906 0 0 0-.31.27l-.036.032a6.654 6.654 0 0 0-.46.484l-.045.05c-3.344 3.91-5.755 14.083-5.755 17.908 0 4.547 3.409 8.275 7.74 8.625l.108.008v7.608c0 .779.502 1.41 1.121 1.41.62 0 1.121-.632 1.121-1.41v-7.762c3.838-.802 6.727-4.293 6.727-8.48 0-4.778-3.765-19.467-8.409-19.467Zm-200-10-.127.003-.126.01a2.32 2.32 0 0 0-.368.073l-.049.014-.048.016-.032.01-.031.01a2.364 2.364 0 0 0-.181.071l-.058.026-.058.028-.133.067-.042.024-.036.02-.066.039-.067.041-.048.03a3.052 3.052 0 0 0-.126.087l-.047.033a3.274 3.274 0 0 0-.128.097c-.01.008-.02.017-.031.024l-.156.13-.154.14-.036.032a6.654 6.654 0 0 0-.46.484l-.045.05c-3.344 3.91-5.755 14.083-5.755 17.908 0 4.547 3.409 8.275 7.74 8.625l.054.004.054.004v7.608c0 .779.502 1.41 1.121 1.41.58 0 1.058-.556 1.115-1.266l.006-.144v-7.762c3.838-.802 6.727-4.293 6.727-8.48 0-4.778-3.765-19.467-8.409-19.467Zm-28.029-12.373-.107.002-.106.006a2.978 2.978 0 0 0-.551.095 3.444 3.444 0 0 0-.323.104 3.962 3.962 0 0 0-.61.297c-.076.045-.15.092-.226.141-4.964 3.312-8.728 18.445-8.728 23.77 0 5.434 3.922 9.935 9.04 10.726l.28.04v9.236c0 .886.532 1.614 1.21 1.692l.121.007.122-.007c.638-.074 1.147-.723 1.204-1.538l.006-.155v-9.235c5.254-.668 9.32-5.234 9.32-10.767 0-5.993-4.77-24.414-10.652-24.414Z"
})), React__default["default"].createElement("g", {
  mask: "url(#error-block-image-disconnected-b)"
}, React__default["default"].createElement("g", {
  transform: "translate(85.858 150.644)"
}, React__default["default"].createElement("path", {
  d: "M116.26 28.467c1.352 0 2.703.018 4.054.054 3.923.385 10.188 4.248 9.267 11.061-.878 6.496-5.836 9.089-8.962 9.529a130.762 130.762 0 0 0-4.36-.072c-28.567 0-60.654 10.149-96.22 30.676l-2.227 1.297c-.744.437-1.49.878-2.236 1.323-4.878 2.911-11.193 1.316-14.103-3.562C-1.438 73.894.157 67.58 5.035 64.67 45.34 40.62 82.4 28.467 116.26 28.467Zm22 11.63c1.03-5.942 6.376-8.618 11.084-8.08C172.14 36.91 194.83 46.86 217.37 61.794c4.735 3.138 6.03 9.52 2.893 14.255-3.138 4.736-9.52 6.031-14.256 2.893-20.111-13.325-40.075-22.165-59.935-26.584a9.974 9.974 0 0 0-.325-.088c-3.987-1.015-8.602-5.738-7.487-12.175ZM116.26 77.418c22.777 0 45.4 7.057 67.73 20.988 4.82 3.007 6.289 9.351 3.282 14.17-3.007 4.82-9.351 6.29-14.17 3.283-19.194-11.974-38.095-17.87-56.842-17.87s-37.648 5.896-56.842 17.87c-4.82 3.007-11.164 1.537-14.17-3.282-3.007-4.82-1.538-11.164 3.282-14.171 22.33-13.931 44.953-20.988 67.73-20.988ZM117.974 124.67c9.85 0 17.303 1.69 25.687 5.082l.82.337 2.9 1.231 3.008 1.252.77.305.107.04c5.326 1.976 8.042 7.895 6.066 13.221-1.976 5.326-7.895 8.042-13.221 6.067l-.713-.27-.726-.285-.763-.31-1.263-.527-2.944-1.26-1.125-.473c-6.393-2.648-11.433-3.838-18.603-3.838-8.223 0-16.532 2.126-25.028 6.475-5.056 2.588-11.254.587-13.842-4.47-2.589-5.056-.588-11.253 4.47-13.842 11.313-5.791 22.814-8.735 34.4-8.735ZM118.235 197.047c7.15 0 13.77-.897 19.841-2.721 5.44-1.635 8.526-7.37 6.892-12.81-1.635-5.44-7.37-8.526-12.81-6.892-4.072 1.224-8.707 1.851-13.923 1.851-4.36 0-8.79-1.045-13.373-3.21l-.626-.301c-5.095-2.512-11.262-.418-13.773 4.678-2.512 5.095-.418 11.261 4.678 13.773 7.559 3.727 15.288 5.632 23.094 5.632Z",
  fill: "#377EFF",
  fillRule: "nonzero"
}), React__default["default"].createElement("path", {
  d: "M198.35 62.413c2.755-4.967 9.016-6.76 13.984-4.004 13.068 7.25 19.124 18.535 17.615 30.952-1.157 9.515-6.83 18.757-14.096 24.352-13.364 10.29-34.915 9.401-49.363-1.91-4.472-3.502-5.26-9.967-1.758-14.44 3.436-4.388 9.724-5.229 14.185-1.952l.255.194c7.283 5.702 18.475 6.164 24.13 1.809 3.072-2.366 5.766-6.754 6.226-10.536.467-3.844-1.21-7.07-6.796-10.267l-.378-.213c-4.967-2.756-6.76-9.017-4.004-13.985ZM61.35 103.092c-2.84-4.92-9.13-6.607-14.05-3.768-20.662 11.922-21.772 35.751-6.018 51.69 13.752 13.914 33.192 13.447 50.507 1.158 4.633-3.288 5.723-9.708 2.436-14.34-3.288-4.633-9.709-5.724-14.341-2.436-9.763 6.928-18.07 7.128-23.97 1.158-6.761-6.84-6.498-14.501 1.35-19.225l.317-.187c4.92-2.84 6.608-9.13 3.769-14.05ZM129.103 135.702c1.688-5.424 7.454-8.453 12.878-6.764 14.776 4.599 23.437 13.727 25.259 25.58 1.316 8.561-1.228 17.533-5.58 24.052-3.132 4.688-7.388 8.287-12.504 11.112-3.03 1.673-5.75 2.811-9.37 4.066l-1.4.477c-5.387 1.806-11.217-1.097-13.022-6.484-1.805-5.386 1.098-11.216 6.484-13.02l1.09-.374c6.032-2.112 9.602-4.19 11.613-7.201 1.693-2.535 2.818-6.502 2.356-9.503-.564-3.673-3.432-6.696-11.04-9.063-5.424-1.689-8.452-7.454-6.764-12.878Z",
  fill: "#377EFF",
  fillRule: "nonzero"
}), React__default["default"].createElement("path", {
  d: "M148.072 181.58c3.718-7.98 4.172-14.9 1.36-20.76-2.81-5.86-6.236-9.096-10.275-9.707",
  stroke: "#FFF",
  strokeWidth: 0.571,
  strokeLinecap: "round"
}), React__default["default"].createElement("ellipse", {
  fill: "#7EACFF",
  transform: "rotate(10 147 41.933)",
  cx: 147,
  cy: 41.933,
  rx: 9.143,
  ry: 10.286
}), React__default["default"].createElement("path", {
  d: "M210.422 107.472c3.718-7.98 4.172-14.9 1.36-20.76-2.81-5.86-6.668-9.883-11.572-12.067M51.604 131.769c-3.15-6.8-3.537-12.694-1.161-17.685 2.376-4.99 5.57-8.136 9.583-9.438",
  stroke: "#003CFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), React__default["default"].createElement("path", {
  d: "M21.53 64.408c4.946-3.389 9.817-6.026 14.612-7.912",
  stroke: "#FFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), React__default["default"].createElement("path", {
  d: "m113.243 15.444 9.588 8.314M144.31 9.405l-5.775 11.3m18.389-1.246-11.907 4.643M127.64 5.66l2.77 14.255",
  stroke: "#4486FE",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}))), React__default["default"].createElement("g", {
  mask: "url(#error-block-image-disconnected-b)"
}, React__default["default"].createElement("g", {
  transform: "translate(275.143 302.571)"
}, React__default["default"].createElement("mask", {
  id: "error-block-image-disconnected-e",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-disconnected-d"
})), React__default["default"].createElement("use", {
  fill: "#FBBE47",
  fillRule: "nonzero",
  xlinkHref: "#error-block-image-disconnected-d"
}), React__default["default"].createElement("circle", {
  fill: "#FFCD6B",
  fillRule: "nonzero",
  mask: "url(#error-block-image-disconnected-e)",
  cx: 16.457,
  cy: 17.92,
  r: 22.309
}), React__default["default"].createElement("circle", {
  fill: "#FFF",
  fillRule: "nonzero",
  mask: "url(#error-block-image-disconnected-e)",
  cx: 14.263,
  cy: 12.069,
  r: 2.194
}))), React__default["default"].createElement("g", {
  mask: "url(#error-block-image-disconnected-b)",
  fill: "#FBBE47",
  fillRule: "nonzero"
}, React__default["default"].createElement("circle", {
  cx: 12,
  cy: 12,
  r: 12,
  transform: "translate(84 297.714)"
}))));
const emptyImage = React__default["default"].createElement("svg", {
  viewBox: "0 0 400 400",
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink"
}, React__default["default"].createElement("defs", null, React__default["default"].createElement("linearGradient", {
  x1: "50%",
  y1: "-116.862%",
  x2: "50%",
  y2: "90.764%",
  id: "error-block-image-empty-a"
}, React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.207,
  offset: "0%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.115,
  offset: "80.072%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0,
  offset: "100%"
})), React__default["default"].createElement("path", {
  d: "M146.183 18.461c31.705 23.336 33.349 71.85 4.93 96.614-.252.22 6.172 5.602 13.577 11.414l.686.537.69.54.695.54.348.27.698.54a341.27 341.27 0 0 0 8.806 6.596c1.114.802 4.643-.853 10.587-4.965l-.532 12.218a1.2 1.2 0 0 1-.481.91l-10.868 8.111c-1.405 1.048-3.32 1.185-4.854.072l-35.578-25.834c-33.414 17.333-79.913 15-109.804-7-33.444-24.616-33.444-75.95 0-100.563 33.443-24.615 87.657-24.615 121.1 0Zm-60.469 7.653C51.63 26.114 24 44.534 24 67.257S51.63 108.4 85.714 108.4s61.715-18.42 61.715-41.143c0-22.722-27.63-41.143-61.715-41.143Z",
  id: "error-block-image-empty-b"
})), React__default["default"].createElement("g", {
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("path", {
  d: "M157.964 244.661H0L3.806 100.13a4.572 4.572 0 0 1 4.353-4.446l.217-.006h45.588V68.2a4.572 4.572 0 0 1 4.356-4.567l.216-.005h65.498l2.554-58.689a4.571 4.571 0 0 1 4.779-4.367l.214.015 87.79 8.222a4.572 4.572 0 0 1 4.126 4.133l.015.212 3.146 69.652L301.634 64.9a4.571 4.571 0 0 1 5.628 4.231l.005.215v43.955l56.162.001v130.264h-56.163v.001h-82.383v-.004h-66.919v1.098ZM89.503 160.03h-9.968v8.436h9.968v-8.436Zm0-14.507h-9.968v8.435h9.968v-8.435Zm197.985-5.15h-9.967v8.432h9.967v-8.431Zm-197.985-8.806h-9.968v8.436h9.968v-8.436Zm197.985-5.153h-9.967v8.432h9.967v-8.432Zm0-14.503h-9.967v8.432h9.967v-8.432Zm-84.643-.777h-30.8v8.436h30.8v-8.436Zm84.643-13.186h-9.967v8.436h9.967v-8.436Zm-84.643-3.29h-30.8v8.436h30.8v-8.436Zm0-15.912h-30.8v8.436h30.8v-8.436Z",
  transform: "translate(18.286 50.286)",
  fill: "url(#error-block-image-empty-a)"
}), React__default["default"].createElement("g", {
  transform: "translate(108.571 189.886)"
}, React__default["default"].createElement("mask", {
  id: "error-block-image-empty-c",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-empty-b"
})), React__default["default"].createElement("use", {
  fill: "#377EFF",
  xlinkHref: "#error-block-image-empty-b"
}), React__default["default"].createElement("path", {
  d: "M131.429 134.686a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm5.714 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285ZM128 133.543a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-5.714 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm21.143-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-9.143-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm12-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-6.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM120 128.971a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm5.714 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm16-1.142.125.006a1.143 1.143 0 1 1-.125-.006Zm11.429 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-22.857 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm17.143-1.143a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285ZM136 125.543a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-13.143 1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm4.572-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm18.857-2.286a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-16-1.143.124.007a1.143 1.143 0 1 1-.124-.007Zm11.428 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-22.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm36.572 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-5.715 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-37.143 1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm13.715-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm9.714-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm18.286-3.428a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-11.429 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-28 1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm5.714-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm17.715-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-5.715 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-6.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm17.143-4.571a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-11.428 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-5.143 1.142a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-8-1.142a.571.571 0 1 1 0 1.142.571.571 0 0 1 0-1.142Zm-9.143 0a.571.571 0 1 1 0 1.142.571.571 0 0 1 0-1.142Zm30.286-3.429a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM124 109.543a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm5.714 0a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm5.715-4.572a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-22.858-1.142a.571.571 0 1 1 0 1.142.571.571 0 0 1 0-1.142Zm-11.428-3.429a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM124 99.257a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM49.143 55.829a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm5.714 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-9.143-1.143a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-5.714 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm21.143-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM52 52.4a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm12-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-6.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-19.429-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm5.715 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm16-1.143.124.007a1.143 1.143 0 1 1-.124-.007Zm11.428 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-22.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm17.143-1.142a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-11.429-1.143a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-13.143 1.143a.571.571 0 1 1 0 1.142.571.571 0 0 1 0-1.142Zm4.572-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM64 44.4a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-16-1.143.125.007a1.143 1.143 0 1 1-.125-.007Zm11.429 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-22.858 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm36.572 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-5.714 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM30.286 44.4a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM44 43.257a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm9.714-1.143a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM72 38.686a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-11.429 0a1.143 1.143 0 1 1 0 2.285 1.143 1.143 0 0 1 0-2.285Zm-28 1.143a.571.571 0 1 1 0 1.142.571.571 0 0 1 0-1.142Zm5.715-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM56 37.543a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-5.714 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-6.857 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM60.57 32.97a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-11.428 0a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286ZM44 34.114a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-8-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-9.143 0a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm30.286-3.428a1.143 1.143 0 1 1 0 2.286 1.143 1.143 0 0 1 0-2.286Zm-15.429 1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm5.715 0a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm5.714-4.572a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-22.857-1.143a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Zm-11.429-3.428a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143ZM41.714 20.4a.571.571 0 1 1 0 1.143.571.571 0 0 1 0-1.143Z",
  fill: "#003CFF",
  fillRule: "nonzero",
  mask: "url(#error-block-image-empty-c)"
})), React__default["default"].createElement("path", {
  d: "M295.213 319.24c.744.546.745 1.433.002 1.98l-11.806 8.81c-1.069.799-3.326.474-4.853-.609l-35.622-25.241c-33.375 17.037-79.545 14.615-109.28-7.271-33.443-24.615-33.443-64.521 0-89.133 33.443-24.616 87.657-24.616 121.1 0 31.706 23.336 33.35 60.42 4.931 85.185-.543.473 35.528 26.278 35.528 26.278ZM148.06 220.015c-25.44 17.853-25.44 46.8 0 64.652 25.44 17.85 66.689 17.85 92.129 0 25.436-17.853 25.436-46.799 0-64.652-25.44-17.853-66.688-17.853-92.129 0Z",
  fill: "#5D96FE"
}), React__default["default"].createElement("path", {
  d: "M123.514 233.021c2.185-5.241 5.67-9.735 10.453-13.482M264.967 271.54c-2.185 5.24-5.67 9.734-10.453 13.481",
  stroke: "#FFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), React__default["default"].createElement("path", {
  d: "M81.143 252.571c7.574 0 13.714 23.88 13.714 31.649 0 6.97-4.942 12.755-11.429 13.871v11.672c0 1.235-.767 2.237-1.713 2.237-.904 0-1.644-.912-1.71-2.07l-.005-.167v-11.526c-7.04-.595-12.571-6.644-12.571-14.017 0-7.024 5.02-27.222 11.581-31.027l.096-.053c.027-.016.055-.03.082-.045l.067-.035.066-.033.1-.05.094-.041a3.34 3.34 0 0 1 .224-.093l.11-.042.097-.032c.038-.013.077-.025.115-.036l.053-.016.053-.014a3.351 3.351 0 0 1 .23-.055l.085-.016a3.95 3.95 0 0 1 .441-.054l.11-.005.11-.002Z",
  fill: "#FFCD6B",
  fillRule: "nonzero"
}), React__default["default"].createElement("g", {
  transform: "translate(283.429 177.143)",
  fillRule: "nonzero"
}, React__default["default"].createElement("path", {
  d: "M22.475.847c12.34 0 22.345 37.935 22.345 50.276 0 11.395-8.53 20.798-19.552 22.172v19.019c0 1.932-1.25 3.5-2.792 3.5-1.49 0-2.707-1.46-2.79-3.301l-.004-.2-.001-19.018C8.659 71.92.13 62.518.13 51.123.13 40.071 8.154 8.49 18.694 2.015l.054-.031a5.94 5.94 0 0 1 .214-.128l.088-.048c.213-.12.427-.228.642-.326l.135-.06.18-.075.135-.053a5.796 5.796 0 0 1 .464-.16 4.44 4.44 0 0 1 .33-.092l.124-.03a7.122 7.122 0 0 1 .31-.065l.018-.003a6.305 6.305 0 0 1 .756-.088l.165-.007.166-.002Z",
  fill: "#FFCD6B"
}), React__default["default"].createElement("path", {
  d: "M22.475.847c12.34 0 22.345 37.935 22.345 50.276 0 11.395-8.53 20.798-19.552 22.172v19.019c0 1.932-1.25 3.5-2.792 3.5-1.543 0-2.794-1.566-2.794-3.5V73.295C8.659 71.921.13 62.518.13 51.123.13 38.783 10.134.847 22.475.847Z",
  fill: "#FFCD6B"
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 26.4,
  cy: 56.869,
  r: 1.45
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 39.453,
  cy: 58.319,
  r: 1
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 17.698,
  cy: 63.637,
  r: 2.417
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 38.002,
  cy: 51.068,
  r: 2.417
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 18.665,
  cy: 17.228,
  r: 2.417
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 32.201,
  cy: 13.36,
  r: 2.417
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 26.83,
  cy: 20.666,
  r: 1.45
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 38.969,
  cy: 31.731,
  r: 2.417
}), React__default["default"].createElement("circle", {
  fill: "#FFB400",
  cx: 25.433,
  cy: 29.797,
  r: 1.45
}), React__default["default"].createElement("path", {
  d: "M34.197 53.033c0 9.825-6.934 18.017-16.172 19.987a22.44 22.44 0 0 0 4.45.448c12.34 0 22.344-10.004 22.344-22.345C44.82 38.783 34.815.847 22.475.847c8.947 14.03 11.722 40.891 11.722 52.186Z",
  fill: "#FBBE47"
}))));
const busyImage = React__default["default"].createElement("svg", {
  viewBox: "0 0 400 400",
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink"
}, React__default["default"].createElement("defs", null, React__default["default"].createElement("linearGradient", {
  x1: "50%",
  y1: "-116.862%",
  x2: "50%",
  y2: "90.764%",
  id: "error-block-image-busy-a"
}, React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.207,
  offset: "0%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0.115,
  offset: "80.072%"
}), React__default["default"].createElement("stop", {
  stopColor: "#72A7FD",
  stopOpacity: 0,
  offset: "100%"
})), React__default["default"].createElement("circle", {
  id: "error-block-image-busy-b",
  cx: 34.857,
  cy: 34.857,
  r: 34.857
})), React__default["default"].createElement("g", {
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("path", {
  d: "M157.964 243.667H0L3.806 99.134a4.572 4.572 0 0 1 4.353-4.446l.217-.005h45.588V67.205a4.572 4.572 0 0 1 4.356-4.566l.216-.005 65.498-.001 2.554-58.688a4.571 4.571 0 0 1 4.779-4.368l.214.015 87.79 8.222a4.572 4.572 0 0 1 4.126 4.133l.015.213 3.146 69.652 74.976-17.906a4.571 4.571 0 0 1 5.628 4.23l.005.216v43.955h56.162v130.265l-56.163-.001v.002h-82.383v-.004h-66.919v1.098Zm-68.461-84.631h-9.968v8.435h9.968v-8.435Zm0-14.508h-9.968v8.436h9.968v-8.436Zm197.985-5.149h-9.967v8.432h9.967v-8.432Zm-197.985-8.806h-9.968v8.436h9.968v-8.436Zm197.985-5.153h-9.967v8.432h9.967v-8.432Zm0-14.503h-9.967v8.432h9.967v-8.432Zm-84.643-.777h-30.8v8.436h30.8v-8.436Zm84.643-13.186h-9.967v8.435h9.967v-8.435Zm-84.643-3.29h-30.8v8.435h30.8v-8.435Zm0-15.912h-30.8v8.436h30.8v-8.436Z",
  transform: "translate(18.286 51.286)",
  fill: "url(#error-block-image-busy-a)"
}), React__default["default"].createElement("path", {
  d: "m250.934 176.555-101.963 1.038c-5.276.054-9.51 4.374-9.455 9.65.054 5.274 4.374 9.507 9.649 9.454l.958-.01c-.376 7.363 3.679 59.93 34.894 62.659 4.203.367 7.432.39 7.475 4.609.042 4.218-3.176 4.307-7.37 4.76-34.593 3.737-34.136 56.004-33.61 63.357l-.957.01c-5.276.053-9.51 4.373-9.455 9.649.053 5.275 4.374 9.508 9.649 9.454l101.963-1.039c5.275-.054 9.508-4.374 9.455-9.648-.055-5.276-4.374-9.51-9.65-9.455l-.958.01c.377-7.363-.729-59.672-34.894-62.66-4.202-.367-7.432-.39-7.474-4.608-.043-4.219 3.175-4.308 7.369-4.76 31.276-3.377 34.136-56.004 33.61-63.357l.958-.01c5.276-.053 9.508-4.373 9.455-9.649-.055-5.276-4.374-9.509-9.65-9.454Z",
  fill: "#377EFF"
}), React__default["default"].createElement("path", {
  d: "M233.524 314.422c.108.684.772 1.148 1.483 1.035.711-.112 1.2-.758 1.091-1.443-.108-.684-.772-1.147-1.483-1.035-.711.113-1.2.759-1.091 1.443Zm-.894-5.644c.108.684.772 1.148 1.483 1.035.711-.112 1.2-.758 1.091-1.443-.108-.684-.772-1.147-1.483-1.035-.711.113-1.2.759-1.091 1.443Zm-.149 17.865c.108.684.773 1.147 1.483 1.035.711-.113 1.2-.759 1.091-1.443-.108-.684-.772-1.148-1.483-1.035-.71.112-1.2.758-1.09 1.443Zm-2.144-8.182c.109.684.773 1.148 1.484 1.035.71-.113 1.199-.759 1.09-1.443-.108-.684-.772-1.148-1.483-1.035-.71.113-1.2.759-1.09 1.443Zm-1.586-4.694c.108.684.772 1.148 1.483 1.035.711-.113 1.2-.759 1.091-1.443-.108-.684-.772-1.147-1.483-1.035-.711.113-1.2.759-1.091 1.443Zm-1.013-5.88c.109.685.773 1.148 1.484 1.036.71-.113 1.2-.759 1.09-1.443-.107-.684-.772-1.148-1.483-1.035-.71.113-1.199.759-1.09 1.443Zm.236 15.575c.108.685.772 1.148 1.483 1.035.71-.112 1.2-.758 1.09-1.442-.107-.685-.772-1.148-1.483-1.035-.71.112-1.199.758-1.09 1.442Zm-.4 4.494c.108.684.772 1.147 1.483 1.035.71-.113 1.2-.759 1.091-1.443-.108-.684-.773-1.148-1.483-1.035-.711.113-1.2.759-1.091 1.443Zm-3.88-8.601c.108.684.772 1.147 1.483 1.035.71-.113 1.199-.759 1.09-1.443-.108-.684-.772-1.148-1.483-1.035-.71.113-1.2.759-1.09 1.443Zm-.524-7.186c.065.41.463.688.89.62.426-.067.72-.454.654-.865-.065-.41-.463-.688-.89-.62-.426.067-.72.454-.654.865Zm-2.265-4.102c.109.684.773 1.148 1.484 1.035.71-.113 1.2-.759 1.09-1.443-.108-.684-.772-1.147-1.483-1.035-.71.113-1.199.759-1.09 1.443Zm-.545-6.518c.065.41.464.689.89.621.427-.067.72-.455.655-.865-.065-.41-.464-.689-.89-.621-.427.067-.72.455-.655.865Zm2.098 23.629c.109.684.773 1.147 1.484 1.035.71-.113 1.2-.759 1.09-1.443-.108-.684-.772-1.148-1.483-1.035-.71.112-1.199.758-1.09 1.443Zm-.756-9.65c.043.274.309.46.593.414a.512.512 0 0 0 .437-.577.512.512 0 0 0-.594-.414.512.512 0 0 0-.436.577Zm-.808 20.96c.109.684.773 1.147 1.484 1.034.71-.112 1.2-.758 1.09-1.442-.108-.685-.772-1.148-1.483-1.036-.71.113-1.199.759-1.09 1.443Zm-4.691-31.966c.065.41.463.689.89.621.426-.068.72-.455.654-.866-.065-.41-.463-.688-.89-.62-.426.067-.72.454-.654.865Zm2.098 23.628c.108.684.772 1.148 1.483 1.035.711-.112 1.2-.758 1.091-1.443-.108-.684-.772-1.147-1.483-1.035-.711.113-1.2.759-1.091 1.443Zm-1.967-12.416c.109.684.773 1.147 1.484 1.035.71-.113 1.199-.759 1.09-1.443-.108-.684-.772-1.148-1.483-1.035-.71.112-1.2.758-1.09 1.443Zm1.073 6.772c.108.685.772 1.148 1.483 1.035.711-.112 1.2-.758 1.091-1.442-.108-.685-.772-1.148-1.483-1.036-.711.113-1.2.759-1.091 1.443Zm-.009-3.131c.065.41.464.689.89.621.427-.068.72-.455.655-.866-.065-.41-.464-.688-.89-.62-.427.067-.72.454-.655.865Zm-1.43-9.03c.065.41.463.688.89.62.426-.067.72-.454.655-.865-.065-.41-.464-.689-.89-.62-.427.067-.72.454-.655.865ZM214.5 333.38c.108.685.772 1.148 1.483 1.036.711-.113 1.2-.759 1.091-1.443-.108-.684-.772-1.148-1.483-1.035-.711.112-1.2.758-1.091 1.442Zm-.156-7.178c.065.41.464.689.89.621.427-.067.72-.455.655-.865-.065-.41-.464-.689-.89-.621-.427.067-.72.455-.655.865Zm-1.871-4.72c.108.684.773 1.147 1.483 1.034.711-.112 1.2-.758 1.091-1.442-.108-.685-.772-1.148-1.483-1.035-.71.112-1.2.758-1.091 1.442Zm-1.614-6.857c.065.41.464.689.89.621.427-.068.72-.455.655-.866-.065-.41-.464-.688-.89-.62-.427.067-.72.454-.655.865Zm-.894-5.644c.065.41.464.689.89.621.427-.067.72-.455.655-.866-.065-.41-.463-.688-.89-.62-.427.067-.72.455-.655.865Zm-1.43-9.03c.065.41.464.688.89.62.427-.067.72-.454.655-.865-.065-.41-.464-.688-.89-.62-.427.067-.72.454-.655.865Zm-1.958 14.225c.065.41.463.689.89.62.426-.067.72-.454.654-.865-.065-.41-.463-.688-.89-.62-.426.067-.72.454-.654.865Zm-.703 12.81c.065.41.464.688.89.62.427-.067.72-.455.655-.865-.065-.41-.463-.689-.89-.621-.427.067-.72.455-.655.866Zm-4.543-22.536c.065.41.463.689.89.621.426-.067.72-.455.654-.865-.065-.41-.463-.689-.89-.621-.426.067-.72.455-.654.865Zm2.806 30.138c.065.41.463.689.89.621.426-.067.72-.455.654-.865-.065-.41-.463-.689-.89-.621-.426.067-.72.455-.654.865Zm-5.694-17.996c.065.41.463.688.89.62.426-.067.72-.455.654-.865-.065-.41-.463-.689-.89-.621-.426.067-.72.455-.654.866Zm-2.935-13.343c.066.41.464.688.89.62.427-.067.72-.454.655-.865-.065-.41-.463-.689-.89-.621-.426.068-.72.455-.655.866Z",
  fill: "#003CFF",
  fillRule: "nonzero"
}), React__default["default"].createElement("path", {
  d: "m250.934 176.555-101.963 1.038c-5.276.054-9.51 4.374-9.455 9.65.054 5.274 4.374 9.507 9.649 9.454l101.963-1.04c5.276-.052 9.508-4.372 9.455-9.648-.055-5.276-4.374-9.509-9.65-9.454ZM252.64 331.241l-101.964 1.038c-5.275.054-9.508 4.374-9.454 9.65.054 5.275 4.374 9.508 9.649 9.454l101.963-1.039c5.275-.053 9.507-4.373 9.454-9.649-.054-5.275-4.374-9.508-9.649-9.454Z",
  fill: "#7EACFF"
}), React__default["default"].createElement("path", {
  stroke: "#003CFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round",
  d: "m196.824 197.298 52.216-.506M193.329 330.5h52.215"
}), React__default["default"].createElement("path", {
  d: "M167.367 228.041c-4.091-10.787-6.086-20.934-5.985-30.44",
  stroke: "#FFF",
  strokeWidth: 0.75,
  strokeLinecap: "round",
  strokeLinejoin: "round"
}), React__default["default"].createElement("circle", {
  cx: 14.857,
  cy: 14.857,
  r: 14.857,
  transform: "translate(106.857 248.571)",
  fill: "#FFCD6B",
  fillRule: "nonzero"
}), React__default["default"].createElement("g", {
  transform: "translate(236.571 284.571)"
}, React__default["default"].createElement("mask", {
  id: "error-block-image-busy-c",
  fill: "#fff"
}, React__default["default"].createElement("use", {
  xlinkHref: "#error-block-image-busy-b"
})), React__default["default"].createElement("use", {
  fill: "#FBBE47",
  fillRule: "nonzero",
  xlinkHref: "#error-block-image-busy-b"
}), React__default["default"].createElement("circle", {
  fill: "#FFCD6B",
  fillRule: "nonzero",
  mask: "url(#error-block-image-busy-c)",
  cx: 25.714,
  cy: 28,
  r: 34.857
}), React__default["default"].createElement("circle", {
  fill: "#FFF",
  fillRule: "nonzero",
  mask: "url(#error-block-image-busy-c)",
  cx: 22.286,
  cy: 18.857,
  r: 3.429
}))));
const imageRecord = {
  "default": defaultImage,
  "disconnected": disconnectedImage,
  "empty": emptyImage,
  "busy": busyImage
};
const ErrorBlock = createErrorBlock(imageRecord);
var floatingBubble = /* @__PURE__ */ (() => ".adm-floating-bubble {\n  --initial-position-left: var(--initial-position-left);\n  --initial-position-right: var(--initial-position-right);\n  --initial-position-top: var(--initial-position-top);\n  --initial-position-bottom: var(--initial-position-bottom);\n  --z-index: 1;\n  --edge-distance: 0;\n  --size: 48px;\n  --border-radius: 50%;\n  --background: var(--adm-color-primary);\n}\n.adm-floating-bubble-boundary-outer {\n  position: fixed;\n  left: 0;\n  top: 0;\n  width: 100vw;\n  height: 100vh;\n  padding: var(--edge-distance);\n  box-sizing: border-box;\n  pointer-events: none;\n}\n.adm-floating-bubble-boundary {\n  position: relative;\n  width: 100%;\n  height: 100%;\n}\n.adm-floating-bubble-button {\n  position: fixed;\n  top: var(--initial-position-top);\n  bottom: var(--initial-position-bottom);\n  left: var(--initial-position-left);\n  right: var(--initial-position-right);\n  box-sizing: border-box;\n  width: var(--size);\n  height: var(--size);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  overflow: hidden;\n  cursor: pointer;\n  transition: opacity ease 0.15s;\n  -webkit-user-select: none;\n          user-select: none;\n  touch-action: none;\n  background: var(--background);\n  color: var(--adm-color-white);\n  border-radius: var(--border-radius);\n  z-index: var(--z-index);\n}\n")();
const classPrefix$M = `adm-floating-bubble`;
const defaultProps$B = {
  axis: "y"
};
const FloatingBubble = (p2) => {
  const props = mergeProps(defaultProps$B, p2);
  const boundaryRef = React$1.useRef(null);
  const buttonRef = React$1.useRef(null);
  const [{
    x,
    y,
    opacity
  }, api] = web.useSpring(() => ({
    x: 0,
    y: 0,
    opacity: 1
  }));
  const bind = react.useDrag((state) => {
    let nextX = state.offset[0];
    let nextY = state.offset[1];
    if (state.last && props.magnetic) {
      const boundary = boundaryRef.current;
      const button2 = buttonRef.current;
      if (!boundary || !button2)
        return;
      const boundaryRect = boundary.getBoundingClientRect();
      const buttonRect = button2.getBoundingClientRect();
      if (props.magnetic === "x") {
        const compensation = x.goal - x.get();
        const leftDistance = buttonRect.left + compensation - boundaryRect.left;
        const rightDistance = boundaryRect.right - (buttonRect.right + compensation);
        if (rightDistance <= leftDistance) {
          nextX += rightDistance;
        } else {
          nextX -= leftDistance;
        }
      } else if (props.magnetic === "y") {
        const compensation = y.goal - y.get();
        const topDistance = buttonRect.top + compensation - boundaryRect.top;
        const bottomDistance = boundaryRect.bottom - (buttonRect.bottom + compensation);
        if (bottomDistance <= topDistance) {
          nextY += bottomDistance;
        } else {
          nextY -= topDistance;
        }
      }
    }
    api.start({
      x: nextX,
      y: nextY
    });
    api.start({
      opacity: state.active ? 0.8 : 1
    });
  }, {
    axis: props.axis === "xy" ? void 0 : props.axis,
    pointer: {
      touch: true
    },
    filterTaps: true,
    bounds: boundaryRef,
    from: () => [x.get(), y.get()]
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$M
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$M}-boundary-outer`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$M}-boundary`,
    ref: boundaryRef
  })), React__default["default"].createElement(web.animated.div, Object.assign({}, bind(), {
    style: {
      opacity,
      transform: web.to([x, y], (x2, y2) => `translate(${x2}px, ${y2}px)`)
    },
    onClick: props.onClick,
    className: `${classPrefix$M}-button`,
    ref: buttonRef
  }), props.children)));
};
var floatingPanel = /* @__PURE__ */ (() => ".adm-floating-panel {\n  --border-radius: 8px;\n  --header-height: 28px;\n  --z-index: var(--adm-floating-panel-z-index, 900);\n  border-top-left-radius: var(--border-radius);\n  border-top-right-radius: var(--border-radius);\n  background: var(--adm-color-white);\n  position: fixed;\n  z-index: var(--z-index);\n  bottom: 0;\n  left: 0;\n  width: 100vw;\n  display: flex;\n  flex-direction: column;\n  touch-action: none;\n}\n.adm-floating-panel-mask {\n  display: block;\n  width: 100%;\n  height: 100vh;\n  position: absolute;\n  left: 0;\n  top: -100vh;\n  background: transparent;\n}\n.adm-floating-panel::after {\n  content: '';\n  display: block;\n  position: absolute;\n  bottom: -100vh;\n  height: 100vh;\n  width: 100vw;\n  background: var(--adm-color-white);\n}\n.adm-floating-panel .adm-floating-panel-header {\n  flex: none;\n  height: var(--header-height);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  cursor: -webkit-grab;\n  cursor: grab;\n  -webkit-user-select: none;\n          user-select: none;\n  background-color: var(--adm-color-background);\n}\n.adm-floating-panel .adm-floating-panel-header .adm-floating-panel-bar {\n  height: 3px;\n  width: 20px;\n  border-radius: 10px;\n  background: var(--adm-color-light);\n}\n.adm-floating-panel .adm-floating-panel-content {\n  flex: 1;\n  overflow-y: scroll;\n}\n")();
function nearest(arr, target) {
  return arr.reduce((pre, cur) => {
    return Math.abs(pre - target) < Math.abs(cur - target) ? pre : cur;
  });
}
const defaultProps$A = {
  handleDraggingOfContent: true
};
const FloatingPanel = React$1.forwardRef((p2, ref) => {
  var _a, _b;
  const props = mergeProps(defaultProps$A, p2);
  const {
    anchors
  } = props;
  const maxHeight = (_a = anchors[anchors.length - 1]) !== null && _a !== void 0 ? _a : window.innerHeight;
  const possibles = anchors.map((x) => -x);
  const elementRef = React$1.useRef(null);
  const headerRef = React$1.useRef(null);
  const contentRef = React$1.useRef(null);
  const [pulling, setPulling] = React$1.useState(false);
  const pullingRef = React$1.useRef(false);
  const bounds = {
    top: possibles[possibles.length - 1],
    bottom: possibles[0]
  };
  const onHeightChange = ahooks.useMemoizedFn((_b = props.onHeightChange) !== null && _b !== void 0 ? _b : () => {
  });
  const [{
    y
  }, api] = web.useSpring(() => ({
    y: bounds.bottom,
    config: {
      tension: 300
    },
    onChange: (result2) => {
      onHeightChange(-result2.value.y, y.isAnimating);
    }
  }));
  react.useDrag((state) => {
    const [, offsetY] = state.offset;
    if (state.first) {
      const target = state.event.target;
      const header = headerRef.current;
      if (header === target || (header === null || header === void 0 ? void 0 : header.contains(target))) {
        pullingRef.current = true;
      } else {
        if (!props.handleDraggingOfContent)
          return;
        const reachedTop = y.goal <= bounds.top;
        const content = contentRef.current;
        if (!content)
          return;
        if (reachedTop) {
          if (content.scrollTop <= 0 && state.direction[1] > 0) {
            pullingRef.current = true;
          }
        } else {
          pullingRef.current = true;
        }
      }
    }
    setPulling(pullingRef.current);
    if (!pullingRef.current)
      return;
    const {
      event
    } = state;
    if (event.cancelable) {
      event.preventDefault();
    }
    event.stopPropagation();
    let nextY = offsetY;
    if (state.last) {
      pullingRef.current = false;
      setPulling(false);
      nextY = nearest(possibles, offsetY);
    }
    api.start({
      y: nextY
    });
  }, {
    axis: "y",
    bounds,
    rubberband: true,
    from: () => [0, y.get()],
    pointer: {
      touch: true
    },
    target: elementRef,
    eventOptions: supportsPassive ? {
      passive: false
    } : false
  });
  React$1.useImperativeHandle(ref, () => ({
    setHeight: (height, options) => {
      api.start({
        y: -height,
        immediate: options === null || options === void 0 ? void 0 : options.immediate
      });
    }
  }), [api]);
  useLockScroll(elementRef, true);
  return withNativeProps(props, React__default["default"].createElement(web.animated.div, {
    ref: elementRef,
    className: "adm-floating-panel",
    style: {
      height: maxHeight,
      translateY: y.to((y2) => `calc(100% + (${y2}px))`)
    }
  }, React__default["default"].createElement("div", {
    className: "adm-floating-panel-mask",
    style: {
      display: pulling ? "block" : "none"
    }
  }), React__default["default"].createElement("div", {
    className: "adm-floating-panel-header",
    ref: headerRef
  }, React__default["default"].createElement("div", {
    className: "adm-floating-panel-bar"
  })), React__default["default"].createElement("div", {
    className: "adm-floating-panel-content",
    ref: contentRef
  }, props.children)));
});
var index$a = /* @__PURE__ */ (() => ".adm-form {\n  --border-inner: solid 1px var(--adm-color-border);\n  --border-top: solid 1px var(--adm-color-border);\n  --border-bottom: solid 1px var(--adm-color-border);\n  ---border-inner: var(--border-inner);\n  ---border-top: var(--border-top);\n  ---border-bottom: var(--border-bottom);\n}\n.adm-form .adm-list.adm-list {\n  --padding-left: 16px;\n  --padding-right: 12px;\n  --border-inner: var(---border-inner);\n  --border-top: var(---border-top);\n  --border-bottom: var(---border-bottom);\n}\n.adm-form .adm-form-footer {\n  padding: 20px 12px;\n}\n.adm-form-list-operation {\n  text-align: center;\n  color: #1677ff;\n}\n.adm-form-item + .adm-form-item {\n  border-top: none;\n}\n.adm-form-item-label {\n  display: block;\n  height: 100%;\n  line-height: 1.5;\n  box-sizing: border-box;\n  position: relative;\n  color: var(--adm-color-text-secondary);\n}\n.adm-form-item-label .adm-form-item-required-asterisk {\n  position: absolute;\n  left: -0.6em;\n  top: 0;\n  font-family: SimSun, sans-serif;\n  color: var(--adm-color-danger);\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-form-item-label .adm-form-item-required-text {\n  margin-left: 4px;\n  color: var(--adm-color-weak);\n}\n.adm-form-item-label-help {\n  margin-left: 4px;\n  cursor: pointer;\n}\n.adm-form-item-child {\n  display: flex;\n}\n.adm-form-item-child-position-normal {\n  justify-content: normal;\n}\n.adm-form-item-child-position-normal > * {\n  flex: auto;\n}\n.adm-form-item-child-position-right {\n  justify-content: flex-end;\n}\n.adm-form-item-child-position-right > * {\n  flex: none;\n}\n.adm-form-item-feedback-error {\n  color: var(--adm-color-danger);\n  margin-top: 4px;\n}\n.adm-form-item-feedback-warning {\n  color: var(--adm-color-warning);\n  margin-top: 4px;\n}\n.adm-form-item.adm-form-item-hidden {\n  display: none;\n}\n.adm-form-item.adm-form-item-horizontal.adm-list-item {\n  --align-items: stretch;\n  --prefix-width: 6.8em;\n}\n.adm-form-item.adm-form-item-horizontal .adm-list-item-content-prefix {\n  padding-top: 12px;\n  padding-bottom: 12px;\n}\n.adm-form-item.adm-form-item-horizontal .adm-list-item-content-extra {\n  align-self: center;\n}\n.adm-form-item.adm-form-item-vertical .adm-form-item-label {\n  font-size: var(--adm-font-size-7);\n  margin-bottom: 4px;\n}\n")();
const defaultFormContext = {
  name: void 0,
  hasFeedback: true,
  layout: "vertical",
  requiredMarkStyle: "asterisk",
  disabled: false
};
const FormContext = React__default["default"].createContext(defaultFormContext);
const NoStyleItemContext = React__default["default"].createContext(null);
const Header = () => null;
const FormArray = (props) => {
  return React__default["default"].createElement(RcForm.List, {
    name: props.name,
    initialValue: props.initialValue
  }, (rcFields, operation) => {
    const fields = rcFields.map((field) => ({
      index: field.name,
      key: field.key
    }));
    const children = props.children(fields, operation).map((child, index2) => {
      var _a;
      return React__default["default"].createElement(List, {
        key: fields[index2].key,
        mode: "card",
        header: (_a = props.renderHeader) === null || _a === void 0 ? void 0 : _a.call(props, fields[index2], operation)
      }, child);
    });
    if (props.renderAdd) {
      children.push(React__default["default"].createElement(List, {
        key: "add",
        mode: "card"
      }, React__default["default"].createElement(List.Item, {
        className: "adm-form-list-operation",
        onClick: () => {
          props.onAdd ? props.onAdd(operation) : operation.add();
        },
        arrow: false
      }, props.renderAdd())));
    }
    return React__default["default"].createElement(React__default["default"].Fragment, null, children);
  });
};
const classPrefix$L = "adm-form";
const defaultProps$z = defaultFormContext;
const Form = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$z, p2);
  const {
    className,
    style,
    hasFeedback,
    children,
    layout,
    footer,
    mode,
    disabled,
    requiredMarkStyle
  } = props, formProps = tslib.__rest(props, ["className", "style", "hasFeedback", "children", "layout", "footer", "mode", "disabled", "requiredMarkStyle"]);
  const {
    locale
  } = useConfig();
  const validateMessages = React$1.useMemo(() => merge_1({}, locale.Form.defaultValidateMessages, formProps.validateMessages), [locale.Form.defaultValidateMessages, formProps.validateMessages]);
  const lists = [];
  let currentHeader = null;
  let items = [];
  let count = 0;
  function collect() {
    if (items.length === 0)
      return;
    count += 1;
    lists.push(React__default["default"].createElement(List, {
      header: currentHeader,
      key: count,
      mode
    }, items));
    items = [];
  }
  traverseReactNode(props.children, (child) => {
    if (React__default["default"].isValidElement(child)) {
      if (child.type === Header) {
        collect();
        currentHeader = child.props.children;
        return;
      }
      if (child.type === FormArray) {
        collect();
        lists.push(child);
        return;
      }
    }
    items.push(child);
  });
  collect();
  return React__default["default"].createElement(RcForm__default["default"], Object.assign({
    className: classNames__default["default"](classPrefix$L, className),
    style,
    ref
  }, formProps, {
    validateMessages
  }), React__default["default"].createElement(FormContext.Provider, {
    value: {
      name: formProps.name,
      hasFeedback,
      layout,
      requiredMarkStyle,
      disabled
    }
  }, lists), footer && React__default["default"].createElement("div", {
    className: `${classPrefix$L}-footer`
  }, footer));
});
var FieldContext = {};
var interopRequireDefault = { exports: {} };
(function(module) {
  function _interopRequireDefault2(obj) {
    return obj && obj.__esModule ? obj : {
      "default": obj
    };
  }
  module.exports = _interopRequireDefault2, module.exports.__esModule = true, module.exports["default"] = module.exports;
})(interopRequireDefault);
var interopRequireWildcard = { exports: {} };
var _typeof = { exports: {} };
(function(module) {
  function _typeof2(obj) {
    "@babel/helpers - typeof";
    return module.exports = _typeof2 = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(obj2) {
      return typeof obj2;
    } : function(obj2) {
      return obj2 && typeof Symbol == "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    }, module.exports.__esModule = true, module.exports["default"] = module.exports, _typeof2(obj);
  }
  module.exports = _typeof2, module.exports.__esModule = true, module.exports["default"] = module.exports;
})(_typeof);
(function(module) {
  var _typeof$1 = _typeof.exports["default"];
  function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function")
      return null;
    var cacheBabelInterop = /* @__PURE__ */ new WeakMap();
    var cacheNodeInterop = /* @__PURE__ */ new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache2(nodeInterop2) {
      return nodeInterop2 ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
  }
  function _interopRequireWildcard2(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof$1(obj) !== "object" && typeof obj !== "function") {
      return {
        "default": obj
      };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
      return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj["default"] = obj;
    if (cache) {
      cache.set(obj, newObj);
    }
    return newObj;
  }
  module.exports = _interopRequireWildcard2, module.exports.__esModule = true, module.exports["default"] = module.exports;
})(interopRequireWildcard);
var warning$1 = {};
Object.defineProperty(warning$1, "__esModule", {
  value: true
});
warning$1.call = call;
warning$1.default = void 0;
warning$1.note = note;
warning$1.noteOnce = noteOnce;
warning$1.resetWarned = resetWarned;
warning$1.warning = warning;
warning$1.warningOnce = warningOnce;
var warned = {};
function warning(valid, message) {
}
function note(valid, message) {
}
function resetWarned() {
  warned = {};
}
function call(method, valid, message) {
  if (!valid && !warned[message]) {
    method(false, message);
    warned[message] = true;
  }
}
function warningOnce(valid, message) {
  call(warning, valid, message);
}
function noteOnce(valid, message) {
  call(note, valid, message);
}
var _default$1 = warningOnce;
warning$1.default = _default$1;
var _interopRequireDefault = interopRequireDefault.exports;
var _interopRequireWildcard = interopRequireWildcard.exports;
Object.defineProperty(FieldContext, "__esModule", {
  value: true
});
var default_1 = FieldContext.default = FieldContext.HOOK_MARK = void 0;
var React = _interopRequireWildcard(React__default["default"]);
var _warning = _interopRequireDefault(warning$1);
var HOOK_MARK = "RC_FORM_INTERNAL_HOOKS";
FieldContext.HOOK_MARK = HOOK_MARK;
var warningFunc = function warningFunc2() {
  (0, _warning.default)(false, "Can not find FormContext. Please make sure you wrap Field under Form.");
};
var Context = /* @__PURE__ */ React.createContext({
  getFieldValue: warningFunc,
  getFieldsValue: warningFunc,
  getFieldError: warningFunc,
  getFieldWarning: warningFunc,
  getFieldsError: warningFunc,
  isFieldsTouched: warningFunc,
  isFieldTouched: warningFunc,
  isFieldValidating: warningFunc,
  isFieldsValidating: warningFunc,
  resetFields: warningFunc,
  setFields: warningFunc,
  setFieldsValue: warningFunc,
  validateFields: warningFunc,
  submit: warningFunc,
  getInternalHooks: function getInternalHooks() {
    warningFunc();
    return {
      dispatch: warningFunc,
      initEntityValue: warningFunc,
      registerField: warningFunc,
      useSubscribe: warningFunc,
      setInitialValues: warningFunc,
      destroyForm: warningFunc,
      setCallbacks: warningFunc,
      registerWatch: warningFunc,
      getFields: warningFunc,
      setValidateMessages: warningFunc,
      setPreserve: warningFunc,
      getInitialValue: warningFunc
    };
  }
});
var _default = Context;
default_1 = FieldContext.default = _default;
function toArray(candidate) {
  if (candidate === void 0 || candidate === false)
    return [];
  return Array.isArray(candidate) ? candidate : [candidate];
}
function shouldConstruct(Component) {
  const prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}
function isSimpleFunctionComponent(type) {
  return typeof type === "function" && !shouldConstruct(type) && type.defaultProps === void 0;
}
function isSafeSetRefComponent(component) {
  if (reactIs.isFragment(component))
    return false;
  if (reactIs.isMemo(component))
    return isSafeSetRefComponent(component.type);
  return !isSimpleFunctionComponent(component.type);
}
var popover = /* @__PURE__ */ (() => ".adm-popover {\n  --z-index: var(--adm-popover-z-index, 1030);\n  --background: #ffffff;\n  --arrow-size: 8px;\n  --content-padding: 8px 12px;\n  color: #333333;\n  position: absolute;\n  top: 0;\n  left: 0;\n  z-index: var(--z-index);\n  white-space: normal;\n  text-align: left;\n  cursor: auto;\n  -webkit-user-select: text;\n          user-select: text;\n  animation: none;\n}\n.adm-popover.adm-popover-dark {\n  --background: rgba(0, 0, 0, 0.75);\n  --adm-color-text: #ffffff;\n  color: #ffffff;\n}\n.adm-popover.adm-popover-dark .adm-popover-inner {\n  box-shadow: none;\n}\n.adm-popover::after {\n  position: absolute;\n  background: rgba(255, 255, 255, 0.01);\n  content: '';\n}\n.adm-popover-hidden {\n  display: none;\n}\n.adm-popover-inner {\n  background-color: var(--background);\n  background-clip: padding-box;\n  border-radius: 8px;\n  box-shadow: 0 0 30px 0 rgba(51, 51, 51, 0.2);\n  font-size: var(--adm-font-size-7);\n  width: -webkit-max-content;\n  width: max-content;\n  min-width: 32px;\n  max-width: calc(100vw - 24px);\n  overflow-y: hidden;\n}\n.adm-popover-inner-content {\n  padding: var(--content-padding);\n}\n.adm-popover-arrow {\n  position: absolute;\n  display: block;\n  height: var(--arrow-size);\n  width: var(--arrow-size);\n  overflow: visible;\n  background: transparent;\n}\n.adm-popover-arrow-icon {\n  display: block;\n  height: var(--arrow-size);\n  width: 15px;\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%) rotate(var(--arrow-icon-rotate));\n}\n.adm-popover .adm-popover-arrow {\n  color: var(--background);\n}\n")();
var popoverMenu = /* @__PURE__ */ (() => ".adm-popover-menu {\n  --border-color: #eeeeee;\n}\n.adm-popover-menu.adm-popover {\n  --content-padding: 0;\n}\n.adm-popover-menu-list {\n  overflow: hidden;\n  min-width: 120px;\n}\n.adm-popover-menu-list-inner {\n  margin-top: -1px;\n}\n.adm-popover-menu-item {\n  display: flex;\n  padding-left: 20px;\n  justify-content: flex-start;\n  align-items: center;\n  position: relative;\n}\n.adm-popover-menu-item-icon {\n  flex: none;\n  padding-right: 8px;\n  font-size: 20px;\n}\n.adm-popover-menu-item-text {\n  flex: auto;\n  padding: 14px 20px 14px 0;\n  border-top: solid 1px var(--border-color);\n}\n.adm-popover-menu-item-disabled {\n  cursor: not-allowed;\n}\n.adm-popover-menu-item-disabled > * {\n  opacity: 0.4;\n}\n.adm-popover-menu-item:active:not(.adm-popover-menu-item-disabled) {\n  background-color: var(--border-color);\n}\n.adm-popover-menu-item:active:not(.adm-popover-menu-item-disabled)::after {\n  content: ' ';\n  display: block;\n  position: absolute;\n  width: 100%;\n  bottom: -1px;\n  left: 0;\n  border-bottom: solid 1px var(--border-color);\n}\n.adm-popover.adm-popover-dark.adm-popover-menu {\n  --border-color: #333333;\n  --background: rgba(0, 0, 0, 0.9);\n}\n")();
const Arrow = React$1.memo((props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    viewBox: "0 0 30 16"
  }, React__default["default"].createElement("g", {
    fill: "currentColor"
  }, React__default["default"].createElement("path", {
    d: "M0,0 L30,0 L18.07289,14.312538 C16.65863,16.009645 14.13637,16.238942 12.43926,14.824685 C12.25341,14.669808 12.08199,14.49839 11.92711,14.312538 L0,0 L0,0 Z"
  }))));
});
class Wrapper extends React__default["default"].Component {
  constructor() {
    super(...arguments);
    this.element = null;
  }
  componentDidMount() {
    this.componentDidUpdate();
  }
  componentDidUpdate() {
    const node = reactDom$1.exports.findDOMNode(this);
    if (node instanceof Element) {
      this.element = node;
    } else {
      this.element = null;
    }
  }
  render() {
    return React__default["default"].Children.only(this.props.children);
  }
}
const record = {
  "topLeft": "top-start",
  "topRight": "top-end",
  "bottomLeft": "bottom-start",
  "bottomRight": "bottom-end",
  "leftTop": "left-start",
  "leftBottom": "left-end",
  "rightTop": "right-start",
  "rightBottom": "right-end"
};
function normalizePlacement(placement) {
  var _a;
  return (_a = record[placement]) !== null && _a !== void 0 ? _a : placement;
}
let tenPxTester = null;
let tester = null;
if (canUseDom) {
  tenPxTester = document.createElement("div");
  tenPxTester.className = "adm-px-tester";
  tenPxTester.style.setProperty("--size", "10");
  document.body.appendChild(tenPxTester);
  tester = document.createElement("div");
  tester.className = "adm-px-tester";
  document.body.appendChild(tester);
}
function convertPx(px) {
  if (tenPxTester === null || tester === null)
    return px;
  if (tenPxTester.getBoundingClientRect().height === 10) {
    return px;
  }
  tester.style.setProperty("--size", px.toString());
  return tester.getBoundingClientRect().height;
}
const classPrefix$K = `adm-popover`;
const defaultProps$y = {
  placement: "top",
  defaultVisible: false,
  stopPropagation: ["click"],
  getContainer: () => document.body
};
const Popover$1 = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$y, p2);
  const {
    mode = "light"
  } = props;
  const placement = normalizePlacement(props.placement);
  const [visible, setVisible] = usePropsValue({
    value: props.visible,
    defaultValue: props.defaultVisible,
    onChange: props.onVisibleChange
  });
  React$1.useImperativeHandle(ref, () => {
    return {
      show: () => setVisible(true),
      hide: () => setVisible(false),
      visible
    };
  }, [visible]);
  const targetRef = React$1.useRef(null);
  const floatingRef = React$1.useRef(null);
  const arrowRef = React$1.useRef(null);
  const floating = withStopPropagation(props.stopPropagation, withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$K, `${classPrefix$K}-${mode}`, !visible && `${classPrefix$K}-hidden`),
    ref: floatingRef
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$K}-arrow`,
    ref: arrowRef
  }, React__default["default"].createElement(Arrow, {
    className: `${classPrefix$K}-arrow-icon`
  })), React__default["default"].createElement("div", {
    className: `${classPrefix$K}-inner`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$K}-inner-content`
  }, props.content)))));
  const [targetElement, setTargetElement] = React$1.useState(null);
  function update() {
    var _a, _b, _c;
    return tslib.__awaiter(this, void 0, void 0, function* () {
      const target = (_b = (_a = targetRef.current) === null || _a === void 0 ? void 0 : _a.element) !== null && _b !== void 0 ? _b : null;
      const floating2 = floatingRef.current;
      const arrowElement = arrowRef.current;
      setTargetElement(target);
      if (!target || !floating2 || !arrowElement)
        return;
      const {
        x,
        y,
        placement: realPlacement,
        middlewareData
      } = yield dom.computePosition(target, floating2, {
        placement,
        middleware: [dom.offset(convertPx(12)), dom.shift({
          padding: convertPx(4),
          crossAxis: false,
          limiter: dom.limitShift()
        }), dom.flip(), dom.hide(), dom.arrow({
          element: arrowElement,
          padding: convertPx(12)
        })]
      });
      Object.assign(floating2.style, {
        left: `${x}px`,
        top: `${y}px`
      });
      const side = realPlacement.split("-")[0];
      const arrowSide = {
        top: "bottom",
        right: "left",
        bottom: "top",
        left: "right"
      }[side];
      const {
        x: arrowX,
        y: arrowY
      } = (_c = middlewareData.arrow) !== null && _c !== void 0 ? _c : {};
      Object.assign(arrowElement.style, {
        left: arrowX != null ? `${arrowX}px` : "",
        top: arrowY != null ? `${arrowY}px` : "",
        right: "",
        bottom: "",
        [arrowSide]: `-${convertPx(8)}px`
      });
      const arrowRotate = {
        top: "0deg",
        bottom: "180deg",
        left: "270deg",
        right: "90deg"
      }[side];
      arrowElement.style.setProperty("--arrow-icon-rotate", arrowRotate);
    });
  }
  ahooks.useIsomorphicLayoutEffect(() => {
    update();
  });
  React$1.useEffect(() => {
    if (!targetElement)
      return;
    if (!props.trigger)
      return;
    function handleClick() {
      setVisible((v2) => !v2);
    }
    targetElement.addEventListener("click", handleClick);
    return () => {
      targetElement.removeEventListener("click", handleClick);
    };
  }, [targetElement, props.trigger]);
  React$1.useEffect(() => {
    const floatingElement = floatingRef.current;
    if (!targetElement || !floatingElement)
      return;
    return dom.autoUpdate(targetElement, floatingElement, update, {
      elementResize: typeof ResizeObserver !== "undefined"
    });
  }, [targetElement]);
  ahooks.useClickAway(() => {
    if (!props.trigger)
      return;
    setVisible(false);
  }, () => {
    var _a;
    return (_a = targetRef.current) === null || _a === void 0 ? void 0 : _a.element;
  });
  const shouldRender = useShouldRender(visible, false, props.destroyOnHide);
  return React__default["default"].createElement(React__default["default"].Fragment, null, React__default["default"].createElement(Wrapper, {
    ref: targetRef
  }, props.children), shouldRender && renderToContainer(props.getContainer, floating));
});
const classPrefix$J = `adm-popover-menu`;
const PopoverMenu = React$1.forwardRef((props, ref) => {
  const innerRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => innerRef.current, []);
  const onClick = React$1.useCallback((e2) => {
    var _a;
    const {
      onAction
    } = props;
    if (onAction) {
      onAction(e2);
    }
    (_a = innerRef.current) === null || _a === void 0 ? void 0 : _a.hide();
  }, [props.onAction]);
  const overlay = React$1.useMemo(() => {
    return React__default["default"].createElement("div", {
      className: `${classPrefix$J}-list`
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$J}-list-inner`
    }, props.actions.map((action, index2) => {
      var _a;
      return React__default["default"].createElement("a", {
        key: (_a = action.key) !== null && _a !== void 0 ? _a : index2,
        className: classNames__default["default"](`${classPrefix$J}-item`, "adm-plain-anchor", action.disabled && `${classPrefix$J}-item-disabled`),
        onClick: () => {
          var _a2;
          if (action.disabled)
            return;
          onClick(action);
          (_a2 = action.onClick) === null || _a2 === void 0 ? void 0 : _a2.call(action);
        }
      }, action.icon && React__default["default"].createElement("div", {
        className: `${classPrefix$J}-item-icon`
      }, action.icon), React__default["default"].createElement("div", {
        className: `${classPrefix$J}-item-text`
      }, action.text));
    })));
  }, [props.actions, onClick]);
  return React__default["default"].createElement(Popover$1, Object.assign({
    ref: innerRef
  }, props, {
    className: classNames__default["default"](classPrefix$J, props.className),
    content: overlay
  }), props.children);
});
var Popover = attachPropertiesToComponent(Popover$1, {
  Menu: PopoverMenu
});
function undefinedFallback(...items) {
  let i;
  for (i = 0; i < items.length; i++) {
    if (items[i] !== void 0)
      break;
  }
  return items[i];
}
const NAME_SPLIT = "__SPLIT__";
const classPrefix$I = `adm-form-item`;
const MemoInput = React__default["default"].memo(({
  children
}) => children, (prev, next) => prev.value === next.value && prev.update === next.update);
const FormItemLayout = (props) => {
  var _a;
  const {
    className,
    style,
    extra,
    label,
    help,
    required,
    children,
    htmlFor,
    hidden,
    arrow,
    childElementPosition = "normal"
  } = props;
  const context = React$1.useContext(FormContext);
  const {
    locale
  } = useConfig();
  const hasFeedback = props.hasFeedback !== void 0 ? props.hasFeedback : context.hasFeedback;
  const layout = props.layout || context.layout;
  const disabled = (_a = props.disabled) !== null && _a !== void 0 ? _a : context.disabled;
  const requiredMark = (() => {
    const {
      requiredMarkStyle
    } = context;
    switch (requiredMarkStyle) {
      case "asterisk":
        return required && React__default["default"].createElement("span", {
          className: `${classPrefix$I}-required-asterisk`
        }, "*");
      case "text-required":
        return required && React__default["default"].createElement("span", {
          className: `${classPrefix$I}-required-text`
        }, "(", locale.Form.required, ")");
      case "text-optional":
        return !required && React__default["default"].createElement("span", {
          className: `${classPrefix$I}-required-text`
        }, "(", locale.Form.optional, ")");
      default:
        return null;
    }
  })();
  const labelElement = label ? React__default["default"].createElement("label", {
    className: `${classPrefix$I}-label`,
    htmlFor
  }, label, requiredMark, help && React__default["default"].createElement(Popover, {
    content: help,
    mode: "dark",
    trigger: "click"
  }, React__default["default"].createElement("span", {
    className: `${classPrefix$I}-label-help`,
    onClick: (e2) => {
      e2.preventDefault();
    }
  }, React__default["default"].createElement(antdMobileIcons.QuestionCircleOutline, null)))) : null;
  const description = props.description || hasFeedback ? React__default["default"].createElement(React__default["default"].Fragment, null, props.description, hasFeedback && React__default["default"].createElement(React__default["default"].Fragment, null, props.errors.map((error, index2) => React__default["default"].createElement("div", {
    key: `error-${index2}`,
    className: `${classPrefix$I}-feedback-error`
  }, error)), props.warnings.map((warning2, index2) => React__default["default"].createElement("div", {
    key: `warning-${index2}`,
    className: `${classPrefix$I}-feedback-warning`
  }, warning2)))) : null;
  return React__default["default"].createElement(List.Item, {
    style,
    title: layout === "vertical" && labelElement,
    prefix: layout === "horizontal" && labelElement,
    extra,
    description,
    className: classNames__default["default"](classPrefix$I, className, `${classPrefix$I}-${layout}`, {
      [`${classPrefix$I}-hidden`]: hidden,
      [`${classPrefix$I}-has-error`]: props.errors.length
    }),
    disabled,
    onClick: props.onClick,
    clickable: props.clickable,
    arrow
  }, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$I}-child`, `${classPrefix$I}-child-position-${childElementPosition}`)
  }, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$I}-child-inner`)
  }, children)));
};
const FormItem = (props) => {
  const {
    className,
    style,
    label,
    help,
    extra,
    hasFeedback,
    name,
    required,
    noStyle,
    hidden,
    layout,
    childElementPosition,
    description,
    disabled,
    rules,
    children,
    messageVariables,
    trigger = "onChange",
    validateTrigger = trigger,
    onClick,
    shouldUpdate,
    dependencies,
    clickable,
    arrow
  } = props, fieldProps = tslib.__rest(props, ["className", "style", "label", "help", "extra", "hasFeedback", "name", "required", "noStyle", "hidden", "layout", "childElementPosition", "description", "disabled", "rules", "children", "messageVariables", "trigger", "validateTrigger", "onClick", "shouldUpdate", "dependencies", "clickable", "arrow"]);
  const {
    name: formName
  } = React$1.useContext(FormContext);
  const {
    validateTrigger: contextValidateTrigger
  } = React$1.useContext(default_1);
  const mergedValidateTrigger = undefinedFallback(validateTrigger, contextValidateTrigger, trigger);
  const widgetRef = React$1.useRef(null);
  const updateRef = React$1.useRef(0);
  updateRef.current += 1;
  const [subMetas, setSubMetas] = React$1.useState({});
  const onSubMetaChange = React$1.useCallback((subMeta, namePath) => {
    setSubMetas((prevSubMetas) => {
      const nextSubMetas = Object.assign({}, prevSubMetas);
      const nameKey = namePath.join(NAME_SPLIT);
      if (subMeta.destroy) {
        delete nextSubMetas[nameKey];
      } else {
        nextSubMetas[nameKey] = subMeta;
      }
      return nextSubMetas;
    });
  }, [setSubMetas]);
  function renderLayout(baseChildren, fieldId, meta, isRequired) {
    var _a, _b;
    if (noStyle && !hidden) {
      return baseChildren;
    }
    const curErrors = (_a = meta === null || meta === void 0 ? void 0 : meta.errors) !== null && _a !== void 0 ? _a : [];
    const errors = Object.keys(subMetas).reduce((subErrors, key) => {
      var _a2, _b2;
      const errors2 = (_b2 = (_a2 = subMetas[key]) === null || _a2 === void 0 ? void 0 : _a2.errors) !== null && _b2 !== void 0 ? _b2 : [];
      if (errors2.length) {
        subErrors = [...subErrors, ...errors2];
      }
      return subErrors;
    }, curErrors);
    const curWarnings = (_b = meta === null || meta === void 0 ? void 0 : meta.warnings) !== null && _b !== void 0 ? _b : [];
    const warnings = Object.keys(subMetas).reduce((subWarnings, key) => {
      var _a2, _b2;
      const warnings2 = (_b2 = (_a2 = subMetas[key]) === null || _a2 === void 0 ? void 0 : _a2.warnings) !== null && _b2 !== void 0 ? _b2 : [];
      if (warnings2.length) {
        subWarnings = [...subWarnings, ...warnings2];
      }
      return subWarnings;
    }, curWarnings);
    return React__default["default"].createElement(FormItemLayout, {
      className,
      style,
      label,
      extra,
      help,
      description,
      required: isRequired,
      disabled,
      hasFeedback,
      htmlFor: fieldId,
      errors,
      warnings,
      onClick: onClick && ((e2) => onClick(e2, widgetRef)),
      hidden,
      layout,
      childElementPosition,
      clickable,
      arrow
    }, React__default["default"].createElement(NoStyleItemContext.Provider, {
      value: onSubMetaChange
    }, baseChildren));
  }
  const isRenderProps = typeof children === "function";
  if (!name && !isRenderProps && !props.dependencies) {
    return renderLayout(children);
  }
  let Variables = {};
  Variables.label = typeof label === "string" ? label : "";
  if (messageVariables) {
    Variables = Object.assign(Object.assign({}, Variables), messageVariables);
  }
  const notifyParentMetaChange = React$1.useContext(NoStyleItemContext);
  const onMetaChange = (meta) => {
    if (noStyle && notifyParentMetaChange) {
      const namePath = meta.name;
      notifyParentMetaChange(meta, namePath);
    }
  };
  return React__default["default"].createElement(RcForm.Field, Object.assign({}, fieldProps, {
    name,
    shouldUpdate,
    dependencies,
    rules,
    trigger,
    validateTrigger: mergedValidateTrigger,
    onMetaChange,
    messageVariables: Variables
  }), (control, meta, context) => {
    let childNode = null;
    const isRequired = required !== void 0 ? required : rules && rules.some((rule) => !!(rule && typeof rule === "object" && rule.required));
    const nameList = toArray(name).length && meta ? meta.name : [];
    const fieldId = (nameList.length > 0 && formName ? [formName, ...nameList] : nameList).join("_");
    if (isRenderProps) {
      if ((shouldUpdate || dependencies) && !name) {
        childNode = children(context);
      }
    } else if (dependencies && !name)
      ;
    else if (React__default["default"].isValidElement(children)) {
      if (children.props.defaultValue)
        ;
      const childProps = Object.assign(Object.assign({}, children.props), control);
      if (isSafeSetRefComponent(children)) {
        childProps.ref = (instance) => {
          const originRef = children.ref;
          if (originRef) {
            if (typeof originRef === "function") {
              originRef(instance);
            }
            if ("current" in originRef) {
              originRef.current = instance;
            }
          }
          widgetRef.current = instance;
        };
      }
      if (!childProps.id) {
        childProps.id = fieldId;
      }
      const triggers = /* @__PURE__ */ new Set([...toArray(trigger), ...toArray(mergedValidateTrigger)]);
      triggers.forEach((eventName) => {
        childProps[eventName] = (...args) => {
          var _a, _b, _c;
          (_a = control[eventName]) === null || _a === void 0 ? void 0 : _a.call(control, ...args);
          (_c = (_b = children.props)[eventName]) === null || _c === void 0 ? void 0 : _c.call(_b, ...args);
        };
      });
      childNode = React__default["default"].createElement(MemoInput, {
        value: control[props.valuePropName || "value"],
        update: updateRef.current
      }, React__default["default"].cloneElement(children, childProps));
    } else {
      childNode = children;
    }
    return renderLayout(childNode, fieldId, meta, isRequired);
  });
};
const FormSubscribe = (props) => {
  const update = ahooks.useUpdate();
  const form = React$1.useContext(RcForm.FieldContext);
  return React__default["default"].createElement(React__default["default"].Fragment, null, props.children(form.getFieldsValue(props.to), form), props.to.map((namePath) => React__default["default"].createElement(Watcher, {
    key: namePath.toString(),
    form,
    namePath,
    onChange: update
  })));
};
const Watcher = React$1.memo((props) => {
  const value = RcForm.useWatch(props.namePath, props.form);
  useIsomorphicUpdateLayoutEffect(() => {
    props.onChange();
  }, [value]);
  return null;
});
var index$9 = attachPropertiesToComponent(Form, {
  Item: FormItem,
  Subscribe: FormSubscribe,
  Header,
  Array: FormArray,
  useForm: RcForm.useForm,
  useWatch: RcForm.useWatch
});
var grid = /* @__PURE__ */ (() => ".adm-grid {\n  --gap: 0;\n  --gap-horizontal: var(--gap);\n  --gap-vertical: var(--gap);\n  display: grid;\n  grid-gap: 10px;\n  -webkit-column-gap: var(--gap-horizontal);\n          column-gap: var(--gap-horizontal);\n  row-gap: var(--gap-vertical);\n  grid-template-columns: repeat(var(--columns), minmax(0, 1fr));\n  align-items: stretch;\n}\n.adm-grid-item {\n  grid-column-end: span var(--item-span);\n}\n")();
const classPrefix$H = `adm-grid`;
const Grid$1 = (props) => {
  const style = {
    "--columns": props.columns.toString()
  };
  const {
    gap
  } = props;
  if (gap !== void 0) {
    if (Array.isArray(gap)) {
      style["--gap-horizontal"] = toCSSLength(gap[0]);
      style["--gap-vertical"] = toCSSLength(gap[1]);
    } else {
      style["--gap"] = toCSSLength(gap);
    }
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$H,
    style
  }, props.children));
};
const GridItem = (p2) => {
  const props = mergeProps({
    span: 1
  }, p2);
  const itemStyle = {
    "--item-span": props.span
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: `${classPrefix$H}-item`,
    style: itemStyle,
    onClick: props.onClick
  }, props.children));
};
var Grid = attachPropertiesToComponent(Grid$1, {
  Item: GridItem
});
var imageViewer = /* @__PURE__ */ (() => ".adm-image-viewer-content {\n  width: 100vw;\n  height: 100vh;\n  touch-action: none;\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-image-viewer-footer {\n  position: absolute;\n  width: 100%;\n  bottom: 0;\n  z-index: 1;\n}\n.adm-image-viewer-slides {\n  height: 100%;\n  position: relative;\n  z-index: 1;\n  cursor: -webkit-grab;\n  cursor: grab;\n  touch-action: none;\n}\n.adm-image-viewer-slides-inner {\n  height: 100%;\n  white-space: nowrap;\n}\n.adm-image-viewer-slides-inner > * {\n  margin-right: 16px;\n}\n.adm-image-viewer-slide {\n  position: relative;\n  width: 100%;\n  height: 100%;\n  display: inline-block;\n}\n.adm-image-viewer-control {\n  position: absolute;\n  z-index: 1;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  cursor: -webkit-grab;\n  cursor: grab;\n  touch-action: none;\n}\n.adm-image-viewer-image-wrapper {\n  width: 100%;\n  height: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n.adm-image-viewer-image-wrapper img {\n  display: block;\n  max-width: 100%;\n  max-height: 100%;\n}\n.adm-image-viewer-indicator {\n  position: absolute;\n  z-index: 2;\n  left: 50%;\n  top: 12px;\n  transform: translateX(-50%);\n  color: #e6e6e6;\n  font-size: var(--adm-font-size-6);\n}\n")();
const useDragAndPinch = react.createUseGesture([react.dragAction, react.pinchAction]);
const classPrefix$G = `adm-image-viewer`;
const Slide = (props) => {
  const {
    dragLockRef
  } = props;
  const controlRef = React$1.useRef(null);
  const imgRef = React$1.useRef(null);
  const [{
    zoom,
    x,
    y
  }, api] = web.useSpring(() => ({
    zoom: 1,
    x: 0,
    y: 0,
    config: {
      tension: 200
    }
  }));
  const pinchLockRef = React$1.useRef(false);
  function boundXY([x2, y2], rubberband2) {
    const currentZoom = zoom.get();
    let xOffset = 0, yOffset = 0;
    if (imgRef.current && controlRef.current) {
      xOffset = ((currentZoom * imgRef.current.width || 0) - controlRef.current.clientWidth) / 2;
      yOffset = ((currentZoom * imgRef.current.height || 0) - controlRef.current.clientHeight) / 2;
    }
    xOffset = xOffset > 0 ? xOffset : 0;
    yOffset = yOffset > 0 ? yOffset : 0;
    const bounds = {
      left: -xOffset,
      right: xOffset,
      top: -yOffset,
      bottom: yOffset
    };
    if (rubberband2) {
      return [rubberbandIfOutOfBounds(x2, bounds.left, bounds.right, currentZoom * 50), rubberbandIfOutOfBounds(y2, bounds.top, bounds.bottom, currentZoom * 50)];
    } else {
      return [bound(x2, bounds.left, bounds.right), bound(y2, bounds.top, bounds.bottom)];
    }
  }
  useDragAndPinch({
    onDrag: (state) => {
      if (state.tap && state.elapsedTime > 0 && state.elapsedTime < 1e3) {
        props.onTap();
        return;
      }
      const currentZoom = zoom.get();
      if (dragLockRef) {
        dragLockRef.current = currentZoom !== 1;
      }
      if (!pinchLockRef.current && currentZoom <= 1) {
        api.start({
          x: 0,
          y: 0
        });
      } else {
        if (state.last) {
          const [x2, y2] = boundXY([state.offset[0] + state.velocity[0] * state.direction[0] * 200, state.offset[1] + state.velocity[1] * state.direction[1] * 200], false);
          api.start({
            x: x2,
            y: y2
          });
        } else {
          const [x2, y2] = boundXY(state.offset, true);
          api.start({
            x: x2,
            y: y2,
            immediate: true
          });
        }
      }
    },
    onPinch: (state) => {
      var _a;
      pinchLockRef.current = !state.last;
      const [d] = state.offset;
      if (d < 0)
        return;
      const nextZoom = state.last ? bound(d, 1, props.maxZoom) : d;
      api.start({
        zoom: nextZoom,
        immediate: !state.last
      });
      (_a = props.onZoomChange) === null || _a === void 0 ? void 0 : _a.call(props, nextZoom);
      if (state.last && nextZoom <= 1) {
        api.start({
          x: 0,
          y: 0
        });
        if (dragLockRef) {
          dragLockRef.current = false;
        }
      } else {
        if (dragLockRef) {
          dragLockRef.current = true;
        }
      }
    }
  }, {
    target: controlRef,
    drag: {
      from: () => [x.get(), y.get()],
      pointer: {
        touch: true
      }
    },
    pinch: {
      from: () => [zoom.get(), 0],
      pointer: {
        touch: true
      }
    }
  });
  return React__default["default"].createElement("div", {
    className: `${classPrefix$G}-slide`,
    onPointerMove: (e2) => {
      if (zoom.get() !== 1) {
        e2.stopPropagation();
      }
    }
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$G}-control`,
    ref: controlRef
  }, React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$G}-image-wrapper`,
    style: {
      translateX: x,
      translateY: y,
      scale: zoom
    }
  }, React__default["default"].createElement("img", {
    ref: imgRef,
    src: props.image,
    draggable: false,
    alt: props.image
  }))));
};
const classPrefix$F = `adm-image-viewer`;
const Slides = React$1.forwardRef((props, ref) => {
  const slideWidth = window.innerWidth + convertPx(16);
  const [{
    x
  }, api] = web.useSpring(() => ({
    x: props.defaultIndex * slideWidth,
    config: {
      tension: 250,
      clamp: true
    }
  }));
  const count = props.images.length;
  function swipeTo(index2, immediate = false) {
    var _a;
    const i = bound(index2, 0, count - 1);
    (_a = props.onIndexChange) === null || _a === void 0 ? void 0 : _a.call(props, i);
    api.start({
      x: i * slideWidth,
      immediate
    });
  }
  React$1.useImperativeHandle(ref, () => ({
    swipeTo
  }));
  const dragLockRef = React$1.useRef(false);
  const bind = react.useDrag((state) => {
    if (dragLockRef.current)
      return;
    const [offsetX] = state.offset;
    if (state.last) {
      const minIndex = Math.floor(offsetX / slideWidth);
      const maxIndex = minIndex + 1;
      const velocityOffset = Math.min(state.velocity[0] * 2e3, slideWidth) * state.direction[0];
      swipeTo(bound(Math.round((offsetX + velocityOffset) / slideWidth), minIndex, maxIndex));
    } else {
      api.start({
        x: offsetX,
        immediate: true
      });
    }
  }, {
    transform: ([x2, y]) => [-x2, y],
    from: () => [x.get(), 0],
    bounds: () => {
      return {
        left: 0,
        right: (count - 1) * slideWidth
      };
    },
    rubberband: true,
    axis: "x",
    pointer: {
      touch: true
    }
  });
  return React__default["default"].createElement("div", Object.assign({
    className: `${classPrefix$F}-slides`
  }, bind()), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$F}-indicator`
  }, x.to((v2) => {
    const index2 = bound(Math.round(v2 / slideWidth), 0, count - 1);
    return `${index2 + 1} / ${count}`;
  })), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$F}-slides-inner`,
    style: {
      x: x.to((x2) => -x2)
    }
  }, props.images.map((image2) => React__default["default"].createElement(Slide, {
    key: image2,
    image: image2,
    onTap: props.onTap,
    maxZoom: props.maxZoom,
    onZoomChange: (zoom) => {
      if (zoom !== 1) {
        const index2 = Math.round(x.get() / slideWidth);
        api.start({
          x: index2 * slideWidth
        });
      }
    },
    dragLockRef
  }))));
});
const classPrefix$E = `adm-image-viewer`;
const defaultProps$x = {
  maxZoom: 3,
  getContainer: null,
  visible: false
};
const ImageViewer$1 = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$x, p2);
  const node = React__default["default"].createElement(Mask, {
    visible: props.visible,
    disableBodyScroll: false,
    opacity: "thick",
    afterClose: props.afterClose
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$E}-content`
  }, props.image && React__default["default"].createElement(Slide, {
    image: props.image,
    onTap: () => {
      var _a2;
      (_a2 = props.onClose) === null || _a2 === void 0 ? void 0 : _a2.call(props);
    },
    maxZoom: props.maxZoom
  })), props.image && React__default["default"].createElement("div", {
    className: `${classPrefix$E}-footer`
  }, (_a = props.renderFooter) === null || _a === void 0 ? void 0 : _a.call(props, props.image), React__default["default"].createElement(SafeArea, {
    position: "bottom"
  })));
  return renderToContainer(props.getContainer, node);
};
const multiDefaultProps = Object.assign(Object.assign({}, defaultProps$x), {
  defaultIndex: 0
});
const MultiImageViewer = React$1.forwardRef((p2, ref) => {
  var _a;
  const props = mergeProps(multiDefaultProps, p2);
  const [index2, setIndex] = React$1.useState(props.defaultIndex);
  const slidesRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => ({
    swipeTo: (index3, immediate) => {
      var _a2;
      setIndex(index3);
      (_a2 = slidesRef.current) === null || _a2 === void 0 ? void 0 : _a2.swipeTo(index3, immediate);
    }
  }));
  const onSlideChange = React$1.useCallback((index3) => {
    var _a2;
    setIndex(index3);
    (_a2 = props.onIndexChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, index3);
  }, [props.onIndexChange]);
  const node = React__default["default"].createElement(Mask, {
    visible: props.visible,
    disableBodyScroll: false,
    opacity: "thick",
    afterClose: props.afterClose
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$E}-content`
  }, props.images && React__default["default"].createElement(Slides, {
    ref: slidesRef,
    defaultIndex: index2,
    onIndexChange: onSlideChange,
    images: props.images,
    onTap: () => {
      var _a2;
      (_a2 = props.onClose) === null || _a2 === void 0 ? void 0 : _a2.call(props);
    },
    maxZoom: props.maxZoom
  })), props.images && React__default["default"].createElement("div", {
    className: `${classPrefix$E}-footer`
  }, (_a = props.renderFooter) === null || _a === void 0 ? void 0 : _a.call(props, props.images[index2], index2), React__default["default"].createElement(SafeArea, {
    position: "bottom"
  })));
  return renderToContainer(props.getContainer, node);
});
const handlerSet = /* @__PURE__ */ new Set();
function showImageViewer(props) {
  clearImageViewer();
  const handler = renderImperatively(React__default["default"].createElement(ImageViewer$1, Object.assign({}, props, {
    afterClose: () => {
      var _a;
      handlerSet.delete(handler);
      (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  })));
  handlerSet.add(handler);
  return handler;
}
function showMultiImageViewer(props) {
  clearImageViewer();
  const handler = renderImperatively(React__default["default"].createElement(MultiImageViewer, Object.assign({}, props, {
    afterClose: () => {
      var _a;
      handlerSet.delete(handler);
      (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  })));
  handlerSet.add(handler);
  return handler;
}
function clearImageViewer() {
  handlerSet.forEach((handler) => {
    handler.close();
  });
  handlerSet.clear();
}
const Multi = attachPropertiesToComponent(MultiImageViewer, {
  show: showMultiImageViewer
});
var ImageViewer = attachPropertiesToComponent(ImageViewer$1, {
  Multi,
  show: showImageViewer,
  clear: clearImageViewer
});
const classPrefix$D = `adm-image-uploader`;
const PreviewItem = (props) => {
  const {
    locale
  } = useConfig();
  const {
    url,
    file,
    deletable,
    onDelete,
    imageFit
  } = props;
  const src = React$1.useMemo(() => {
    if (url) {
      return url;
    }
    if (file) {
      return URL.createObjectURL(file);
    }
    return "";
  }, [url, file]);
  function renderLoading() {
    return props.status === "pending" && React__default["default"].createElement("div", {
      className: `${classPrefix$D}-cell-mask`
    }, React__default["default"].createElement("span", {
      className: `${classPrefix$D}-cell-loading`
    }, React__default["default"].createElement(SpinLoading, {
      color: "white"
    }), React__default["default"].createElement("span", {
      className: `${classPrefix$D}-cell-mask-message`
    }, locale.ImageUploader.uploading)));
  }
  function renderDelete() {
    return deletable && React__default["default"].createElement("span", {
      className: `${classPrefix$D}-cell-delete`,
      onClick: onDelete
    }, React__default["default"].createElement(antdMobileIcons.CloseOutline, {
      className: `${classPrefix$D}-cell-delete-icon`
    }));
  }
  return React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$D}-cell`, props.status === "fail" && `${classPrefix$D}-cell-fail`)
  }, React__default["default"].createElement(Image$1, {
    className: `${classPrefix$D}-cell-image`,
    src,
    fit: imageFit,
    onClick: props.onClick
  }), renderLoading(), renderDelete());
};
var space = /* @__PURE__ */ (() => ".adm-space-item {\n  flex: none;\n}\n.adm-space {\n  display: inline-flex;\n  --gap: 8px;\n  --gap-vertical: var(--gap);\n  --gap-horizontal: var(--gap);\n}\n.adm-space-vertical {\n  flex-direction: column;\n}\n.adm-space-vertical > .adm-space-item {\n  margin-bottom: var(--gap-vertical);\n}\n.adm-space-vertical > .adm-space-item:last-child {\n  margin-bottom: 0;\n}\n.adm-space-horizontal {\n  flex-direction: row;\n}\n.adm-space-horizontal > .adm-space-item {\n  margin-right: var(--gap-horizontal);\n}\n.adm-space-horizontal > .adm-space-item:last-child {\n  margin-right: 0;\n}\n.adm-space-horizontal.adm-space-wrap {\n  flex-wrap: wrap;\n  margin-bottom: calc(var(--gap-vertical) * -1);\n}\n.adm-space-horizontal.adm-space-wrap > .adm-space-item {\n  padding-bottom: var(--gap-vertical);\n}\n.adm-space.adm-space-block {\n  display: flex;\n}\n.adm-space-align-center {\n  align-items: center;\n}\n.adm-space-align-start {\n  align-items: flex-start;\n}\n.adm-space-align-end {\n  align-items: flex-end;\n}\n.adm-space-align-baseline {\n  align-items: baseline;\n}\n.adm-space-justify-center {\n  justify-content: center;\n}\n.adm-space-justify-start {\n  justify-content: flex-start;\n}\n.adm-space-justify-end {\n  justify-content: flex-end;\n}\n.adm-space-justify-between {\n  justify-content: space-between;\n}\n.adm-space-justify-around {\n  justify-content: space-around;\n}\n.adm-space-justify-evenly {\n  justify-content: space-evenly;\n}\n.adm-space-justify-stretch {\n  justify-content: stretch;\n}\n")();
const classPrefix$C = `adm-space`;
const defaultProps$w = {
  direction: "horizontal"
};
const Space = (p2) => {
  const props = mergeProps(defaultProps$w, p2);
  const {
    direction,
    onClick
  } = props;
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$C, {
      [`${classPrefix$C}-wrap`]: props.wrap,
      [`${classPrefix$C}-block`]: props.block,
      [`${classPrefix$C}-${direction}`]: true,
      [`${classPrefix$C}-align-${props.align}`]: !!props.align,
      [`${classPrefix$C}-justify-${props.justify}`]: !!props.justify
    }),
    onClick
  }, React__default["default"].Children.map(props.children, (child) => {
    return child !== null && child !== void 0 && React__default["default"].createElement("div", {
      className: `${classPrefix$C}-item`
    }, child);
  })));
};
const classPrefix$B = `adm-image-uploader`;
const defaultProps$v = {
  disableUpload: false,
  deletable: true,
  showUpload: true,
  multiple: false,
  maxCount: 0,
  defaultValue: [],
  accept: "image/*",
  preview: true,
  showFailed: true,
  imageFit: "cover"
};
const ImageUploader = (p2) => {
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$v, p2);
  const [value, setValue] = usePropsValue(props);
  const [tasks, setTasks] = React$1.useState([]);
  ahooks.useIsomorphicLayoutEffect(() => {
    setTasks((prev) => prev.filter((task) => {
      if (task.url === void 0)
        return true;
      return !value.some((fileItem) => fileItem.url === task.url);
    }));
  }, [value]);
  const idCountRef = React$1.useRef(0);
  const {
    maxCount,
    onPreview
  } = props;
  function processFile(file, fileList) {
    return tslib.__awaiter(this, void 0, void 0, function* () {
      const {
        beforeUpload
      } = props;
      let transformedFile = file;
      transformedFile = yield beforeUpload === null || beforeUpload === void 0 ? void 0 : beforeUpload(file, fileList);
      return transformedFile;
    });
  }
  function onChange(e2) {
    var _a;
    return tslib.__awaiter(this, void 0, void 0, function* () {
      e2.persist();
      const {
        files: rawFiles
      } = e2.target;
      if (!rawFiles)
        return;
      let files = [].slice.call(rawFiles);
      e2.target.value = "";
      if (props.beforeUpload) {
        const postFiles = files.map((file) => {
          return processFile(file, files);
        });
        yield Promise.all(postFiles).then((filesList) => {
          files = filesList.filter(Boolean);
        });
      }
      if (files.length === 0) {
        return;
      }
      if (maxCount > 0) {
        const exceed = value.length + files.length - maxCount;
        if (exceed > 0) {
          files = files.slice(0, files.length - exceed);
          (_a = props.onCountExceed) === null || _a === void 0 ? void 0 : _a.call(props, exceed);
        }
      }
      const newTasks = files.map((file) => ({
        id: idCountRef.current++,
        status: "pending",
        file
      }));
      setTasks((prev) => [...prev, ...newTasks]);
      yield Promise.all(newTasks.map((currentTask) => tslib.__awaiter(this, void 0, void 0, function* () {
        try {
          const result2 = yield props.upload(currentTask.file);
          setTasks((prev) => {
            return prev.map((task) => {
              if (task.id === currentTask.id) {
                return Object.assign(Object.assign({}, task), {
                  url: result2.url
                });
              }
              return task;
            });
          });
          setValue((prev) => {
            const newVal = Object.assign({}, result2);
            return [...prev, newVal];
          });
        } catch (e3) {
          setTasks((prev) => {
            return prev.map((task) => {
              if (task.id === currentTask.id) {
                return Object.assign(Object.assign({}, task), {
                  status: "fail"
                });
              }
              return task;
            });
          });
          throw e3;
        }
      }))).catch((error) => console.error(error));
    });
  }
  const imageViewerHandlerRef = React$1.useRef(null);
  function previewImage(index2) {
    imageViewerHandlerRef.current = ImageViewer.Multi.show({
      images: value.map((fileItem) => fileItem.url),
      defaultIndex: index2,
      onClose: () => {
        imageViewerHandlerRef.current = null;
      }
    });
  }
  ahooks.useUnmount(() => {
    var _a;
    (_a = imageViewerHandlerRef.current) === null || _a === void 0 ? void 0 : _a.close();
  });
  const showUpload = props.showUpload && (maxCount === 0 || value.length + tasks.length < maxCount);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$B
  }, React__default["default"].createElement(Space, {
    className: `${classPrefix$B}-space`,
    wrap: true,
    block: true
  }, value.map((fileItem, index2) => {
    var _a, _b;
    return React__default["default"].createElement(PreviewItem, {
      key: (_a = fileItem.key) !== null && _a !== void 0 ? _a : index2,
      url: (_b = fileItem.thumbnailUrl) !== null && _b !== void 0 ? _b : fileItem.url,
      deletable: props.deletable,
      imageFit: props.imageFit,
      onClick: () => {
        if (props.preview) {
          previewImage(index2);
        }
        onPreview && onPreview(index2, fileItem);
      },
      onDelete: () => tslib.__awaiter(void 0, void 0, void 0, function* () {
        var _c;
        const canDelete = yield (_c = props.onDelete) === null || _c === void 0 ? void 0 : _c.call(props, fileItem);
        if (canDelete === false)
          return;
        setValue(value.filter((x, i) => i !== index2));
      })
    });
  }), tasks.map((task) => {
    if (!props.showFailed && task.status === "fail") {
      return null;
    }
    return React__default["default"].createElement(PreviewItem, {
      key: task.id,
      file: task.file,
      deletable: task.status !== "pending",
      status: task.status,
      imageFit: props.imageFit,
      onDelete: () => {
        setTasks(tasks.filter((x) => x.id !== task.id));
      }
    });
  }), showUpload && React__default["default"].createElement("div", {
    className: `${classPrefix$B}-upload-button-wrap`
  }, props.children ? props.children : React__default["default"].createElement("span", {
    className: `${classPrefix$B}-cell ${classPrefix$B}-upload-button`,
    role: "button",
    "aria-label": locale.ImageUploader.upload
  }, React__default["default"].createElement("span", {
    className: `${classPrefix$B}-upload-button-icon`
  }, React__default["default"].createElement(antdMobileIcons.AddOutline, null))), !props.disableUpload && React__default["default"].createElement("input", {
    capture: props.capture,
    accept: props.accept,
    multiple: props.multiple,
    type: "file",
    className: `${classPrefix$B}-input`,
    onChange,
    "aria-hidden": true
  })))));
};
var imageUploader = /* @__PURE__ */ (() => ".adm-image-uploader {\n  --cell-size: 80px;\n}\n.adm-image-uploader-space {\n  --gap: 12px;\n}\n.adm-image-uploader-cell {\n  position: relative;\n  width: var(--cell-size);\n  height: var(--cell-size);\n  border-radius: 4px;\n  overflow: hidden;\n}\n.adm-image-uploader-cell-fail {\n  border: red solid 1px;\n  box-sizing: border-box;\n}\n.adm-image-uploader-cell-delete {\n  position: absolute;\n  top: 0;\n  right: 0;\n  width: 14px;\n  height: 14px;\n  background-color: rgba(0, 0, 0, 0.7);\n  border-radius: 0 0 0 12px;\n  font-size: 8px;\n  color: var(--adm-color-white);\n  cursor: pointer;\n}\n.adm-image-uploader-cell-delete-icon {\n  position: absolute;\n  left: 4px;\n  top: 3px;\n}\n.adm-image-uploader-cell-mask {\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  color: var(--adm-color-white);\n  background-color: rgba(50, 50, 51, 0.88);\n}\n.adm-image-uploader-cell-loading {\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  justify-content: center;\n  height: 100%;\n  box-sizing: border-box;\n  padding-top: 8px;\n}\n.adm-image-uploader-cell-mask-message {\n  display: inline-block;\n  padding: 6px 4px;\n  font-size: var(--adm-font-size-4);\n}\n.adm-image-uploader-cell-image {\n  width: var(--cell-size);\n  height: var(--cell-size);\n}\n.adm-image-uploader-upload-button-wrap {\n  position: relative;\n}\n.adm-image-uploader-upload-button-wrap .adm-image-uploader-upload-button {\n  background-color: var(--adm-color-box);\n  text-align: center;\n  line-height: var(--cell-size);\n  display: block;\n}\n.adm-image-uploader-upload-button-wrap .adm-image-uploader-upload-button-icon {\n  color: #999999;\n  font-size: 32px;\n}\n.adm-image-uploader-upload-button-wrap .adm-image-uploader-input {\n  cursor: pointer;\n  position: absolute;\n  opacity: 0;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  border-radius: 4px;\n}\n")();
var indexBar = /* @__PURE__ */ (() => ".adm-index-bar {\n  --color: var(--adm-color-text);\n  overflow: hidden;\n  height: 100%;\n  position: relative;\n  background-color: var(--adm-color-white);\n  --sticky-offset-top: 0;\n}\n.adm-index-bar-body {\n  overflow: scroll;\n  height: 100%;\n  width: 100%;\n}\n.adm-index-bar-body::-webkit-scrollbar {\n  display: none;\n}\n.adm-index-bar-anchor-title {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  height: 35px;\n  padding: 0 12px;\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-main);\n  background-color: var(--adm-color-box);\n}\n.adm-index-bar-sidebar {\n  position: absolute;\n  top: 50%;\n  right: 0;\n  transform: translateY(-50%);\n  z-index: 910;\n  overflow: visible;\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-4);\n  -webkit-user-select: none;\n          user-select: none;\n  touch-action: none;\n}\n.adm-index-bar-sidebar-bubble {\n  position: absolute;\n  top: 50%;\n  right: 42px;\n  width: 47px;\n  height: 47px;\n  color: var(--adm-color-white);\n  font-size: 25px;\n  line-height: 47px;\n  text-align: center;\n  background: var(--adm-color-light);\n  border-radius: 50%;\n  transform: translateY(-50%);\n}\n.adm-index-bar-sidebar-row {\n  cursor: pointer;\n  width: auto;\n  text-align: right;\n  position: relative;\n  padding: 0 12px;\n}\n.adm-index-bar-sidebar-row > * {\n  pointer-events: none;\n}\n.adm-index-bar-sidebar-item {\n  display: inline-flex;\n  width: 16px;\n  height: 16px;\n  line-height: 16px;\n  justify-content: center;\n  align-items: center;\n}\n.adm-index-bar-sidebar-item-active {\n  color: var(--adm-color-white);\n  background-color: var(--adm-color-primary);\n  border-radius: 50%;\n}\n.adm-index-bar-sidebar-interacting {\n  width: 100%;\n}\n.adm-index-bar-sticky .adm-index-bar-anchor-title {\n  position: -webkit-sticky;\n  position: sticky;\n  z-index: 900;\n  top: var(--sticky-offset-top);\n  left: 0;\n}\n")();
const Panel = () => null;
const classPrefix$A = `adm-index-bar`;
const Sidebar = (props) => {
  const [interacting, setInteracting] = React$1.useState(false);
  return React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$A}-sidebar`, {
      [`${classPrefix$A}-sidebar-interacting`]: interacting
    }),
    onMouseDown: () => {
      setInteracting(true);
    },
    onMouseUp: () => {
      setInteracting(false);
    },
    onTouchStart: () => {
      setInteracting(true);
    },
    onTouchEnd: () => {
      setInteracting(false);
    },
    onTouchMove: (e2) => {
      if (!interacting)
        return;
      const {
        clientX,
        clientY
      } = e2.touches[0];
      const target = document.elementFromPoint(clientX, clientY);
      if (!target)
        return;
      const index2 = target.dataset["index"];
      if (index2) {
        props.onActive(index2);
      }
    }
  }, props.indexItems.map(({
    index: index2,
    brief
  }) => {
    const active = index2 === props.activeIndex;
    return React__default["default"].createElement("div", {
      className: `${classPrefix$A}-sidebar-row`,
      onMouseDown: () => {
        props.onActive(index2);
      },
      onTouchStart: () => {
        props.onActive(index2);
      },
      onMouseEnter: () => {
        if (interacting) {
          props.onActive(index2);
        }
      },
      "data-index": index2,
      key: index2
    }, interacting && active && React__default["default"].createElement("div", {
      className: `${classPrefix$A}-sidebar-bubble`
    }, brief), React__default["default"].createElement("div", {
      className: classNames__default["default"](`${classPrefix$A}-sidebar-item`, {
        [`${classPrefix$A}-sidebar-item-active`]: active
      }),
      "data-index": index2
    }, React__default["default"].createElement("div", null, brief)));
  }));
};
const classPrefix$z = `adm-index-bar`;
const defaultProps$u = {
  sticky: true
};
const IndexBar = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$u, p2);
  const titleHeight = convertPx(35);
  const bodyRef = React$1.useRef(null);
  const indexItems = [];
  const panels = [];
  traverseReactNode(props.children, (child) => {
    var _a;
    if (!React__default["default"].isValidElement(child))
      return;
    if (child.type !== Panel) {
      return;
    }
    indexItems.push({
      index: child.props.index,
      brief: (_a = child.props.brief) !== null && _a !== void 0 ? _a : child.props.index.charAt(0)
    });
    panels.push(withNativeProps(child.props, React__default["default"].createElement("div", {
      key: child.props.index,
      "data-index": child.props.index,
      className: `${classPrefix$z}-anchor`
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$z}-anchor-title`
    }, child.props.title || child.props.index), child.props.children)));
  });
  const [activeIndex, setActiveIndex] = React$1.useState(() => {
    const firstItem = indexItems[0];
    return firstItem ? firstItem.index : null;
  });
  React$1.useImperativeHandle(ref, () => ({
    scrollTo
  }));
  function scrollTo(index2) {
    var _a;
    const body = bodyRef.current;
    if (!body)
      return;
    const children = body.children;
    for (let i = 0; i < children.length; i++) {
      const panel = children.item(i);
      if (!panel)
        continue;
      const panelIndex = panel.dataset["index"];
      if (panelIndex === index2) {
        body.scrollTop = panel.offsetTop;
        setActiveIndex(index2);
        activeIndex !== index2 && ((_a = props.onIndexChange) === null || _a === void 0 ? void 0 : _a.call(props, index2));
        return;
      }
    }
  }
  const {
    run: checkActiveIndex
  } = ahooks.useThrottleFn(() => {
    var _a;
    const body = bodyRef.current;
    if (!body)
      return;
    const scrollTop = body.scrollTop;
    const elements = body.getElementsByClassName(`${classPrefix$z}-anchor`);
    for (let i = 0; i < elements.length; i++) {
      const panel = elements.item(i);
      if (!panel)
        continue;
      const panelIndex = panel.dataset["index"];
      if (!panelIndex)
        continue;
      if (panel.offsetTop + panel.clientHeight - titleHeight > scrollTop) {
        setActiveIndex(panelIndex);
        activeIndex !== panelIndex && ((_a = props.onIndexChange) === null || _a === void 0 ? void 0 : _a.call(props, panelIndex));
        return;
      }
    }
  }, {
    wait: 50,
    trailing: true,
    leading: true
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$z}`, {
      [`${classPrefix$z}-sticky`]: props.sticky
    })
  }, React__default["default"].createElement(Sidebar, {
    indexItems,
    activeIndex,
    onActive: (index2) => {
      scrollTo(index2);
    }
  }), React__default["default"].createElement("div", {
    className: `${classPrefix$z}-body`,
    ref: bodyRef,
    onScroll: checkActiveIndex
  }, panels)));
});
var index$8 = attachPropertiesToComponent(IndexBar, {
  Panel
});
var infiniteScroll = /* @__PURE__ */ (() => ".adm-infinite-scroll {\n  color: var(--adm-color-weak);\n  padding: 18px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  font-size: var(--adm-font-size-main);\n}\n.adm-infinite-scroll-failed-text {\n  display: inline-block;\n  margin-right: 8px;\n}\n")();
function isWindow(element) {
  return element === window;
}
const classPrefix$y = `adm-infinite-scroll`;
const defaultProps$t = {
  threshold: 250,
  children: (hasMore, failed, retry) => React__default["default"].createElement(InfiniteScrollContent, {
    hasMore,
    failed,
    retry
  })
};
const InfiniteScroll = (p2) => {
  const props = mergeProps(defaultProps$t, p2);
  const [failed, setFailed] = React$1.useState(false);
  const doLoadMore = ahooks.useLockFn((isRetry) => tslib.__awaiter(void 0, void 0, void 0, function* () {
    try {
      yield props.loadMore(isRetry);
    } catch (e2) {
      setFailed(true);
      throw e2;
    }
  }));
  const elementRef = React$1.useRef(null);
  const [flag, setFlag] = React$1.useState({});
  const nextFlagRef = React$1.useRef(flag);
  const [scrollParent, setScrollParent] = React$1.useState();
  const {
    run: check
  } = ahooks.useThrottleFn(() => tslib.__awaiter(void 0, void 0, void 0, function* () {
    if (nextFlagRef.current !== flag)
      return;
    if (!props.hasMore)
      return;
    const element = elementRef.current;
    if (!element)
      return;
    if (!element.offsetParent)
      return;
    const parent = getScrollParent(element);
    setScrollParent(parent);
    if (!parent)
      return;
    const rect = element.getBoundingClientRect();
    const elementTop = rect.top;
    const current = isWindow(parent) ? window.innerHeight : parent.getBoundingClientRect().bottom;
    if (current >= elementTop - props.threshold) {
      const nextFlag = {};
      nextFlagRef.current = nextFlag;
      yield doLoadMore(false);
      setFlag(nextFlag);
    }
  }), {
    wait: 100,
    leading: true,
    trailing: true
  });
  React$1.useEffect(() => {
    check();
  });
  React$1.useEffect(() => {
    const element = elementRef.current;
    if (!element)
      return;
    if (!scrollParent)
      return;
    function onScroll() {
      check();
    }
    scrollParent.addEventListener("scroll", onScroll);
    return () => {
      scrollParent.removeEventListener("scroll", onScroll);
    };
  }, [scrollParent]);
  function retry() {
    return tslib.__awaiter(this, void 0, void 0, function* () {
      setFailed(false);
      yield doLoadMore(true);
      setFlag(nextFlagRef.current);
    });
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$y,
    ref: elementRef
  }, typeof props.children === "function" ? props.children(props.hasMore, failed, retry) : props.children));
};
const InfiniteScrollContent = (props) => {
  const {
    locale
  } = useConfig();
  if (!props.hasMore) {
    return React__default["default"].createElement("span", null, locale.InfiniteScroll.noMore);
  }
  if (props.failed) {
    return React__default["default"].createElement("span", null, React__default["default"].createElement("span", {
      className: `${classPrefix$y}-failed-text`
    }, locale.InfiniteScroll.failedToLoad), React__default["default"].createElement("a", {
      onClick: () => {
        props.retry();
      }
    }, locale.InfiniteScroll.retry));
  }
  return React__default["default"].createElement(React__default["default"].Fragment, null, React__default["default"].createElement("span", null, locale.common.loading), React__default["default"].createElement(DotLoading, null));
};
var input = /* @__PURE__ */ (() => ".adm-input {\n  --font-size: var(--adm-font-size-9);\n  --color: var(--adm-color-text);\n  --placeholder-color: var(--adm-color-light);\n  --text-align: left;\n  --background-color: transparent;\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  width: 100%;\n  max-width: 100%;\n  max-height: 100%;\n  min-height: 24px;\n  background-color: var(--background-color);\n}\n.adm-input-disabled {\n  opacity: 0.4;\n  cursor: not-allowed;\n}\n.adm-input-element {\n  flex: auto;\n  display: inline-block;\n  box-sizing: border-box;\n  width: 100%;\n  max-width: 100%;\n  max-height: 100%;\n  padding: 0;\n  margin: 0;\n  color: var(--color);\n  font-size: var(--font-size);\n  line-height: 1.5;\n  background: transparent;\n  border: 0;\n  outline: none;\n  -webkit-appearance: none;\n          appearance: none;\n  min-height: 1.5em;\n  text-align: var(--text-align);\n}\n.adm-input-element::-webkit-input-placeholder {\n  color: var(--placeholder-color);\n  font-family: inherit;\n}\n.adm-input-element::placeholder {\n  color: var(--placeholder-color);\n  font-family: inherit;\n}\n.adm-input-element:-webkit-autofill {\n  background-color: transparent;\n}\n.adm-input-element:read-only {\n  cursor: default;\n}\n.adm-input-element:invalid {\n  box-shadow: none;\n}\n.adm-input-element::-ms-clear {\n  display: none;\n}\n.adm-input-element::-ms-reveal {\n  display: none;\n}\n.adm-input-element::-webkit-search-cancel-button {\n  display: none;\n}\n.adm-input-element::-webkit-search-decoration {\n  display: none;\n}\n.adm-input-element:disabled {\n  opacity: 1;\n}\n.adm-input-element[type='date'],\n.adm-input-element[type='time'],\n.adm-input-element[type='datetime-local'] {\n  min-height: 1.5em;\n}\n.adm-input-element[type='search'] {\n  -webkit-appearance: none;\n}\n.adm-input-element[readonly] {\n  pointer-events: none;\n}\n.adm-input-clear {\n  flex: none;\n  margin-left: 8px;\n  color: var(--adm-color-light);\n  padding: 4px;\n  cursor: pointer;\n}\n.adm-input-clear:active {\n  color: var(--adm-color-weak);\n}\n.adm-input-clear .antd-mobile-icon {\n  display: block;\n  font-size: var(--adm-font-size-7);\n}\n")();
const classPrefix$x = `adm-input`;
const defaultProps$s = {
  defaultValue: "",
  onlyShowClearWhenFocus: true
};
const Input = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$s, p2);
  const [value, setValue] = usePropsValue(props);
  const [hasFocus, setHasFocus] = React$1.useState(false);
  const compositionStartRef = React$1.useRef(false);
  const nativeInputRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => ({
    clear: () => {
      setValue("");
    },
    focus: () => {
      var _a;
      (_a = nativeInputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    },
    blur: () => {
      var _a;
      (_a = nativeInputRef.current) === null || _a === void 0 ? void 0 : _a.blur();
    },
    get nativeElement() {
      return nativeInputRef.current;
    }
  }));
  const handleKeydown = (e2) => {
    var _a;
    if (props.onEnterPress && (e2.code === "Enter" || e2.keyCode === 13)) {
      props.onEnterPress(e2);
    }
    (_a = props.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(props, e2);
  };
  ahooks.useIsomorphicLayoutEffect(() => {
    var _a;
    if (!props.enterKeyHint)
      return;
    (_a = nativeInputRef.current) === null || _a === void 0 ? void 0 : _a.setAttribute("enterkeyhint", props.enterKeyHint);
    return () => {
      var _a2;
      (_a2 = nativeInputRef.current) === null || _a2 === void 0 ? void 0 : _a2.removeAttribute("enterkeyhint");
    };
  }, [props.enterKeyHint]);
  function checkValue() {
    let nextValue = value;
    if (props.type === "number") {
      nextValue = nextValue && bound(parseFloat(nextValue), props.min, props.max).toString();
    }
    if (nextValue !== value) {
      setValue(nextValue);
    }
  }
  const shouldShowClear = (() => {
    if (!props.clearable || !value || props.readOnly)
      return false;
    if (props.onlyShowClearWhenFocus) {
      return hasFocus;
    } else {
      return true;
    }
  })();
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$x}`, props.disabled && `${classPrefix$x}-disabled`)
  }, React__default["default"].createElement("input", {
    ref: nativeInputRef,
    className: `${classPrefix$x}-element`,
    value,
    onChange: (e2) => {
      setValue(e2.target.value);
    },
    onFocus: (e2) => {
      var _a;
      setHasFocus(true);
      (_a = props.onFocus) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onBlur: (e2) => {
      var _a;
      setHasFocus(false);
      checkValue();
      (_a = props.onBlur) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    id: props.id,
    placeholder: props.placeholder,
    disabled: props.disabled,
    readOnly: props.readOnly,
    maxLength: props.maxLength,
    minLength: props.minLength,
    max: props.max,
    min: props.min,
    autoComplete: props.autoComplete,
    autoFocus: props.autoFocus,
    pattern: props.pattern,
    inputMode: props.inputMode,
    type: props.type,
    name: props.name,
    autoCapitalize: props.autoCapitalize,
    autoCorrect: props.autoCorrect,
    onKeyDown: handleKeydown,
    onKeyUp: props.onKeyUp,
    onCompositionStart: (e2) => {
      var _a;
      compositionStartRef.current = true;
      (_a = props.onCompositionStart) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onCompositionEnd: (e2) => {
      var _a;
      compositionStartRef.current = false;
      (_a = props.onCompositionEnd) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onClick: props.onClick,
    role: props.role,
    "aria-valuenow": props["aria-valuenow"],
    "aria-valuemax": props["aria-valuemax"],
    "aria-valuemin": props["aria-valuemin"]
  }), shouldShowClear && React__default["default"].createElement("div", {
    className: `${classPrefix$x}-clear`,
    onMouseDown: (e2) => {
      e2.preventDefault();
    },
    onClick: () => {
      var _a, _b;
      setValue("");
      (_a = props.onClear) === null || _a === void 0 ? void 0 : _a.call(props);
      if (isIOS() && compositionStartRef.current) {
        compositionStartRef.current = false;
        (_b = nativeInputRef.current) === null || _b === void 0 ? void 0 : _b.blur();
      }
    }
  }, React__default["default"].createElement(antdMobileIcons.CloseCircleFill, null))));
});
var jumboTabs = /* @__PURE__ */ (() => ".adm-jumbo-tabs {\n  --gap: 8px;\n  position: relative;\n  min-width: 0;\n}\n.adm-jumbo-tabs-header {\n  position: relative;\n  border-bottom: solid 1px var(--adm-color-border);\n}\n.adm-jumbo-tabs-tab-list {\n  display: flex;\n  flex-wrap: nowrap;\n  justify-content: flex-start;\n  align-items: center;\n  position: relative;\n  overflow-x: scroll;\n  padding: 0 var(--gap);\n  scrollbar-width: none;\n}\n.adm-jumbo-tabs-tab-list::-webkit-scrollbar {\n  display: none;\n}\n.adm-jumbo-tabs-tab-wrapper {\n  flex: auto;\n  padding: 0 calc(var(--gap) / 2);\n  text-align: center;\n}\n.adm-jumbo-tabs-tab {\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  position: relative;\n  width: -webkit-min-content;\n  width: min-content;\n  margin: 0 auto;\n  padding: 12px 0;\n  cursor: pointer;\n  font-size: var(--adm-font-size-9);\n  white-space: nowrap;\n}\n.adm-jumbo-tabs-tab-title {\n  line-height: 24px;\n  padding: 0 4px;\n}\n.adm-jumbo-tabs-tab-description {\n  width: -webkit-min-content;\n  width: min-content;\n  padding: 0 8px;\n  border-radius: 10px;\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-main);\n  background-color: var(--adm-color-box);\n}\n.adm-jumbo-tabs-tab-active {\n  color: var(--adm-color-primary);\n}\n.adm-jumbo-tabs-tab-active .adm-jumbo-tabs-tab-description {\n  color: var(--adm-color-white);\n  background-color: var(--adm-color-primary);\n}\n.adm-jumbo-tabs-tab-disabled {\n  opacity: 0.5;\n  cursor: not-allowed;\n}\n.adm-jumbo-tabs-content {\n  padding: 12px;\n}\n")();
const classPrefix$w = `adm-jumbo-tabs`;
const JumboTab = () => {
  return null;
};
const JumboTabs = (props) => {
  var _a;
  const tabListContainerRef = React$1.useRef(null);
  const rootRef = React$1.useRef(null);
  const keyToIndexRecord = {};
  let firstActiveKey = null;
  const panes = [];
  traverseReactNode(props.children, (child, index2) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    if (index2 === 0) {
      firstActiveKey = key;
    }
    const length = panes.push(child);
    keyToIndexRecord[key] = length - 1;
  });
  const [activeKey, setActiveKey] = usePropsValue({
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : firstActiveKey,
    onChange: (v2) => {
      var _a2;
      if (v2 === null)
        return;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, v2);
    }
  });
  const {
    scrollLeft,
    animate
  } = useTabListScroll(tabListContainerRef, keyToIndexRecord[activeKey]);
  useResizeEffect(() => {
    animate(true);
  }, rootRef);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$w,
    ref: rootRef
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$w}-header`
  }, React__default["default"].createElement(ScrollMask, {
    scrollTrackRef: tabListContainerRef
  }), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$w}-tab-list`,
    ref: tabListContainerRef,
    scrollLeft
  }, panes.map((pane) => withNativeProps(pane.props, React__default["default"].createElement("div", {
    key: pane.key,
    className: `${classPrefix$w}-tab-wrapper`
  }, React__default["default"].createElement("div", {
    onClick: () => {
      const {
        key
      } = pane;
      if (pane.props.disabled)
        return;
      if (key === void 0 || key === null) {
        return;
      }
      setActiveKey(key.toString());
    },
    className: classNames__default["default"](`${classPrefix$w}-tab`, {
      [`${classPrefix$w}-tab-active`]: pane.key === activeKey,
      [`${classPrefix$w}-tab-disabled`]: pane.props.disabled
    })
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$w}-tab-title`
  }, pane.props.title), React__default["default"].createElement("div", {
    className: `${classPrefix$w}-tab-description`
  }, pane.props.description))))))), panes.map((pane) => {
    if (pane.props.children === void 0) {
      return null;
    }
    const active = pane.key === activeKey;
    return React__default["default"].createElement(ShouldRender, {
      key: pane.key,
      active,
      forceRender: pane.props.forceRender,
      destroyOnClose: pane.props.destroyOnClose
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$w}-content`,
      style: {
        display: active ? "block" : "none"
      }
    }, pane.props.children));
  })));
};
var index$7 = attachPropertiesToComponent(JumboTabs, {
  Tab: JumboTab
});
var modal = /* @__PURE__ */ (() => ".adm-modal {\n  --z-index: var(--adm-modal-z-index, 1000);\n  ---z-index: var(--z-index);\n}\n.adm-modal .adm-center-popup {\n  --z-index: var(---z-index);\n}\n.adm-modal-body {\n  width: 100%;\n  max-height: 70vh;\n  font-size: var(--adm-font-size-6);\n  overflow: hidden;\n  display: flex;\n  flex-direction: column;\n}\n.adm-modal-body > * {\n  flex: none;\n}\n.adm-modal-body > .adm-modal-content {\n  flex: auto;\n}\n.adm-modal-body:not(.adm-modal-with-image) {\n  padding-top: 20px;\n}\n.adm-modal-image-container {\n  margin-bottom: 12px;\n  max-height: 40vh;\n  overflow-y: scroll;\n}\n.adm-modal-header {\n  margin-bottom: 8px;\n  padding: 0 12px;\n}\n.adm-modal-title {\n  margin-bottom: 8px;\n  padding: 0 12px;\n  font-weight: bold;\n  font-size: var(--adm-font-size-10);\n  line-height: 25px;\n  text-align: center;\n}\n.adm-modal-content {\n  padding: 0 12px 12px;\n  max-height: 70vh;\n  overflow-x: hidden;\n  overflow-y: auto;\n  font-size: var(--adm-font-size-7);\n  line-height: 1.4;\n  color: var(--adm-color-text);\n}\n.adm-modal-footer {\n  -webkit-user-select: none;\n          user-select: none;\n  padding: 8px 12px 12px;\n}\n.adm-modal-footer-empty {\n  padding: 0;\n  height: 8px;\n}\n.adm-modal-footer.adm-space {\n  --gap-vertical: 20px;\n}\n.adm-modal-footer .adm-modal-button {\n  font-size: var(--adm-font-size-10);\n  line-height: 25px;\n}\n.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary) {\n  padding-top: 0;\n  padding-bottom: 0;\n}\n.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary)::before {\n  display: none;\n}\n.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary):active {\n  opacity: 0.7;\n}\n")();
const ModalActionButton = (props) => {
  const {
    action
  } = props;
  return withNativeProps(props.action, React__default["default"].createElement(Button, {
    key: action.key,
    onClick: props.onAction,
    className: classNames__default["default"]("adm-modal-button", {
      "adm-modal-button-primary": props.action.primary
    }),
    fill: props.action.primary ? "solid" : "none",
    size: props.action.primary ? "large" : "middle",
    block: true,
    color: action.danger ? "danger" : "primary",
    loading: "auto",
    disabled: action.disabled
  }, action.text));
};
const defaultProps$r = {
  actions: [],
  closeOnAction: false,
  closeOnMaskClick: false,
  getContainer: null
};
const Modal = (p2) => {
  const props = mergeProps(defaultProps$r, p2);
  const element = React__default["default"].createElement(React__default["default"].Fragment, null, !!props.image && React__default["default"].createElement("div", {
    className: cls("image-container")
  }, React__default["default"].createElement(Image$1, {
    src: props.image,
    alt: "modal header image",
    width: "100%"
  })), !!props.header && React__default["default"].createElement("div", {
    className: cls("header")
  }, React__default["default"].createElement(AutoCenter, null, props.header)), !!props.title && React__default["default"].createElement("div", {
    className: cls("title")
  }, props.title), React__default["default"].createElement("div", {
    className: cls("content")
  }, typeof props.content === "string" ? React__default["default"].createElement(AutoCenter, null, props.content) : props.content), React__default["default"].createElement(Space, {
    direction: "vertical",
    block: true,
    className: classNames__default["default"](cls("footer"), props.actions.length === 0 && cls("footer-empty"))
  }, props.actions.map((action, index2) => {
    return React__default["default"].createElement(ModalActionButton, {
      key: action.key,
      action,
      onAction: () => tslib.__awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c;
        yield Promise.all([(_a = action.onClick) === null || _a === void 0 ? void 0 : _a.call(action), (_b = props.onAction) === null || _b === void 0 ? void 0 : _b.call(props, action, index2)]);
        if (props.closeOnAction) {
          (_c = props.onClose) === null || _c === void 0 ? void 0 : _c.call(props);
        }
      })
    });
  })));
  return React__default["default"].createElement(CenterPopup, {
    className: classNames__default["default"](cls(), props.className),
    style: props.style,
    afterClose: props.afterClose,
    afterShow: props.afterShow,
    showCloseButton: props.showCloseButton,
    closeOnMaskClick: props.closeOnMaskClick,
    onClose: props.onClose,
    visible: props.visible,
    getContainer: props.getContainer,
    bodyStyle: props.bodyStyle,
    bodyClassName: classNames__default["default"](cls("body"), props.image && cls("with-image"), props.bodyClassName),
    maskStyle: props.maskStyle,
    maskClassName: props.maskClassName,
    stopPropagation: props.stopPropagation,
    disableBodyScroll: props.disableBodyScroll,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender
  }, element);
};
function cls(name = "") {
  return "adm-modal" + (name && "-") + name;
}
const closeFnSet = /* @__PURE__ */ new Set();
function show$1(props) {
  const handler = renderImperatively(React__default["default"].createElement(Modal, Object.assign({}, props, {
    afterClose: () => {
      var _a;
      closeFnSet.delete(handler.close);
      (_a = props.afterClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  })));
  closeFnSet.add(handler.close);
  return handler;
}
function alert(p2) {
  const defaultProps2 = {
    confirmText: getDefaultConfig().locale.Modal.ok
  };
  const props = mergeProps(defaultProps2, p2);
  return new Promise((resolve) => {
    show$1(Object.assign(Object.assign({}, props), {
      closeOnAction: true,
      actions: [{
        key: "confirm",
        text: props.confirmText,
        primary: true
      }],
      onAction: props.onConfirm,
      onClose: () => {
        var _a;
        (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
        resolve();
      }
    }));
  });
}
const defaultProps$q = {
  confirmText: "\u786E\u8BA4",
  cancelText: "\u53D6\u6D88"
};
function confirm(p2) {
  const {
    locale
  } = getDefaultConfig();
  const props = mergeProps(defaultProps$q, {
    confirmText: locale.common.confirm,
    cancelText: locale.common.cancel
  }, p2);
  return new Promise((resolve) => {
    show$1(Object.assign(Object.assign({}, props), {
      closeOnAction: true,
      onClose: () => {
        var _a;
        (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
        resolve(false);
      },
      actions: [{
        key: "confirm",
        text: props.confirmText,
        primary: true,
        onClick: () => tslib.__awaiter(this, void 0, void 0, function* () {
          var _a;
          yield (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props);
          resolve(true);
        })
      }, {
        key: "cancel",
        text: props.cancelText,
        onClick: () => tslib.__awaiter(this, void 0, void 0, function* () {
          var _b;
          yield (_b = props.onCancel) === null || _b === void 0 ? void 0 : _b.call(props);
          resolve(false);
        })
      }]
    }));
  });
}
function clear$1() {
  closeFnSet.forEach((close) => {
    close();
  });
}
var index$6 = attachPropertiesToComponent(Modal, {
  show: show$1,
  alert,
  confirm,
  clear: clear$1
});
var navBar = /* @__PURE__ */ (() => ".adm-nav-bar {\n  --height: 45px;\n  --border-bottom: none;\n  display: flex;\n  align-items: center;\n  height: var(--height);\n  border-bottom: var(--border-bottom);\n  padding: 0 12px;\n  white-space: nowrap;\n}\n.adm-nav-bar-left,\n.adm-nav-bar-right {\n  flex: 1;\n}\n.adm-nav-bar-title {\n  flex: auto;\n  text-align: center;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n.adm-nav-bar-back {\n  display: flex;\n  align-items: center;\n  margin-right: 16px;\n  padding: 6px 0;\n  cursor: pointer;\n}\n.adm-nav-bar-back-arrow {\n  font-size: 24px;\n  margin-right: 4px;\n}\n.adm-nav-bar-left {\n  font-size: var(--adm-font-size-7);\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n}\n.adm-nav-bar-title {\n  justify-content: center;\n  white-space: nowrap;\n  font-size: var(--adm-font-size-10);\n  padding: 0 12px;\n}\n.adm-nav-bar-right {\n  text-align: right;\n}\n")();
const classPrefix$v = `adm-nav-bar`;
const defaultProps$p = {
  back: "",
  backArrow: true
};
const NavBar = (p2) => {
  const props = mergeProps(defaultProps$p, p2);
  const {
    back,
    backArrow
  } = props;
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$v)
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$v}-left`,
    role: "button"
  }, back !== null && React__default["default"].createElement("div", {
    className: `${classPrefix$v}-back`,
    onClick: props.onBack
  }, backArrow && React__default["default"].createElement("span", {
    className: `${classPrefix$v}-back-arrow`
  }, backArrow === true ? React__default["default"].createElement(antdMobileIcons.LeftOutline, null) : backArrow), React__default["default"].createElement("span", {
    "aria-hidden": "true"
  }, back)), props.left), React__default["default"].createElement("div", {
    className: `${classPrefix$v}-title`
  }, props.children), React__default["default"].createElement("div", {
    className: `${classPrefix$v}-right`
  }, props.right)));
};
var noticeBar = /* @__PURE__ */ (() => ".adm-notice-bar {\n  --background-color: #ababab;\n  --border-color: #999999;\n  --text-color: var(--adm-color-white);\n  --font-size: var(--adm-font-size-7);\n  --icon-font-size: var(--adm-font-size-10);\n  --height: 38px;\n  height: var(--height);\n  box-sizing: border-box;\n  font-size: var(--font-size);\n  line-height: var(--height);\n  padding: 0 12px;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  border: solid 1px var(--border-color);\n  border-left: none;\n  border-right: none;\n  background-color: var(--background-color);\n  color: var(--text-color);\n}\n.adm-notice-bar > span[role='img'] {\n  color: var(--text-color);\n}\n.adm-notice-bar.adm-notice-bar-alert {\n  --background-color: #fff9ed;\n  --border-color: #fff3e9;\n  --text-color: #ff6010;\n}\n.adm-notice-bar.adm-notice-bar-error {\n  --background-color: #ff3b30;\n  --border-color: #d9281e;\n  --text-color: #ffffff;\n}\n.adm-notice-bar.adm-notice-bar-info {\n  --background-color: #d0e4ff;\n  --border-color: #bcd8ff;\n  --text-color: #1677ff;\n}\n.adm-notice-bar .adm-notice-bar-left {\n  flex-shrink: 0;\n  margin-right: 8px;\n  font-size: var(--icon-font-size);\n  line-height: var(--height);\n}\n.adm-notice-bar .adm-notice-bar-content {\n  flex: 1;\n  overflow: hidden;\n  position: relative;\n  height: 100%;\n  display: flex;\n  align-items: center;\n}\n.adm-notice-bar .adm-notice-bar-content .adm-notice-bar-content-inner {\n  width: auto;\n  transition-timing-function: linear;\n  position: absolute;\n  white-space: nowrap;\n}\n.adm-notice-bar .adm-notice-bar-right {\n  flex-shrink: 0;\n  margin-left: 12px;\n}\n.adm-notice-bar-close-icon {\n  font-size: var(--adm-font-size-10);\n}\n")();
const classPrefix$u = `adm-notice-bar`;
const defaultProps$o = {
  color: "default",
  delay: 2e3,
  speed: 50,
  icon: React__default["default"].createElement(antdMobileIcons.SoundOutline, null)
};
const NoticeBar = React$1.memo((p2) => {
  const props = mergeProps(defaultProps$o, p2);
  const containerRef = React$1.useRef(null);
  const textRef = React$1.useRef(null);
  const [visible, setVisible] = React$1.useState(true);
  const speed = props.speed;
  const delayLockRef = React$1.useRef(true);
  const animatingRef = React$1.useRef(false);
  function start() {
    if (delayLockRef.current)
      return;
    const container = containerRef.current;
    const text = textRef.current;
    if (!container || !text)
      return;
    if (container.offsetWidth >= text.offsetWidth) {
      animatingRef.current = false;
      text.style.removeProperty("transition-duration");
      text.style.removeProperty("transform");
      return;
    }
    if (animatingRef.current)
      return;
    const initial = !text.style.transform;
    text.style.transitionDuration = "0s";
    if (initial) {
      text.style.transform = "translateX(0)";
    } else {
      text.style.transform = `translateX(${container.offsetWidth}px)`;
    }
    const distance = initial ? text.offsetWidth : container.offsetWidth + text.offsetWidth;
    animatingRef.current = true;
    text.style.transitionDuration = `${Math.round(distance / speed)}s`;
    text.style.transform = `translateX(-${text.offsetWidth}px)`;
  }
  ahooks.useTimeout(() => {
    delayLockRef.current = false;
    start();
  }, props.delay);
  useResizeEffect(() => {
    start();
  }, containerRef);
  useMutationEffect(() => {
    start();
  }, textRef, {
    subtree: true,
    childList: true,
    characterData: true
  });
  if (!visible)
    return null;
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$u, `${classPrefix$u}-${props.color}`)
  }, props.icon && React__default["default"].createElement("span", {
    className: `${classPrefix$u}-left`
  }, props.icon), React__default["default"].createElement("span", {
    ref: containerRef,
    className: `${classPrefix$u}-content`
  }, React__default["default"].createElement("span", {
    onTransitionEnd: () => {
      animatingRef.current = false;
      start();
    },
    ref: textRef,
    className: `${classPrefix$u}-content-inner`
  }, props.content)), (props.closeable || props.extra) && React__default["default"].createElement("span", {
    className: `${classPrefix$u}-right`
  }, props.extra, props.closeable && React__default["default"].createElement(antdMobileIcons.CloseOutline, {
    className: `${classPrefix$u}-close-icon`,
    onClick: () => {
      var _a;
      setVisible(false);
      (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  }))));
});
var numberKeyboard = /* @__PURE__ */ (() => ".adm-number-keyboard-main {\n  display: flex;\n  flex-wrap: wrap;\n  flex: 1;\n}\n.adm-number-keyboard-main.confirmed-style .sign-key {\n  background-color: var(--adm-color-white);\n}\n.adm-number-keyboard-popup.adm-popup {\n  width: 100%;\n  -webkit-user-select: none;\n          user-select: none;\n  z-index: 1050;\n}\n.adm-number-keyboard-popup.adm-popup .adm-popup-body {\n  background-color: var(--adm-color-box);\n}\n.adm-number-keyboard-wrapper {\n  display: flex;\n}\n.adm-number-keyboard-header {\n  height: 34px;\n  line-height: 34px;\n  border-top: solid 1px var(--adm-color-border);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  padding: 0 12px;\n  color: var(--adm-color-weak);\n  background-color: var(--adm-color-background);\n}\n.adm-number-keyboard-header-close-button {\n  padding: 0 12px;\n  font-size: 16px;\n}\n.adm-number-keyboard-header.with-title {\n  justify-content: space-between;\n}\n.adm-number-keyboard-header.with-title .adm-number-keyboard-header-close-button {\n  padding-right: 0;\n}\n.adm-number-keyboard-footer {\n  background: var(--adm-color-white);\n}\n.adm-number-keyboard-title {\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n.adm-number-keyboard-confirm {\n  width: 25%;\n}\n.adm-number-keyboard-key {\n  flex: 1 33.33%;\n  position: relative;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  height: 48px;\n  font-size: 22px;\n  box-sizing: border-box;\n  border: solid 1px var(--adm-color-border);\n  border-bottom: none;\n  border-left: none;\n}\n.adm-number-keyboard-key:nth-child(3n),\n.adm-number-keyboard-key:last-child {\n  border-right: none;\n}\n.adm-number-keyboard-key::before {\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  width: 100%;\n  height: 100%;\n  background-color: #000;\n  border: inherit;\n  border-color: #000;\n  border-radius: inherit;\n  transform: translate(-50%, -50%);\n  opacity: 0;\n  content: ' ';\n  box-sizing: content-box;\n}\n.adm-number-keyboard-key.mid-key {\n  flex-basis: 66.67%;\n}\n.adm-number-keyboard-key.sign-key:active::before {\n  opacity: 0.1;\n}\n.adm-number-keyboard-key.extra-key {\n  border-left: solid 1px var(--adm-color-border);\n  border-right: none;\n}\n.adm-number-keyboard-key.extra-key,\n.adm-number-keyboard-key.number-key {\n  background-color: var(--adm-color-background);\n}\n.adm-number-keyboard-key.extra-key:active::before,\n.adm-number-keyboard-key.number-key:active::before {\n  opacity: 0.1;\n}\n.adm-number-keyboard-key.ok-key {\n  background-color: var(--adm-color-primary);\n  color: var(--adm-color-white);\n  height: 144px;\n  font-size: 16px;\n  border: none;\n}\n.adm-number-keyboard-bs-key {\n  height: 20px;\n}\n")();
function shuffle(array) {
  const result2 = [...array];
  for (let i = result2.length; i > 0; i--) {
    const j = Math.floor(Math.random() * i);
    [result2[i - 1], result2[j]] = [result2[j], result2[i - 1]];
  }
  return result2;
}
const classPrefix$t = "adm-number-keyboard";
const defaultProps$n = {
  defaultVisible: false,
  randomOrder: false,
  showCloseButton: true,
  confirmText: null,
  closeOnConfirm: true,
  safeArea: true,
  destroyOnClose: false,
  forceRender: false
};
const NumberKeyboard = (p2) => {
  const props = mergeProps(defaultProps$n, p2);
  const {
    visible,
    title,
    getContainer,
    confirmText,
    customKey,
    randomOrder,
    showCloseButton,
    onInput
  } = props;
  const keyboardRef = React$1.useRef(null);
  const keys2 = React$1.useMemo(() => {
    const defaultKeys = ["1", "2", "3", "4", "5", "6", "7", "8", "9"];
    const keyList = randomOrder ? shuffle(defaultKeys) : defaultKeys;
    keyList.push("0");
    if (confirmText) {
      keyList.push(customKey || "");
    } else {
      keyList.splice(9, 0, customKey || "");
      keyList.push("BACKSPACE");
    }
    return keyList;
  }, [customKey, confirmText, randomOrder, randomOrder && visible]);
  const timeoutRef = React$1.useRef(-1);
  const intervalRef = React$1.useRef(-1);
  const onDelete = ahooks.useMemoizedFn(() => {
    var _a;
    (_a = props.onDelete) === null || _a === void 0 ? void 0 : _a.call(props);
  });
  const onBackspacePressStart = () => {
    timeoutRef.current = window.setTimeout(() => {
      onDelete();
      intervalRef.current = window.setInterval(onDelete, 150);
    }, 700);
  };
  const onBackspacePressEnd = () => {
    clearTimeout(timeoutRef.current);
    clearInterval(intervalRef.current);
  };
  const onKeyPress = (e2, key) => {
    var _a, _b;
    e2.preventDefault();
    switch (key) {
      case "BACKSPACE":
        onDelete === null || onDelete === void 0 ? void 0 : onDelete();
        break;
      case "OK":
        (_a = props.onConfirm) === null || _a === void 0 ? void 0 : _a.call(props);
        if (props.closeOnConfirm) {
          (_b = props.onClose) === null || _b === void 0 ? void 0 : _b.call(props);
        }
        break;
      default:
        if (key !== "")
          onInput === null || onInput === void 0 ? void 0 : onInput(key);
        break;
    }
  };
  const renderHeader = () => {
    if (!showCloseButton && !title)
      return null;
    return React__default["default"].createElement("div", {
      className: classNames__default["default"](`${classPrefix$t}-header`, {
        "with-title": !!title
      })
    }, title && React__default["default"].createElement("div", {
      className: `${classPrefix$t}-title`
    }, title), showCloseButton && React__default["default"].createElement("span", {
      className: `${classPrefix$t}-header-close-button`,
      onClick: () => {
        var _a;
        (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
      },
      role: "button",
      title: "CLOSE"
    }, React__default["default"].createElement(antdMobileIcons.DownOutline, null)));
  };
  const renderKey = (key, index2) => {
    const isNumberKey = /^\d$/.test(key);
    const className = classNames__default["default"](`${classPrefix$t}-key`, {
      "number-key": isNumberKey,
      "sign-key": !isNumberKey && key,
      "mid-key": index2 === 9 && !!confirmText
    });
    const ariaProps = key ? {
      role: "button",
      title: key
    } : void 0;
    return React__default["default"].createElement("div", Object.assign({
      key,
      className,
      onTouchStart: () => {
        if (key === "BACKSPACE") {
          onBackspacePressStart();
        }
      },
      onTouchEnd: (e2) => {
        onKeyPress(e2, key);
        if (key === "BACKSPACE") {
          onBackspacePressEnd();
        }
      }
    }, ariaProps), key === "BACKSPACE" ? React__default["default"].createElement(antdMobileIcons.TextDeletionOutline, null) : key);
  };
  return React__default["default"].createElement(Popup, {
    visible,
    getContainer,
    mask: false,
    afterClose: props.afterClose,
    afterShow: props.afterShow,
    className: `${classPrefix$t}-popup`,
    stopPropagation: props.stopPropagation,
    destroyOnClose: props.destroyOnClose,
    forceRender: props.forceRender
  }, withNativeProps(props, React__default["default"].createElement("div", {
    ref: keyboardRef,
    className: classPrefix$t,
    onMouseDown: (e2) => {
      e2.preventDefault();
    }
  }, renderHeader(), React__default["default"].createElement("div", {
    className: `${classPrefix$t}-wrapper`
  }, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$t}-main`, {
      "confirmed-style": !!confirmText
    })
  }, keys2.map(renderKey)), !!confirmText && React__default["default"].createElement("div", {
    className: `${classPrefix$t}-confirm`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$t}-key extra-key bs-key`,
    onTouchStart: () => {
      onBackspacePressStart();
    },
    onTouchEnd: (e2) => {
      onKeyPress(e2, "BACKSPACE");
      onBackspacePressEnd();
    },
    title: "BACKSPACE",
    role: "button"
  }, React__default["default"].createElement(antdMobileIcons.TextDeletionOutline, null)), React__default["default"].createElement("div", {
    className: `${classPrefix$t}-key extra-key ok-key`,
    onTouchEnd: (e2) => onKeyPress(e2, "OK"),
    role: "button"
  }, confirmText))), props.safeArea && React__default["default"].createElement("div", {
    className: `${classPrefix$t}-footer`
  }, React__default["default"].createElement(SafeArea, {
    position: "bottom"
  })))));
};
var pageIndicator = /* @__PURE__ */ (() => ".adm-page-indicator {\n  display: flex;\n  width: auto;\n  --dot-color: rgba(0, 0, 0, 0.2);\n  --active-dot-color: var(--adm-color-primary);\n  --dot-size: 3px;\n  --active-dot-size: 13px;\n  --dot-border-radius: 1px;\n  --active-dot-border-radius: var(--dot-border-radius);\n  --dot-spacing: 3px;\n}\n.adm-page-indicator-dot {\n  display: block;\n  width: var(--dot-size);\n  height: var(--dot-size);\n  border-radius: var(--dot-border-radius);\n  background: var(--dot-color);\n}\n.adm-page-indicator-dot:last-child {\n  margin-right: 0;\n}\n.adm-page-indicator-dot-active {\n  border-radius: var(--active-dot-border-radius);\n  background: var(--active-dot-color);\n}\n.adm-page-indicator-color-white {\n  --active-dot-color: var(--adm-color-white);\n}\n.adm-page-indicator-horizontal {\n  flex-direction: row;\n}\n.adm-page-indicator-horizontal .adm-page-indicator-dot {\n  margin-right: var(--dot-spacing);\n}\n.adm-page-indicator-horizontal .adm-page-indicator-dot-active {\n  width: var(--active-dot-size);\n}\n.adm-page-indicator-vertical {\n  flex-direction: column;\n}\n.adm-page-indicator-vertical .adm-page-indicator-dot {\n  margin-bottom: var(--dot-spacing);\n}\n.adm-page-indicator-vertical .adm-page-indicator-dot-active {\n  height: var(--active-dot-size);\n}\n")();
const classPrefix$s = `adm-page-indicator`;
const defaultProps$m = {
  color: "primary",
  direction: "horizontal"
};
const PageIndicator = React$1.memo((p2) => {
  const props = mergeProps(defaultProps$m, p2);
  const dots = [];
  for (let i = 0; i < props.total; i++) {
    dots.push(React__default["default"].createElement("div", {
      key: i,
      className: classNames__default["default"](`${classPrefix$s}-dot`, {
        [`${classPrefix$s}-dot-active`]: props.current === i
      })
    }));
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$s, `${classPrefix$s}-${props.direction}`, `${classPrefix$s}-color-${props.color}`)
  }, dots));
});
var passcodeInput = /* @__PURE__ */ (() => ".adm-passcode-input {\n  position: relative;\n  display: inline-block;\n  --cell-size: 40px;\n  --cell-gap: 6px;\n  --dot-size: 10px;\n  --border-color: #e5e5e5;\n  --border-radius: 8px;\n}\n.adm-passcode-input-cell-container {\n  display: inline-flex;\n  vertical-align: top;\n}\n.adm-passcode-input-cell {\n  flex: none;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  box-sizing: border-box;\n  font-size: var(--adm-font-size-10);\n  width: var(--cell-size);\n  height: var(--cell-size);\n  background: var(--adm-color-background);\n}\n.adm-passcode-input:not(.seperated) {\n  border-radius: var(--border-radius);\n  overflow: hidden;\n  border: 1px solid var(--border-color);\n}\n.adm-passcode-input:not(.seperated) .adm-passcode-input-cell:not(:last-child) {\n  border-right: 1px solid var(--border-color);\n}\n.adm-passcode-input:not(.seperated).focused {\n  border-color: var(--adm-color-primary);\n  box-shadow: 0 0 2px 0 var(--adm-color-primary);\n  outline: none;\n}\n.adm-passcode-input:not(.seperated).error {\n  border-color: var(--adm-color-danger);\n  box-shadow: 0 0 2px 0 var(--adm-color-danger);\n  animation: 100ms ease-in-out 0s 3 normal none running adm-shake-horizontal;\n}\n.adm-passcode-input.seperated .adm-passcode-input-cell {\n  border-radius: var(--border-radius);\n  border: 1px solid var(--border-color);\n}\n.adm-passcode-input.seperated .adm-passcode-input-cell:not(:last-child) {\n  margin-right: var(--cell-gap);\n}\n.adm-passcode-input.seperated .adm-passcode-input-cell.focused {\n  border-color: var(--adm-color-primary);\n  box-shadow: 0 0 2px 0 var(--adm-color-primary);\n}\n.adm-passcode-input.seperated.focused {\n  outline: none;\n}\n.adm-passcode-input.seperated.error {\n  animation: 100ms ease-in-out 0s 3 normal none running adm-shake-horizontal;\n}\n.adm-passcode-input.seperated.error .adm-passcode-input-cell {\n  border-color: var(--adm-color-danger);\n  box-shadow: 0 0 2px 0 var(--adm-color-danger);\n}\n.adm-passcode-input-cell.dot::before {\n  content: '';\n  width: var(--dot-size);\n  height: var(--dot-size);\n  border-radius: 50%;\n  background: var(--adm-color-text);\n}\n.adm-passcode-input-cell.caret::after {\n  content: '';\n  width: 2px;\n  height: 1.1em;\n  margin-left: 1px;\n  background: var(--adm-color-primary);\n  animation: 1s linear infinite adm-caret-blink;\n}\n.adm-passcode-input > .adm-passcode-input-native-input {\n  position: absolute;\n  left: -200vw;\n  top: 0;\n  display: block;\n  width: 50px;\n  height: 20px;\n  opacity: 0.5;\n}\n@keyframes adm-shake-horizontal {\n  0% {\n    transform: translateX(0);\n  }\n  10% {\n    transform: translateX(-4px);\n  }\n  20% {\n    transform: translateX(5px);\n  }\n  30% {\n    transform: translateX(-1px);\n  }\n  40% {\n    transform: translateX(8px);\n  }\n  50% {\n    transform: translateX(0);\n  }\n  60% {\n    transform: translateX(-8px);\n  }\n  70% {\n    transform: translateX(1px);\n  }\n  80% {\n    transform: translateX(-5px);\n  }\n  90% {\n    transform: translateX(4px);\n  }\n  100% {\n    transform: translateX(0);\n  }\n}\n@keyframes adm-caret-blink {\n  from {\n    opacity: 1;\n  }\n  60% {\n    opacity: 1;\n  }\n  80% {\n    opacity: 0;\n  }\n  to {\n    opacity: 0;\n  }\n}\n")();
const classPrefix$r = "adm-passcode-input";
const defaultProps$l = {
  defaultValue: "",
  length: 6,
  plain: false,
  error: false,
  seperated: false,
  caret: true
};
const PasscodeInput = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$l, p2);
  const cellLength = props.length > 0 && props.length < Infinity ? Math.floor(props.length) : defaultProps$l.length;
  const [focused, setFocused] = React$1.useState(false);
  const [value, setValue] = usePropsValue(props);
  const rootRef = React$1.useRef(null);
  const nativeInputRef = React$1.useRef(null);
  React$1.useEffect(() => {
    var _a;
    if (value.length >= cellLength) {
      (_a = props.onFill) === null || _a === void 0 ? void 0 : _a.call(props, value);
    }
  }, [value, cellLength]);
  const onFocus = () => {
    var _a, _b;
    if (!props.keyboard) {
      (_a = nativeInputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    }
    setFocused(true);
    (_b = props.onFocus) === null || _b === void 0 ? void 0 : _b.call(props);
  };
  React$1.useEffect(() => {
    if (!focused)
      return;
    const timeout = window.setTimeout(() => {
      var _a;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.scrollIntoView({
        block: "center",
        inline: "center",
        behavior: "smooth"
      });
    }, 100);
    return () => {
      window.clearTimeout(timeout);
    };
  }, [focused]);
  const onBlur = () => {
    var _a;
    setFocused(false);
    (_a = props.onBlur) === null || _a === void 0 ? void 0 : _a.call(props);
  };
  React$1.useImperativeHandle(ref, () => ({
    focus: () => {
      var _a;
      return (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    },
    blur: () => {
      var _a, _b;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.blur();
      (_b = nativeInputRef.current) === null || _b === void 0 ? void 0 : _b.blur();
    }
  }));
  const renderCells = () => {
    const cells = [];
    const chars = value.split("");
    const caretIndex = chars.length;
    const focusedIndex = bound(chars.length, 0, cellLength - 1);
    for (let i = 0; i < cellLength; i++) {
      cells.push(React__default["default"].createElement("div", {
        className: classNames__default["default"](`${classPrefix$r}-cell`, {
          caret: props.caret && caretIndex === i && focused,
          focused: focusedIndex === i && focused,
          dot: !props.plain && chars[i]
        }),
        key: i
      }, chars[i] && props.plain ? chars[i] : ""));
    }
    return cells;
  };
  const cls2 = classNames__default["default"](classPrefix$r, {
    focused,
    error: props.error,
    seperated: props.seperated
  });
  return React__default["default"].createElement(React__default["default"].Fragment, null, withNativeProps(props, React__default["default"].createElement("div", {
    ref: rootRef,
    tabIndex: 0,
    className: cls2,
    onFocus,
    onBlur
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$r}-cell-container`
  }, renderCells()), React__default["default"].createElement("input", {
    ref: nativeInputRef,
    className: `${classPrefix$r}-native-input`,
    value,
    type: "text",
    pattern: "[0-9]*",
    inputMode: "numeric",
    onChange: (e2) => {
      setValue(e2.target.value.slice(0, props.length));
    }
  }))), props.keyboard && React__default["default"].cloneElement(props.keyboard, {
    visible: focused,
    onInput: (v2) => {
      if (value.length < cellLength) {
        setValue((value + v2).slice(0, props.length));
      }
    },
    onDelete: () => {
      setValue(value.slice(0, -1));
    },
    onClose: () => {
      var _a;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.blur();
    }
  }));
});
var progressBar = /* @__PURE__ */ (() => ".adm-progress-bar {\n  --track-width: var(--adm-progress-bar-track-width, 8px);\n  --track-color: var(--adm-progress-bar-track-color, #e5e5e5);\n  --fill-color: var(--adm-progress-bar-fill-color, var(--adm-color-primary));\n  --text-width: var(--adm-progress-bar-text-width, 40px);\n  display: flex;\n  align-items: center;\n}\n.adm-progress-bar-trail {\n  flex: auto;\n  background: var(--track-color);\n  overflow: hidden;\n  height: var(--track-width);\n}\n.adm-progress-bar-fill {\n  transition: width 0.3s;\n  background: var(--fill-color);\n  height: var(--track-width);\n}\n.adm-progress-bar-text {\n  flex: none;\n  width: calc(var(--text-width) + 8px);\n  padding-left: 8px;\n  color: #999999;\n}\n.adm-progress-bar-rounded .adm-progress-bar-trail,\n.adm-progress-bar-rounded .adm-progress-bar-fill {\n  border-radius: var(--track-width);\n}\n")();
const classPrefix$q = `adm-progress-bar`;
const defaultProps$k = {
  percent: 0,
  rounded: true,
  text: false
};
const ProgressBar = (p2) => {
  const props = mergeProps(defaultProps$k, p2);
  const fillStyle = {
    width: `${props.percent}%`
  };
  const textElement = function() {
    if (props.text === true) {
      return `${props.percent}%`;
    }
    if (typeof props.text === "function") {
      return props.text(props.percent);
    }
    return props.text;
  }();
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$q, props.rounded && `${classPrefix$q}-rounded`)
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$q}-trail`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$q}-fill`,
    style: fillStyle
  })), isNodeWithContent(textElement) && React__default["default"].createElement("div", {
    className: `${classPrefix$q}-text`
  }, textElement)));
};
var progressCircle = /* @__PURE__ */ (() => "/*\u8FDB\u5EA6\u5708*/\n.adm-progress-circle {\n  --track-width: var(--adm-progress-circle-track-width, 3px);\n  --size: var(--adm-progress-circle-size, 50px);\n  --track-color: var(--adm-progress-circle-track-color, #e5e5e5);\n  --fill-color: var(--adm-progress-circle-fill-color, var(--adm-color-primary));\n  --percent: 0;\n  --pi: 3.14159265;\n  --radius: calc(var(--size) / 2 - var(--track-width) / 2);\n  --circumference: calc(var(--radius) * var(--pi) * 2);\n  display: inline-block;\n  width: var(--size);\n  height: var(--size);\n}\n.adm-progress-circle-svg {\n  width: 100%;\n  height: 100%;\n}\n.adm-progress-circle-svg > .adm-progress-circle-track,\n.adm-progress-circle-svg .adm-progress-circle-fill {\n  stroke-width: var(--track-width);\n  r: var(--radius);\n  cx: calc(var(--size) / 2);\n  cy: calc(var(--size) / 2);\n  transform: rotate(-90deg);\n  transform-origin: 50% 50%;\n}\n.adm-progress-circle-svg > .adm-progress-circle-track {\n  stroke: var(--track-color);\n}\n.adm-progress-circle-svg > .adm-progress-circle-fill {\n  transition: stroke-dashoffset 0.35s;\n  stroke: var(--fill-color);\n  stroke-dasharray: var(--circumference);\n  stroke-dashoffset: calc(var(--circumference) * (1 - var(--percent) / 100));\n  stroke-linecap: round;\n}\n.adm-progress-circle-content {\n  position: relative;\n  margin: auto;\n  width: 100%;\n  height: 100%;\n}\n.adm-progress-circle-info {\n  position: absolute;\n  width: 100%;\n  top: 50%;\n  left: 50%;\n  text-align: center;\n  transform: translate(-50%, -50%);\n}\n")();
const classPrefix$p = `adm-progress-circle`;
const ProgressCircle = (p2) => {
  const props = mergeProps({
    percent: 0
  }, p2);
  const style = {
    "--percent": props.percent.toString()
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: `${classPrefix$p}`,
    style
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$p}-content`
  }, React__default["default"].createElement("svg", {
    className: `${classPrefix$p}-svg`
  }, React__default["default"].createElement("circle", {
    className: `${classPrefix$p}-track`,
    fill: "transparent"
  }), React__default["default"].createElement("circle", {
    className: `${classPrefix$p}-fill`,
    fill: "transparent"
  })), React__default["default"].createElement("div", {
    className: `${classPrefix$p}-info`
  }, props.children))));
};
var pullToRefresh = /* @__PURE__ */ (() => ".adm-pull-to-refresh-head {\n  overflow: hidden;\n  position: relative;\n}\n.adm-pull-to-refresh-head-content {\n  position: absolute;\n  bottom: 0;\n  left: 0;\n  width: 100%;\n  color: var(--adm-color-weak);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n")();
const sleep = (time) => new Promise((resolve) => setTimeout(resolve, time));
const classPrefix$o = `adm-pull-to-refresh`;
const defaultProps$j = {
  pullingText: "\u4E0B\u62C9\u5237\u65B0",
  canReleaseText: "\u91CA\u653E\u7ACB\u5373\u5237\u65B0",
  refreshingText: "\u52A0\u8F7D\u4E2D...",
  completeText: "\u5237\u65B0\u6210\u529F",
  completeDelay: 500,
  disabled: false,
  onRefresh: () => {
  }
};
const PullToRefresh = (p2) => {
  var _a, _b;
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$j, {
    refreshingText: `${locale.common.loading}...`,
    pullingText: locale.PullToRefresh.pulling,
    canReleaseText: locale.PullToRefresh.canRelease,
    completeText: locale.PullToRefresh.complete
  }, p2);
  const headHeight = (_a = props.headHeight) !== null && _a !== void 0 ? _a : convertPx(40);
  const threshold = (_b = props.threshold) !== null && _b !== void 0 ? _b : convertPx(60);
  const [status, setStatus] = React$1.useState("pulling");
  const [springStyles, api] = web.useSpring(() => ({
    from: {
      height: 0
    },
    config: {
      tension: 300,
      friction: 30,
      clamp: true
    }
  }));
  const elementRef = React$1.useRef(null);
  const pullingRef = React$1.useRef(false);
  React$1.useEffect(() => {
    var _a2;
    (_a2 = elementRef.current) === null || _a2 === void 0 ? void 0 : _a2.addEventListener("touchmove", () => {
    });
  }, []);
  function doRefresh() {
    return tslib.__awaiter(this, void 0, void 0, function* () {
      api.start({
        height: headHeight
      });
      setStatus("refreshing");
      try {
        yield props.onRefresh();
        setStatus("complete");
      } catch (e2) {
        api.start({
          to: (next) => tslib.__awaiter(this, void 0, void 0, function* () {
            yield next({
              height: 0
            });
            setStatus("pulling");
          })
        });
        throw e2;
      }
      if (props.completeDelay > 0) {
        yield sleep(props.completeDelay);
      }
      api.start({
        to: (next) => tslib.__awaiter(this, void 0, void 0, function* () {
          yield next({
            height: 0
          });
          setStatus("pulling");
        })
      });
    });
  }
  react.useDrag((state) => {
    if (status === "refreshing" || status === "complete")
      return;
    const {
      event
    } = state;
    if (state.last) {
      pullingRef.current = false;
      if (status === "canRelease") {
        doRefresh();
      } else {
        api.start({
          height: 0
        });
      }
      return;
    }
    const [, y] = state.movement;
    if (state.first && y > 0) {
      let getScrollTop = function(element) {
        return "scrollTop" in element ? element.scrollTop : element.scrollY;
      };
      const target = state.event.target;
      if (!target || !(target instanceof Element))
        return;
      let scrollParent = getScrollParent(target);
      while (true) {
        if (!scrollParent)
          return;
        const scrollTop = getScrollTop(scrollParent);
        if (scrollTop > 0) {
          return;
        }
        if (scrollParent instanceof Window) {
          break;
        }
        scrollParent = getScrollParent(scrollParent.parentNode);
      }
      pullingRef.current = true;
    }
    if (!pullingRef.current)
      return;
    if (event.cancelable) {
      event.preventDefault();
    }
    event.stopPropagation();
    const height = Math.max(rubberbandIfOutOfBounds(y, 0, 0, headHeight * 5, 0.5), 0);
    api.start({
      height
    });
    setStatus(height > threshold ? "canRelease" : "pulling");
  }, {
    pointer: {
      touch: true
    },
    axis: "y",
    target: elementRef,
    enabled: !props.disabled,
    eventOptions: supportsPassive ? {
      passive: false
    } : false
  });
  const renderStatusText = () => {
    var _a2;
    if (props.renderText) {
      return (_a2 = props.renderText) === null || _a2 === void 0 ? void 0 : _a2.call(props, status);
    }
    if (status === "pulling")
      return props.pullingText;
    if (status === "canRelease")
      return props.canReleaseText;
    if (status === "refreshing")
      return props.refreshingText;
    if (status === "complete")
      return props.completeText;
  };
  return React__default["default"].createElement(web.animated.div, {
    ref: elementRef,
    className: classPrefix$o
  }, React__default["default"].createElement(web.animated.div, {
    style: springStyles,
    className: `${classPrefix$o}-head`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$o}-head-content`,
    style: {
      height: headHeight
    }
  }, renderStatusText())), React__default["default"].createElement("div", {
    className: `${classPrefix$o}-content`
  }, props.children));
};
var radio = /* @__PURE__ */ (() => ".adm-radio {\n  --icon-size: 22px;\n  --font-size: var(--adm-font-size-9);\n  --gap: 8px;\n  display: inline-flex;\n  vertical-align: text-bottom;\n  justify-content: flex-start;\n  align-items: center;\n  cursor: pointer;\n}\n.adm-radio input {\n  display: none;\n}\n.adm-radio .adm-radio-icon {\n  flex: none;\n  border: 1px solid var(--adm-color-light);\n  border-radius: var(--icon-size);\n  box-sizing: border-box;\n  width: var(--icon-size);\n  height: var(--icon-size);\n  color: var(--adm-color-white);\n}\n.adm-radio .adm-radio-icon > svg {\n  display: block;\n  width: 100%;\n  height: 100%;\n}\n.adm-radio.adm-radio-block {\n  display: flex;\n}\n.adm-radio.adm-radio-checked .adm-radio-icon {\n  border-color: var(--adm-color-primary);\n  background-color: var(--adm-color-primary);\n}\n.adm-radio.adm-radio-disabled {\n  cursor: not-allowed;\n}\n.adm-radio.adm-radio-disabled .adm-radio-content {\n  opacity: 0.4;\n}\n.adm-radio.adm-radio-disabled .adm-radio-icon {\n  color: #b7b7b7;\n  border-color: var(--adm-color-light);\n  background-color: var(--adm-color-box);\n}\n.adm-radio .adm-radio-custom-icon {\n  font-size: var(--icon-size);\n}\n.adm-radio-content {\n  flex: 0 1 auto;\n  font-size: var(--font-size);\n  padding-left: var(--gap);\n}\n")();
const RadioGroupContext = React$1.createContext(null);
const defaultProps$i = {
  disabled: false,
  defaultValue: null
};
const Group = (p2) => {
  const props = mergeProps(defaultProps$i, p2);
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: props.defaultValue,
    onChange: (v2) => {
      var _a;
      if (v2 === null)
        return;
      (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, v2);
    }
  });
  return React__default["default"].createElement(RadioGroupContext.Provider, {
    value: {
      value: value === null ? [] : [value],
      check: (v2) => {
        setValue(v2);
      },
      uncheck: () => {
      },
      disabled: props.disabled
    }
  }, props.children);
};
const classPrefix$n = `adm-radio`;
const defaultProps$h = {
  defaultChecked: false
};
const Radio = (p2) => {
  const props = mergeProps(defaultProps$h, p2);
  const groupContext = React$1.useContext(RadioGroupContext);
  let [checked, setChecked] = usePropsValue({
    value: props.checked,
    defaultValue: props.defaultChecked,
    onChange: props.onChange
  });
  let disabled = props.disabled;
  const {
    value
  } = props;
  if (groupContext && value !== void 0) {
    checked = groupContext.value.includes(value);
    setChecked = (innerChecked) => {
      var _a;
      if (innerChecked) {
        groupContext.check(value);
      } else {
        groupContext.uncheck(value);
      }
      (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, innerChecked);
    };
    disabled = disabled || groupContext.disabled;
  }
  const renderIcon = () => {
    if (props.icon) {
      return React__default["default"].createElement("div", {
        className: `${classPrefix$n}-custom-icon`
      }, props.icon(checked));
    }
    return React__default["default"].createElement("div", {
      className: `${classPrefix$n}-icon`
    }, checked && React__default["default"].createElement(CheckIcon, null));
  };
  return withNativeProps(props, React__default["default"].createElement("label", {
    className: classNames__default["default"](classPrefix$n, {
      [`${classPrefix$n}-checked`]: checked,
      [`${classPrefix$n}-disabled`]: disabled,
      [`${classPrefix$n}-block`]: props.block
    })
  }, React__default["default"].createElement(NativeInput, {
    type: "radio",
    checked,
    onChange: setChecked,
    disabled,
    id: props.id
  }), renderIcon(), props.children && React__default["default"].createElement("div", {
    className: `${classPrefix$n}-content`
  }, props.children)));
};
var index$5 = attachPropertiesToComponent(Radio, {
  Group
});
var rate = /* @__PURE__ */ (() => ".adm-rate {\n  --star-size: 24px;\n  --active-color: #ffd21e;\n  --inactive-color: var(--adm-color-border);\n  display: inline-flex;\n}\n.adm-rate-box {\n  position: relative;\n}\n.adm-rate-star {\n  padding: 0.125em;\n  line-height: var(--star-size);\n  font-size: var(--star-size);\n  color: var(--inactive-color);\n  text-align: center;\n  overflow: hidden;\n  cursor: pointer;\n  box-sizing: border-box;\n}\n.adm-rate-star-half {\n  padding-right: 0;\n  width: 50%;\n  position: absolute;\n  left: 0;\n  top: 0;\n}\n.adm-rate-star-active {\n  color: var(--active-color);\n}\n.adm-rate-star-readonly {\n  cursor: unset;\n}\n")();
const Star = () => {
  return React__default["default"].createElement("svg", {
    viewBox: "0 0 42 40",
    height: "1em",
    xmlns: "http://www.w3.org/2000/svg",
    style: {
      verticalAlign: "-0.125em"
    }
  }, React__default["default"].createElement("path", {
    d: "m21 34-10.52 5.53a2 2 0 0 1-2.902-2.108l2.01-11.714-8.511-8.296a2 2 0 0 1 1.108-3.411l11.762-1.71 5.26-10.657a2 2 0 0 1 3.586 0l5.26 10.658L39.815 14a2 2 0 0 1 1.108 3.411l-8.51 8.296 2.009 11.714a2 2 0 0 1-2.902 2.109L21 34Z",
    fill: "currentColor",
    fillRule: "evenodd"
  }));
};
const classPrefix$m = `adm-rate`;
const defaultProps$g = {
  count: 5,
  allowHalf: false,
  character: React__default["default"].createElement(Star, null),
  defaultValue: 0,
  readOnly: false,
  allowClear: true
};
const Rate = (p2) => {
  const props = mergeProps(defaultProps$g, p2);
  const [value, setValue] = usePropsValue(props);
  const starList = Array(props.count).fill(null);
  function renderStar(v2, half) {
    return React__default["default"].createElement("div", {
      className: classNames__default["default"](`${classPrefix$m}-star`, {
        [`${classPrefix$m}-star-active`]: value >= v2,
        [`${classPrefix$m}-star-half`]: half,
        [`${classPrefix$m}-star-readonly`]: props.readOnly
      }),
      onClick: () => {
        if (props.readOnly)
          return;
        if (props.allowClear && value === v2) {
          setValue(0);
        } else {
          setValue(v2);
        }
      }
    }, props.character);
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$m
  }, starList.map((_, i) => React__default["default"].createElement("div", {
    key: i,
    className: classNames__default["default"](`${classPrefix$m}-box`)
  }, props.allowHalf && renderStar(i + 0.5, true), renderStar(i + 1, false)))));
};
var result = /* @__PURE__ */ (() => ".adm-result {\n  padding: 32px 12px;\n  background-color: var(--adm-color-background);\n}\n.adm-result-icon {\n  box-sizing: border-box;\n  width: 64px;\n  height: 64px;\n  margin: 0 auto 20px auto;\n  padding: 6px;\n}\n.adm-result-icon .antd-mobile-icon {\n  font-size: 52px;\n}\n.adm-result-title {\n  color: var(--adm-color-text);\n  font-size: var(--adm-font-size-10);\n  line-height: 1.4;\n  text-align: center;\n}\n.adm-result-description {\n  margin-top: 8px;\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-main);\n  line-height: 1.4;\n  text-align: center;\n}\n.adm-result-success .adm-result-icon .antd-mobile-icon {\n  color: var(--adm-color-primary);\n}\n.adm-result-error .adm-result-icon .antd-mobile-icon {\n  color: var(--adm-color-danger);\n}\n.adm-result-info .adm-result-icon .antd-mobile-icon {\n  color: var(--adm-color-primary);\n}\n.adm-result-waiting .adm-result-icon .antd-mobile-icon {\n  color: var(--adm-color-success);\n}\n.adm-result-warning .adm-result-icon .antd-mobile-icon {\n  color: var(--adm-color-warning);\n}\n")();
const classPrefix$l = `adm-result`;
const iconRecord = {
  success: antdMobileIcons.CheckCircleFill,
  error: antdMobileIcons.CloseCircleFill,
  info: antdMobileIcons.InformationCircleFill,
  waiting: antdMobileIcons.ClockCircleFill,
  warning: antdMobileIcons.ExclamationCircleFill
};
const Result = (props) => {
  const {
    status,
    title,
    description,
    icon
  } = props;
  if (!status)
    return null;
  const resultIcon = icon || React__default["default"].createElement(iconRecord[status]);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$l, `${classPrefix$l}-${status}`)
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$l}-icon`
  }, resultIcon), React__default["default"].createElement("div", {
    className: `${classPrefix$l}-title`
  }, title), description ? React__default["default"].createElement("div", {
    className: `${classPrefix$l}-description`
  }, description) : null));
};
var searchBar = /* @__PURE__ */ (() => ".adm-search-bar {\n  --height: 32px;\n  --padding-left: 8px;\n  --background: var(--adm-color-box);\n  --border-radius: 6px;\n  --placeholder-color: var(--adm-color-weak);\n  ---placeholder-color: var(--placeholder-color);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  height: var(--height);\n}\n.adm-search-bar .adm-search-bar-input-box {\n  flex: auto;\n  background: var(--background);\n  border-radius: var(--border-radius);\n  border: solid 1px transparent;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  padding-left: var(--padding-left);\n}\n.adm-search-bar .adm-search-bar-input-box .adm-search-bar-input-box-icon {\n  flex: none;\n  color: var(--adm-color-light);\n  font-size: var(--adm-font-size-8);\n}\n.adm-search-bar .adm-search-bar-input-box .adm-search-bar-input {\n  flex: auto;\n  padding: 4px 8px 4px 4px;\n  height: calc(var(--height) - 2px);\n  box-sizing: border-box;\n}\n.adm-search-bar .adm-search-bar-input-box .adm-search-bar-input.adm-input {\n  --placeholder-color: var(---placeholder-color);\n  --font-size: var(--adm-font-size-7);\n}\n.adm-search-bar .adm-search-bar-input-box .adm-search-bar-input .adm-input-element {\n  line-height: 19px;\n}\n.adm-search-bar .adm-search-bar-input-box .adm-search-bar-input.adm-search-bar-input-without-icon {\n  padding-left: 8px;\n}\n.adm-search-bar .adm-search-bar-suffix {\n  flex: none;\n  margin-left: 4px;\n}\n.adm-search-bar .adm-search-bar-cancel-button.adm-button {\n  padding: 3px 12px;\n}\n.adm-search-bar-active .adm-input.adm-input.adm-input {\n  --placeholder-color: var(--adm-color-light);\n}\n.adm-search-bar-active .adm-search-bar-input-box {\n  border-color: var(--adm-color-primary);\n  background: var(--adm-color-background);\n}\n")();
const classPrefix$k = `adm-search-bar`;
const defaultProps$f = {
  clearable: true,
  onlyShowClearWhenFocus: false,
  showCancelButton: false,
  defaultValue: "",
  clearOnCancel: true,
  icon: React__default["default"].createElement(antdMobileIcons.SearchOutline, null)
};
const SearchBar = React$1.forwardRef((p2, ref) => {
  const {
    locale
  } = useConfig();
  const props = mergeProps(defaultProps$f, {
    cancelText: locale.common.cancel
  }, p2);
  const [value, setValue] = usePropsValue(props);
  const [hasFocus, setHasFocus] = React$1.useState(false);
  const inputRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => ({
    clear: () => {
      var _a;
      return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.clear();
    },
    focus: () => {
      var _a;
      return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    },
    blur: () => {
      var _a;
      return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.blur();
    },
    get nativeElement() {
      var _a, _b;
      return (_b = (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.nativeElement) !== null && _b !== void 0 ? _b : null;
    }
  }));
  const renderCancelButton = () => {
    let isShowCancel;
    if (typeof props.showCancelButton === "function") {
      isShowCancel = props.showCancelButton(hasFocus, value);
    } else {
      isShowCancel = props.showCancelButton && hasFocus;
    }
    return isShowCancel && React__default["default"].createElement("div", {
      className: `${classPrefix$k}-suffix`
    }, React__default["default"].createElement(Button, {
      fill: "none",
      className: `${classPrefix$k}-cancel-button`,
      onClick: () => {
        var _a, _b, _c;
        if (props.clearOnCancel) {
          (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.clear();
        }
        (_b = inputRef.current) === null || _b === void 0 ? void 0 : _b.blur();
        (_c = props.onCancel) === null || _c === void 0 ? void 0 : _c.call(props);
      },
      onMouseDown: (e2) => {
        e2.preventDefault();
      }
    }, props.cancelText));
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$k, {
      [`${classPrefix$k}-active`]: hasFocus
    })
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$k}-input-box`
  }, props.icon && React__default["default"].createElement("div", {
    className: `${classPrefix$k}-input-box-icon`
  }, props.icon), React__default["default"].createElement(Input, {
    ref: inputRef,
    className: classNames__default["default"](`${classPrefix$k}-input`, {
      [`${classPrefix$k}-input-without-icon`]: !props.icon
    }),
    value,
    onChange: setValue,
    maxLength: props.maxLength,
    placeholder: props.placeholder,
    clearable: props.clearable,
    onlyShowClearWhenFocus: props.onlyShowClearWhenFocus,
    onFocus: (e2) => {
      var _a;
      setHasFocus(true);
      (_a = props.onFocus) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onBlur: (e2) => {
      var _a;
      setHasFocus(false);
      (_a = props.onBlur) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onClear: props.onClear,
    type: "search",
    enterKeyHint: "search",
    onEnterPress: () => {
      var _a, _b;
      (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.blur();
      (_b = props.onSearch) === null || _b === void 0 ? void 0 : _b.call(props, value);
    }
  })), renderCancelButton()));
});
var selector = /* @__PURE__ */ (() => ".adm-selector {\n  --color: var(--adm-color-box);\n  --checked-color: #e7f1ff;\n  --text-color: var(--adm-color-text);\n  --checked-text-color: var(--adm-color-primary);\n  --border: none;\n  --checked-border: none;\n  --border-radius: 2px;\n  --padding: 8px 16px;\n  overflow: hidden;\n  font-size: var(--adm-font-size-7);\n  line-height: 1.4;\n}\n.adm-selector .adm-space.adm-space {\n  --gap: 12px;\n}\n.adm-selector-item {\n  padding: var(--padding);\n  position: relative;\n  background-color: var(--color);\n  border: var(--border);\n  border-radius: var(--border-radius);\n  color: var(--text-color);\n  opacity: 1;\n  cursor: pointer;\n  display: inline-block;\n  text-align: center;\n  overflow: hidden;\n  vertical-align: top;\n}\n.adm-selector-item-description {\n  font-size: var(--adm-font-size-main);\n  color: var(--adm-color-weak);\n}\n.adm-selector-item-active,\n.adm-selector-item-multiple-active {\n  color: var(--checked-text-color);\n  background-color: var(--checked-color);\n  border: var(--checked-border);\n}\n.adm-selector-item .adm-selector-check-mark-wrapper {\n  position: absolute;\n  right: 0;\n  bottom: 0;\n  width: 0;\n  height: 0;\n  border-top: solid 8px transparent;\n  border-bottom: solid 8px var(--adm-color-primary);\n  border-left: solid 10px transparent;\n  border-right: solid 10px var(--adm-color-primary);\n}\n.adm-selector-item .adm-selector-check-mark-wrapper > svg {\n  position: absolute;\n  left: 0;\n  top: 0;\n  height: 6px;\n  width: 8px;\n}\n.adm-selector-item-disabled {\n  cursor: not-allowed;\n  opacity: 0.4;\n}\n")();
const CheckMark = React$1.memo(() => {
  return React__default["default"].createElement("svg", {
    width: "17px",
    height: "13px",
    viewBox: "0 0 17 13",
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg"
  }, React__default["default"].createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, React__default["default"].createElement("g", {
    transform: "translate(-2832.000000, -1103.000000)",
    stroke: "#FFFFFF",
    strokeWidth: "3"
  }, React__default["default"].createElement("g", {
    transform: "translate(2610.000000, 955.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(24.000000, 91.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(179.177408, 36.687816)"
  }, React__default["default"].createElement("polyline", {
    points: "34.2767388 22 24.797043 31.4796958 21 27.6826527"
  })))))));
});
const classPrefix$j = `adm-selector`;
const defaultProps$e = {
  multiple: false,
  defaultValue: [],
  showCheckMark: true
};
const Selector = (p2) => {
  const props = mergeProps(defaultProps$e, p2);
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: props.defaultValue,
    onChange: (val) => {
      var _a;
      const extend = {
        get items() {
          return props.options.filter((option) => val.includes(option.value));
        }
      };
      (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, val, extend);
    }
  });
  const items = props.options.map((option) => {
    const active = (value || []).includes(option.value);
    const disabled = option.disabled || props.disabled;
    const itemCls = classNames__default["default"](`${classPrefix$j}-item`, {
      [`${classPrefix$j}-item-active`]: active && !props.multiple,
      [`${classPrefix$j}-item-multiple-active`]: active && props.multiple,
      [`${classPrefix$j}-item-disabled`]: disabled
    });
    return React__default["default"].createElement("div", {
      key: option.value,
      className: itemCls,
      onClick: () => {
        if (disabled) {
          return;
        }
        if (props.multiple) {
          const val = active ? value.filter((v2) => v2 !== option.value) : [...value, option.value];
          setValue(val);
        } else {
          const val = active ? [] : [option.value];
          setValue(val);
        }
      }
    }, option.label, option.description && React__default["default"].createElement("div", {
      className: `${classPrefix$j}-item-description`
    }, option.description), active && props.showCheckMark && React__default["default"].createElement("div", {
      className: `${classPrefix$j}-check-mark-wrapper`
    }, React__default["default"].createElement(CheckMark, null)));
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$j
  }, !props.columns && React__default["default"].createElement(Space, {
    wrap: true
  }, items), props.columns && React__default["default"].createElement(Grid, {
    columns: props.columns,
    gap: convertPx(8)
  }, items)));
};
var sideBar = /* @__PURE__ */ (() => ".adm-side-bar {\n  --height: 100%;\n  --width: 105px;\n  --item-border-radius: 8px;\n  --background-color: var(--adm-color-box);\n  width: var(--width);\n  height: var(--height);\n  box-sizing: border-box;\n  font-size: var(--adm-font-size-main);\n  overflow-y: auto;\n  transform: translateZ(0);\n  -webkit-transform: translateZ(0);\n  background-color: var(--background-color);\n  display: flex;\n  flex-direction: column;\n}\n.adm-side-bar-items {\n  flex: none;\n  overflow: hidden;\n}\n.adm-side-bar-extra-space {\n  flex: auto;\n  overflow: hidden;\n  position: relative;\n}\n.adm-side-bar-item {\n  display: flex;\n  align-items: center;\n  box-sizing: border-box;\n  padding: 16px 12px;\n  position: relative;\n  cursor: pointer;\n  background-color: var(--background-color);\n  overflow: visible;\n}\n.adm-side-bar-item-highlight {\n  position: absolute;\n  height: 100%;\n  width: 2px;\n  left: -12px;\n  top: 0;\n  background: var(--adm-color-primary);\n  border-radius: 2px;\n}\n.adm-side-bar-item-active {\n  color: var(--adm-color-primary);\n  background-color: var(--adm-color-background);\n  position: relative;\n}\n.adm-side-bar-item-corner {\n  width: var(--item-border-radius);\n  height: var(--item-border-radius);\n  position: absolute;\n  z-index: 100;\n  right: 0;\n  -webkit-user-select: none;\n          user-select: none;\n  pointer-events: none;\n}\n.adm-side-bar-item-corner-top {\n  top: 0;\n  transform: rotate(-90deg);\n}\n.adm-side-bar-item-corner-bottom {\n  bottom: 0;\n}\n.adm-side-bar-item-disabled {\n  cursor: not-allowed;\n}\n.adm-side-bar-item-disabled .adm-side-bar-item-title {\n  opacity: 0.4;\n}\n.adm-side-bar-badge.adm-badge {\n  --right: -4px;\n}\n")();
const Corner = React$1.memo((props) => withNativeProps(props, React__default["default"].createElement("svg", {
  viewBox: "0 0 30 30"
}, React__default["default"].createElement("g", {
  stroke: "none",
  strokeWidth: "1",
  fill: "none",
  fillRule: "evenodd"
}, React__default["default"].createElement("path", {
  d: "M30,0 C13.4314575,3.04359188e-15 -2.02906125e-15,13.4314575 0,30 L0,30 L0,0 Z",
  fill: "var(--adm-color-background)",
  transform: "translate(15.000000, 15.000000) scale(-1, -1) translate(-15.000000, -15.000000) "
})))));
const classPrefix$i = `adm-side-bar`;
const SideBarItem = () => {
  return null;
};
const SideBar = (props) => {
  var _a;
  let firstActiveKey = null;
  const items = [];
  traverseReactNode(props.children, (child, index2) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    if (index2 === 0) {
      firstActiveKey = key;
    }
    items.push(child);
  });
  const [activeKey, setActiveKey] = usePropsValue({
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : firstActiveKey,
    onChange: (v2) => {
      var _a2;
      if (v2 === null)
        return;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, v2);
    }
  });
  const lastItem = items[items.length - 1];
  const isLastItemActive = lastItem && lastItem.key === activeKey;
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$i
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$i}-items`
  }, items.map((item, index2) => {
    const active = item.key === activeKey;
    const isActiveNextSibling = items[index2 - 1] && items[index2 - 1].key === activeKey;
    const isActivePreviousSibling = items[index2 + 1] && items[index2 + 1].key === activeKey;
    return withNativeProps(item.props, React__default["default"].createElement("div", {
      key: item.key,
      onClick: () => {
        const {
          key
        } = item;
        if (key === void 0 || key === null || item.props.disabled)
          return;
        setActiveKey(key.toString());
      },
      className: classNames__default["default"](`${classPrefix$i}-item`, {
        [`${classPrefix$i}-item-active`]: active,
        [`${classPrefix$i}-item-disabled`]: item.props.disabled
      })
    }, React__default["default"].createElement(React__default["default"].Fragment, null, isActiveNextSibling && React__default["default"].createElement(Corner, {
      className: `${classPrefix$i}-item-corner ${classPrefix$i}-item-corner-top`
    }), isActivePreviousSibling && React__default["default"].createElement(Corner, {
      className: `${classPrefix$i}-item-corner ${classPrefix$i}-item-corner-bottom`
    })), React__default["default"].createElement(Badge, {
      content: item.props.badge,
      className: `${classPrefix$i}-badge`
    }, React__default["default"].createElement("div", {
      className: `${classPrefix$i}-item-title`
    }, active && React__default["default"].createElement("div", {
      className: `${classPrefix$i}-item-highlight`
    }), item.props.title))));
  })), React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$i}-extra-space`, isLastItemActive && `${classPrefix$i}-item-active-next-sibling`)
  }, isLastItemActive && React__default["default"].createElement(Corner, {
    className: `${classPrefix$i}-item-corner ${classPrefix$i}-item-corner-top`
  }))));
};
var index$4 = attachPropertiesToComponent(SideBar, {
  Item: SideBarItem
});
var slider = /* @__PURE__ */ (() => ".adm-slider {\n  --fill-color: var(--adm-color-primary);\n  padding: 5px 14px;\n  list-style: none;\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-slider-track-container {\n  padding: 8px 0;\n}\n.adm-slider-track {\n  position: relative;\n  width: 100%;\n  height: 3px;\n  background-color: var(--adm-color-box);\n  border-radius: 3px;\n}\n.adm-slider-fill {\n  position: absolute;\n  z-index: 1;\n  height: 3px;\n  border-radius: 3px;\n  background-color: var(--fill-color);\n}\n.adm-slider-ticks {\n  position: absolute;\n  width: 100%;\n  height: 3px;\n  background: transparent;\n}\n.adm-slider-tick {\n  position: absolute;\n  top: -2px;\n  width: 7px;\n  height: 7px;\n  margin-left: -3px;\n  background-color: var(--adm-color-box);\n  border-radius: 50%;\n}\n.adm-slider-tick-active {\n  background-color: var(--fill-color);\n}\n.adm-slider-thumb {\n  width: 28px;\n  height: 28px;\n  margin: 2px;\n  border-radius: 50%;\n  text-align: center;\n  line-height: 28px;\n  background: var(--adm-color-white);\n  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.12);\n  color: var(--fill-color);\n}\n.adm-slider-thumb:focus {\n  outline: none;\n}\n.adm-slider-thumb-icon {\n  width: 12px;\n  height: 12px;\n  margin: 8px;\n  -webkit-user-select: none;\n          user-select: none;\n}\n.adm-slider-thumb-container {\n  cursor: -webkit-grab;\n  cursor: grab;\n  touch-action: none;\n  position: absolute;\n  z-index: 2;\n  width: 32px;\n  height: 32px;\n  border-radius: 50%;\n  top: 50%;\n  transform: translate(-50%, -50%);\n}\n.adm-slider-mark {\n  position: relative;\n  width: 100%;\n  overflow: visible;\n  font-size: var(--adm-font-size-3);\n  height: 11px;\n  margin-top: 10px;\n}\n.adm-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  line-height: 1;\n  color: var(--adm-color-text);\n  text-align: center;\n  word-break: keep-all;\n  -webkit-user-select: none;\n          user-select: none;\n  transform: translateX(-50%);\n}\n.adm-slider-disabled {\n  opacity: 0.4;\n}\n.adm-slider-disabled .adm-slider-thumb {\n  cursor: not-allowed;\n}\n.adm-slider-disabled .adm-slider-mark-text,\n.adm-slider-disabled .adm-slider-tick {\n  cursor: not-allowed;\n  box-shadow: none;\n}\n")();
const classPrefix$h = `adm-slider`;
const Ticks = ({
  points,
  max,
  min,
  upperBound,
  lowerBound
}) => {
  const range = max - min;
  const elements = points.map((point) => {
    const offset = `${Math.abs(point - min) / range * 100}%`;
    const isActived = point <= upperBound && point >= lowerBound;
    const style = {
      left: offset
    };
    const pointClassName = classNames__default["default"]({
      [`${classPrefix$h}-tick`]: true,
      [`${classPrefix$h}-tick-active`]: isActived
    });
    return React__default["default"].createElement("span", {
      className: pointClassName,
      style,
      key: point
    });
  });
  return React__default["default"].createElement("div", {
    className: `${classPrefix$h}-ticks`
  }, elements);
};
const classPrefix$g = `adm-slider-mark`;
const Marks = ({
  marks,
  upperBound,
  lowerBound,
  max,
  min
}) => {
  const marksKeys = Object.keys(marks);
  const range = max - min;
  const elements = marksKeys.map(parseFloat).sort((a, b) => a - b).filter((point) => point >= min && point <= max).map((point) => {
    const markPoint = marks[point];
    if (!markPoint && markPoint !== 0) {
      return null;
    }
    const isActive = point <= upperBound && point >= lowerBound;
    const markClassName = classNames__default["default"]({
      [`${classPrefix$g}-text`]: true,
      [`${classPrefix$g}-text-active`]: isActive
    });
    const style = {
      left: `${(point - min) / range * 100}%`
    };
    return React__default["default"].createElement("span", {
      className: markClassName,
      style,
      key: point
    }, markPoint);
  });
  return React__default["default"].createElement("div", {
    className: classPrefix$g
  }, elements);
};
const ThumbIcon = (props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    viewBox: "0 0 24 24",
    xmlns: "http://www.w3.org/2000/svg"
  }, React__default["default"].createElement("g", {
    fill: "currentColor",
    fillRule: "evenodd"
  }, React__default["default"].createElement("rect", {
    x: 10,
    width: 4,
    height: 24,
    rx: 2
  }), React__default["default"].createElement("rect", {
    y: 4,
    width: 4,
    height: 16,
    rx: 2
  }), React__default["default"].createElement("rect", {
    x: 20,
    y: 4,
    width: 4,
    height: 16,
    rx: 2
  }))));
};
const classPrefix$f = `adm-slider`;
const Thumb = (props) => {
  const {
    value,
    min,
    max,
    disabled,
    onDrag,
    icon
  } = props;
  const prevValue = React$1.useRef(value);
  const {
    locale
  } = useConfig();
  const currentPosition = () => {
    return {
      left: `${(value - min) / (max - min) * 100}%`,
      right: "auto"
    };
  };
  const [dragging, setDragging] = React$1.useState(false);
  const bind = react.useDrag((state) => {
    var _a;
    if (disabled)
      return;
    if (state.first) {
      prevValue.current = value;
    }
    const x = state.xy[0] - state.initial[0];
    const sliderOffsetWith = (_a = props.trackRef.current) === null || _a === void 0 ? void 0 : _a.offsetWidth;
    if (!sliderOffsetWith)
      return;
    const diff = x / Math.ceil(sliderOffsetWith) * (max - min);
    onDrag(prevValue.current + diff, state.first, state.last);
    setDragging(!state.last);
  }, {
    axis: "x",
    pointer: {
      touch: true
    }
  });
  const renderPopoverContent = typeof props.popover === "function" ? props.popover : props.popover ? (value2) => value2.toString() : null;
  const thumbElement = React__default["default"].createElement("div", {
    className: `${classPrefix$f}-thumb`
  }, icon ? icon : React__default["default"].createElement(ThumbIcon, {
    className: `${classPrefix$f}-thumb-icon`
  }));
  return React__default["default"].createElement("div", Object.assign({
    className: `${classPrefix$f}-thumb-container`,
    style: currentPosition()
  }, bind(), {
    role: "slider",
    "aria-label": props["aria-label"] || locale.Slider.name,
    "aria-valuemax": max,
    "aria-valuemin": min,
    "aria-valuenow": value,
    "aria-disabled": disabled
  }), renderPopoverContent ? React__default["default"].createElement(Popover$1, {
    content: renderPopoverContent(value),
    placement: "top",
    visible: dragging,
    getContainer: null,
    mode: "dark"
  }, thumbElement) : thumbElement);
};
const classPrefix$e = `adm-slider`;
const defaultProps$d = {
  min: 0,
  max: 100,
  step: 1,
  ticks: false,
  range: false,
  disabled: false,
  popover: false
};
const Slider = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$d, p2);
  const {
    min,
    max,
    disabled,
    marks,
    ticks,
    step,
    icon
  } = props;
  function sortValue(val) {
    return val.sort((a, b) => a - b);
  }
  function convertValue(value) {
    return props.range ? value : [props.min, value];
  }
  function reverseValue(value) {
    return props.range ? value : value[1];
  }
  function onAfterChange(value) {
    var _a2;
    (_a2 = props.onAfterChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, reverseValue(value));
  }
  const [rawValue, setRawValue] = usePropsValue({
    value: props.value,
    defaultValue: (_a = props.defaultValue) !== null && _a !== void 0 ? _a : props.range ? [min, min] : min,
    onChange: props.onChange
  });
  const sliderValue = sortValue(convertValue(rawValue));
  function setSliderValue(value) {
    const next = sortValue(value);
    const current = sliderValue;
    if (next[0] === current[0] && next[1] === current[1])
      return;
    setRawValue(reverseValue(next));
  }
  const trackRef = React$1.useRef(null);
  const fillSize = `${100 * (sliderValue[1] - sliderValue[0]) / (max - min)}%`;
  const fillStart = `${100 * (sliderValue[0] - min) / (max - min)}%`;
  const pointList = React$1.useMemo(() => {
    if (marks) {
      return Object.keys(marks).map(parseFloat).sort((a, b) => a - b);
    } else {
      const points = [];
      for (let i = min; i <= max; i += step) {
        points.push(i);
      }
      return points;
    }
  }, [marks, ticks, step, min, max]);
  function getValueByPosition(position) {
    const newPosition = position < min ? min : position > max ? max : position;
    let value = min;
    if (pointList.length) {
      value = nearest(pointList, newPosition);
    } else {
      const lengthPerStep = 100 / ((max - min) / step);
      const steps2 = Math.round(newPosition / lengthPerStep);
      value = steps2 * lengthPerStep * (max - min) * 0.01 + min;
    }
    return value;
  }
  const dragLockRef = React$1.useRef(0);
  const onTrackClick = (event) => {
    if (dragLockRef.current > 0)
      return;
    event.stopPropagation();
    if (disabled)
      return;
    const track = trackRef.current;
    if (!track)
      return;
    const sliderOffsetLeft = track.getBoundingClientRect().left;
    const position = (event.clientX - sliderOffsetLeft) / Math.ceil(track.offsetWidth) * (max - min) + min;
    const targetValue = getValueByPosition(position);
    let nextSliderValue;
    if (props.range) {
      if (Math.abs(targetValue - sliderValue[0]) > Math.abs(targetValue - sliderValue[1])) {
        nextSliderValue = [sliderValue[0], targetValue];
      } else {
        nextSliderValue = [targetValue, sliderValue[1]];
      }
    } else {
      nextSliderValue = [props.min, targetValue];
    }
    setSliderValue(nextSliderValue);
    onAfterChange(nextSliderValue);
  };
  const valueBeforeDragRef = React$1.useRef();
  const renderThumb = (index2) => {
    return React__default["default"].createElement(Thumb, {
      key: index2,
      value: sliderValue[index2],
      min,
      max,
      disabled,
      trackRef,
      icon,
      popover: props.popover,
      onDrag: (position, first, last) => {
        if (first) {
          dragLockRef.current += 1;
          valueBeforeDragRef.current = sliderValue;
        }
        const val = getValueByPosition(position);
        const valueBeforeDrag = valueBeforeDragRef.current;
        if (!valueBeforeDrag)
          return;
        const next = [...valueBeforeDrag];
        next[index2] = val;
        setSliderValue(next);
        if (last) {
          onAfterChange(next);
          window.setTimeout(() => {
            dragLockRef.current -= 1;
          }, 100);
        }
      },
      "aria-label": props["aria-label"]
    });
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$e, {
      [`${classPrefix$e}-disabled`]: disabled
    })
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$e}-track-container`,
    onClick: onTrackClick
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$e}-track`,
    onClick: onTrackClick,
    ref: trackRef
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$e}-fill`,
    style: {
      width: fillSize,
      left: fillStart
    }
  }), props.ticks && React__default["default"].createElement(Ticks, {
    points: pointList,
    min,
    max,
    lowerBound: sliderValue[0],
    upperBound: sliderValue[1]
  }), props.range && renderThumb(0), renderThumb(1))), marks && React__default["default"].createElement(Marks, {
    min,
    max,
    marks,
    lowerBound: sliderValue[0],
    upperBound: sliderValue[1]
  })));
};
var stepper = /* @__PURE__ */ (() => ".adm-stepper {\n  --height: 28px;\n  --input-width: 44px;\n  --input-font-size: var(--adm-font-size-main);\n  --input-font-color: var(--adm-color-text);\n  --input-background-color: var(--adm-color-box);\n  --border-radius: 2px;\n  --border: none;\n  --border-inner: solid 2px transparent;\n  --active-border: var(--border);\n  --button-font-size: var(--adm-font-size-7);\n  --button-text-color: var(--adm-color-primary);\n  --button-background-color: var(--adm-color-box);\n  --button-width: var(--height);\n  display: flex;\n  align-items: center;\n  box-sizing: border-box;\n  position: relative;\n  overflow: hidden;\n  width: calc(var(--input-width) + 2 * var(--button-width));\n  border: var(--border);\n  border-radius: var(--border-radius);\n}\n.adm-stepper-active {\n  border: var(--active-border);\n}\n.adm-stepper-middle {\n  flex: 1;\n  border-left: var(--border-inner);\n  border-right: var(--border-inner);\n}\n.adm-stepper .adm-stepper-input {\n  height: var(--height);\n  --background-color: var(--input-background-color);\n  --font-size: var(--input-font-size);\n  --color: var(--input-font-color);\n  --text-align: center;\n}\n.adm-stepper-minus,\n.adm-stepper-plus {\n  width: var(--button-width);\n  height: var(--height);\n  padding: 0;\n  color: var(--button-text-color);\n  background-color: var(--button-background-color);\n  font-size: var(--button-font-size);\n  --border-width: 0;\n}\n.adm-stepper-minus:disabled,\n.adm-stepper-plus:disabled {\n  color: var(--adm-color-weak);\n}\n.adm-stepper-minus svg,\n.adm-stepper-plus svg {\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n}\n.adm-stepper-minus {\n  border-radius: 0;\n}\n.adm-stepper-plus {\n  border-radius: 0;\n}\n")();
const classPrefix$d = `adm-stepper`;
const defaultProps$c = {
  defaultValue: 0,
  step: 1,
  disabled: false,
  allowEmpty: false
};
const Stepper = (p2) => {
  const props = mergeProps(defaultProps$c, p2);
  const {
    disabled,
    step,
    max,
    min,
    inputReadOnly
  } = props;
  const {
    locale
  } = useConfig();
  const [value, setValue] = usePropsValue(props);
  const [inputValue, setInputValue] = React$1.useState(() => convertValueToText(value, props.digits));
  function setValueWithCheck(v2) {
    if (isNaN(v2))
      return;
    let target = bound(v2, props.min, props.max);
    if (props.digits !== void 0) {
      target = parseFloat(target.toFixed(props.digits));
    }
    setValue(target);
  }
  const [hasFocus, setHasFocus] = React$1.useState(false);
  React$1.useEffect(() => {
    if (!hasFocus) {
      setInputValue(convertValueToText(value, props.digits));
    }
  }, [hasFocus]);
  React$1.useEffect(() => {
    if (!hasFocus) {
      setInputValue(convertValueToText(value, props.digits));
    }
  }, [value, props.digits]);
  const handleInputChange = (v2) => {
    setInputValue(v2);
    const value2 = convertTextToValue(v2);
    if (value2 === null) {
      if (props.allowEmpty) {
        setValue(null);
      } else {
        setValue(props.defaultValue);
      }
    } else {
      setValueWithCheck(value2);
    }
  };
  const handleMinus = () => {
    setValueWithCheck(Big__default["default"](value !== null && value !== void 0 ? value : 0).minus(step).toNumber());
  };
  const handlePlus = () => {
    setValueWithCheck(Big__default["default"](value !== null && value !== void 0 ? value : 0).add(step).toNumber());
  };
  const minusDisabled = () => {
    if (disabled)
      return true;
    if (value === null)
      return false;
    if (min !== void 0) {
      return value <= min;
    }
    return false;
  };
  const plusDisabled = () => {
    if (disabled)
      return true;
    if (value === null)
      return false;
    if (max !== void 0) {
      return value >= max;
    }
    return false;
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix$d, {
      [`${classPrefix$d}-active`]: hasFocus
    })
  }, React__default["default"].createElement(Button, {
    className: `${classPrefix$d}-minus`,
    onClick: handleMinus,
    disabled: minusDisabled(),
    fill: "none",
    shape: "rectangular",
    color: "primary",
    "aria-label": locale.Stepper.decrease
  }, React__default["default"].createElement(antdMobileIcons.MinusOutline, null)), React__default["default"].createElement("div", {
    className: `${classPrefix$d}-middle`
  }, React__default["default"].createElement(Input, {
    className: `${classPrefix$d}-input`,
    onFocus: (e2) => {
      var _a;
      setHasFocus(true);
      (_a = props.onFocus) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    value: inputValue,
    onChange: (val) => {
      disabled || handleInputChange(val);
    },
    disabled,
    onBlur: (e2) => {
      var _a;
      setHasFocus(false);
      (_a = props.onBlur) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    readOnly: inputReadOnly,
    role: "spinbutton",
    "aria-valuenow": Number(inputValue),
    "aria-valuemax": max,
    "aria-valuemin": min
  })), React__default["default"].createElement(Button, {
    className: `${classPrefix$d}-plus`,
    onClick: handlePlus,
    disabled: plusDisabled(),
    fill: "none",
    shape: "rectangular",
    color: "primary",
    "aria-label": locale.Stepper.increase
  }, React__default["default"].createElement(antdMobileIcons.AddOutline, null))));
};
function convertValueToText(value, digits) {
  if (value === null)
    return "";
  if (digits !== void 0) {
    return value.toFixed(digits);
  } else {
    return value.toString();
  }
}
function convertTextToValue(text) {
  if (text === "")
    return null;
  return parseFloat(text);
}
var steps = /* @__PURE__ */ (() => ".adm-step {\n  --line-to-next-color: #e5e5e5;\n  --icon-color: #e5e5e5;\n}\n.adm-step .adm-step-indicator {\n  position: relative;\n}\n.adm-step .adm-step-indicator::after {\n  content: '';\n  position: absolute;\n  z-index: 0;\n  background-color: var(--line-to-next-color);\n}\n.adm-step .adm-step-indicator .adm-step-icon-container {\n  position: absolute;\n  z-index: 1;\n  background: var(--adm-color-background);\n  color: var(--icon-color);\n}\n.adm-step .adm-step-indicator .adm-step-icon-container > .antd-mobile-icon {\n  display: block;\n}\n.adm-step:last-child .adm-step-indicator::after {\n  display: none;\n}\n.adm-step-status-finish {\n  --line-to-next-color: var(--adm-color-primary);\n}\n.adm-step-status-wait {\n  --icon-color: #e5e5e5;\n}\n.adm-step-status-wait .adm-step-title {\n  color: var(--adm-color-weak);\n}\n.adm-step-status-process {\n  --icon-color: var(--adm-color-primary);\n}\n.adm-step-status-process .adm-step-title {\n  color: var(--adm-color-primary);\n}\n.adm-step-status-finish {\n  --icon-color: var(--adm-color-primary);\n}\n.adm-step-status-error {\n  --icon-color: var(--adm-color-danger);\n}\n.adm-step-status-error .adm-step-title {\n  color: var(--adm-color-danger);\n}\n.adm-steps {\n  --title-font-size: var(--adm-font-size-main);\n  --description-font-size: var(--adm-font-size-4);\n  --indicator-margin-right: 0;\n  --icon-size: 18px;\n  width: 100%;\n  box-sizing: border-box;\n}\n.adm-steps-horizontal {\n  display: flex;\n  justify-content: space-around;\n  padding: 8px 0;\n}\n.adm-steps-horizontal .adm-step {\n  flex: 1;\n}\n.adm-steps-horizontal .adm-step .adm-step-indicator {\n  width: 100%;\n  height: 24px;\n}\n.adm-steps-horizontal .adm-step .adm-step-indicator::after {\n  left: 50%;\n  top: 50%;\n  height: 1px;\n  transform: translateY(-50%);\n  width: 100%;\n}\n.adm-steps-horizontal .adm-step .adm-step-indicator .adm-step-icon-container {\n  left: 50%;\n  top: 50%;\n  transform: translate(-50%, -50%);\n}\n.adm-steps-horizontal .adm-step-content {\n  text-align: center;\n  font-size: var(--description-font-size);\n  padding: 2px 8px 0;\n}\n.adm-steps-horizontal .adm-step-content .adm-step-title {\n  font-size: var(--title-font-size);\n}\n.adm-steps-horizontal .adm-step-content .adm-step-description {\n  margin-top: 4px;\n  color: var(--adm-color-weak);\n}\n.adm-steps-vertical {\n  padding: 8px 16px;\n}\n.adm-steps-vertical .adm-step {\n  display: flex;\n  align-items: stretch;\n}\n.adm-steps-vertical .adm-step .adm-step-indicator {\n  flex: none;\n  width: 24px;\n  margin-right: var(--indicator-margin-right);\n}\n.adm-steps-vertical .adm-step .adm-step-indicator::after {\n  left: 50%;\n  top: calc(var(--title-font-size) * 1.5 / 2);\n  width: 1px;\n  transform: translateX(-50%);\n  height: 100%;\n}\n.adm-steps-vertical .adm-step .adm-step-indicator .adm-step-icon-container {\n  top: calc(var(--title-font-size) * 1.5 / 2);\n  left: 50%;\n  transform: translate(-50%, -50%);\n}\n.adm-steps-vertical .adm-step:last-child .adm-step-content {\n  padding-bottom: 0;\n}\n.adm-steps-vertical .adm-step .adm-step-content {\n  flex: auto;\n  padding-bottom: 24px;\n}\n.adm-steps-vertical .adm-step .adm-step-content .adm-step-title {\n  font-size: var(--title-font-size);\n  line-height: 1.5;\n}\n.adm-steps-vertical .adm-step .adm-step-content .adm-step-description {\n  padding-top: 4px;\n  font-size: var(--description-font-size);\n  color: var(--adm-color-weak);\n}\n.adm-step-icon-container {\n  font-size: var(--icon-size);\n}\n.adm-step-icon-dot {\n  display: block;\n  width: 8px;\n  height: 8px;\n  background: currentColor;\n  border-radius: 4px;\n}\n")();
const classPrefix$c = `adm-step`;
const Step = (props) => {
  const {
    title,
    description,
    icon,
    status = "wait"
  } = props;
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$c}`, `${classPrefix$c}-status-${status}`)
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$c}-indicator`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$c}-icon-container`
  }, icon)), React__default["default"].createElement("div", {
    className: `${classPrefix$c}-content`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$c}-title`
  }, title), !!description && React__default["default"].createElement("div", {
    className: `${classPrefix$c}-description`
  }, description))));
};
const classPrefix$b = `adm-steps`;
const stepClassPrefix = `adm-step`;
const defaultIcon = React__default["default"].createElement("span", {
  className: `${stepClassPrefix}-icon-dot`
});
const defaultProps$b = {
  current: 0,
  direction: "horizontal"
};
const Steps = (p2) => {
  const props = mergeProps(defaultProps$b, p2);
  const {
    direction,
    current
  } = props;
  const classString = classNames__default["default"](classPrefix$b, `${classPrefix$b}-${direction}`);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classString
  }, React__default["default"].Children.map(props.children, (child, index2) => {
    var _a;
    if (!React__default["default"].isValidElement(child)) {
      return child;
    }
    const props2 = child.props;
    let status = props2.status || "wait";
    if (index2 < current) {
      status = props2.status || "finish";
    } else if (index2 === current) {
      status = props2.status || "process";
    }
    const icon = (_a = props2.icon) !== null && _a !== void 0 ? _a : defaultIcon;
    return React__default["default"].cloneElement(child, {
      status,
      icon
    });
  })));
};
var index$3 = attachPropertiesToComponent(Steps, {
  Step
});
var swipeAction = /* @__PURE__ */ (() => ".adm-swipe-action {\n  --background: var(--adm-color-background);\n  background: var(--background);\n  cursor: -webkit-grab;\n  cursor: grab;\n  overflow: hidden;\n  touch-action: pan-y;\n}\n.adm-swipe-action-track {\n  position: relative;\n  overflow: visible;\n}\n.adm-swipe-action-actions {\n  position: absolute;\n  display: flex;\n  justify-content: center;\n  align-items: stretch;\n  width: auto;\n  white-space: nowrap;\n}\n.adm-swipe-action-actions-right {\n  left: 100%;\n  top: 0;\n  height: 100%;\n}\n.adm-swipe-action-actions-left {\n  right: 100%;\n  top: 0;\n  height: 100%;\n}\n.adm-swipe-action-action-button.adm-button {\n  --border-radius: 0;\n  --border-width: 0;\n  --text-color: var(--adm-color-white);\n  padding-left: 20px;\n  padding-right: 20px;\n}\n")();
const classPrefix$a = `adm-swipe-action`;
const defaultProps$a = {
  rightActions: [],
  leftActions: [],
  closeOnTouchOutside: true,
  closeOnAction: true,
  stopPropagation: []
};
const SwipeAction = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$a, p2);
  const rootRef = React$1.useRef(null);
  const leftRef = React$1.useRef(null);
  const rightRef = React$1.useRef(null);
  function getWidth(ref2) {
    const element = ref2.current;
    if (!element)
      return 0;
    return element.offsetWidth;
  }
  function getLeftWidth() {
    return getWidth(leftRef);
  }
  function getRightWidth() {
    return getWidth(rightRef);
  }
  const [{
    x
  }, api] = web.useSpring(() => ({
    x: 0,
    config: {
      tension: 200,
      friction: 30
    }
  }), []);
  const draggingRef = React$1.useRef(false);
  const bind = react.useDrag((state) => {
    draggingRef.current = true;
    const [offsetX] = state.offset;
    if (state.last) {
      const leftWidth = getLeftWidth();
      const rightWidth = getRightWidth();
      let position = offsetX + state.velocity[0] * state.direction[0] * 50;
      if (offsetX > 0) {
        position = Math.max(0, position);
      } else if (offsetX < 0) {
        position = Math.min(0, position);
      } else {
        position = 0;
      }
      api.start({
        x: nearest([-rightWidth, 0, leftWidth], position)
      });
      window.setTimeout(() => {
        draggingRef.current = false;
      });
    } else {
      api.start({
        x: offsetX,
        immediate: true
      });
    }
  }, {
    from: () => [x.get(), 0],
    bounds: () => {
      const leftWidth = getLeftWidth();
      const rightWidth = getRightWidth();
      return {
        left: -rightWidth,
        right: leftWidth
      };
    },
    axis: "x",
    preventScroll: true,
    pointer: {
      touch: true
    }
  });
  function close() {
    api.start({
      x: 0
    });
  }
  React$1.useImperativeHandle(ref, () => ({
    show: (side = "right") => {
      if (side === "right") {
        api.start({
          x: -getRightWidth()
        });
      } else if (side === "left") {
        api.start({
          x: getLeftWidth()
        });
      }
    },
    close
  }));
  React$1.useEffect(() => {
    if (!props.closeOnTouchOutside)
      return;
    function handle(e2) {
      if (x.get() === 0) {
        return;
      }
      const root2 = rootRef.current;
      if (root2 && !root2.contains(e2.target)) {
        close();
      }
    }
    document.addEventListener("touchstart", handle);
    return () => {
      document.removeEventListener("touchstart", handle);
    };
  }, [props.closeOnTouchOutside]);
  function renderAction(action) {
    var _a, _b;
    const color = (_a = action.color) !== null && _a !== void 0 ? _a : "light";
    return React__default["default"].createElement(Button, {
      key: action.key,
      className: `${classPrefix$a}-action-button`,
      style: {
        "--background-color": (_b = colorRecord$1[color]) !== null && _b !== void 0 ? _b : color
      },
      onClick: (e2) => {
        var _a2, _b2;
        if (props.closeOnAction) {
          close();
        }
        (_a2 = action.onClick) === null || _a2 === void 0 ? void 0 : _a2.call(action, e2);
        (_b2 = props.onAction) === null || _b2 === void 0 ? void 0 : _b2.call(props, action, e2);
      }
    }, action.text);
  }
  return withNativeProps(props, React__default["default"].createElement("div", Object.assign({
    className: classPrefix$a
  }, bind(), {
    ref: rootRef,
    onClickCapture: (e2) => {
      if (draggingRef.current) {
        e2.stopPropagation();
        e2.preventDefault();
      }
    }
  }), React__default["default"].createElement(web.animated.div, {
    className: `${classPrefix$a}-track`,
    style: {
      x
    }
  }, withStopPropagation(props.stopPropagation, React__default["default"].createElement("div", {
    className: `${classPrefix$a}-actions ${classPrefix$a}-actions-left`,
    ref: leftRef
  }, props.leftActions.map(renderAction))), React__default["default"].createElement("div", {
    className: `${classPrefix$a}-content`,
    onClickCapture: (e2) => {
      if (x.goal !== 0) {
        e2.preventDefault();
        e2.stopPropagation();
        api.start({
          x: 0
        });
      }
    }
  }, React__default["default"].createElement(web.animated.div, {
    style: {
      pointerEvents: x.to((v2) => v2 !== 0 && x.goal !== 0 ? "none" : "auto")
    }
  }, props.children)), withStopPropagation(props.stopPropagation, React__default["default"].createElement("div", {
    className: `${classPrefix$a}-actions ${classPrefix$a}-actions-right`,
    ref: rightRef
  }, props.rightActions.map(renderAction))))));
});
const colorRecord$1 = {
  light: "var(--adm-color-light)",
  weak: "var(--adm-color-weak)",
  primary: "var(--adm-color-primary)",
  success: "var(--adm-color-success)",
  warning: "var(--adm-color-warning)",
  danger: "var(--adm-color-danger)"
};
var swiper = /* @__PURE__ */ (() => ".adm-swiper {\n  --height: auto;\n  --width: 100%;\n  --border-radius: 0;\n  --track-padding: 0;\n  --slide-size: 100%;\n  --track-offset: 0%;\n  display: block;\n  width: var(--width);\n  height: var(--height);\n  position: relative;\n  border-radius: var(--border-radius);\n  z-index: 0;\n  overflow: hidden;\n}\n.adm-swiper-track {\n  width: 100%;\n  height: 100%;\n  white-space: nowrap;\n  padding: var(--track-padding);\n}\n.adm-swiper-track-allow-touch-move {\n  cursor: -webkit-grab;\n  cursor: grab;\n}\n.adm-swiper-track-inner {\n  width: 100%;\n  height: 100%;\n  overflow: visible;\n  position: relative;\n  display: flex;\n  flex-wrap: nowrap;\n}\n.adm-swiper-slide {\n  width: 100%;\n  height: 100%;\n  display: block;\n  position: relative;\n  white-space: unset;\n  flex: none;\n}\n.adm-swiper-item {\n  display: block;\n  width: 100%;\n  height: 100%;\n  white-space: normal;\n}\n.adm-swiper-horizontal .adm-swiper-track-allow-touch-move {\n  touch-action: pan-y;\n}\n.adm-swiper-horizontal .adm-swiper-indicator {\n  position: absolute;\n  bottom: 6px;\n  left: 50%;\n  transform: translateX(-50%);\n}\n.adm-swiper-horizontal .adm-swiper-track {\n  transform: translateX(var(--track-offset));\n}\n.adm-swiper-horizontal .adm-swiper-track-inner {\n  flex-direction: row;\n  width: var(--slide-size);\n}\n.adm-swiper-vertical .adm-swiper-track-allow-touch-move {\n  touch-action: pan-x;\n}\n.adm-swiper-vertical .adm-swiper-indicator {\n  position: absolute;\n  right: 6px;\n  top: 50%;\n  transform: translateY(-50%);\n}\n.adm-swiper-vertical .adm-swiper-track {\n  transform: translateY(var(--track-offset));\n}\n.adm-swiper-vertical .adm-swiper-track-inner {\n  flex-direction: column;\n  height: var(--slide-size);\n}\n")();
const SwiperItem = (props) => {
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: "adm-swiper-item",
    onClick: props.onClick
  }, props.children));
};
function useRefState(initialState) {
  const [state, setState] = React$1.useState(initialState);
  const ref = React$1.useRef(state);
  React$1.useEffect(() => {
    ref.current = state;
  }, [state]);
  return [state, setState, ref];
}
const classPrefix$9 = `adm-swiper`;
const defaultProps$9 = {
  defaultIndex: 0,
  allowTouchMove: true,
  autoplay: false,
  autoplayInterval: 3e3,
  loop: false,
  direction: "horizontal",
  slideSize: 100,
  trackOffset: 0,
  stuckAtBoundary: true,
  rubberband: true
};
const Swiper = React$1.forwardRef(stagedComponents.staged((p2, ref) => {
  const props = mergeProps(defaultProps$9, p2);
  const isVertical = props.direction === "vertical";
  const slideRatio = props.slideSize / 100;
  const offsetRatio = props.trackOffset / 100;
  const {
    validChildren,
    count
  } = React$1.useMemo(() => {
    let count2 = 0;
    const validChildren2 = React__default["default"].Children.map(props.children, (child) => {
      if (!React__default["default"].isValidElement(child))
        return null;
      if (child.type !== SwiperItem) {
        return null;
      }
      count2++;
      return child;
    });
    return {
      validChildren: validChildren2,
      count: count2
    };
  }, [props.children]);
  if (count === 0 || !validChildren) {
    return null;
  }
  return () => {
    let loop = props.loop;
    if (slideRatio * (count - 1) < 1) {
      loop = false;
    }
    const trackRef = React$1.useRef(null);
    function getSlidePixels() {
      const track = trackRef.current;
      if (!track)
        return 0;
      const trackPixels = isVertical ? track.offsetHeight : track.offsetWidth;
      return trackPixels * props.slideSize / 100;
    }
    const [current, setCurrent] = React$1.useState(props.defaultIndex);
    ahooks.useUpdateEffect(() => {
      var _a;
      (_a = props.onIndexChange) === null || _a === void 0 ? void 0 : _a.call(props, current);
    }, [current]);
    const [dragging, setDragging, draggingRef] = useRefState(false);
    function boundIndex(current2) {
      let min = 0;
      let max = count - 1;
      if (props.stuckAtBoundary) {
        min += offsetRatio / slideRatio;
        max -= (1 - slideRatio - offsetRatio) / slideRatio;
      }
      return bound(current2, min, max);
    }
    const [{
      position
    }, api] = web.useSpring(() => ({
      position: boundIndex(current) * 100,
      config: {
        tension: 200,
        friction: 30
      },
      onRest: () => {
        if (draggingRef.current)
          return;
        if (!loop)
          return;
        const rawX = position.get();
        const totalWidth = 100 * count;
        const standardPosition = modulus(rawX, totalWidth);
        if (standardPosition === rawX)
          return;
        api.start({
          position: standardPosition,
          immediate: true
        });
      }
    }), [count]);
    const bind = react.useDrag((state) => {
      const slidePixels = getSlidePixels();
      if (!slidePixels)
        return;
      const paramIndex = isVertical ? 1 : 0;
      const offset = state.offset[paramIndex];
      const direction = state.direction[paramIndex];
      const velocity = state.velocity[paramIndex];
      setDragging(true);
      if (!state.last) {
        api.start({
          position: offset * 100 / slidePixels,
          immediate: true
        });
      } else {
        const minIndex = Math.floor(offset / slidePixels);
        const maxIndex = minIndex + 1;
        const index2 = Math.round((offset + velocity * 2e3 * direction) / slidePixels);
        swipeTo(bound(index2, minIndex, maxIndex));
        window.setTimeout(() => {
          setDragging(false);
        });
      }
    }, {
      transform: ([x, y]) => [-x, -y],
      from: () => {
        const slidePixels = getSlidePixels();
        return [position.get() / 100 * slidePixels, position.get() / 100 * slidePixels];
      },
      bounds: () => {
        if (loop)
          return {};
        const slidePixels = getSlidePixels();
        const lowerBound = boundIndex(0) * slidePixels;
        const upperBound = boundIndex(count - 1) * slidePixels;
        return isVertical ? {
          top: lowerBound,
          bottom: upperBound
        } : {
          left: lowerBound,
          right: upperBound
        };
      },
      rubberband: props.rubberband,
      axis: isVertical ? "y" : "x",
      preventScroll: !isVertical,
      pointer: {
        touch: true
      }
    });
    function swipeTo(index2, immediate = false) {
      const roundedIndex = Math.round(index2);
      const targetIndex = loop ? modulus(roundedIndex, count) : bound(roundedIndex, 0, count - 1);
      setCurrent(targetIndex);
      api.start({
        position: (loop ? roundedIndex : boundIndex(roundedIndex)) * 100,
        immediate
      });
    }
    function swipeNext() {
      swipeTo(Math.round(position.get() / 100) + 1);
    }
    function swipePrev() {
      swipeTo(Math.round(position.get() / 100) - 1);
    }
    React$1.useImperativeHandle(ref, () => ({
      swipeTo,
      swipeNext,
      swipePrev
    }));
    ahooks.useIsomorphicLayoutEffect(() => {
      const maxIndex = validChildren.length - 1;
      if (current > maxIndex) {
        swipeTo(maxIndex, true);
      }
    });
    const {
      autoplay,
      autoplayInterval
    } = props;
    React$1.useEffect(() => {
      if (!autoplay || dragging)
        return;
      const interval = window.setInterval(() => {
        swipeNext();
      }, autoplayInterval);
      return () => {
        window.clearInterval(interval);
      };
    }, [autoplay, autoplayInterval, dragging]);
    function renderTrackInner() {
      if (loop) {
        return React__default["default"].createElement("div", {
          className: `${classPrefix$9}-track-inner`
        }, React__default["default"].Children.map(validChildren, (child, index2) => {
          return React__default["default"].createElement(web.animated.div, {
            className: `${classPrefix$9}-slide`,
            style: {
              [isVertical ? "y" : "x"]: position.to((position2) => {
                let finalPosition = -position2 + index2 * 100;
                const totalWidth = count * 100;
                const flagWidth = totalWidth / 2;
                finalPosition = modulus(finalPosition + flagWidth, totalWidth) - flagWidth;
                return `${finalPosition}%`;
              }),
              [isVertical ? "top" : "left"]: `-${index2 * 100}%`
            }
          }, child);
        }));
      } else {
        return React__default["default"].createElement(web.animated.div, {
          className: `${classPrefix$9}-track-inner`,
          style: {
            [isVertical ? "y" : "x"]: position.to((position2) => `${-position2}%`)
          }
        }, React__default["default"].Children.map(validChildren, (child) => {
          return React__default["default"].createElement("div", {
            className: `${classPrefix$9}-slide`
          }, child);
        }));
      }
    }
    const style = {
      "--slide-size": `${props.slideSize}%`,
      "--track-offset": `${props.trackOffset}%`
    };
    return withNativeProps(props, React__default["default"].createElement("div", {
      className: classNames__default["default"](classPrefix$9, `${classPrefix$9}-${props.direction}`),
      style
    }, React__default["default"].createElement("div", Object.assign({
      ref: trackRef,
      className: classNames__default["default"](`${classPrefix$9}-track`, {
        [`${classPrefix$9}-track-allow-touch-move`]: props.allowTouchMove
      }),
      onClickCapture: (e2) => {
        if (draggingRef.current) {
          e2.stopPropagation();
        }
      }
    }, props.allowTouchMove ? bind() : {}), renderTrackInner()), props.indicator === void 0 ? React__default["default"].createElement("div", {
      className: `${classPrefix$9}-indicator`
    }, React__default["default"].createElement(PageIndicator, Object.assign({}, props.indicatorProps, {
      total: count,
      current,
      direction: props.direction
    }))) : props.indicator(count, current)));
  };
}));
function modulus(value, division) {
  const remainder = value % division;
  return remainder < 0 ? remainder + division : remainder;
}
var index$2 = attachPropertiesToComponent(Swiper, {
  Item: SwiperItem
});
var _switch = /* @__PURE__ */ (() => "@keyframes loading-rotate {\n  100% {\n    transform: rotate(1turn);\n  }\n}\n.adm-switch {\n  --checked-color: var(--adm-color-primary);\n  --height: 31px;\n  --width: 51px;\n  --border-width: 2px;\n  display: inline-block;\n  vertical-align: middle;\n  box-sizing: border-box;\n  position: relative;\n  align-self: center;\n  cursor: pointer;\n  /* \u9009\u4E2D\u72B6\u6001 */\n  /* \u7981\u7528\u72B6\u6001 */\n  /* loading\u56FE\u6807 */\n}\n.adm-switch input {\n  display: none;\n}\n.adm-switch-checkbox {\n  min-width: var(--width);\n  height: var(--height);\n  box-sizing: border-box;\n  border-radius: 31px;\n  background: var(--adm-color-border);\n  z-index: 0;\n  overflow: hidden;\n  line-height: var(--height);\n}\n.adm-switch-checkbox:before {\n  content: ' ';\n  position: absolute;\n  left: var(--border-width);\n  top: var(--border-width);\n  width: calc(100% - 2 * var(--border-width));\n  height: calc(var(--height) - 2 * var(--border-width));\n  border-radius: calc(var(--height) - 2 * var(--border-width));\n  box-sizing: border-box;\n  background: var(--adm-color-background);\n  z-index: 1;\n  transition: all 200ms;\n  transform: scale(1);\n}\n.adm-switch-handle {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  width: calc(var(--height) - 2 * var(--border-width));\n  height: calc(var(--height) - 2 * var(--border-width));\n  border-radius: calc(var(--height) - 2 * var(--border-width));\n  background: var(--adm-color-white);\n  position: absolute;\n  z-index: 2;\n  top: var(--border-width);\n  left: var(--border-width);\n  transition: all 200ms;\n  box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.2), 0 2px 11.5px 0 rgba(0, 0, 0, 0.08), -1px 2px 2px 0 rgba(0, 0, 0, 0.1);\n}\n.adm-switch-inner {\n  position: relative;\n  z-index: 1;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  margin: 0 8px 0 calc(var(--height) - var(--border-width) + 4px);\n  height: 100%;\n  color: var(--adm-color-weak);\n  transition: margin 200ms;\n  font-size: var(--adm-font-size-7);\n}\n.adm-switch.adm-switch-checked .adm-switch-checkbox {\n  background: var(--checked-color);\n}\n.adm-switch.adm-switch-checked .adm-switch-checkbox:before {\n  transform: scale(0);\n}\n.adm-switch.adm-switch-checked .adm-switch-handle {\n  left: calc(100% - (var(--height) - var(--border-width)));\n}\n.adm-switch.adm-switch-checked .adm-switch-inner {\n  margin: 0 calc(var(--height) - var(--border-width) + 5px) 0 10px;\n  color: var(--adm-color-white);\n}\n.adm-switch.adm-switch-disabled {\n  cursor: not-allowed;\n  opacity: 0.4;\n}\n.adm-switch-spin-icon {\n  width: 14px;\n  height: 14px;\n  animation: loading-rotate 1s linear infinite;\n}\n")();
const SpinIcon = React$1.memo((props) => {
  return withNativeProps(props, React__default["default"].createElement("svg", {
    width: "28px",
    height: "28px",
    viewBox: "0 0 28 28"
  }, React__default["default"].createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default["default"].createElement("g", {
    transform: "translate(-137.000000, -840.000000)",
    fill: "#1576FE"
  }, React__default["default"].createElement("g", {
    transform: "translate(80.000000, 823.000000)"
  }, React__default["default"].createElement("g", {
    transform: "translate(53.000000, 13.000000)"
  }, React__default["default"].createElement("path", {
    d: "M17.9996753,31.5 C10.5556724,31.5 4.5,25.4443275 4.5,18.0003247 C4.5,10.5563219 10.5556724,4.5 17.9996753,4.5 C18.5355492,4.5 18.9702974,4.93474816 18.9702974,5.47062208 C18.9702974,6.006496 18.5355492,6.44124416 17.9996753,6.44124416 C11.6261524,6.44124416 6.44124416,11.6267709 6.44124416,18.0002938 C6.44124416,24.3738167 11.6261524,29.5587249 17.9996753,29.5587249 C24.3731982,29.5587249 29.5587249,24.3738167 29.5587249,18.0002938 C29.5587249,14.7964616 28.2778291,11.8169616 25.9523687,9.61220279 C25.5637302,9.24317094 25.5473089,8.62893223 25.9157222,8.23967523 C26.2841356,7.84976878 26.8989928,7.83461537 27.2882498,8.20302872 C30.0042351,10.7787368 31.5,14.2580826 31.5,18.0002938 C31.5,25.4443275 25.4436781,31.5 17.9996753,31.5 Z"
  })))))));
});
const classPrefix$8 = `adm-switch`;
const defaultProps$8 = {
  defaultChecked: false
};
const Switch = (p2) => {
  const props = mergeProps(defaultProps$8, p2);
  const disabled = props.disabled || props.loading || false;
  const [changing, setChanging] = React$1.useState(false);
  const {
    locale
  } = useConfig();
  const [checked, setChecked] = usePropsValue({
    value: props.checked,
    defaultValue: props.defaultChecked,
    onChange: props.onChange
  });
  function onClick() {
    return tslib.__awaiter(this, void 0, void 0, function* () {
      if (disabled || props.loading || changing) {
        return;
      }
      const nextChecked = !checked;
      if (props.beforeChange) {
        setChanging(true);
        try {
          yield props.beforeChange(nextChecked);
          setChecked(nextChecked);
          setChanging(false);
        } catch (e2) {
          setChanging(false);
          throw e2;
        }
      } else {
        setChecked(nextChecked);
      }
    });
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    onClick,
    className: classNames__default["default"](classPrefix$8, {
      [`${classPrefix$8}-checked`]: checked,
      [`${classPrefix$8}-disabled`]: disabled || changing
    }),
    role: "switch",
    "aria-label": locale.Switch.name,
    "aria-checked": checked,
    "aria-disabled": disabled
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$8}-checkbox`
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$8}-handle`
  }, (props.loading || changing) && React__default["default"].createElement(SpinIcon, {
    className: `${classPrefix$8}-spin-icon`
  })), React__default["default"].createElement("div", {
    className: `${classPrefix$8}-inner`
  }, checked ? props.checkedText : props.uncheckedText))));
};
var tabBar = /* @__PURE__ */ (() => ".adm-tab-bar-wrap {\n  display: flex;\n  flex-wrap: nowrap;\n  justify-content: flex-start;\n  align-items: stretch;\n  overflow: hidden;\n  min-height: 48px;\n}\n.adm-tab-bar-item {\n  flex: 1;\n  color: var(--adm-color-weak);\n  white-space: nowrap;\n  padding: 4px 8px;\n  width: -webkit-min-content;\n  width: min-content;\n  position: relative;\n  cursor: pointer;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n}\n.adm-tab-bar-item-icon {\n  font-size: 24px;\n  height: 24px;\n  line-height: 1;\n}\n.adm-tab-bar-item-title {\n  font-size: var(--adm-font-size-3);\n  line-height: 15px;\n}\n.adm-tab-bar-item-title-with-icon {\n  margin-top: 2px;\n}\n.adm-tab-bar-item-active {\n  color: var(--adm-color-primary);\n}\n.adm-tab-bar-icon-badge {\n  --top: 6px;\n}\n.adm-tab-bar-title-badge {\n  --right: -2px;\n  --top: -2px;\n}\n")();
const TabBarItem = () => {
  return null;
};
const classPrefix$7 = `adm-tab-bar`;
const defaultProps$7 = {
  safeArea: false
};
const TabBar = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$7, p2);
  let firstActiveKey = null;
  const items = [];
  traverseReactNode(props.children, (child, index2) => {
    if (!React__default["default"].isValidElement(child))
      return;
    const key = child.key;
    if (typeof key !== "string")
      return;
    if (index2 === 0) {
      firstActiveKey = key;
    }
    items.push(child);
  });
  const [activeKey, setActiveKey] = usePropsValue({
    value: props.activeKey,
    defaultValue: (_a = props.defaultActiveKey) !== null && _a !== void 0 ? _a : firstActiveKey,
    onChange: (v2) => {
      var _a2;
      if (v2 === null)
        return;
      (_a2 = props.onChange) === null || _a2 === void 0 ? void 0 : _a2.call(props, v2);
    }
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$7
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$7}-wrap`
  }, items.map((item) => {
    const active = item.key === activeKey;
    function renderContent() {
      const iconElement = item.props.icon && React__default["default"].createElement("div", {
        className: `${classPrefix$7}-item-icon`
      }, typeof item.props.icon === "function" ? item.props.icon(active) : item.props.icon);
      const titleElement = item.props.title && React__default["default"].createElement("div", {
        className: classNames__default["default"](`${classPrefix$7}-item-title`, Boolean(iconElement) && `${classPrefix$7}-item-title-with-icon`)
      }, typeof item.props.title === "function" ? item.props.title(active) : item.props.title);
      if (iconElement) {
        return React__default["default"].createElement(React__default["default"].Fragment, null, React__default["default"].createElement(Badge, {
          content: item.props.badge,
          className: `${classPrefix$7}-icon-badge`
        }, iconElement), titleElement);
      } else if (titleElement) {
        return React__default["default"].createElement(Badge, {
          content: item.props.badge,
          className: `${classPrefix$7}-title-badge`
        }, titleElement);
      }
      return null;
    }
    return withNativeProps(item.props, React__default["default"].createElement("div", {
      key: item.key,
      onClick: () => {
        const {
          key
        } = item;
        if (key === void 0 || key === null)
          return;
        setActiveKey(key.toString());
      },
      className: classNames__default["default"](`${classPrefix$7}-item`, {
        [`${classPrefix$7}-item-active`]: active
      })
    }, renderContent()));
  })), props.safeArea && React__default["default"].createElement(SafeArea, {
    position: "bottom"
  })));
};
var index$1 = attachPropertiesToComponent(TabBar, {
  Item: TabBarItem
});
var tag = /* @__PURE__ */ (() => ".adm-tag {\n  --border-radius: var(--adm-tag-border-radius, 2px);\n  padding: 2px 4px;\n  font-size: var(--adm-font-size-3);\n  line-height: 1;\n  font-weight: normal;\n  background: var(--background-color);\n  color: var(--text-color);\n  display: inline-block;\n  white-space: nowrap;\n  border-radius: var(--border-radius);\n  border: 1px solid var(--border-color);\n  box-sizing: border-box;\n}\n.adm-tag-round {\n  border-radius: 100px;\n}\n")();
const classPrefix$6 = `adm-tag`;
const colorRecord = {
  default: "#666666",
  primary: "var(--adm-color-primary, #1677ff)",
  success: "var(--adm-color-success, #00b578)",
  warning: "var(--adm-color-warning, #ff8f1f)",
  danger: "var(--adm-color-danger, #ff3141)"
};
const defaultProps$6 = {
  color: "default",
  fill: "solid",
  round: false
};
const Tag = (p2) => {
  var _a;
  const props = mergeProps(defaultProps$6, p2);
  const color = (_a = colorRecord[props.color]) !== null && _a !== void 0 ? _a : props.color;
  const style = {
    "--border-color": color,
    "--text-color": props.fill === "outline" ? color : "#ffffff",
    "--background-color": props.fill === "outline" ? "transparent" : color
  };
  return withNativeProps(props, React__default["default"].createElement("span", {
    style,
    onClick: props.onClick,
    className: classNames__default["default"](classPrefix$6, {
      [`${classPrefix$6}-round`]: props.round
    })
  }, props.children));
};
var textArea = /* @__PURE__ */ (() => ".adm-text-area {\n  --font-size: var(--adm-font-size-9);\n  --color: var(--adm-color-text);\n  --placeholder-color: var(--adm-color-light);\n  --disabled-color: var(--adm-color-weak);\n  --text-align: left;\n  --count-text-align: right;\n  width: 100%;\n  max-width: 100%;\n  max-height: 100%;\n}\n.adm-text-area-element {\n  font-family: var(--adm-font-family);\n  resize: none;\n  flex: auto;\n  display: block;\n  box-sizing: border-box;\n  width: 100%;\n  max-width: 100%;\n  max-height: 100%;\n  padding: 0;\n  margin: 0;\n  color: var(--color);\n  font-size: var(--font-size);\n  line-height: 1.5;\n  background: transparent;\n  border: 0;\n  outline: none;\n  -webkit-appearance: none;\n          appearance: none;\n  min-height: 1.5em;\n  text-align: var(--text-align);\n}\n.adm-text-area-element::-webkit-input-placeholder {\n  color: var(--placeholder-color);\n  font-family: inherit;\n}\n.adm-text-area-element::placeholder {\n  color: var(--placeholder-color);\n  font-family: inherit;\n}\n.adm-text-area-element:-webkit-autofill {\n  background-color: transparent;\n}\n.adm-text-area-element:disabled {\n  color: var(--disabled-color);\n  cursor: not-allowed;\n  opacity: 1;\n  -webkit-text-fill-color: var(--disabled-color);\n}\n.adm-text-area-element:read-only {\n  cursor: default;\n}\n.adm-text-area-element:invalid {\n  box-shadow: none;\n}\n.adm-text-area-element::-ms-clear {\n  display: none;\n}\n.adm-text-area-element[readonly] {\n  pointer-events: none;\n}\n.adm-text-area-count {\n  text-align: var(--count-text-align);\n  color: var(--adm-color-weak);\n  font-size: var(--adm-font-size-9);\n  padding-top: 8px;\n}\n")();
const classPrefix$5 = "adm-text-area";
const defaultProps$5 = {
  rows: 2,
  showCount: false,
  autoSize: false,
  defaultValue: ""
};
const TextArea = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$5, p2);
  const {
    autoSize,
    showCount,
    maxLength
  } = props;
  const [value, setValue] = usePropsValue(Object.assign(Object.assign({}, props), {
    value: props.value === null ? "" : props.value
  }));
  if (props.value === null)
    ;
  const nativeTextAreaRef = React$1.useRef(null);
  React$1.useImperativeHandle(ref, () => ({
    clear: () => {
      setValue("");
    },
    focus: () => {
      var _a;
      (_a = nativeTextAreaRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    },
    blur: () => {
      var _a;
      (_a = nativeTextAreaRef.current) === null || _a === void 0 ? void 0 : _a.blur();
    },
    get nativeElement() {
      return nativeTextAreaRef.current;
    }
  }));
  ahooks.useIsomorphicLayoutEffect(() => {
    if (!autoSize)
      return;
    const textArea2 = nativeTextAreaRef.current;
    if (!textArea2)
      return;
    let height = textArea2.scrollHeight;
    if (typeof autoSize === "object") {
      const computedStyle = window.getComputedStyle(textArea2);
      const lineHeight = parseFloat(computedStyle.lineHeight);
      if (autoSize.minRows) {
        height = Math.max(height, autoSize.minRows * lineHeight);
      }
      if (autoSize.maxRows) {
        height = Math.min(height, autoSize.maxRows * lineHeight);
      }
    }
    textArea2.style.height = `${height}px`;
  }, [value, autoSize]);
  const compositingRef = React$1.useRef(false);
  let count;
  const valueLength = [...value].length;
  if (typeof showCount === "function") {
    count = showCount(valueLength, maxLength);
  } else if (showCount) {
    count = React__default["default"].createElement("div", {
      className: `${classPrefix$5}-count`
    }, maxLength === void 0 ? valueLength : valueLength + "/" + maxLength);
  }
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$5
  }, React__default["default"].createElement("textarea", {
    ref: nativeTextAreaRef,
    className: `${classPrefix$5}-element`,
    rows: props.rows,
    value,
    placeholder: props.placeholder,
    onChange: (e2) => {
      let v2 = e2.target.value;
      if (maxLength && !compositingRef.current) {
        v2 = [...v2].slice(0, maxLength).join("");
      }
      setValue(v2);
    },
    id: props.id,
    onCompositionStart: (e2) => {
      var _a;
      compositingRef.current = true;
      (_a = props.onCompositionStart) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    onCompositionEnd: (e2) => {
      var _a;
      compositingRef.current = false;
      if (maxLength) {
        const v2 = e2.target.value;
        setValue([...v2].slice(0, maxLength).join(""));
      }
      (_a = props.onCompositionEnd) === null || _a === void 0 ? void 0 : _a.call(props, e2);
    },
    autoComplete: props.autoComplete,
    autoFocus: props.autoFocus,
    disabled: props.disabled,
    readOnly: props.readOnly,
    name: props.name,
    onFocus: props.onFocus,
    onBlur: props.onBlur,
    onClick: props.onClick
  }), count));
});
TextArea.defaultProps = defaultProps$5;
var toast = /* @__PURE__ */ (() => ".adm-toast-mask .adm-toast-wrap {\n  position: fixed;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n}\n.adm-toast-mask .adm-toast-main {\n  display: inline-block;\n  position: relative;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n  width: auto;\n  min-width: 96px;\n  max-width: 200px;\n  max-height: 70%;\n  overflow: auto;\n  color: white;\n  word-break: break-all;\n  background-color: rgba(0, 0, 0, 0.7);\n  border-radius: 8px;\n  pointer-events: all;\n  font-size: var(--adm-font-size-7);\n  line-height: 1.5;\n  box-sizing: border-box;\n}\n.adm-toast-mask .adm-toast-main-text {\n  padding: 12px;\n}\n.adm-toast-mask .adm-toast-main-icon {\n  padding: 35px 40px;\n}\n.adm-toast-mask .adm-toast-main-icon .adm-toast-icon {\n  text-align: center;\n  margin-bottom: 8px;\n  font-size: 36px;\n  line-height: 1;\n}\n.adm-toast-loading {\n  --size: 48px;\n  margin: 0 auto 8px;\n}\n")();
const classPrefix$4 = `adm-toast`;
const defaultProps$4 = {
  maskClickable: true,
  stopPropagation: ["click"]
};
const InternalToast = (p2) => {
  const props = mergeProps(defaultProps$4, p2);
  const {
    maskClickable,
    content,
    icon,
    position
  } = props;
  const iconElement = React$1.useMemo(() => {
    if (icon === null || icon === void 0)
      return null;
    switch (icon) {
      case "success":
        return React__default["default"].createElement(antdMobileIcons.CheckOutline, {
          className: `${classPrefix$4}-icon-success`
        });
      case "fail":
        return React__default["default"].createElement(antdMobileIcons.CloseOutline, {
          className: `${classPrefix$4}-icon-fail`
        });
      case "loading":
        return React__default["default"].createElement(SpinLoading, {
          color: "white",
          className: `${classPrefix$4}-loading`
        });
      default:
        return icon;
    }
  }, [icon]);
  const top = React$1.useMemo(() => {
    switch (position) {
      case "top":
        return "20%";
      case "bottom":
        return "80%";
      default:
        return "50%";
    }
  }, [position]);
  return React__default["default"].createElement(Mask, {
    visible: props.visible,
    destroyOnClose: true,
    opacity: 0,
    disableBodyScroll: !maskClickable,
    getContainer: props.getContainer,
    afterClose: props.afterClose,
    style: Object.assign({
      pointerEvents: maskClickable ? "none" : "auto"
    }, props.maskStyle),
    className: classNames__default["default"](`${classPrefix$4}-mask`, props.maskClassName),
    stopPropagation: props.stopPropagation
  }, React__default["default"].createElement("div", {
    className: classNames__default["default"](`${classPrefix$4}-wrap`)
  }, React__default["default"].createElement("div", {
    style: {
      top
    },
    className: classNames__default["default"](`${classPrefix$4}-main`, icon ? `${classPrefix$4}-main-icon` : `${classPrefix$4}-main-text`)
  }, iconElement && React__default["default"].createElement("div", {
    className: `${classPrefix$4}-icon`
  }, iconElement), React__default["default"].createElement(AutoCenter, null, content))));
};
let currentHandler = null;
let currentTimeout = null;
const defaultProps$3 = {
  duration: 2e3,
  position: "center",
  maskClickable: true
};
const ToastInner = (props) => React__default["default"].createElement(InternalToast, Object.assign({}, props));
function show(p2) {
  const props = mergeProps(defaultProps$3, typeof p2 === "string" ? {
    content: p2
  } : p2);
  const element = React__default["default"].createElement(ToastInner, Object.assign({}, props, {
    onClose: () => {
      currentHandler = null;
    }
  }));
  if (currentHandler) {
    currentHandler.replace(element);
  } else {
    currentHandler = renderImperatively(element);
  }
  if (currentTimeout) {
    window.clearTimeout(currentTimeout);
  }
  if (props.duration !== 0) {
    currentTimeout = window.setTimeout(() => {
      clear();
    }, props.duration);
  }
  return currentHandler;
}
function clear() {
  currentHandler === null || currentHandler === void 0 ? void 0 : currentHandler.close();
  currentHandler = null;
}
function config(val) {
  if (val.duration !== void 0) {
    defaultProps$3.duration = val.duration;
  }
  if (val.position !== void 0) {
    defaultProps$3.position = val.position;
  }
  if (val.maskClickable !== void 0) {
    defaultProps$3.maskClickable = val.maskClickable;
  }
}
const Toast = {
  show,
  clear,
  config
};
var treeSelect = /* @__PURE__ */ (() => ".adm-tree-select,\n.adm-tree-select-multiple {\n  display: flex;\n  height: 100%;\n  font-size: var(--adm-font-size-main);\n  background-color: var(--adm-color-white);\n}\n.adm-tree-select-column,\n.adm-tree-select-multiple-column {\n  overflow-y: auto;\n  transform: translateZ(0);\n  -webkit-transform: translateZ(0);\n}\n.adm-tree-select-column:first-child,\n.adm-tree-select-multiple-column:first-child {\n  background-color: var(--adm-color-box);\n}\n.adm-tree-select-column:nth-child(2),\n.adm-tree-select-multiple-column:nth-child(2) {\n  background-color: #fafafa;\n}\n.adm-tree-select-item,\n.adm-tree-select-multiple-item {\n  display: flex;\n  align-items: center;\n  min-height: 50px;\n  box-sizing: border-box;\n  padding: 6px 12px;\n  position: relative;\n}\n.adm-tree-select-item-active {\n  color: var(--adm-color-primary);\n  font-weight: bold;\n  background-color: white;\n}\n.adm-tree-select-multiple-item-expand {\n  color: var(--adm-color-primary);\n  font-weight: bold;\n  background-color: white;\n}\n.adm-tree-select-multiple-item-checkbox {\n  margin-right: 8px;\n}\n.adm-tree-select-multiple-dot {\n  position: absolute;\n  top: 50%;\n  margin-top: -3px;\n  right: 8px;\n  width: 6px;\n  height: 6px;\n  background: var(--adm-color-primary);\n  border-radius: 3px;\n}\n")();
function getTreeDeep(treeData, childrenName = "children") {
  const walker = (tree) => {
    let deep = 0;
    tree.forEach((item) => {
      if (item[childrenName]) {
        deep = Math.max(deep, walker(item[childrenName]) + 1);
      } else {
        deep = Math.max(deep, 1);
      }
    });
    return deep;
  };
  return walker(treeData);
}
const classPrefix$3 = `adm-tree-select`;
const defaultProps$2 = {
  options: [],
  fieldNames: {},
  defaultValue: []
};
const TreeSelect = (p2) => {
  const props = mergeProps(defaultProps$2, p2);
  const labelName = props.fieldNames.label || "label";
  const valueName = props.fieldNames.value || "value";
  const childrenName = props.fieldNames.children || "children";
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: props.defaultValue
  });
  const [deep, optionsMap, optionsParentMap] = React$1.useMemo(() => {
    const deep2 = getTreeDeep(props.options, childrenName);
    const optionsMap2 = /* @__PURE__ */ new Map();
    const optionsParentMap2 = /* @__PURE__ */ new Map();
    function traverse(current, children) {
      children.forEach((item) => {
        optionsParentMap2.set(item[valueName], current);
        optionsMap2.set(item[valueName], item);
        if (item[childrenName]) {
          traverse(item, item[childrenName]);
        }
      });
    }
    traverse(void 0, props.options);
    return [deep2, optionsMap2, optionsParentMap2];
  }, [props.options]);
  const onItemSelect = (node) => {
    var _a;
    const parentNodes = [];
    let current = node;
    while (current) {
      parentNodes.push(current);
      const next = optionsParentMap.get(current[valueName]);
      current = next;
    }
    const values = parentNodes.reverse().map((i) => i[valueName]);
    setValue(values);
    (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, values, {
      options: parentNodes
    });
  };
  const renderItems = (columnOptions = [], index2) => {
    return columnOptions.map((item) => {
      const isActive = item[valueName] === value[index2];
      return React__default["default"].createElement("div", {
        key: item[valueName],
        className: classNames__default["default"](`${classPrefix$3}-item`, {
          [`${classPrefix$3}-item-active`]: isActive
        }),
        onClick: () => {
          if (!isActive) {
            onItemSelect(item);
          }
        }
      }, item[labelName]);
    });
  };
  const renderColumns = () => {
    var _a;
    const columns = [];
    for (let i = 0; i < deep; i++) {
      let width = `${100 / deep}%`;
      if (deep === 2 && i === 0) {
        width = `33.33%`;
      }
      if (deep === 2 && i === 1) {
        width = `66.67%`;
      }
      const column = React__default["default"].createElement("div", {
        key: i,
        className: classNames__default["default"](`${classPrefix$3}-column`),
        style: {
          width
        }
      }, renderItems(i === 0 ? props.options : (_a = optionsMap.get(value[i - 1])) === null || _a === void 0 ? void 0 : _a[childrenName], i));
      columns.push(column);
    }
    return columns;
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$3
  }, renderColumns()));
};
const classPrefix$2 = `adm-tree-select-multiple`;
const Multiple = (p2) => {
  const props = mergeProps({
    options: [],
    fieldNames: {},
    allSelectText: [],
    defaultExpandKeys: [],
    defaultValue: []
  }, p2);
  React$1.useEffect(() => {
  }, []);
  const labelName = props.fieldNames.label || "label";
  const valueName = props.fieldNames.value || "value";
  const childrenName = props.fieldNames.children || "children";
  const [expandKeys, setExpandKeys] = usePropsValue({
    value: props.expandKeys,
    defaultValue: props.defaultExpandKeys
  });
  const [value, setValue] = usePropsValue({
    value: props.value,
    defaultValue: props.defaultValue
  });
  const getLeafKeys = (option) => {
    const keys2 = [];
    const walker = (op) => {
      var _a;
      if (!op) {
        return;
      }
      if ((_a = op[childrenName]) === null || _a === void 0 ? void 0 : _a.length) {
        op[childrenName].forEach((i) => walker(i));
      } else {
        keys2.push(op[valueName]);
      }
    };
    walker(option);
    return keys2;
  };
  const [deep, optionsMap, optionsParentMap] = React$1.useMemo(() => {
    const deep2 = getTreeDeep(props.options, childrenName);
    const optionsMap2 = /* @__PURE__ */ new Map();
    const optionsParentMap2 = /* @__PURE__ */ new Map();
    function traverse(current, children) {
      children.forEach((item) => {
        optionsParentMap2.set(item[valueName], current);
        optionsMap2.set(item[valueName], item);
        if (item[childrenName]) {
          traverse(item, item[childrenName]);
        }
      });
    }
    traverse(void 0, props.options);
    return [deep2, optionsMap2, optionsParentMap2];
  }, [props.options]);
  const allSelectedLeafKeys = React$1.useMemo(() => {
    let leafKeys = [];
    value.forEach((v2) => {
      const option = optionsMap.get(v2);
      leafKeys = leafKeys.concat(getLeafKeys(option));
    });
    return leafKeys;
  }, [value, optionsMap]);
  const dotMap = React$1.useMemo(() => {
    const map = /* @__PURE__ */ new Map();
    const walker = (key) => {
      const parentOption = optionsParentMap.get(key);
      if (!parentOption) {
        return;
      }
      map.set(parentOption[valueName], true);
      walker(parentOption[valueName]);
    };
    allSelectedLeafKeys.forEach((key) => {
      map.set(key, true);
      walker(key);
    });
    return map;
  }, [optionsParentMap, value]);
  const onChange = (targetKeys) => {
    var _a;
    let groupKeys = [...targetKeys];
    let unusedKeys = [];
    const walker = (keys2) => {
      keys2.forEach((key) => {
        var _a2;
        if (unusedKeys.includes(key)) {
          return;
        }
        const parent = optionsParentMap.get(key);
        if (!parent) {
          return;
        }
        const childrenKeys = ((_a2 = parent[childrenName]) === null || _a2 === void 0 ? void 0 : _a2.map((i) => i[valueName])) || [];
        if (childrenKeys.every((i) => groupKeys.includes(i))) {
          groupKeys.push(parent[valueName]);
          unusedKeys = unusedKeys.concat(childrenKeys);
        }
      });
    };
    for (let i = 0; i < deep; i++) {
      walker(groupKeys);
    }
    groupKeys = groupKeys.filter((i) => !unusedKeys.includes(i));
    const groupOptions = groupKeys.map((i) => optionsMap.get(i));
    setValue(groupKeys);
    (_a = props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, groupKeys, groupOptions);
  };
  const onItemSelect = (option) => {
    var _a;
    const parentNodes = [];
    let current = option;
    while (current) {
      parentNodes.unshift(current);
      const next = optionsParentMap.get(current[valueName]);
      current = next;
    }
    const keys2 = parentNodes.map((i) => i[valueName]);
    setExpandKeys(keys2);
    (_a = props.onExpand) === null || _a === void 0 ? void 0 : _a.call(props, keys2, parentNodes);
  };
  const renderSelectAllItem = (columnOptions, index2) => {
    var _a;
    const text = (_a = props.selectAllText) === null || _a === void 0 ? void 0 : _a[index2];
    if (!text) {
      return;
    }
    let currentLeafKeys = [];
    columnOptions.forEach((option) => {
      currentLeafKeys = currentLeafKeys.concat(getLeafKeys(option));
    });
    const allSelected = currentLeafKeys.every((i) => allSelectedLeafKeys.includes(i));
    return React__default["default"].createElement("div", {
      onClick: () => {
        if (allSelected) {
          onChange(allSelectedLeafKeys.filter((i) => !currentLeafKeys.includes(i)));
        } else {
          onChange(allSelectedLeafKeys.concat(currentLeafKeys));
        }
      },
      className: `${classPrefix$2}-item`
    }, text);
  };
  const renderSelectAllLeafItem = (columnOptions, index2) => {
    var _a;
    const text = (_a = props.selectAllText) === null || _a === void 0 ? void 0 : _a[index2];
    if (!text) {
      return;
    }
    const currentLeafKeys = columnOptions.map((i) => i[valueName]);
    const allSelected = currentLeafKeys.every((i) => allSelectedLeafKeys.includes(i));
    const halfSelected = allSelected ? false : currentLeafKeys.some((i) => allSelectedLeafKeys.includes(i));
    return React__default["default"].createElement("div", {
      onClick: () => {
        if (allSelected) {
          onChange(allSelectedLeafKeys.filter((i) => !currentLeafKeys.includes(i)));
        } else {
          onChange(allSelectedLeafKeys.concat(currentLeafKeys));
        }
      },
      className: classNames__default["default"](`${classPrefix$2}-item`, `${classPrefix$2}-item-leaf`)
    }, React__default["default"].createElement(Checkbox, {
      className: `${classPrefix$2}-item-checkbox`,
      checked: allSelected,
      indeterminate: halfSelected
    }), text);
  };
  const renderItem = (option) => {
    const isExpand = expandKeys.includes(option[valueName]);
    return React__default["default"].createElement("div", {
      key: option[valueName],
      onClick: () => {
        if (!isExpand) {
          onItemSelect(option);
        }
      },
      className: classNames__default["default"](`${classPrefix$2}-item`, {
        [`${classPrefix$2}-item-expand`]: isExpand
      })
    }, option[labelName], !!dotMap.get(option[valueName]) && React__default["default"].createElement("div", {
      className: `${classPrefix$2}-dot`
    }));
  };
  const renderLeafItem = (option) => {
    const isSelected = allSelectedLeafKeys.includes(option[valueName]);
    return React__default["default"].createElement("div", {
      key: option[valueName],
      onClick: () => {
        if (isSelected) {
          onChange(allSelectedLeafKeys.filter((val) => val !== option[valueName]));
        } else {
          onChange([...allSelectedLeafKeys, option[valueName]]);
        }
      },
      className: classNames__default["default"](`${classPrefix$2}-item`, `${classPrefix$2}-item-leaf`)
    }, React__default["default"].createElement(Checkbox, {
      className: `${classPrefix$2}-item-checkbox`,
      checked: isSelected
    }), option[labelName]);
  };
  const renderItems = (columnOptions = [], index2) => {
    if (columnOptions.length === 0) {
      return;
    }
    const isLeaf = deep === index2 + 1;
    if (isLeaf) {
      return React__default["default"].createElement(React__default["default"].Fragment, null, renderSelectAllLeafItem(columnOptions, index2), columnOptions.map((option) => {
        return renderLeafItem(option);
      }));
    }
    return React__default["default"].createElement(React__default["default"].Fragment, null, renderSelectAllItem(columnOptions, index2), columnOptions.map((option) => {
      return renderItem(option);
    }));
  };
  const renderColumns = () => {
    var _a;
    const columns = [];
    for (let i = 0; i < deep; i++) {
      let width = `${100 / deep}%`;
      if (deep === 2 && i === 0) {
        width = `33.33%`;
      }
      if (deep === 2 && i === 1) {
        width = `66.67%`;
      }
      const column = React__default["default"].createElement("div", {
        key: i,
        className: classNames__default["default"](`${classPrefix$2}-column`),
        style: {
          width
        }
      }, renderItems(i === 0 ? props.options : (_a = optionsMap.get(expandKeys[i - 1])) === null || _a === void 0 ? void 0 : _a[childrenName], i));
      columns.push(column);
    }
    return columns;
  };
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classPrefix$2
  }, renderColumns()));
};
var index = attachPropertiesToComponent(TreeSelect, {
  Multiple
});
var virtualInput = /* @__PURE__ */ (() => ".adm-virtual-input {\n  --font-size: var(--adm-font-size-9);\n  --color: var(--adm-color-text);\n  --placeholder-color: var(--adm-color-light);\n  --disabled-color: var(--adm-color-weak);\n  --text-align: left;\n  --caret-width: var(--adm-virtual-input-caret-width, 2px);\n  --caret-color: var(--adm-virtual-input-caret-color, var(--adm-color-primary));\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n  position: relative;\n  text-align: var(--text-align);\n  font-size: var(--font-size);\n  line-height: 1.5;\n  white-space: nowrap;\n  color: var(--color);\n}\n.adm-virtual-input > * {\n  vertical-align: top;\n}\n.adm-virtual-input-content {\n  flex: auto;\n  display: inline-block;\n  position: relative;\n  z-index: 1;\n  width: 100%;\n  max-width: 100%;\n  overflow-y: hidden;\n  overflow-x: scroll;\n  scrollbar-width: none;\n}\n.adm-virtual-input-content::-webkit-scrollbar {\n  display: none;\n}\n.adm-virtual-input-placeholder {\n  display: block;\n  position: absolute;\n  z-index: 0;\n  left: 0;\n  top: 0;\n  width: 100%;\n  overflow: hidden;\n  text-align: var(--text-align);\n  color: var(--placeholder-color);\n}\n.adm-virtual-input-caret-container {\n  display: inline-block;\n  width: var(--caret-width);\n  height: 1.3em;\n  vertical-align: top;\n  margin-right: 1px;\n}\n.adm-virtual-input-caret {\n  width: 100%;\n  height: 100%;\n  background-color: var(--caret-color);\n  position: relative;\n  top: 5%;\n}\n.adm-virtual-input:focus {\n  outline: none;\n}\n.adm-virtual-input:focus .adm-virtual-input-caret {\n  display: block;\n  animation-name: adm-caret-blink;\n  animation-duration: 1s;\n  animation-timing-function: linear;\n  animation-iteration-count: infinite;\n}\n.adm-virtual-input-disabled {\n  color: var(--disabled-color);\n}\n@keyframes adm-caret-blink {\n  from {\n    opacity: 1;\n  }\n  60% {\n    opacity: 1;\n  }\n  80% {\n    opacity: 0;\n  }\n  to {\n    opacity: 0;\n  }\n}\n.adm-virtual-input-clear {\n  flex: none;\n  margin-left: 8px;\n  color: var(--placeholder-color);\n  padding: 3px;\n  cursor: pointer;\n}\n.adm-virtual-input-clear .antd-mobile-icon {\n  display: block;\n  font-size: var(--adm-font-size-6);\n}\n")();
const classPrefix$1 = "adm-virtual-input";
const defaultProps$1 = {
  defaultValue: ""
};
const VirtualInput = React$1.forwardRef((p2, ref) => {
  const props = mergeProps(defaultProps$1, p2);
  const [value, setValue] = usePropsValue(props);
  const rootRef = React$1.useRef(null);
  const contentRef = React$1.useRef(null);
  const [hasFocus, setHasFocus] = React$1.useState(false);
  function scrollToEnd() {
    const root2 = rootRef.current;
    if (!root2)
      return;
    if (document.activeElement !== root2) {
      return;
    }
    const content = contentRef.current;
    if (!content)
      return;
    content.scrollLeft = content.clientWidth;
  }
  ahooks.useIsomorphicLayoutEffect(() => {
    scrollToEnd();
  }, [value]);
  React$1.useEffect(() => {
    if (hasFocus) {
      scrollToEnd();
    }
  }, [hasFocus]);
  React$1.useImperativeHandle(ref, () => ({
    focus: () => {
      var _a;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    },
    blur: () => {
      var _a;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.blur();
    }
  }));
  function onFocus() {
    var _a;
    setHasFocus(true);
    (_a = props.onFocus) === null || _a === void 0 ? void 0 : _a.call(props);
  }
  function onBlur() {
    var _a;
    setHasFocus(false);
    (_a = props.onBlur) === null || _a === void 0 ? void 0 : _a.call(props);
  }
  const keyboard = props.keyboard;
  const keyboardElement = keyboard && React__default["default"].cloneElement(keyboard, {
    onInput: (v2) => {
      var _a, _b;
      setValue(value + v2);
      (_b = (_a = keyboard.props).onInput) === null || _b === void 0 ? void 0 : _b.call(_a, v2);
    },
    onDelete: () => {
      var _a, _b;
      setValue(value.slice(0, -1));
      (_b = (_a = keyboard.props).onDelete) === null || _b === void 0 ? void 0 : _b.call(_a);
    },
    visible: hasFocus,
    onClose: () => {
      var _a, _b, _c;
      (_a = rootRef.current) === null || _a === void 0 ? void 0 : _a.blur();
      (_c = (_b = keyboard.props).onClose) === null || _c === void 0 ? void 0 : _c.call(_b);
    },
    getContainer: null
  });
  return withNativeProps(props, React__default["default"].createElement("div", {
    ref: rootRef,
    className: classNames__default["default"](classPrefix$1, {
      [`${classPrefix$1}-disabled`]: props.disabled
    }),
    tabIndex: props.disabled ? void 0 : 0,
    onFocus,
    onBlur,
    onClick: props.onClick
  }, React__default["default"].createElement("div", {
    className: `${classPrefix$1}-content`,
    ref: contentRef
  }, value, React__default["default"].createElement("div", {
    className: `${classPrefix$1}-caret-container`
  }, hasFocus && React__default["default"].createElement("div", {
    className: `${classPrefix$1}-caret`
  }))), props.clearable && !!value && hasFocus && React__default["default"].createElement("div", {
    className: `${classPrefix$1}-clear`,
    onClick: (e2) => {
      var _a;
      e2.stopPropagation();
      setValue("");
      (_a = props.onClear) === null || _a === void 0 ? void 0 : _a.call(props);
    }
  }, React__default["default"].createElement(antdMobileIcons.CloseCircleFill, null)), !value && React__default["default"].createElement("div", {
    className: `${classPrefix$1}-placeholder`
  }, props.placeholder), keyboardElement));
});
var waterMark = /* @__PURE__ */ (() => ".adm-water-mark {\n  --z-index: var(--adm-water-mark-z-index, 2000);\n  position: absolute;\n  z-index: var(--z-index);\n  left: 0;\n  right: 0;\n  top: 0;\n  bottom: 0;\n  pointer-events: none;\n  background-repeat: repeat;\n}\n.adm-water-mark-full-page {\n  position: fixed;\n}\n")();
const classPrefix = `adm-water-mark`;
const defaultProps = {
  fullPage: true
};
const WaterMark = (p2) => {
  const props = mergeProps(defaultProps, p2);
  const {
    zIndex = 2e3,
    gapX = 24,
    gapY = 48,
    width = 120,
    height = 64,
    rotate = -22,
    image: image2,
    imageWidth = 120,
    imageHeight = 64,
    content,
    fontStyle = "normal",
    fontWeight = "normal",
    fontColor = "rgba(0,0,0,.15)",
    fontSize = 14,
    fontFamily = "sans-serif"
  } = props;
  const [base64Url, setBase64Url] = React$1.useState("");
  React$1.useEffect(() => {
    const canvas = document.createElement("canvas");
    const ratio = window.devicePixelRatio;
    const ctx = canvas.getContext("2d");
    const canvasWidth = `${(gapX + width) * ratio}px`;
    const canvasHeight = `${(gapY + height) * ratio}px`;
    const markWidth = width * ratio;
    const markHeight = height * ratio;
    canvas.setAttribute("width", canvasWidth);
    canvas.setAttribute("height", canvasHeight);
    if (ctx) {
      if (image2) {
        ctx.translate(markWidth / 2, markHeight / 2);
        ctx.rotate(Math.PI / 180 * Number(rotate));
        const img = new Image();
        img.crossOrigin = "anonymous";
        img.referrerPolicy = "no-referrer";
        img.onload = () => {
          ctx.drawImage(img, -imageWidth * ratio / 2, -imageHeight * ratio / 2, imageWidth * ratio, imageHeight * ratio);
          ctx.restore();
          setBase64Url(canvas.toDataURL());
        };
        img.src = image2;
      } else if (content) {
        ctx.textBaseline = "middle";
        ctx.textAlign = "center";
        ctx.translate(markWidth / 2, markHeight / 2);
        ctx.rotate(Math.PI / 180 * Number(rotate));
        const markSize = Number(fontSize) * ratio;
        ctx.font = `${fontStyle} normal ${fontWeight} ${markSize}px/${markHeight}px ${fontFamily}`;
        ctx.fillStyle = fontColor;
        ctx.fillText(content, 0, 0);
        ctx.restore();
        setBase64Url(canvas.toDataURL());
      }
    } else {
      throw new Error("Canvas is not supported in the current environment");
    }
  }, [gapX, gapY, rotate, fontStyle, fontWeight, width, height, fontFamily, fontColor, image2, content, fontSize]);
  return withNativeProps(props, React__default["default"].createElement("div", {
    className: classNames__default["default"](classPrefix, {
      [`${classPrefix}-full-page`]: props.fullPage
    }),
    style: {
      zIndex,
      backgroundSize: `${gapX + width}px`,
      backgroundImage: `url('${base64Url}')`
    }
  }));
};
exports.ActionSheet = index$i;
exports.AutoCenter = AutoCenter;
exports.Avatar = Avatar;
exports.Badge = Badge;
exports.Button = Button;
exports.Calendar = Calendar;
exports.CapsuleTabs = index$h;
exports.Card = Card;
exports.CascadePicker = index$g;
exports.CascadePickerView = CascadePickerView;
exports.Cascader = index$f;
exports.CascaderView = CascaderView;
exports.CenterPopup = CenterPopup;
exports.CheckList = CheckList;
exports.Checkbox = Checkbox;
exports.Collapse = index$e;
exports.ConfigProvider = ConfigProvider;
exports.DatePicker = index$d;
exports.DatePickerView = DatePickerView;
exports.Dialog = index$c;
exports.Divider = Divider;
exports.DotLoading = DotLoading;
exports.Dropdown = index$b;
exports.Ellipsis = Ellipsis;
exports.Empty = Empty;
exports.ErrorBlock = ErrorBlock;
exports.FloatingBubble = FloatingBubble;
exports.FloatingPanel = FloatingPanel;
exports.Form = index$9;
exports.Grid = Grid;
exports.Image = Image$1;
exports.ImageUploader = ImageUploader;
exports.ImageViewer = ImageViewer;
exports.IndexBar = index$8;
exports.InfiniteScroll = InfiniteScroll;
exports.Input = Input;
exports.JumboTabs = index$7;
exports.List = List;
exports.Loading = DotLoading;
exports.Mask = Mask;
exports.Modal = index$6;
exports.NavBar = NavBar;
exports.NoticeBar = NoticeBar;
exports.NumberKeyboard = NumberKeyboard;
exports.PageIndicator = PageIndicator;
exports.PasscodeInput = PasscodeInput;
exports.Picker = Picker;
exports.PickerView = PickerView;
exports.Popover = Popover;
exports.Popup = Popup;
exports.ProgressBar = ProgressBar;
exports.ProgressCircle = ProgressCircle;
exports.PullToRefresh = PullToRefresh;
exports.Radio = index$5;
exports.Rate = Rate;
exports.Result = Result;
exports.SafeArea = SafeArea;
exports.ScrollMask = ScrollMask;
exports.SearchBar = SearchBar;
exports.Selector = Selector;
exports.SideBar = index$4;
exports.Skeleton = Skeleton;
exports.Slider = Slider;
exports.Space = Space;
exports.SpinLoading = SpinLoading;
exports.Stepper = Stepper;
exports.Steps = index$3;
exports.SwipeAction = SwipeAction;
exports.Swiper = index$2;
exports.Switch = Switch;
exports.TabBar = index$1;
exports.Tabs = Tabs;
exports.Tag = Tag;
exports.TextArea = TextArea;
exports.Toast = Toast;
exports.TreeSelect = index;
exports.VirtualInput = VirtualInput;
exports.WaterMark = WaterMark;
exports.createErrorBlock = createErrorBlock;
exports.reduceMotion = reduceMotion;
exports.restoreMotion = restoreMotion;
exports.setDefaultConfig = setDefaultConfig;
